Introduction

DeLogger and DeLogger Pro

Introduction

Disclaimer

License

Menus, Windows and Toolbars

Tools and commands for DeLogger4 and DeLogger4 Pro software:

The Big Picture

Menus

Window

Toolbars

Nuts & Bolts

DeLogger4 and DeLogger4 Pro features in detail, as well as topics for advanced users:

Actions

Reports.

DeLogger Utility Software

Saving - What, When, Where

Advanced Topics


Intro

Software © Discbell Limited 1997. All rights reserved

Information in this document is subject to change without notice and does not represent a commitment on the part of Discbell Limited. The software (which includes any database supplied therewith) described in the document may be furnished subject to a licence agreement. It is against the law to copy the software except as specifically allowed in the licence. The customer, in applying the products and software described herein, accepts that the products are wholly or partly programmable electronic systems that are inherently complex and which cannot thus be guaranteed to be free from errors. In doing so, the customer accepts the responsibility to ensure that the products are correctly programmed, configured, installed, commissioned, operated and maintained by competent and suitably trained staff and in accordance with any instructions provided or dictated by good engineering practices. The software and products described herein are subject to continuous development and improvement. All information of a technical nature is given by Discbell Limited in good faith, but Discbell Limited shall not be liable for any omissions or errors herein or within the software herein described.

Software Disclaimer

Discbell Limited will under no circumstances be responsible for direct, indirect, incidental, or consequential damages, death or personal injury arising from the use or misuse of this documentation or the products and software described herein.

Manual © dataTaker Pty Ltd 2002 and © Discbell Limited 2005

dataTaker is a registered trademark of dataTaker Pty Ltd. DeLogger is a trademark of dataTaker Pty Ltd.

Microsoft, Windows, Windows NT, FoxPro, Visual Basic and SQL Server are either registered trademarks or trademarks of Microsoft Corporation.

Crystal Reports is a registered trademark of Crystal Decisions (Crystal Decisions is a trademark of Seagate Technology LLC).

Other brand and product names mentioned in this manual are either trademarks or registered trademarks of their respective holders.


License

Delogger Licence Agreement

IMPORTANT - READ CAREFULLY BEFORE CONTINUING

BY SELECTING TO CONTINUE WITH THIS INSTALLATION, YOU INDICATE YOUR ACCEPTANCE OF THE FOLLOWING DELOGGER LICENCE AGREEMENT

This is a legal agreement between you, the licensee, and Datataker Pty. Ltd. ("DATATAKER"). By selecting to continue with this installation, you are agreeing to be bound by the terms of this agreement. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT CONTINUE WITH THIS INSTALLATION AND IF YOU PURCHASED THIS PRODUCT YOU MAY RETURN THE DISTRIBUTION MEDIA AND THE ACCOMPANYING ITEMS (including written material and folders or other containers) TO THE PLACE YOU OBTAINED THEM FOR A FULL REFUND. This agreement does not transfer any ownership of the software to you, instead DATATAKER grants the right to use the software by means of a software licence.

DELOGGER NON-EXCLUSIVE, LIMITED LICENCE

1. GRANT OF LICENCE. The Delogger software("SOFTWARE") being installed can by used as either a standard version ("STANDARD SOFTWARE") or a professional version ("PRO SOFTWARE").

The STANDARD SOFTWARE has no license key and DATATAKER grants to you the the non-exclusive right to use one or more copies of the STANDARD SOFTWARE on one or more computers or computer terminals. You shall not charge or request donations for any such copies and distribute STANDARD SOFTWARE to third parties without prior written permission.

The PRO SOFTWARE is used by entering in a license key that is supplied with the product when purchased. In consideration of payment of the licence fee which is part of the price you paid for the PRO SOFTWARE and your agreement to abide by the terms and conditions of this agreement Datataker grants to you the non-exclusive right to use one or more copies of the PRO SOFTWARE on one or more computers or computer terminals depending on the type of license that you have purchased.

A Single User License entitles you to use only a single copy of the PRO SOFTWARE on a single computer or computer terminal. You may not network the PRO SOFTWARE or otherwise copy it or use it on more than one computer or computer terminal at the same time.

A Multiple User License entitles you to install and use a set number of copies of the PRO SOFTWARE on multiple computers or computer terminals. Various user numbers are allowed as determined by the product purchased. For example, a five user license allows the PRO SOFTWARE to be installed on up to five computers. The number of users is determined as the number of computers that the PRO SOFTWARE is installed on, not just the number of actual users using the software at any one time. You may network the PRO SOFTWARE as long as the number of users does not exceed the limit set buy the license that is purchased.

2. COPYRIGHT. The SOFTWARE is owned by Discbell Limited ("DISCBELL") unless otherwise indicated. The SOFTWARE is protected by United Kingdom copyright laws and international treaty provisions. Therefore you must treat the SOFTWARE like any other copyrighted material(e.g. a book or musical recording) except that you may either (a) make a copy of the SOFTWARE solely for back-up or archival purposes, or (b) transfer the SOFTWARE to a single hard disk provided you keep the original for back-up or archival purposes. You may make copies of the written material accompanying the SOFTWARE for personal use only.

3. RESTRICTIONS ON USE. You may not assign, licence, rent or lease the SOFTWARE and accompanying materials, without prior agreement. You may transfer the SOFTWARE and accompanying written materials on a permanent basis provided you retain no copies and the recipient agrees to the terms of this Agreement. You may not transfer the SOFTWARE from one computer to another over a network. You may not modify, adapt, translate, reverse engineer, decompile or disassemble the SOFTWARE. You may not modify, adapt, translate or create derivative works based on the written materials without the prior consent of DATATAKER.

4. INDEMNIFICATION. You agree to indemnify, defend, and hold DATATAKER and DISCBELL harmless from and against any claims, suits, damages, expenses, including legal fees brought against or suffered by any kind related to or caused by use of the SOFTWARE.

5. TRADEMARKS. DATATAKER owns a number of registered and unregistered Trademarks ("MARKS"). These MARKS are extremely valuable to DATATAKER and shall not be used by you, or any other person, without DATATAKER's express written permission. The Marks include, but are not necessarily limited to the following: dataTaker, DeLogger. DATATAKER expressly reserves the right to use additional registered and unregistered Marks in connection with its business, and such additional registered and unregistered MARKS shall be entitled to full protection under applicable law. Any use of any of DATATAKER's MARKs shall be deemed an intentional and willful violation of substantial rights of DATATAKER.

In addition to DATATAKER's MARKs, some DATATAKER products may include trademarks or service marks owned by other corporations. These other MARKs include, but are not necessarily limited to: WINDOWS® and WINDOWS NT® which are registered Trademarks of Microsoft Corporation and Adobe®, Acrobat® and Reader® which are registered Trademarks of Adobe Systems Incorporated.

You shall not use any of the Trademarks, or Service marks of DATATAKER, Microsoft Corporation, Adobe Systems Incorporated, or any other entity, without the express written permission of such Trademark or Service mark owner.

LIMITED WARRANTY

LIMITED WARRANTY. If you received the SOFTWARE on a physical media (for example CD or diskette) then DATATAKER warrants that the media on which the SOFTWARE is resident will be free from defects in materials and workmanship under normal use for a period of 90 days from the date of purchase. If such a defect in the media should occur during the 90 day period, the media and a copy of your receipt may be returned to DATATAKER, and the media will be replaced without charge. THIS WARRANTY IS LIMITED TO YOU ONLY.

CUSTOMER REMEDIES. DATATAKER's entire liability and your exclusive remedy shall be, at DATATAKER's option, either (a) replacement of the media or (b) return of the purchase price. This Limited Warranty is void if failure of the media has resulted from accident, neglect, abuse or misapplication. Any replacement media will be warranted for the remainder of the original warranty period or 30 days, whichever is longer.

NO OTHER WARRANTIES. DATATAKER AND DISCBELL DISCLAIMS ALL OTHER WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OR MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, WITH RESPECT TO THE SOFTWARE AND THE ACCOMPANYING WRITTEN MATERIALS.

NO LIABILITY FOR CONSEQUENTIAL DAMAGE. IN NO EVENT SHALL DATATAKER OR DISCBELL BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY OF THE SOFTWARE AND ACCOMPANYING WRITTEN MATERIALS, EVEN IF DATATAKER OR DISCBELL HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

GENERAL

(a) If any provision of this agreement is found to be invalid by any court or competent jurisdiction, the balance of this Agreement shall remain in full force and effect.

(b) This Agreement shall be governed by the laws of the state of Victoria, Australia.

(c) This agreement shall not create an agency, partnership, franchise, or any other form of legal association.

(d) This Agreement consists of the entire agreement between the parties with respect to the subject matter thereof.


The Big Picture

Main Window (Project Window)

Document Windows

Viewing and Saving Data

Projects, Programs, Schedules and Channels

DeLogger's Folders


Project Window

Main Window (Project Window)

In DeLogger, you open and work with one project at a time.

A project is a collection of files held in DeLogger's default project directory. When it is created, a sub-directory with the same name as the project is created and the project files created within it.

There is the main workspace file with the extension .dlw and files for each of the created documents. This will vary as new documents are added to the project. The Project bar displays these files under the Project tab.

The Project bar also displays global information on defined data sites and defined actions.


Document Windows

The eight types of windows you can open within DeLogger’s main window.


Viewing and Saving Data

This figure gives you an overview of the ways you can use DeLogger to view and save

• data returning from a dataTaker in real time

• logged data unloaded from a dataTaker’s memory.


Project, Programs, Schedules and Channels

Projects, Programs, Schedules and Channels

DeLogger’s hierarchy of project > program (job) > schedule > channel.


DeLogger's Folders

DeLogger’s Folders

The following is the result of a typical install:

DeLogger shared application files are stored in 'C:\Program Files\Common Files\Discbell Shared'

dlCmdBuilder.lic

dlCmdBuilder.ocx

dlCmdBuilder2.ocx

dlCmdBuilder2.lic

FirmwareManagerControl.ocx

Imp32x20.ocx

PC263.dll

Profile.ocx

ShTapiX.lic

ShTapiX.ocx

Tab32x20.ocx

TrViewer.ocx

TVLLbENG.dll

TVLLbESP.dll

TVLLbFRN.dll

TVLLbGER.dll

TVLLbITA.dll

TVLLbUS.dll

UserUpgradeControl.ocx

VCF132.OCX

Vcfi32.ocx

Vcfiwz32.dll

User and application modified files are stored in 'C:\Documents and Settings\All Users\Application Data\dataTaker\DeLogger'

¦ FOXUSER.DBF

¦ FOXUSER.FPT

¦ siteadmin.exe

¦

+---Data

¦ +---Access 2000

¦ ¦ +---Admin

¦ ¦ ¦ DeLogger_admin.mdb

¦ ¦ ¦

¦ ¦ +---Data

¦ ¦ DeLogger_data.mdb

¦ ¦

¦ +---Access 97

¦ ¦ +---Admin

¦ ¦ ¦ DeLogger_admin.mdb

¦ ¦ ¦

¦ ¦ +---Data

¦ +---Admin

¦ ¦ access_level.CDX

¦ ¦ access_level.dbf

¦ ¦ action.CDX

¦ ¦ action.dbf

¦ ¦ action.FPT

¦ ¦ action.TBK

¦ ¦ action_log.CDX

¦ ¦ action_log.dbf

¦ ¦ alarm_log.CDX

¦ ¦ alarm_log.dbf

¦ ¦ error_log.CDX

¦ ¦ error_log.DBF

¦ ¦ formula.CDX

¦ ¦ formula.DBF

¦ ¦ FOXUSER.DBF

¦ ¦ FOXUSER.FPT

¦ ¦ group.CDX

¦ ¦ group.DBF

¦ ¦ initial.CDX

¦ ¦ initial.DBF

¦ ¦ network.CDX

¦ ¦ network.DBF

¦ ¦ password.CDX

¦ ¦ password.DBF

¦ ¦ port.CDX

¦ ¦ port.dbf

¦ ¦ report.CDX

¦ ¦ report.DBF

¦ ¦ schedule.CDX

¦ ¦ schedule.DBF

¦ ¦ schedule_log.CDX

¦ ¦ schedule_log.DBF

¦ ¦ site.CDX

¦ ¦ site.dbf

¦ ¦ site7.dbc

¦ ¦ site7.DCT

¦ ¦ site7.DCX

¦ ¦ site7.PJT

¦ ¦ site7.pjx

¦ ¦ siteproperties.CDX

¦ ¦ siteproperties.DBF

¦ ¦ user.CDX

¦ ¦ user.DBF

¦ ¦

¦ +---Archive1

¦ ¦ data_data.CDX

¦ ¦ data_data.dbf

¦ ¦ data_details.CDX

¦ ¦ data_details.dbf

¦ ¦ data_header.CDX

¦ ¦ data_header.dbf

¦ ¦ site7d1.dbc

¦ ¦ site7d1.dct

¦ ¦ site7d1.DCX

¦ ¦

¦ +---Archive2

¦ ¦ data_data.CDX

¦ ¦ data_data.dbf

¦ ¦ data_details.CDX

¦ ¦ data_details.dbf

¦ ¦ data_header.CDX

¦ ¦ data_header.dbf

¦ ¦ site7d1.dbc

¦ ¦ site7d1.dct

¦ ¦ site7d1.DCX

¦ ¦

¦ +---Archive3

¦ ¦ data_data.CDX

¦ ¦ data_data.dbf

¦ ¦ data_details.CDX

¦ ¦ data_details.dbf

¦ ¦ data_header.CDX

¦ ¦ data_header.dbf

¦ ¦ site7d1.dbc

¦ ¦ site7d1.dct

¦ ¦ site7d1.DCX

¦ ¦

¦ +---Clean

¦ ¦ data_data.CDX

¦ ¦ data_data.dbf

¦ ¦ data_details.CDX

¦ ¦ data_details.dbf

¦ ¦ data_header.CDX

¦ ¦ data_header.dbf

¦ ¦ site7d1.dbc

¦ ¦ site7d1.dct

¦ ¦ site7d1.DCX

¦ ¦

¦ +---Data

¦ ¦ data_data.CDX

¦ ¦ data_data.dbf

¦ ¦ data_details.CDX

¦ ¦ data_details.dbf

¦ ¦ data_header.CDX

¦ ¦ data_header.dbf

¦ ¦ site7d1.dbc

¦ ¦ site7d1.dct

¦ ¦ site7d1.DCX

¦ ¦

¦ +---Historical1

¦ ¦ data_data.CDX

¦ ¦ data_data.dbf

¦ ¦ data_details.CDX

¦ ¦ data_details.dbf

¦ ¦ data_header.CDX

¦ ¦ data_header.dbf

¦ ¦ site7d1.dbc

¦ ¦ site7d1.dct

¦ ¦ site7d1.DCX

¦ ¦

¦ +---MSSQL7

¦ ¦ +---Admin

¦ ¦ +---Data

¦ +---MySQL

¦ ¦ admin.sql

¦ ¦ data.sql

¦ ¦

¦ +---Postgres

¦ +---Admin

¦ +---Data

+---Grab

¦ readme.txt

¦

+---Logs

¦ readme.txt

¦

+---Menus

¦ siteadmin.MNT

¦ siteadmin.mnx

¦ SITEADMIN.MPR

¦ siteadmin.MPX

¦

+---Messaging

¦ messaging.csv

¦

+---Project

¦ +---example

¦ ¦ ana5d5.tv1

¦ ¦ ana5d5.tvd

¦ ¦ ana5d5.vts

¦ ¦ Analyse1.dla

¦ ¦ Chart1.dlc

¦ ¦ example.dlw

¦ ¦ Form1.dlf

¦ ¦ Form1.vts

¦ ¦ Mimic1.dlm

¦ ¦ Prog1.dl8

¦ ¦ Prog1.dlp

¦ ¦ Prog1.gb8

¦ ¦ spr5d4.vts

¦ ¦ Spread1.dls

¦ ¦ Spread1.vtc

¦ ¦ Text1.dlt

¦ ¦ tre5d2.tv1

¦ ¦ tre5d2.tvd

¦ ¦

¦ +---NETWORK

¦ anac.tv1

¦ anac.tvd

¦ anac.vts

¦ Analyse1.dla

¦ Chart1.dlc

¦ Form1.dlf

¦ form1.vts

¦ Mimic1.dlm

¦ nettest.dl8

¦ network.dlw

¦ prog1.dlp

¦ prog1.gb8

¦ prog1.gc8

¦ sprb.vts

¦ Spread1.dls

¦ spread1.vtc

¦ Text1.dlt

¦ Text2.dlt

¦ Text3.dlt

¦ Text4.dlt

¦ tre8.tv1

¦ tre8.tvd

¦

+---Publish

¦ ¦ index.htm

¦ ¦

¦ +---html

¦ ¦ +---Analysis

¦ ¦ ¦ Readme.txt

¦ ¦ ¦

¦ ¦ +---Charts

¦ ¦ ¦ Readme.txt

¦ ¦ ¦

¦ ¦ +---Forms

¦ ¦ ¦ Readme.txt

¦ ¦ ¦

¦ ¦ +---Mimics

¦ ¦ ¦ Readme.txt

¦ ¦ ¦

¦ ¦ +---Reports

¦ ¦ ¦ Readme.txt

¦ ¦ ¦

¦ ¦ +---Spreads

¦ ¦ Readme.txt

¦ ¦

¦ +---images

¦ book.jpg

¦ Documents.gif

¦ DTAKERS.BMP

¦ Kbd Welcome.jpg

¦ Published Data.gif

¦

+---Replay

¦ 080704 SVEN 20040719 112400.dlr

¦ 080704 SVEN A 20040714 184457.dlr

¦ 080705 SVEN 20040719 115921.dlr

¦ 080705 SVEN 20040719 120126.dlr

¦ 080705 SVEN A 20040719 115949.dlr

¦ Example.dlr

¦ Example2.dlr

¦

+---Report

¦ DLP001.RPT

¦ Dlp002.rpt

¦ DLP003.RPT

¦ DLP004.RPT

¦ Dlp004a.rpt

¦ Dlp004b.rpt

¦ DLP005.RPT

¦ DLP010.RPT

¦ DLP011.RPT

¦ DLP012.RPT

¦ DLP013.RPT

¦ DLP020.RPT

¦ Dlp020a.rpt

¦ dlp021.rpt

¦ Dlp030.rpt

¦ DLP040.RPT

¦ DLP050.RPT

¦

+---Unload

¦ Example.dlr

¦ Example2.dlr

¦

+---User

DeLogger main application files are stored in ':\Program Files\dataTaker\DeLogger'

¦ cmax20.dll

¦ DeLogger.chm

¦ DeLogger.exe

¦ DeLogger.tlb

¦ deLoggerMessage.dll

¦ DeLoggerRL1.dll

¦ DeLoggerRL2.dll

¦ DIO_TC.DLL

¦ dlpg1.dll

¦ dlpg2.dll

¦ DLPMessageHandler.exe

¦ DLPMessageHandler.tlb

¦ edtEDnt.dll

¦ ezTREND.exe

¦ MacroText.txt

¦ Prog1.gc8

¦ Release readme.txt

¦ Schedule.exe

¦ SensorDefaults.csv

¦ VCFIU.HLP

¦

+---Excel

¦ Delogger2.xla

¦ Delogger2.xlm

¦

+---Export

¦ +---Html

¦ BLANK.HTM

¦

+---Firmware

¦ +---mt

¦ 316v4bs.dxf

¦ 399v3bs.dxf

¦ 4040001.dxf

¦ dt800_known_issues.txt

¦ dt800_v4_release_notes.txt

¦ UM0068A2-ERA0 Errata for DT800 Users Manual.pdf

¦

+---Manual

¦ U70A0.pdf

¦

+---opc server

¦ deLoggerOPCServer.dll

¦ OpcDisp.tlb

¦ OPCProxy.dll

¦ OPC_DA20_Components.exe

¦

+---Pcmcia

¦ EXAMPLE.IMG

¦

+---Picture

¦ BAKDROP5.bmp

¦ balls00.bmp

¦ Beveled_chrome.bmp

¦ Blue Monday.bmp

¦ border5.bmp

¦ border6.bmp

¦ bubbles002.bmp

¦ bubbles2.bmp

¦ bubbles3.bmp

¦ cloud_white.bmp

¦ dtlogo.bmp

¦ dtlogo_white.bmp

¦ Gone Fishing.bmp

¦ Greenstone.bmp

¦ Maple Trails.bmp

¦ office_white.bmp

¦ p12c01.dib

¦ p12c02.dib

¦ p12c04.dib

¦ p12c05.dib

¦ p12c08.dib

¦ p12c13.dib

¦ PH01265U.BMP

¦ picle.bmp

¦ picle002.bmp

¦ picle003.bmp

¦ picle005.bmp

¦ Prairie Wind.bmp

¦ pump and motor.bmp

¦ pump and motor_white.bmp

¦ rain.bmp

¦ rain_white.bmp

¦ Santa Fe Stucco.bmp

¦ Seaside.bmp

¦ Snakeskin.bmp

¦ Soap Bubbles.bmp

¦ Solstice.bmp

¦ sun.bmp

¦ sun_white.bmp

¦ Swimming Pool.bmp

¦ TAG.bmp

¦ weather.bmp

¦ weather_white.bmp

¦ WOODPLAQ.bmp

¦

+---Sound

¦ KLAXON1.WAV

¦ KLAXON2.WAV

¦ SIREN.WAV

¦

+---System

¦ deLoggerMessage.dll

¦ DLPSecurity.dll

¦ PDATE32.OCX

¦ Register.bat

¦

+---Templates

¦ Card1.txt

¦ Card2.txt

¦ Card3.txt

¦ chart2.vtc

¦ chart3.vtc

¦ chart4.vtc

¦ default.vtc

¦ documents.htm

¦ multidoc.htm

¦

+---Tools

AmpPC263.exe

CMDARGTS.HLP

CsProxy.vxd

DECOPY.EXE

DEIMAGE.EXE

DeLogpro.fil

dlr2dlr.exe

dlr2txt.exe

Example.dlr

PC263Container.exe


Menus

Menu Overview

The File Menu

The Edit Menu

The View Menu

The Connections Menu

The Configuration Menu

The dataTaker Menu

The Seventh Menu

The Reports Menu

The Tools Menu

The Window Menu

The Help Menu

The Taskbar Menu


Menu Overview

This chapter covers DeLogger’s menus, from left to right. Each menu’s commands and submenus are presented in descending order of appearance on the menu.


The File Menu

The File menu contains DeLogger project-related commands.

Some of these commands are duplicated by buttons on DeLogger’s system toolbar..

File > New

Choose File > New to create a new DeLogger project, or to create a new document within the current project.

In the New Document dialog box that opens, click the appropriate button for the document type you want.

You can also create new documents using

the system toolbar.

DeLogger Pro’s project bar.

When you add a new document, DeLogger automatically saves the project’s master file.

One Project at a Time

You can have only one project open at a time in DeLogger. Therefore, if you click the Project button while a project is already open, DeLogger warns you that it must close the current project before it can open the new one.

Naming a New Project

When you create a new project, the New Project dialog box opens requiring you to name the project.

When you type a name in the New Project dialog box and click OK, DeLogger creates a corresponding folder containing a default set of project files/

File > Open

Choose File > Open to open a DeLogger project.

If a project is already open, DeLogger warns you that it must close the current project before it can open another.

The Open dialog box appears, ready to open Project Files (*.dlw) file types in DeLogger’s Project folder.

In the dialog box, open the folder of the project you want, select its .dlw file, and click Open.

The project opens in DeLogger’s workspace with its windows displayed exactly as they were when you last closed the project see What’s Saved When”

.dlw File

Each project has a .dlw file, its project master file, which stores housekeeping information for that project, such as data hub channel details and document window details (types, sizes, positions,…). To open a project, you open its .dlw file from within DeLogger.

See also “Saving Data Hub Details (Project-Specific)”, and “Saving Project Details”

File > Close

Choose File > Close to close the current project. DeLogger warns you that the project has been modified and asks if you want to save the changes.

For information on what DeLogger saves when you click Yes in the dialog box above, and what it saves automatically (whether you click Yes or No in the dialog box above), see What’s Saved When

File > Save Project

This command saves all of the current project’s files — its .dlw master file, and its document windows along with their contents, settings, locations and states.

The DeLogger Busy Indicator flashes red to confirm the save operation.

When closing a project or exiting DeLogger, clicking Yes when asked if you want to save changes is equivalent to choosing the Save Project command.

File > Project Properties

Opens a dialog box in which you

remove (de-activate) documents from the current project (they are not deleted; you can restore them later)

rename documents

open documents that were closed using their Close button. You can also do this using the project bar.

specify alternative administration and/or data databases to be used by the current project.

File > Performance

This command opens the DeLogger Performance dialog box, which contains options that allow you to fine-tune how your computer services DeLogger, other programs, and its own communications and system tasks.

File > Page Setup

When printing a form, spreadsheet or analysis window from DeLogger Pro, the Page Setup dialog box gives you control over headers and footers, margins, page order, centering, scaling, grid lines, and row and column headings.

Any plain text and/or special formatting codes you enter in the Header field and the Footer field of the Page Setup dialog box is added to every page of your printout.

Header and Footer Formatting Codes

Formatting codes allow you to align and format header and footer text, and to insert information from the current worksheet.

There are three types of formatting codes and they must be entered in the following order:

• alignment codes

• font codes

• worksheet codes

Enter codes in upper or lower case. Separate them with a space.

File > Print

To print the contents of any of DeLogger’s windows (except a DT800 program builder, which cannot be printed), bring the window to the front and choose File > Print.

Before you print any window, set your printer and paper details (see File > Print Setup below). You can also preview the print job (see File > Print Preview next).

Printing a Mimic Window

The mimic window is a complete module and has its own dialog box for printing (it does not use the standard Microsoft® Windows® Print dialog box). When you click OK to print the front-most mimic window, DeLogger uses the computer’s default printer. Therefore, if your system has more than one printer installed, you must set the printer that you want to use to print the mimic window to be the computer’s default printer before you choose File > Print.

File > Print Preview

Before printing, you can check that the current

form window

chart window

text window — entry screen only

spread window

analysis window

DT5/6xx program builder window

will print as you want by choosing File > Print Preview. There is no print preview for text window display screens, mimic windows or DT800 program builder windows.

The print preview window replaces DeLogger’s main window. Therefore you must close the Print Preview window in order to continue working in DeLogger.

Some sample print previews are shown.

File > Print Setup

Before printing, you must specify the printer you want to use along with its paper size, paper source and paper orientation. To do this, choose File > Print Setup.

File > Customize

Choose File > Customize to set your preferences for many aspects of DeLogger Pro’s appearance.

Changes you make here are made current when you click Apply or OK in the Customize dialog box, and are automatically saved to the Windows system registry when you quit DeLogger (even when you click No in the “Do you wish to save the changes?” exit dialog box).

File > Register Product

Opens a dialog box in which you enable DeLogger Pro by entering your Pro serial number.

File > Recent Project Files (List)

Choose a project file from this list to open the project. DeLogger warns you that it must close the current project first (see One Project at a Time).

File > Exit

This command quits (shuts down) DeLogger. You’re asked if you want to save changes — see What’s Saved When


The Edit Menu

The entries that appear on the Edit menu change according to which DeLogger window is front-most.

Edit > Undo

Undoes your last action.

Edit > Redo

Redoes/re-applies your last action (multiple redo).

Edit > Cut

Deletes the selected text or object from DeLogger after copying it to the Windows clipboard.

Edit > Copy

Copies the selected text, object or worksheet cell values to the clipboard.

Edit > Paste

Copies the contents of the clipboard into DeLogger.

Edit > Paste Values

For form, spread and analysis windows only. Pastes previously-copied worksheet values (one or more cells) into the current worksheet.

Edit > Clear

For form, spread and analysis windows only. Opens a dialog box that allows you to clear cell formatting and/or values. To remove

• the formatting of the selected cells, select Formats

• the data values from the selected cells, select Values

• both formatting and values from the selected cells, select All.

Edit > Insert

For form, spread and analysis windows only. Opens a dialog box that allows you to insert blank cells, rows or columns. Selected cells, rows or columns are displaced (shifted), not removed.

To insert blank cells, select a range of cells of the size you want to insert and where you want them inserted, then choose Insert. In the dialog box that opens, select either Shift Cells Right or Shift Cells Down to specify where you want the displaced cells to go, then click OK.

To insert blank rows or columns, select the number of rows or columns you want to insert (or just a few representative cells) where you want them inserted, then choose Insert. In the dialog box that opens, select either Entire Row or Entire Column, then click OK. New blank rows are inserted above the selected rows; new blank columns are inserted to the left of the selected columns.

Edit > Delete

For form, spread and analysis windows only. Removes the selected cells, rows or columns.

Edit > Copy Down

For form, spread and analysis windows only. Copies the upper cell(s) in a selected group of cells into all of the lower cells in the group.

Edit > Copy Right

For form, spread and analysis windows only. Copies the left cell(s) in a selected group of cells into all cells to the right in the group.

Edit > Find

Opens a dialog box that allows you to find strings (values, text or formulas)

• in cells within the current form, spread or analysis worksheet

• in the current text window entry screen.

You can also bookmark them if you want

Edit > Replace

Opens a dialog box that allows you to find and replace strings (values, text or formulas)

• in cells within the current form, spread or analysis worksheet

• in the current text window entry screen.

Edit > Go To Matching Brace

To locate the mate of a brace character ( or ) in a text window’s edit screen, click the I-beam cursor on either side of the brace then choose Go To Matching Brace. The cursor jumps to the matching brace.

See also Text > Entry Screen > Go To Matching Brace

Edit > Select All

For DT5/6xx program builder windows only. Allows you to select all channel icons on the front-most schedule tab at once.


The View Menu

View > Status Bar

Shows or hides DeLogger Pro’s status bar.

View > Project Bar

Shows or hides DeLogger Pro’s project bar.

View > Toolbars

Commands on this submenu show or hide

• the system toolbar

• the connection toolbar

• the dataTaker toolbar

• the configuration toolbar

View > Show Alarm Events

When Show Alarm Events is ticked, DeLogger opens the event logs window at the Alarms tab whenever a dataTaker alarm is received.

View > Show Error Events

When Show Error Events is ticked, DeLogger opens the event logs window at the Errors tab whenever a dataTaker error is received.

View > Show Message Events

When Show Message Events is ticked, DeLogger opens the event logs window at the Messages tab whenever a DeLogger event occurs. You can alter the amount and scope of this reporting using the Confirmation Level slider.

In addition, DeLogger considers some messages to be important enough to present you with the Messages tab even when Show Message Events is un-ticked. Instead of pop-up alert boxes, this is DeLogger’s way of warning you of serious problems that will affect the outcome of the current operation (for example, being unable to open a file).

View > View Events

Shows or hides the event logs window.


The Connections Menu

A DeLogger connection (or, more accurately, connection definition) is simply a group of communications settings; a user-defined and user-named software tool that you use to automate the process of linking DeLogger to a data site.

See the Data Site Extras panel below.

DeLogger supports six types of connections and installs with several connections already defined. You can modify these, or create as many others as you want.

Multiple Connections

You can connect DeLogger to more than one data site at a time:

• DeLogger is limited to three connection types (serial, network and file): it supports a maximum of four serial connections, and an unlimited number of network and file connections at the one time.

• DeLogger Pro supports any number of all six connection types.

Connections > Connect

Opens a dialog box that lists the available serial, network, modem and auto-answer modem connections. (For file and database connections, see Connections > Play

In the dialog box, make a selection then click OK to begin the connection process.

You can also open this dialog box using

• the Connect button [image] on the connection toolbar.

the F2 key on your keyboard.

• a right-click menu in DeLogger Pro’s project bar.

Connections > Manual Integrity Check

Forces DeLogger Pro to re-synchronise the contents of the appropriate data hub connection tab with the currently-connected dataTaker.

How the Data Hub Gets Its Information

When a dataTaker is programmed, it creates an internal listing of every item specified in the program (real channel details, calculations, system information and much more). These items return information when the program is running.

This data-source list is available to any host software by means of the STATUS10 command (DT5/6xx) or the STATUS14 command (DT8xx). When connecting to a dataTaker, DeLogger automatically issues the appropriate STATUS command and creates the data hub listings from the responses. The value of this arrangement is that it allows dataTaker data loggers to be programmed by other means, and DeLogger is able to interrogate them during connection and know the data that will be returned.

DeLogger, DeLogger Pro and the Data Hub

When DeLogger disconnects from a dataTaker, DeLogger clears the data hub listing for that connection. Then, when DeLogger next connects to that connection, it once again establishes the data hub listing for that connection. When there is no active connection, the channel choice lists for the various DeLogger views have no available channels.

However, when DeLogger Pro disconnects from a dataTaker, DeLogger Pro maintains the data hub listing for that connection. When there is no active connection, the channel choice lists for the various DeLogger views still show the available channels. When DeLogger Pro next connects to that same connection, it checks that the data hub listing matches the dataTaker in accordance with the Synchronise channel list to dataTaker tick box in the Configuration > Defaults dialog box (see “Connection Defaults” and “Data Hub — Automatic Updating”).

Re-Synchronise

However, the program in the dataTaker may change dynamically in a way that DeLogger Pro cannot detect, or other operational situations may develop where this synchrony between DeLogger Pro and the dataTaker is lost. This may be seen as data hub errors being reported in the Messages tab of the event logs window. The Connections > Manual Integrity Check command provides the means of forcing DeLogger Pro to re-synchronise its data hub with the current dataTaker.

Connections > Disconnect

Opens a dialog box that lists the currently-active connections. Highlight a connection, then click OK to disconnect it.

You can also disconnect using

• the Disconnect button [image] on the connection toolbar

• a right-click menu in DeLogger Pro’s Connections project bar

Connections > Play

Opens a dialog box that lists available replay connections — that is, file and database connections.

In the dialog box, make a selection then click OK to begin the connection process. If a default file or session is not specified in the connection definition, DeLogger asks you to select one.

When the replay control panel opens, the channels in your chosen replay file or database session become available in the choice lists of the various DeLogger views. Choose the channels in the views you want, then click the replay control panel’s Play button to start the data flow.

The Play command is duplicated by the button on the Connection toolbar.

Important

File and database connections, and replay files and database sessions, are model-specific. (When you create file and database connections, you specify the model of dataTaker that the connection is intended for in the dataTaker field) Therefore, you must take care to

• play only DT5/6xx replay files using DT5/6xx file and database connections

• play only DT8xx replay files using DT8xx file and database connections.

Connections > Properties

The Connections > Properties command opens the Connections dialog box in which you create and edit

• three types of connections in DeLogger — serial, network and file connections

• an additional three types of connections in DeLogger Pro — modem, auto-answer modem and database connections.

You use DeLogger connections to link DeLogger to data sites. You create the connections you need, and DeLogger stores each one as a record in its administration database.

Note

The term connection as used in DeLogger is actually a truncation of connection definition.

The following shows how to use the control buttons that are common to the tabs in the Connections dialog box, and to other database configuration dialog boxes.


Connections - Serial

Connections — Serial

To create and edit serial connections (direct communications cable, or direct-link radio modems) in DeLogger, choose Connections > Properties and click the Serial tab in the dialog box that opens. The following explains.

DeLogger stores each serial connection as a record in its administration database.

You can use the SiteAdmin utility to create a report that details these connection definitions — see Reports > Site Listing

PC Serial Port Properties

Clicking the PC serial port Properties button opens a dialog box in which you specify the selected serial port’s baud detection mode, baud rate and, for a DT8xx dataTaker, the type of flow control.


Connections - Network

Connections — Network

To create and edit Ethernet network connections in DeLogger, choose Connections > Properties and click the Network tab in the dialog box that opens. Figure 48 explains.

DeLogger stores each network connection as a record in its administration database.

You can use the SiteAdmin utility to create a report that lists these network connection definitions — see Reports > Port

You can connect a DT8xx dataTaker directly to a TCP/IP or UDP network, but a DT5/6xx dataTaker requires a serial-to-Ethernet adaptor (such as a Lantronix Device Server).


Modem

Connections — Modem

To create and edit DeLogger Pro modem connections for remote DT5/6xx and DT8xx data sites, choose Connections > Properties and click the Modem tab in the dialog box that opens.

DeLogger Pro stores each modem connection as a record in its administration database.


Auto Answer

Connections — Auto-Answer Modem

External data sites that are connected to DeLogger by modem — such as DT5/6xx or DT8xx dataTakers, or Modem Managers — can dial in to DeLogger Pro for automatic unloading of their alarms. If DeLogger Pro recognizes the remote device and dial-ins are allowed (see “Auto-Answer Prerequisites” below), DeLogger Pro automatically handles the call and supervises the unloading of alarms from the site. DeLogger Pro’s auto-answer modem connections manage this.

To create and edit auto-answer modem connections, choose Connections > Properties and click the Auto Answer Modem tab in the dialog box that opens. DeLogger Pro stores each auto-answer modem connection as a record in its administration database.

Note the following:

• You only need to create one auto-answer modem connection per modem.

• The modem specified in an auto-answer modem connection can be different from any modem already specified in a modem connection. In fact, it’s often preferable for DeLogger Pro to dial out using one modem and receive calls on another.

The Auto-Answer Process

When a Modem Manager or DT800 dials in, DeLogger Pro compares its password (the site ID for a Modem Manager; the serial number for a DT800) with the modem connection passwords in the database. If a password match exists and if that record has Accept Incoming Calls enabled, DeLogger Pro automatically manages the call and unloads the alarms from the data site.

After unloading the alarms, DeLogger stays connected for 60 seconds in case there are any responses from the site. (You can adjust this delay using Regedit.exe to alter the key HKEY_CURRENT_USER\Software\Discbell\ DeLogger\MM01\ActionResponseDelay (defined in ms).

Auto-Answer Prerequisites

Before DeLogger Pro can recognize the data site and unload its alarms, you must do the following:

• Create a modem connection for the site.
You do this to enter the data site’s details into the database so that DeLogger Pro can check the site’s password, device type and other information when it receives a call from the site.

• In the modem connection you create for the site, be sure to tick Accept Incoming Calls (in the Site Details area of the dialog box).


File

Connections — File

To create and edit connections to DeLogger replay files, choose Connections > Properties and click the File tab in the dialog box that opens.

You use file connections to play replay files — see Connections > Play

DeLogger stores each file connection as a record in its administration database.

Important

When creating a file connection, be sure to select the dataTaker model (in the dataTaker field) that matches the replay file(s) you intend to play through it (replay files are model-specific). This is important because the model you select determines the protocol that DeLogger applies when playing replay files through the connection.

We recommend that you create file connections named, say, MyFile500 and MyFile800, each with its appropriate model selected, to minimize possible confusion.


Database

Connections — Database

To create and edit connections to DeLogger Pro database sessions, choose Connections > Properties and click the Database tab in the dialog box that opens.

You use database connections to replay database sessions— see Connections > Play

DeLogger Pro stores each database connection as a record in its administration database.

Important

When creating a database connection, be sure to select the dataTaker model (in the dataTaker field) that matches the session(s) you intend to play through it (database sessions are model-specific). This is important because the model you select determines the protocol that DeLogger applies when playing database sessions through the connection.

We recommend that you create database connections named, say, MySession500 and MySession800, each with its appropriate model selected, to minimize possible confusion.


The Configuration Menu

Use the Configuration menu to specify and manage the following aspects of DeLogger:

  • Defaults General DeLogger preferences for global settings, database channel logging mode filters and connection defaults.
  • Actions [image] Create and edit action definitions to automate tasks and processes.
  • Reports [image] Create and edit reports ready to run on the data database.
  • Web Publishing [image] Settings for DeLogger Pro’s web publishing capability.
  • Data Hub Channels [image] Manage data channels in DeLogger Pro’s data hub (set properties for primary and virtual channels, create virtual channels, and specify a channel’s visibility, conditions, dependancy, alarm and store settings).
  • Database Channel Logging Sessions [image] Define up to 10 sessions (data sets). Each session can log data from one or more channels of any or all of the current connections into DeLogger Pro’s data database.

Configuration > Defaults

This command opens DeLogger’s Defaults dialog box in which you set global preferences, and configure a variety of DeLogger functions such as

• how DeLogger launches

• the logging of dataTaker errors and alarms

• the logging of dataTaker data

• interaction with connected dataTakers

• how much feedback DeLogger gives you in the Messages tab of the event logs window.

To change these settings, enable the dialog box by clicking its Edit button, make the changes, then click the Accept button. When you click Accept, the settings are immediately saved. Finally, close the dialog box by clicking Close.

Global Settings

Open Last Project

If this is checked, then the last opened project will be used when DeLogger next starts up.

Load Existing Message Entries

When Load Existing Message Entries is ticked, DeLogger loads the entire message.txt file (all previously saved entries) into the Messages tab of the event logs window when it launches.

In the Messages tab, previous entries are shown in gray text and new entries are shown in black text. Any color attributes you see in the Messages tab are applied by DeLogger and are not contained in the messages.txt file.

DeLogger automatically supervises message.txt (limits its maximum size) and, because it’s a simple text file, you can open it in a text editor (such as Notepad, WordPad or Word) for perusal or printing.

Logging Errors and Alarms

Tick Log Errors and/or Log Alarms if you want errors and alarms generated by connected dataTakers to be logged and displayed. Later you will be able to display this information and run reports on it.

If you don’t tick these options, connected dataTakers still generate error and alarm messages but DeLogger does not collect them or display them (in the Errors tab and the Alarms tab of the Event Logs window. However, they can still be displayed in a text window.

To delete the error and alarm logs, you must use SiteAdminutility.

Errors

Errors received from connected dataTakers are logged to the administration database in the table error_log. There are various reports within DeLogger to view the contents of the error log according to date criteria.

There are some error messages that can be generated at a fast rate from the dataTaker. These can cause problems to DeLogger if they are coming in too quickly. To allow for this situation there is a filter option that stops certain errors from being logged. These are:

  • E11 - Input(s) out of range
  • E16 - Linearisation error(s)

These errors will still be displayed in a text window and so can be viewed if required.

The default is to filter these alarms but you may allow them to be logged by un-checking the Filter Errors checkbox.

Alarms

Alarms received from connected dataTakers are logged to the administration database in the table alarm_log. There are various reports within DeLogger to view the contents of the alarm log according to date criteria.

The Require Alarm Confirmation checkbox switches on an enhanced mode for the alarm log display - where a pop-up window warns of any new alarms and user entered response text can be entered against individual alarms. The pop-up window can be closed by clicking on the close button [image] and will not be displayed again until all alarms have been confirmed.

To confirm an alarm entry, click the corresponding checkbox and a user entry dialogue will be displayed allowing for alarm response text.

Enter some response text and select OK. If you do not enter any text, the alarm is considered to still be unconfirmed.

Once the alarm entry is confirmed, the checkbox will be selected and your response text displayed. This text will also be displayed in the in-built alarm reports.

The attention box points to the alarm led, by clicking on this the alarm window will be displayed.

The Alarm Log led will remain red until all alarms are confirmed, whereupon it will revert to grey.

If the Require Alarm Confirmation checkbox is not selected, alarms will still be logged (as long as the Log Alarms is checked) but no confirmation will be presented as required.

Note — Actions and Alarms

If you want DeLogger to run an action when an alarm is received from a connected dataTaker, you must tick Log Alarms.

Channel Logging Mode

Using the data hub, you can log data arriving from a dataTaker into DeLogger Pro’s data database. And if you want, you can instruct the data hub to carry out conditional and dependency checks on this data and apply an appropriate status flag (channel “quality" — invalid, partially-invalid, or valid). Each status flag is stored in the database along with its data point.

This function allows you to specify the type of incoming data to be logged as sessions in DeLogger Pro’s data database. You set these general flag options in the Channel Logging Mode area:

Connection Defaults

In the Connection Defaults area of Figure 57, you can tell DeLogger to do the following when connecting to a dataTaker:

• Configure its data hub to reflect the list of data values that the dataTaker is programmed to measure/ convert/calculate for each schedule. The list is then available to DeLogger’s data view windows so that incoming data can be served to them from the data hub.

• Check if a DT800’s firmware can be updated.

• Specify ULAST (unload last) tracking.

Here are the options:

Configuration > Actions

DeLogger Pro has an in-built scripting capability. You use this to create scripts (macros) that instruct DeLogger Pro to perform actions (tasks or processes) automatically.

Actions can be as simple as running a sound file when you launch DeLogger (a siren alert, for example), or as complex as sequentially dialling a number of remote sites after midnight, downloading the data from each site, clearing the logged data from the dataTaker at each site, and preparing a plot or report of the logged data.

The Configuration > Actions command opens the dialog box in which you create and edit DeLogger Pro actions (action definitions, to be precise). DeLogger Pro stores these actions in its administration database. Therefore they are global — that is, available to all projects.

For more information, see Actions

You can use the SiteAdmin utility to create a report that lists the actions you create here — see Reports > Action Listing

Note

These actions are internal to DeLogger Pro. Don’t confuse them with dataTaker alarm actions.

Action Triggers

DeLogger Pro actions can be triggered as follows:

• Manually in the form and mimic windows by means of user-defined buttons. See

• Form > Object

• Mimic > Buttons

• Manually from the Actions tab of the project bar.

• Externally by alarm messages from connected dataTaker data loggers. See Triggering Actions from External Alarms below.

• Internally by DeLogger Pro alarms.

• Automatically by the Schedule utility. See Schedule Utility

• By another action See Chaining Actions below.

The following illustrates these triggers, along with the tasks that an action can carry out.

Triggering Actions from External Alarms

dataTaker alarm messages can have the names of DeLogger Pro actions embedded within the message. The embedded action names must appear within {} braces in the alarm actionText. For example:

Pump Failure{PumpOffAction}

DeLogger Pro scans incoming dataTaker alarm messages for embedded action names. When it locates one, DeLogger Pro checks its administration database for an action record with the same name. If it finds such a record, DeLogger Pro executes the action’s settings as specified in the actions dialog box.

Chaining Actions

An action can run another action, allowing for complex action chains to be created. Specify this using the Chain to field.

See also Chaining Actions

AutoRun Action

DeLogger Pro has a permanent action, called AutoRun, which automatically runs every time DeLogger Pro starts up.

Configuration > Reports

This command opens the dialog box in which you create and edit secondary reports (report definitions, to be precise). You run secondary reports on any of DeLogger’s databases.

You supply one or more parameters (to define the chunk of data for the report), and a printer (DeLogger Pro formats the data accordingly). These become the report’s defaults. (You can temporarily change these later when you run the report.)

Having created a secondary report, you can then employ it using either

• the Reports > Database Reports command, or

• an action

DeLogger Pro stores each secondary report as a record in its administration database.

Parameter Fields

In the Parameter fields in the secondary Reports dialog box, you can either make selections from the drop-down lists or type the parameter text strings directly.

The parameters are criteria (in the form of text strings) that define the information you want returned by the report, such as session names, DeLogger Pro global formulas and internal DeLogger variables.

Note

For every Parameter field in which you select a parameter in the secondary report, there must be a corresponding Crystal Reports® formula defined in the installed report. For example, if a particular installed report only has fields for listing two data sets, then you can only specify two parameters in any secondary report based on this installed report.

Printer Field

If you leave the Printer field blank in the secondary Reports dialog box, DeLogger Pro “prints” to the screen (and formats the report for the screen). Otherwise, select one of the computer’s printers from the list to be the report’s default printer.

You could use this, for example, to create two secondary reports of the same session’s data — a “viewed session report” and a “printed session report”.

Configuration > Web Publish

This command opens the dialog box in which you configure DeLogger Pro to publish data views in HTML format to the following destinations:

• To a local folder (the Publish folder in DeLogger’s installation folder), from where they can be made available to a connected intranet and viewed using browser software (IE 5.5 or later is preferred) — called intranet (local) publishing.

• To the Internet or other web server using FTP — called Internet (WWW) publishing.

Data views you can publish in this way for browser viewing are form windows, chart windows, mimic windows, spreadsheet window charts and analysis window charts.

FTP Delays

As discussed in “Manual and Automatic Web Publishing”, the form, chart and mimic views can be set to publish

• on update (controlled by Publish Delay), or

• by manual triggering (also uses Publish Delay).

When triggered, the view is placed in a queue awaiting to be actioned. Then when the Publish Delay timer has expired, the queue is serviced and the html/jpeg files are produced and put in the local hard disk’s Publish folder.

If selected for internet publishing, the names of the files are placed on the FTP queue and the FTP delay to send timer is started. When this timer expires, Delogger attempts a connection to the FTP server and transfers the queued files.

Once the transfer is complete, DeLogger remains connected to the FTP server for a time controlled by FTP delay to disconnect. During this period any other files added to the queue are sent immediately. When the timer expires, the FTP connection is dropped and the sequence starts again. By using this method, updates can be grouped to save connection costs, which is important if using a dial-up link.

See also “Publishing Frequency”

Configuration > Data Hub Channels

This command opens the Data Hub Channels dialog box, which allows you to see the current contents of DeLogger Pro’s data hub.

Pressing the F5 key on your keyboard also opens this dialog box.

The Data Hub Channels dialog box lists the channels that are available for each job that DeLogger Pro is currently connected to, be it a dataTaker, a replay file, or a database session. (To view a job’s details, click the appropriate tab at the bottom of the dialog box.) The dialog box also allows you to modify and process data channels in various ways. These concepts are covered fully in

• Data Channels in the Data Hub

• Data Hub Functions

• Virtual Data Channels

Channel Flags

The following channel information codes appear in the Flags column:

All Channels |  | Additional Codes for Virtual Channels
C | Channel has conditional criteria defined | R | Virtual channel has realtime input
D | Channel has dependant channel defined | L | Virtual channel has logged input
S | Channel is logging to database session | RL | Virtual channel has both realtime and logged inputs
A | Channel on DDE advise list | (ST) | Virtual channel is store-type
 |  | (CA) | Virtual channel is calculated-type

Configuration > Database Channel Logging Sessions

Data presented to the data hub from any of the available external data sources (realtime data from a dataTaker, or logged data from a dataTaker) can optionally be logged into DeLogger’s data database [image]. The Database Channels Logging Sessions command opens the dialog box in which you organize this.

Once in the database, the data can be

• replayed from the database into DeLogger’s dynamic views (form, chart, text and mimic windows), just as if it were realtime data from a connected dataTaker

• loaded from the database into DeLogger’s static views (spreadsheet and analysis windows)

• presented in reports.

Logging Sessions

When you log data into the database, you create a set of data known as a database channel logging session, or simply a logging session. This is one of the two types of sessions you can create in DeLogger Pro. “Unload Sessions” describes the other type.

Once you activate a logging session, it immediately begins accepting data from its specified channels. If you quit DeLogger Pro, the data flow into the session resumes automatically when you restart DeLogger Pro. If you de-activate the session, data flow stops; if you later re-activate the session, data flow resumes (new data is appended to the existing data in the session).

Compare this cumulative, long-term functionality of logging sessions with unload sessions, which create a unique, detached set of data every time you initiate them.

You can have up to 10 logging sessions operating at the same time, and each must have a unique name; unique to any other logging session currently running, and unique to any other session that exists in the database. (By the way: while it’s true that you could also refer to the set of data contained in a replay file as a “session”, we apply the term to database data sets only.)

See also the “Historical Data, Replay Data” Extras panel.

The data sets resulting from logging sessions or from unload sessions are known throughout DeLogger by their individual session names.

Although database channel logging session definitions are project-specific (the definitions are stored in each project’s master file), the actual sessions (data sets) are global in that any project that has access to the database in which the sessions are stored can access them.

Initiating Unloads

For database channel logging sessions, you initiate the unload of historical (logged) data from a dataTaker using any of the following methods:

• An alarm action that triggers an unload. See Action Trigger — Externally by Alarm Messages from Connected dataTakers

• A mimic or form window button action that triggers a macro (UNLOAD_SITE). See Action Trigger — Manually by Buttons Placed in the Form View and Mimic View

• A Schedule utility schedule that triggers an unload. See Action Trigger — Automatically by the Schedule Utility

• A dataTaker U command sent from a text window.

• Choosing dataTaker > Unload

Deleting Sessions

Although you can modify each session’s details in the Database Channel Logging Sessions dialog box, you ca not delete a session or its data from here. You must use SiteAdmin to do this — see SiteAdmin Utility. (You also use SiteAdmin to archive, back-up, wholly delete, copy, clear and pack DeLogger’s data database.)

Sessions — Realtime or Logged

For each session, you must choose to log one of the two following data types arriving from the dataTaker:

• Realtime data — only data returning from the dataTaker as it’s measured is logged in the session.
No data arriving from the dataTaker’s internal memory/store is logged in the session.

• Logged data — only data returning from the internal memory/store of a dataTaker is logged in the session.
No realtime data arriving from the dataTaker is logged in the session.

This allows you to send returning data to different destinations. For example, while realtime data is being returned from a dataTaker to DeLogger Pro dynamic views, historical (logged) data from a dataTaker can be received by a database logging session.

Setting Up Database Channel Logging Sessions

Work through the following steps to set up Database Channel Logging Sessions:

1. From the Configuration menu, choose Database Channel Logging Sessions.

2. In the dialog box that opens, click an unused tab (1 to 10 across the top of the dialog box) to select the session to define.

You don’t have to define these sessions sequentially, but being orderly (always starting from 1) may reduce the occurrence of forgotten or neglected sessions, which could unintentionally add unwanted data to the database.

3. Tick Active to enable the session.

The session can later be disabled, but left defined, by un-ticking this box.

4. Type a name for the session in the Session field.

The name must be unique, and is usually a brief title for the data source, such as PumpA-May2002 (including a time and/or date is a good idea). You can check the name’s uniqueness by clicking the Check button.

5. If you want, type a more information in the Notes field.

This may help you in the future to identify the data set you’re about to log into the database, or prompt you concerning its purpose.

6. Choose the type of data you want to be logged by this session:

• Choose Real Time Data if you want realtime data from the dataTaker to be logged.

• Choose Logged Data if you want data unloaded from the dataTaker to be “logged” (stored).

7. Select the channel(s) whose data you want logged by this session.

The Available list shows all channels of all current connections, except those hidden using the Channel Display screen. Move the channels into the Selected list using one of the following methods:

• In the Available list, click a required channel then click Add (or simply double-click each required channel).

• For a bulk selection of adjacent channels, click the first channel of the group and drag to the last channel or the group (or Shift-click the last channel), then click Add.

• For a bulk selection of non-adjacent channels, hold down the Ctrl key while you click the channels you want, then click Add.

8. When you have finished defining the session, click Apply to keep the defined session, or click Cancel to cancel the definition.

When you click Apply, the session is immediately available for logging, and begins the session with the first data point that arrives from the session’s channels.

9. To define another logging session, repeat steps 3 to 8. above on another session tab.

10. When you have defined all the sessions you want, click OK to close the dialog box.

Session Names Must Be Globally Unique

Important

Database channel logging session definitions are project-specific, but session names must be unique over all projects.

When Does Database Logging Start and Stop?

A session’s database channel logging starts when data is first received from the session’s channels. It continues until the data flow ceases, or until you open the dialog box again, un-tick Active on the session’s tab, then click Apply.

If you exit DeLogger Pro while logging sessions are still active, they automatically resume when the project is next run.

Macros for Logging Sessions

See Macros for Managing Database Channel Logging Sessions


The dataTaker Menu

The commands on this menu become active when DeLogger is connected to a dataTaker.

If you’re connected to more than one dataTaker when you choose a command from this menu, DeLogger asks you to select the connection first.

dataTaker > Data Logging

Starts or stops data logging in a connected dataTaker.

The command opens a dialog box in which you select logging ON or logging OFF. Then when you click OK, DeLogger sends the appropriate command (LOGON or LOGOFF) to the dataTaker.

In addition, if you’re connected to a DT800, the dialog box

• allows you to set logging for individual schedules

• shows which schedules are currently logging.

The Data Logging command is duplicated by the [image] button on the dataTaker toolbar.

The logging option radio button you see selected when you open the dialog box does not indicate the current logging status of the dataTaker.

dataTaker > Unload

To retrieve logged data from a connected dataTaker, choose Unload. In the dialog box sequence that opens, you specify

  • the data you want to unload:
  • by schedule
  • by date/time
  • by source (for DT5/6xx); by job and data type (for DT8xx)
  • the unload destination:
  • a comma-separated-variable file (.csv) or a replay file (.dlr)
  • a database unload session

The Unload command is duplicated by the [image] button on the dataTaker toolbar.

During an unload, the Data Input Activity indicator on DeLogger’s status bar flashes purple.

End-of-Unload Action

When an unload finishes (that is, when DeLogger sees the end-of-unload record sent by the dataTaker), DeLogger automatically runs an end_of_unload action for that connection (and reports this in the messages tab and the alarms tab of the event logs window).

It does this by adding the connection name to the string end_of_unload_ and looking in the admin database’s action table to see if such an action exists. If it finds an action named end_of_unload_ConnectionName, it runs it. Otherwise, it does nothing.

If you want to use this functionality to, say, clear data from a dataTaker after an unload, you must

create an appropriate action and

name it end_of_unload_ConnectionName so that DeLogger automatically recognizes and runs it at the end of an unload.

Unload Sessions

If you unload logged data from a dataTaker directly to a database session using the dialog box shown in (DeLogger Pro only), you create a data set in DeLogger Pro’s data database called an unload session. This is one of the two types of sessions you can create in DeLogger Pro. “Logging Sessions” describes the other type.

Compare this “one-off data dump” functionality of unload sessions with logging sessions which allow you to accumulate data into the same session through multiple DeLogger Pro restarts and session de-activate/re-activate operations over a long period of time.

Environment

The Environment area (of the first DT5/6xx unload dialog box) contains the following options:

Use Current Environment

When ticked, DeLogger uses the current channel list in the data hub for this connection. When un-ticked, DeLogger gets a new channel list from the dataTaker to interpret the incoming unloaded data. We recommend that you leave this option ticked.

Allow data to be presented to the Data Hub for database logging

When ticked, incoming unloading data is also made available to the data hub for logging in a database session.

Enabling this option slows down the unload process, particularly if DeLogger Pro is running on an older/slower computer, because it requires additional processing of the incoming data. Therefore, unless you specifically want to log the unloaded data to a database logging session, leave this option un-ticked.

Note that this is separate from the option of storing the unloaded data directly to a predefined database unload session.

Allow data to be presented to Views

When ticked, incoming unloading data is also made available to DeLogger’s dynamic views (form, chart, text and mimic windows), allowing the incoming unloaded data to be progressively displayed in various ways during the unload.

Enabling this option slows down the unload process, particularly if DeLogger is running on an older/slower computer, because it requires additional processing of the incoming data. Therefore, unless you specifically want to view the unloading data, leave this option un-ticked.

ULAST List

DeLogger can remember the last item of data returned from a DT800 during an unload. This is called ULAST tracking (unload last). DeLogger maintains a ULAST for each schedule.

The ULAST list (in the Range of Data to Unload area of the first DT8xx Unload dialog box) shows the date and time of the last record of the last DT800 unload for each schedule.

You can use this as the starting point for a new unload as follows:

1. Select the begin Time radio button (in the Range of Data to Unload area).

This activates the begin Time and Date fields.

2. Double-click the row in the ULAST list that you want to use as the start date/time for the next unload.

This places the last date and last time in the appropriate begin fields.

Allow Through to Data Hub…

The Allow through to the Data Hub for database logging and ULAST tracking option near the bottom of the first DT8xx unload dialog box has two functions:

• When ticked, incoming unloading data is also made available to the data hub for logging in a database session.

Enabling this option slows down the unload process, particularly if DeLogger Pro is running on an older/slower computer, because it requires additional processing of the incoming data. Therefore, unless you specifically want to log the unloaded data to a database logging session, leave this option un-ticked.

Note that this is separate from the option of storing the unloaded data directly to a predefined database unload session.

(This is identical to the Allow data to be presented to the Data Hub for database logging option in the DT5/6xx unload dialog box.)

• When ticked, DeLogger Pro tracks the last data record unloaded during any unload (this is the ULAST record), and allows a subsequent unload to begin at the next record after the ULAST record.

This overcomes data repetition, which would occur if each unload began at the start of memory (unless data is specifically cleared from the DT800 memory following each unload).

dataTaker > Quit Unload

During an unload, choose Quit Unload to stop the return of logged data.

There may be a short delay between sending the command and the return of data actually stopping. This is because the Quit Unload command actually stops the copying of logged data into the dataTaker’s output buffer and any remaining records in the buffer still have to be returned to the host.

The Quit Unload command is duplicated by the [image] button on the dataTaker toolbar.

dataTaker > Clear

The Clear command opens a dialog box that you use to erase various areas of a connected dataTaker’s memory.

In DeLogger Pro, the Clear command is duplicated by the [image] button on the dataTaker toolbar.

dataTaker > Job To Run On Hard Reset

Specifies to the connected DT800 the job you want to have automatically loaded and run whenever the DT800 is powered-up or singlepush-reset.

Choosing Job To Run On Hard Reset actually sends the RUNJOBONRESET"JobName" command to the current DT800, which sets up the ONRESET.DXC program file (in flash memory) to load the selected job whenever the DT800 powers up or is singlepush reset. Using this feature, you can configure a DT800 to startup as a dedicated instrument, to auto-restart following power failure, and so on. See “Startup Job” in Part H of the DT800 User’s Manual.

Remember…

So that you can select it, the job that you want to make the ONRESET job must be loaded into the DT800 before the Job To Run On Hard Reset command is used.

dataTaker > Reset

Use DeLogger’s Reset command to send

• a RESET command to a connected DT5/6xx dataTaker

• a RESET command or a SINGLEPUSH command to a connected DT8xx dataTaker.

In DeLogger Pro, the Reset command is duplicated by the [image] button on the dataTaker toolbar.

dataTaker > Run

Use DeLogger’s Run command to instruct a connected dataTaker to run (start/go)

• all of its current schedules, or

• selected schedules.

The Run command is duplicated by the [image] button on the dataTaker toolbar.

dataTaker > Halt

Use DeLogger’s Halt command to instruct a connected dataTaker to halt (stop)

• all of its current schedules, or

• selected schedules.

The Halt command is duplicated by the [image] button on the dataTaker toolbar.

dataTaker > Set Date/Time

Choose Set Date/Time to set the dataTaker’s date and time to that of the host computer (as specified in the computer’s Date/Time control panel).

This command is duplicated by the [image] button on the dataTaker toolbar.

dataTaker > Status

When you choose Status, DeLogger interrogates the connected dataTaker (sends the STATUS command) and returns the information to you in the STATUS dialog box that opens.

You cannot make any changes here — the dialog box is “view-only”.

The Status command is duplicated by the [image] button on the dataTaker toolbar.

dataTaker > Test

When you choose Test, DeLogger sends the TEST command to a connected dataTaker. A dialog box opens to display the results. You cannot make any changes here — the TEST dialog box is “view-only”.

The Test command is duplicated by the [image] button on the dataTaker toolbar.

dataTaker > Memory Card

Opens a dialog box in which you perform supervisory tasks on the memory card inserted in the dataTaker that DeLogger is currently connected to.

The Memory Card command is duplicated by the [image] button on the dataTaker toolbar.

dataTaker > Run Card Program

Starts the execution of the program stored in a memory card inserted into a connected DT5/6xx dataTaker.

This command is not supported by DT8xx dataTakers.

dataTaker > Profile

The Profile command opens a dialog box in which you inspect the current profile settings (user startup defaults) of the connected DT800 and change these if required. Note:

• These settings are for the connected dataTaker, not for the computer on which DeLogger is running.

• This command is not supported by DT5/6xx dataTakers.

Background

The DT800 supports user-definable profiles that determine its startup/reset defaults for various communications capabilities, and its global settings.

These settings are stored in the USER.INI file within the DT800, and are used each time the DT800 performs a SINGLEPUSH reset.

(If the DT800 performs a triple-push reset, or is powered-up from cold, then factory default settings stored in the DT800.INI file are used.)

Host Port Tab

The Host Port tab displays the current parameter settings for the Host RS-232 communications interface of the DT800.

To change any of these settings in the DT800 from this dialog box, edit the appropriate fields then click OK. DeLogger sends the new settings to the DT800 where they are written into its USER.INI file. DeLogger then attempts to have the DT800 load the new profile. However, it may be necessary — and it is recommended — to perform a manual SINGLEPUSH reset of the DT800 to load the new profile.

If the new profile includes changes that affect the current connection between DeLogger and the DT800 (for example, changing the baud rate while connected by means of the Host RS-232 port), the new profile will compromise the current connection. In such cases you must disconnect DeLogger then reconnect at the new settings.

The allowable settings for each parameter are detailed in the DT800 Profile Details.

Ethernet Tab

The Ethernet tab displays the current parameter settings for the Ethernet communications interface of the DT800.

To change any of these settings in the DT800 from this dialog box, edit the appropriate fields then click OK. DeLogger sends the new settings to the DT800 where they are written into its USER.INI file. DeLogger then attempts to have the DT800 load the new profile. However, it may be necessary — and it is recommended — to perform a manual SINGLEPUSH reset of the DT800 to load the new profile.

Two Ethernet protocols are supported by the DT800 —UDP and TCP/IP. Set the UDP Supported field to YES for the UDP protocol, or set to NO for the TCP/IP protocol.

You will need to consult your network administrator for appropriate settings for IP Address, Subnet Mask and Gateway Mask. Usually only an IP Address needs to be entered into the DT800.

Host Modem Tab

The Host Modem tab displays the commands and responses that the DT800 will use to manage a modem connected to the Host RS-232 port. The default settings in the DT800 follow the Hayes AT standard, and will be suitable for most modems.

To change any of these settings in the DT800 from this dialog box, edit the appropriate fields then click OK. DeLogger sends the new settings to the DT800 where they are written into its USER.INI file. DeLogger then attempts to have the DT800 load the new profile. However, it may be necessary — and it is recommended — to perform a manual SINGLEPUSH reset of the DT800 to load the new profile.

Setting up and using modems with the DT800 is discussed in detail in the “RS-232 — Modem Connection to the Host Computer” topic in Part I of the DT800 dataTaker User’s Manual.

FTP Server Tab

The FTP Server tab displays the current settings for the File Transfer Protocol server in the DT800.

To change any of these settings in the DT800 from this dialog box, edit the appropriate fields then click OK. DeLogger sends the new settings to the DT800 where they are written into its USER.INI file. DeLogger then attempts to have the DT800 load the new profile. However, it may be necessary — and it is recommended — to perform a manual SINGLEPUSH reset of the DT800 to load the new profile.

FTP is provided in the DT800 to allow data files to be downloaded using FTP client software (such as WS_FTP and CuteFTP) and most browsers (which have FTP client capability).

To enable FTP in the DT800, set the Supported field to YES.

You can also define a User name and Password if desired. If you’re FTP-unloading data through a local Ethernet of RS-232 connection, security may not be an issue and the default username ANONYMOUS and default password PASSWORD can be used. However, you may want security if the DT800 is connected to wider networks.

PPP Tab

The PPP tab displays the current settings for Point-to-Point Protocol in the DT800. PPP provides the ability to transport TCP/IP data traffic over serial communications links, such as dial-up telephone lines using local and remote modems between a computer and a DT800.

To change any of these settings in the DT800 from this dialog box, edit the appropriate fields then click OK. DeLogger sends the new settings to the DT800 where they are written into its USER.INI file. DeLogger then attempts to have the DT800 load the new profile. However, it may be necessary — and it is recommended — to perform a manual SINGLEPUSH reset of the DT800 to load the new profile.

Usually only the IP Address for the host PC and Remote IP Address for the remote DT800 need to be defined. If security is an issue, then a User name and a Password can also be specified.

ISP Tab

The ISP tab is reserved for future use when e-mailing of messages from the dataTaker 800 is implemented.

dataTaker > Upgrade Firmware

This command initiates an upgrade of the firmware (the operating system) of a connected dataTaker.

During this process you’ll need to locate the firmware upgrade file you want to use. Firmware upgrade files are named with the firmware version number followed by a .dxf extension (3040001.dxf, for example). One or more recent .dxf files are placed in the Firmware\MT folder in DeLogger’s installation folder when you install DeLogger and, when you connect to a dataTaker, DeLogger alerts you if its MT folder contains a newer .dxf file than is currently running in the dataTaker. You can also obtain the latest .dxf file from www.dataTataker.com or your dataTaker representative.


The Seventh Menu

DeLoggers seventh menu changes according to which type of window is front-most:

  • Form for a form window
  • Chart for a chart window
  • Text for a text window
  • Mimic for a mimic window
  • Spread for a spreadsheet window
  • Analysis for an analysis window
  • Program for a DT5/6xx program builder window
  • Program for a DT80 program builder window
  • Program for a DT800 program builder window


Form

The Form Menu

When a form window is front-most, DeLoggers seventh menu changes to Form.

RemembeR

To configure and edit a form, the window must be in edit mode. To display live data, the form window must be in run mode.

Edit Menu Commands

Remember that when a form window is front-most, you can use commands on the Edit menu to work with cells and cell data.

Form > Pause

This command stops and starts the input of data to the form window. While Pause is ticked on the menu, data is not updated in the window.

Pause is only available when the window is in run mode.

The Pause command is duplicated by the [image] button on the form toolbar.

If channel data is not updating in the window, it may be because the window is paused.

Form > Edit Mode

A form window has two modes: edit mode and run mode. Choosing the Edit Mode command toggles the window state between

  • edit mode for configuring the window, and
  • run mode for viewing live data as it arrives in the window (Edit Mode is un-ticked on the Form menu).

You can quickly see when a window is in edit mode because

  • Edit Mode is ticked on the Form menu
  • the word Edit appears on the windows tab
  • the word Edit appears after the filename in the windows title bar
  • the word Edit appears after the form windows filename on the Window menu.

If channel data i snot updating in the window, it may be because the window is in edit mode.

The Edit Mode command is duplicated by a button on the form toolbar.

Form > Column Template

This command opens a dialog box in which you select the columns to be displayed in the current form window.

Column Template is only available when the form window is in edit mode.

Form > Reset High

This command resets all values in the High Value column to zero. A High Value stays at zero until the next time data is returned for that channel.

The Reset High command is duplicated by the [image] button on the form toolbar.

Form > Reset Low

This command resets all values in the Low Value column to zero. A Low Value stays at zero until the next time data is returned for that channel.

The Reset Low command is duplicated by the [image] button on the form toolbar.

Form > Background Colour

Use this command to choose and apply a background color to the entire form. The dialog box contains a palette of ready-made colors, or you can create your own.

Background Colour is only available when the form window is in edit mode.

Form > Show Headers

Shows or hides the row and column headers in the current sheet of the form window. Its only available when the form window is in edit mode.

The Show Headers command is duplicated by the [image] button on the form toolbar.

Form > Show Gridlines

Shows or hides the cell gridlines in the current sheet of the form window. Its only available when the form window is in edit mode.

The Show Gridlines command is duplicated by the [image] button on the form toolbar.

Form > View Toolbar

Shows or hides the form toolbar.

Form > Format

When the form window is in edit mode, Format opens a submenu of commands for formatting the appearance of the currently-selected cells and the data in them. Remember to select the cells you want before using these commands.

Form > Format > Alignment

This command opens the Alignment dialog box, in which you specify the horizontal and vertical placement of data in the selected cells, and enable word wrap.

The Left, Center and Right horizontal alignment options are duplicated by the [image] buttons on the form toolbar.

Note that in addition to the General horizontal format there is also a General data format.

Form > Format > Font

This command opens a dialog box in which you specify the typeface, style and size of data in the selected cells.

These settings override the worksheets default font (for the selected cells only).

Form > Format > Border

Choose this command to apply thin, thick, dashed or double borders in a variety of colors to the currently-selected cells.

The Automatic button applies a default color from your current Windows color scheme (usually black) to the dashed borders.

Form > Format > Pattern

Choose this command to apply a fill colour to the currently-selected cells, with an overlaying pattern if required.

You can preview the effect in the Sample area of the dialog box.

The Automatic button applies a default color from your current Windows color scheme (usually black) to the dashed borders.

Form > Format > General

Applies the General data format the default format that is appropriate for the type of data to the selected cells. This causes the spreadsheet to recognize data you enter into these cells as

" a number when the data contains only numeric characters

" text when the data contains one or more alpha characters

" a date when the data contains slashes and has the form nn/nn or nn/nn/nn (DeLogger assumes the current year, or the first day of the month, if you omit either of these).

Do not confuse this with the General horizontal alignment option.

Form > Format > Fixed

Formats (corrects) the values in the selected cells to no (zero) decimal places. For example, a value of 1234.56789 becomes 1,235.

This command is duplicated by a button on the form toolbar..

Form > Format > Fixed (1) to (5)

These commands format (correct) the values in the selected cells to 1, 2, 3, 4 or 5 decimal places. For example, Fixed (1) formats 1234.56789 to 1234.6, and Fixed (4) formats the same value to 1234.5679.

These commands are duplicated by buttons on the form toolbar.

Form > Format > Percent %

Displays numeric values in the selected cells as percentages. DeLogger Pro multiplies each number by 100 and appends the % character.

If you enter a percentage into a cell (for example, you type 58.33%), DeLogger Pro recognizes the % symbol and therefore displays the value in percent format, but stores the value in numeric format (for example, as 0.5833).

Form > Format > Scientific

Displays numeric values in the selected cells in scientific notation. For example, DeLogger Pro displays the value 0.00035 as 3.50E-04 when you apply the scientific format.

If you type a number in scientific format (for example, you type 19.1E3), DeLogger Pro recognizes this as scientific format, and displays it as 1.91E+04 and stores it as 19100. You can use E or e when typing in scientific format.

Form > Format > Date (yyyy/mm/dd)

Applies the ISO date format to numeric data in the selected cells.

Form > Format > Time (hh:mm:ss)

Applies the ISO time format to numeric data in the selected cells.

Form > Format > Date/Time (yyyy/mm/dd hh:mm:ss.000)

Applies the ISO date and time format to numeric data in the selected cells.

Form > Format > Locale Date/Time

Applies the date and time formats for your locale that is, the formats specified in your computers Regional Settings control panel.

Form > Format > Custom Number

If none of the number formats on DeLogger Pros Form > Formats submenu is suitable, the Custom Number command opens a dialog box that allows you to select others or build your own.

Form > Format > Default Font

Opens a dialog box in which you specify the default font (typeface, style and size) for the current form worksheet.

If you have more than one form window, each with several worksheets, every worksheet can have a different default typeface, font style and/or font size.

You can override the default font for selected cells.

Form > Object

DeLogger Pro allows you to add two types of graphical objects to a worksheet; buttons and checkboxes. You use

" a button to initiate an action

" a checkbox to set a true or false state in a linked cell to control worksheet functions (for example, when a checkbox is ticked the worksheet calculates using formula AA, and when un-ticked the worksheet uses formula BB).

You can also create charts in a worksheet based on the data in selected cells.

Form > Object > Insert Button

To create a button on the current worksheet, select Insert Button from the Object submenu (or click the [image] button on the form toolbar). The cursor changes to a crosshair. Click and drag in the worksheet to create the button.

To make the button trigger an action, see Form > Object > Attach Action. To edit the buttons label, see Form > Object > Options

Form > Object > Insert Checkbox

To create a checkbox on the current worksheet, select Insert Checkbox from the Object submenu (or click the [image] button on the form toolbar). The cursor changes to a crosshair. Click and drag in the worksheet to create the checkbox.

Form > Object > Attach Action

Ctrl+click a form worksheet button to select it, then choose Object > Attach Action. In the dialog box that opens, type the name of the action to be run when the button is clicked.

Form > Object > Options

Ctrl+click a form worksheet button to select it, then choose Object > Options to edit the text that appears on the button.

Form > Validation Rule

You can validate data entry into a worksheet cell. This involves

  • creating a formula to test the entered data (a validation rule), and
  • creating a message to display if the validation test fails (error text).

The formula must return either TRUE or FALSE:

  • If the formula returns TRUE, the value is entered.
  • If the formula returns FALSE, the validation is not entered and the validation text is displayed in an error dialog box.

To do this, select the worksheet cell whose data you want to validate and choose Form > Validation Rule. Type the validation rule and the error text in the dialog box that opens, then click OK.

The example shown limits the range of values that cell B18 will accept to any number greater than 50. The numbers 50 and below cause the validation rule to fail (tests FALSE) and therefore generate the error message. You must then click OK in the error dialog box and change the data in cell B18 so that the rule tests TRUE.

The validation rule must be a logical expression that evaluates to either TRUE or FALSE. For example, the following rules could be used to validate data entered into cell D9:

  • SUM(B5:B22)>D9
  • IF(D9>1,D9<60,D9>0)
  • AND(D9>10,D9<20)

Form > Calculation

The Calculation command opens a dialog box that allows you to

" turn automatic worksheet recalculation on or off

" control the number of times a circular reference is calculated (iteration).

Automatic Recalculation

Leave Automatic Recalc un-ticked because a DeLogger form window has its own mechanism that updates all of a connections channels (and related cells) in the worksheet at once. This is more effective (faster overall) than ticking Automatic Recalc, which forces updates one cell at a time.

There may be some situation that requires Automatic Recalc to be ticked (such as data modelling within the form worksheet) but, in general, leave this option OFF.

Iteration

If you want DeLogger Pro to calculate formulas that contain circular references (that is, each formula depends on the other for its result), tick Iteration in the Calculation dialog box. Then DeLogger Pro repeats the calculation (iterates) and stops after 100 iterations or after the calculated values change by less than 0.001 between iterations.

To change these defaults (100 and 0.001), type new numbers in the Maximum Iterations and Maximum Change fields in the Calculation dialog box.

Form > Define Name

For simplicity and convenience when working with a DeLogger worksheet, you can apply a meaningful name to

  • an individual cell
  • a range of cells
  • a constant value
  • a formula.

Then you can use the name to identify and work with the item instead of, say, a complicated formula or a long constant. For example, you can apply the name LtSp to the constant 186000 and use LtSp in formulas instead of the 6-digit number.

The Define Name command opens a dialog box in which you can

  • name the selected item (cell, range, constant or formula)
  • edit the selected items reference
  • type a constant or a formula and name it.

Do not use the names Print_Area or Print_Titles. These names are reserved for DeLoggers own use.

Form > Set Print Range From Selection

DeLogger prints the first 64 rows of the current worksheet unless you specify an area for printing. To do this, select the rows or cells you want to print (they must be adjacent) and choose Set Print Range From Selection.

Before printing, we recommend that you always use the File > Print Preview command to check the print range.

This print range stays in effect until you select another, and is saved with the project when you choose File > Save Project.

Form > Insert Page Break

If a worksheet is larger than the print area defined in the Print Setup dialog box, DeLogger automatically divides the worksheet into page-sized sections for printing. It does this by inserting automatic (and invisible) page breaks.

You can also specify one or more manual page breaks in a worksheet. To do this, select the cell below and to the right of where you want the page to break, then choose Form > Insert Page Break. DeLogger inserts

  • a horizontal (row) break along the top edge of the selected cell and
  • a vertical (column) break along the left edge of the active cell.

In other words, the active cell becomes the upper-left corner of a new printed page. Darker grid lines indicate the manual page breaks.

When you insert a manual page break, DeLogger adjusts the automatic page breaks in the remainder of the worksheet.

Before printing, we recommend that you always use the File > Print Preview command to check the page breaks. The breaks stay in effect until you remove them and are saved when you save the project.

Insert Page Break is only available when the form window is in edit mode.

Form > Remove Page Break

Use this command to remove manual page breaks.

To remove a horizontal break, select a cell immediately below it then choose Form > Remove Page Break.

To remove a vertical break, select a cell immediately to its right then choose Spread > Remove Page Break.

Remove Page Break is only available when the form window is in edit mode.

Form > Publish

Publish becomes available when you have enabled web publishing.

The Publish command is duplicated by the [image] button on the form toolbar.

Form > Properties

The Properties command opens a dialog box in which you

specify the type of data you want displayed in the current form window Realtime, Logged or both

  • turn on the display of invalid and partially-invalid data (in addition to the standard display of primary/real data)
  • enable automatic web publishing (publishing HTML files) of the current form window
  • enable automatic Internet publishing (publishing HTML files onto a www server) of the current form window
  • select the model of dataTaker to be used by the current form window.

The command is only available when the form window is in edit mode.

The Properties command is duplicated by the [image] button on the form toolbar.

For a more detailed description of working on Form View sheets see Form View Sheets.


Chart

The Chart Menu

When a chart window is front-most, DeLoggers seventh menu changes to Chart.

Remember&

To configure and edit a chart, the chart window must be in edit mode. To display live data, the chart window must be in run mode.

Chart > Pause

Stops and starts the input of data to the chart window. While Pause is ticked on the menu, data is not updated in the window.

Pause is only available when the window is in run mode.

If channel data is not updating in the window, it may be because the window is paused.

Chart > Edit Mode

A chart window has two modes: edit mode and run mode. Choosing the Edit Mode command toggles the window state between

" edit mode for configuring the window, and

" run mode for viewing live data as it arrives in the window (Edit Mode is un-ticked on the Chart menu).

You can quickly see when a window is in edit mode because

" Edit Mode is ticked on the Chart menu

" the word Edit appears on the windows tab

" the word Edit appears after the filename in the windows title bar

" the word Edit appears after the chart windows filename on the Window menu.

If data isn't updating in the window, it may be because the window is in edit mode.

The Edit Mode command is duplicated by a button on the chart toolbar.

Chart > Chart Properties

Opens a dialog box containing five tabs in which you define the appearance and action of the current chart window.

The Chart Properties command is duplicated by the [image] button on the chart toolbar, and by double-clicking anywhere in the chart window.

Do not confuse this command with the windows Properties command.

Chart > Select Channels

Opens a dialog box in which you assign a channel (from the current data hub list) to one of the current chart windows 12 curves, and assign each curve to one of the chart windows six data axes. You must do this for each channel you want to plot in the chart window.

You can also rename the data axes, change them to logarithmic scaling (instead of linear) and manually set their upper and lower limits.

Select Channels is only available when the chart window is in edit mode, and is duplicated by the [image] button on the chart toolbar.

Chart > Edit Axis

Opens the chart Axis Properties dialog box.

Edit Axis is only available when the chart window is in edit mode, and is duplicated by the [image] button on the chart toolbar.

Chart > Rotate

Rotates the chart windows axes so that new data appears at the top of the window and the chart moves downwards.

The Rotate command is duplicated by the [image] button on the chart toolbar.

Chart > Auto Re-Scale

Re-scales the trend graphs horizontally and vertically so that the entire data set(s) fit into the chart area.

The Auto Re-Scale command is duplicated by the [image] button on the chart toolbar.

Chart > Allow Compressed Mode

If Allow Compressed Mode is ticked, DeLogger automatically displays envelope curves instead of the normal curves when so many data points are displayed that they are no longer distinguishable (that is, when there are more data points to plot than screen pixels to display them).

Compressed mode compartmentalizes blocks of readings and displays the minima and maxima in envelope fashion. It avoids on-screen data loss due, for example, to the same screen pixel being used to display two close data points.

Chart > Clear

Clears all trend graphs from the chart area.

The Clear command is only available when the chart window is in edit mode, and is duplicated by the [image] button on the chart toolbar.

Chart > XY Chart

Correlates two sets of data: one on the X axis, the other on the Y axis. Also known as a scatter chart.

To create a scatter chart, tick XY Chart on the Chart menu, put the chart window into edit mode, and choose Select Channels. In the dialog box that opens, assign a channel to one axis, assign a different channel to another axis, and click OK. Now in the chart window, drag one of the scales (by its handle) down onto the horizontal/time scale. Take the chart window out of edit mode and run data into it.

DeLogger Pro retains the time scale across the bottom of the chart to show you the time range of the data plotted on the XY chart above. You can adjust this time range to show more or less data as required.

To return the chart window to normal operation, un-tick XY Chart on the Chart menu.

Chart > View Toolbar

Shows or hides the chart toolbar..

Chart > Scale Text Up

Increases the size of the axis text (seven steps in total).

The Scale Text Up command is duplicated by the [image] button on the chart toolbar.

Chart > Scale Text Down

Decreases the size of the axis text (seven steps in total).

The Scale Text Down command is duplicated by the [image] button on the chart toolbar.

Chart > Publish

Publish becomes available when you have enabled web publishing.

The Publish command is duplicated by the [image] button on the chart toolbar.

Chart > Properties

The Properties command opens a dialog box in which you

" specify the type of data you want displayed in the current chart window Realtime, Logged or both

" turn on the display of invalid and partially-invalid data (in addition to the standard display of primary/real data)

" enable automatic web publishing (publishing HTML files) of the current chart window

" enable automatic Internet publishing (publishing HTML files onto a www server) of the current chart window

" select the model of dataTaker to be used by the current chart window.

The command is only available when the chart window is in edit mode.

The Properties command is duplicated by the [image] button on the chart toolbar.

Do not confuse this command with the Chart Properties command.


Text

The Text Menu

When a text window is front-most, DeLoggers seventh menu changes to Text.

Text > Display Screen

When you choose a connection from the Connection drop-down list at the bottom of the text window, data returning to DeLogger from that connection appears in the text windows display (upper) screen.

Text > Display Screen opens a submenu of commands that become available when you click in the text windows display screen.

Text Screen Splitter

You can drag the divider between the display screen and the entry screen to change their relative sizes, and you can click the Splitter View Mode button [image] to fill the text window with the display screen.

Remember&

To see live data in the text display screen, you must select a connection in the Connection list box at the bottom of the text window.

Text > Display Screen > Filter Data

Opens a dialog box in which you select the schedules whose data you want to appear in the text windows display screen.

The Filter Data command is duplicated by the [image] button on the text display toolbar.

Text > Display Screen > Display Data As

Opens a dialog box in which you choose the format of data displayed in the text display screen.

Replay format - the dataTaker native format

Text format - displays data as formatted, 1 channel per row

CSV format - displays data in a comma separated list

Convert Data and Time (500 series) - same as replay format except the date time is in a readable format

The Display Data As command is duplicated by the [image] button on the text display toolbar.

Text > Display Screen > Capture Data To Disk

As data arrives in a text windows display screen, DeLogger can append the data to a text file. To initiate this choose Capture Data To Disk and, in the navigation box that opens, either

  • type the name of a new .txt file, or
  • select an existing .txt file

While the capture process is active, Capture Data To Disk is ticked on the menu. Choose the command again to stop the capture and automatically save the text file.

While Capture Data To Disk is active, the destination file is open in the computers memory and vulnerable if the computer crashes. As crash protection, DeLogger automatically saves the file to the hard disk as frequently as possible. Then if the computer crashes while the file is open, although the Windows operating system may consider the file to be corrupt, you'll be able to retrieve most (if not all) of its contents.

If you quit (exit) DeLogger with Capture Data To Disk active, the capture file is automatically opened (in append mode) the next time you start DeLogger.

To insert your own text into the display screens text, see Text > Display Screen > Insert Text

The Capture Data To Disk command is duplicated by the [image] button on the text display toolbar. The buttons appearance changes to pressed during the capture.

Text > Display Screen > Font

Opens a standard dialog box in which you specify the typeface, style and size of text in the text windows display screen.

Text > Display Screen > Save Screen Buffer As

Opens a navigation box that allows you to save the contents of the text windows display screen as either

" a text file (.txt), or

" a comma-separated-variable file (.csv).

You can choose this command at any time.

When you save the project, the contents of the display screen are also saved, and then restored to the display screen the next time you open the project.

You can paste extra text (at the current cursor location in the display screen) that is saved along with the contents of the display screen. See Text > Display Screen > Insert Text below.

The display screen buffer is limited to approximately 15,000 lines. (When this number is exceeded, DeLogger automatically deletes the first 2,500 lines.)

Text > Display Screen > Clear Screen Buffer

Deletes the entire contents of the text windows display screen.

The Clear command is duplicated by a button on the text display toolbar.

Text > Display Screen > Insert Text

To paste extra text at the current cursor location in the display screen, choose Insert Text. A dialog box opens in which you enter the text to be inserted.

Once inserted, the extra text is saved along with the current data in the display screen if you choose Text > Display Screen > Save Screen Buffer As (above) or Text > Display Screen > Capture Data To Disk).

Text > Display Screen > Pause

Pauses and un-pauses the flow of data into the text windows display screen.

The Pause command is duplicated by a button on the text display toolbar.

Text > Display Screen > View Toolbar

Shows or hides the text windows display screen toolbar.

Text > Display Screen > Properties

The Properties command opens a dialog box in which you

specify the type of data you want displayed in the current text windows display screen Realtime, Logged or both

  • turn on the display of invalid and partially-invalid data (in addition to the standard display of primary/real data)
  • enable automatic web publishing (publishing HTML files) of the current text windows display screen
  • enable automatic Internet publishing (publishing HTML files onto a www server) of the current text windows display screen
  • select the model of dataTaker to be used by the current text windows display screen.

The Properties command is duplicated by a button on the text display toolbar.

Text > Entry Screen

These commands become available when you click in the text windows entry screen.

Edit Menu Commands

Remember that you can use commands on the Edit menu to work with text in text entry screens.

Text > Entry Screen > Command Edit Mode

Toggles the text windows entry screen between two modes:

  • Command-Edit Mode The entry screen behaves like a true text editor the Enter key takes you to the next line. The command is ticked when the screen is in command-edit mode.
  • To-dataTaker Mode The entry screen behaves like a terminal emulator the Enter key sends the line containing the insertion point to the dataTaker (as well as taking you to the next line). The command is un-ticked when the screen is in to-dataTaker mode.

The Command Edit Mode command is duplicated by a button on the text entry toolbar. Be aware that although this button has the same icon as the Edit Mode button on other window toolbars, it does not perform the identical function.

Text > Entry Screen > Open Text File

Opens a standard File Open dialogue box that allows you to locate and open

  • a command file (.cmd)
  • a DeTransfer file (.dxc)
  • a text file (.txt)

The Open Text File command is duplicated by the [image] button on the text entry toolbar.

Text > Entry Screen > Load DLP Text

Places as plain text (dataTaker command lines) the program from one of the following sources into the text windows entry screen:

  • the current projects program builder windows
  • all jobs in a connected DT800
  • the ONRESET job in a connected DT800

Select the program source in the dialog box that opens.

Use this feature to view, analyze, edit and send all in plain text form a program that was originally created graphically (that is, in a program builder window).

Program text you load in this way completely replaces the contents of the entry screen.

The Load DLP Text command is duplicated by the [image] button on the text entry toolbar.

Text > Entry Screen > Save Text File

Opens a standard File Save dialogue box that allows you to save the contents of the text windows entry screen as

  • a command file (.cmd)
  • a DeTransfer file (.dxc)
  • a text file (.txt).

The Save Text File command is duplicated by the [image] button on the text entry toolbar.

Text > Entry Screen > Send Line

Sends the current line of text (the line containing the insertion point) to the connection shown in the text windows Connection list box.

The Send Line command is duplicated by the [image] button on the text entry toolbar.

Text > Entry Screen > Send Highlighted

Sends text you highlight in the entry screen to the connection shown in the text windows Connection list box.

The Send Highlighted command is duplicated by the [image] button on the text entry toolbar.

Text > Entry Screen > Send Program

Sends the entire contents of the entry screen (send all) to the connection shown in the text windows Connection list box.

The Send Program command is duplicated by the [image] button on the text entry toolbar.

Text > Entry Screen > Set User Buttons

The text windows entry screen has five buttons to which you can assign text strings. When you click one of these buttons (see next topic), DeLogger Pro immediately sends the text string to the dataTaker at the connection selected in the Connection drop-down list (at the bottom of the text window). These buttons are an easy way of sending frequently-used commands.

Choose Set User Buttons to open the dialog box in which you assign text to the five buttons.

The Set User Buttons command is duplicated by the [image] button on the text entry toolbar.

Text > Entry Screen > User Buttons

The commands on the User Buttons submenu each send a user-defined text string to the current dataTaker.

The User Button 1 to User Button 5 commands are duplicated by the [image] buttons on the text entry toolbar.

Text > Entry Screen > Clear Entry Buffer

Deletes the entire contents of the text windows entry screen.

The Clear Entry Buffer command is duplicated by the button on the text entry toolbar.

In case of emergency, the Undo command on the Edit menu returns the screens contents (or use the [image] button on the text entry toolbar).

Text > Entry Screen > Go To Matching Brace

To locate the mate of a brace character ( or ) in a text windows edit screen, click the I-beam cursor on either side of the brace then choose Go To Matching Brace. The cursor jumps to the matching brace.

The Go To Matching Brace command is duplicated by the [image] button on the text entry toolbar, and the Go To Matching Brace command on the Edit menu.

Text > Entry Screen > View Toolbar

Shows or hides the text windows entry screen toolbar.

Text > Splitter View

Alternates the text window between

  • splitter view (splits the window to show both the display screen and the entry screen) and
  • display-screen-only view.

The Splitter View command is duplicated by the [image] button on the text display toolbar.


Mimic

The Mimic Menu

When a mimic window is front-most, DeLoggers seventh menu changes to Mimic.

The Mimic menu contains commands for creating and editing various meters, indicators and buttons that you can use to display live data (realtime and replay data) and perform actions.

Remember&

To create and edit mimics, the mimic window must be in edit mode. For the mimics to display live data, the mimic window must be in run mode. See Mimic > Edit Mode.

Location of New Mimics

When you create a new mimic, DeLogger always places it at the top-left corner of the mimic window.

Selecting, Moving and Resizing Mimics

Single-click anywhere within a mimics panel to select the panel. Shading fills the panel and handles appear. Once a mimic panel is selected, you can move it by

  • dragging the shaded area
  • using the arrow keys (nudging)

resize it by

  • dragging its handles
  • using Ctrl+up/down/left/right arrow key to scale up by moving the panels top/bottom/left/right border
  • using Ctrl+Shift+up/down/left/right arrow key to scale down by moving the panels top/bottom/left/right border.

Mimic Context Menus (Right-Click Menus)

When the mimic window is in edit mode, right-clicking in a blank area of the window pops-up a context menu that allows you to create mimics and add pictures directly.

In addition, right-clicking an existing mimic panel or picture pops-up a context menu containing frequently-used commands.

Mimic Attributes (Double-Click Dialog Boxes)

Once you have created a mimic, you can modify many of its attributes (range, ticks, colors, axis details,&) in dialog boxes that you open by double-clicking a particular area of the mimic.

Mimic > Needle Meters

You add needle meters to the current mimic window by creating needle meter panels. Each panel can contain up to five needle meters, and appear with or without a border. Each meter on a panel can display up to five data channels (that is, five needles per meter).

To add a needle meter panel, choose the Needle Meters command. In the dialog box that opens, each tab specifies the details of one meter within the panel.

You can add as many needle meter panels as your computers resources allow.

The Needle Meters command is duplicated by the [image] button on the mimic toolbar.

Mimic > Arc Meters

You add arc meters to the current mimic window by creating arc meter panels. Each panel can contain up to five arc meters, and appear with or without a border. Each arc meter displays one data channel.

To add an arc meter panel, choose the Arc Meters command. In the dialog box that opens, each tab specifies the details of one meter within the panel.

You can add as many arc meter panels as your computers resources allow.

The Arc Meters command is duplicated by the [image] button on the mimic toolbar.

Mimic > Pie Meters

You add pie meters to the current mimic window by creating pie meter panels. Each panel can contain up to five pie meters, and appear with or without a border. Each pie meter displays one data channel.

To add a pie meter panel, choose the Pie Meters command. In the dialog box that opens, each tab specifies the details of one meter within the panel.

You can add as many pie meter panels as your computers resources allow.

The Pie Meters command is duplicated by the [image] button on the mimic toolbar.

Mimic > Temperature Meter

You add temperature meters to the current mimic window by creating temperature meter panels. Each panel contains one temperature meter, and can appear with or without a border. Each temperature meter displays one data channel.

To add a temperature meter panel, choose the Temperature Meter command. In the dialog box that opens, specify the details of the meter within the panel.

You can add as many temperature meter panels as your computers resources allow.

The Temperature Meter command is duplicated by the [image] button on the mimic toolbar.

Mimic > Annunciator

An annunciator is a panel that changes color according to alarm values (thresholds) that you set for a channel in the data hub see the Alarm Settings screen. Note that these data hub alarms are not the same as alarms you incorporate into a program and send to a dataTaker.

Each panel contains one annunciator, and each annunciator displays one channels data hub alarm states.

To add an annunciator panel, choose the Annunciator command and, in the dialog box that opens, select the channel for which you previously activated one or more alarm thresholds in the data hub.

You can add as many annunciator panels as your computers resources allow.

The Annunciator command is duplicated by the [image] button on the mimic toolbar.

Mimic > Digital

A digital meter is a panel containing a channels current value. If you have used the data hub to set one or more alarms for the channel, the displayed value changes color according to alarm threshold(s);see the Alarm Settings screen. Note that these data hub alarms are not the same as alarms you incorporate into a program and send to a dataTaker.

Each panel contains one digital meter, and each meter displays one channels current value (and optional data hub alarm states).

To add a digital panel, choose the Digital command and, in the dialog box that opens, select the channel to be displayed.

You can add as many digital panels as your computers resources allow.

The Digital command is duplicated by the [image] button on the mimic toolbar.

Mimic > LED Indicators

You add LED indicators to the current mimic window by creating LED panels. Each panel can contain up to five LEDs, and appear with or without a border. Each LED shows red or green depending on whether the current value of its channel is above or below a user-defined threshold.

To add an LED indicator panel, choose the LED Indicators command. In the dialog box that opens, each tab specifies the details of one LED within the panel.

You can add as many LED panels as your computers resources allow.

The LED Indicators command is duplicated by the [image] button on the mimic toolbar.

Mimic > Buttons

A button can send text (a command, for example) to a connected data site, or initiate a DeLogger action, or do both from a single click.

You add buttons to the current mimic window by creating button panels. Each panel can contain up to five buttons.

To add a button panel, choose the Buttons command. In the dialog box that opens, specify

  • the label you want to appear on the button
  • text you want sent (and the target data site) when you click the button
  • an action you want run when you click the button.

You can add as many button panels as your computers resources allow.

To move a button panel, drag it by its shaded border. To open its context menu, right-click its border.

The Buttons command is duplicated by the [image] button on the mimic toolbar.

Mimic > Picture

You can import graphics files into a mimic window to use as a window background or, for example, to build a process flowchart that incorporates DeLogger mimics and buttons.

To do this, choose Picture and, in the dialog box that opens, locate the image you want to import. DeLogger supports bitmap (.bmp) and Windows Metafile (.wmf) graphics file types.

DeLogger places the picture in the upper-left corner of the mimic window. After single-clicking the picture to select it, you can

  • resize it (using the handles)
  • drag it to a new location.

A selection of pictures is provided in DeLoggers Picture folder.

You can add as many pictures as your computers resources allow.

The Picture command is duplicated by the [image] button on the mimic toolbar.

Mimic > Pause

This command stops and starts the input of data to the mimic window. While Pause is ticked on the menu, data is not updated in the window.

Pause is only available when the window is in run mode.

The Pause command is duplicated by the [image] button on the mimic toolbar.

If channel data is not updating in the mimic window, it may be because the window is paused.

Mimic > Edit Mode

A mimic window has two modes: edit mode and run mode. Choosing the Edit Mode command toggles the window state between

  • edit mode for creating and editing mimics, and
  • run mode for updating mimics with live data as it arrives in the window (Edit Mode is un-ticked on the Form menu).

You can quickly see when a window is in edit mode because

Edit Mode is ticked on the Mimic menu

  • the word Edit appears on the windows tab
  • the word Edit appears after the filename in the windows title bar
  • the word Edit appears after the mimic windows filename on the Window menu.

Note: If channel data is not updating in the window, it may be because the window is in edit mode.

The Edit Mode command is duplicated by a button on the mimic toolbar.

Mimic > Edit Panel

Use Edit Panel when you want to alter a mimic panel (for example, add or remove a meter from the panel, assign a different channel, or change a meters label).

Put the mimic window into edit mode, single-click the mimic panel to select it, then choose Edit Panel. The panels dialog box opens allowing you to make changes to the mimic details.(The Panel Border setting cannot be changed.)

Edit Panel applies to the currently-selected or to the last-selected if nothing is selected mimic panel or picture.

The Edit Panel command disguised as Properties is also available on a context menu that pops up when you right-click a mimic panel.

Mimic > Arrange

Every mimic panel is created on its own invisible layer. A new mimic is automatically placed in front of (on top of) any existing ones.

The Arrange command is also available on a context menu that pops up when you right-click a mimic panel.

Note

Clicking a mimic panel or picture (when the window is in edit mode) automatically brings it to the front.

Mimic > Arrange > Back One

Moves the selected mimic panel one layer back/down.

Mimic > Arrange > Forward One

Moves the selected mimic panel one layer forward/up.

Mimic > Arrange > Send To Back

Moves the selected mimic panel to the back/bottom of the layer stack.

Mimic > Arrange > Bring To Front

Moves the selected mimic panel to the front/top of the layer stack.

Mimic > Lock

Locks the selected mimic panel against deletion and layer changes.

To unlock a mimic panel, right-click the mimic and, in the context menu that pops up, choose (un-tick) Lock.

Mimic > Delete

Deletes the selected mimic panel. If the panel is locked, you must unlock it before you can delete it.

The Delete command is also available as Remove on the context menu that pops up when you right-click a mimic panel.

Mimic > Scale Text Up

Increases the size of text in the selected mimic panel (by one point each time you choose the command).

Put the mimic window into edit mode, single-click the mimic panel to select it, then choose Scale Text Up.

The Scale Text Up command is duplicated by a button on the mimic toolbar.

Scale Text Up applies to the currently-selected or to the last-selected if nothing is selected mimic panel.

Mimic > Scale Text Down

Decreases the size of text in the selected mimic panel (by one point each time you choose the command).

Put the mimic window into edit mode, single-click the mimic panel to select it, then choose Scale Text Down.

The Scale Text Down command is duplicated by a button on the mimic toolbar.

Scale Text Down applies to the currently-selected or to the last-selected if nothing is selected mimic panel.

Mimic > View Toolbar

Shows or hides the mimic toolbar.

Mimic > Publish

Publish becomes available when you have enabled web publishing.

The Publish command is duplicated by the [image] button on the mimic toolbar.

Mimic > Properties

The Properties command opens a dialog box in which you specify the type of data you want displayed in the current mimic window Realtime, Logged or both

  • turn on the display of invalid and partially-invalid data (in addition to the standard display of primary/real data)
  • enable automatic web publishing (publishing HTML files) of the current mimic window
  • enable automatic Internet publishing (publishing HTML files onto a www server) of the current mimic window
  • select the model of dataTaker to be used by the current mimic window.

The command is only available when the mimic window is in edit mode.

The Properties command is duplicated by a button on the mimic toolbar).


Spread

The Spread Menu

When a spreadsheet window is front-most, DeLoggers seventh menu changes to Spread.

The Spread menu contains commands for working with static data that you import into a DeLogger spreadsheet window from various sources:

" a replay file (.dlr, .dcp or .dx? file types)

" a text (.txt), Excel® (.xls) or Formula One (.vts) file

" DeLoggers data database

If youre using DeLogger Pro:

" Click in the worksheet area of the window to make the majority of the Spread menu commands available.

" Click in the chart area of the window to make the Chart Type and Publish commands available.

Spreadsheet Chart Right-Click Menu

In DeLogger Pro, right-clicking in the chart area of the spreadsheet window pops-up a menu that you use to modify the charts general appearance, its data series and some characteristics of specific chart elements, and carry out file-related operations.

Spreadsheet Chart Double-Click Dialog Boxes

In addition to the right-click menu, you can double-click individual spreadsheet chart elements (title, data series trace, plot, legend, axis, axis label, subtitle,&). This opens dialog boxes that give you comprehensive control of the particular elements characteristics.

Edit Menu Commands

Remember that when a spreadsheet window is front-most, you can use commands on the Edit menu to work with cells and cell data.

Spread > Load Session From Database

Loads a session from DeLogger Pros database into the current spreadsheet windows worksheet. Select the session in the dialog box that opens.

If you're using DeLogger Pro and therefore have a chart area visible on the right of the worksheet area, click in the spreadsheet to make Load Session From Database available.

The Load Session From Database command is duplicated by the [image] button on the spreadsheet toolbar.

Spread > Load Session From File

Loads a replay file into the current spreadsheet windows worksheet. Select the replay file in the dialog box that opens.

If you are using DeLogger Pro and therefore have a chart area visible on the right of the worksheet area, click in the spreadsheet to make Load Session From File available.

The Load Session From File command is duplicated by the [image] button on the spreadsheet toolbar.

Spread > Import Sheet

Imports worksheet-formatted data into the current spreadsheet window.

The Import Sheet command is duplicated by the [image] button on the spreadsheet toolbar.

Spread > Export Sheet

Saves the contents of the current spreadsheet windows workbook as a Formula One (.vts), Microsoft Excel (.xls), HTML (.htm) or tabbed text (.txt) file.

The Export Sheet command is duplicated by the [image] button on the spreadsheet toolbar.

Spread > Load Into External Spreadsheet

Launches Microsoft Excel (if its installed on the computer) and opens a new Excel spreadsheet with the contents of the current DeLogger spreadsheet window (its worksheets and their data) loaded into it.

The Excel spreadsheet is

  • automatically named with the time at which you choose Load Into External Spreadsheet (in ISO format for example, 110436.xls if the time is 11:04am)
  • automatically saved in DeLoggers Export folder.

The Load Into External Spreadsheet command is duplicated by the [image] button on the spreadsheet toolbar.

Spread > Chart Type

Use the Chart Type commands to choose the way data is presented in the chart area of the spreadsheet window. Click in the spreadsheet windows chart area to make these submenus available.

There are additional chart types available. You access these by double-clicking beside the trace(s) in the chart, or by right-clicking in the chart area.

Spread > Update Chart

Forces an update of the chart, which may be necessary after certain user changes in the spreadsheet windows worksheet.

Spread > Background Colour

Use this command to choose and apply a background color to the current worksheet in the spreadsheet window. The dialog box contains a palette of ready-made colors, or you can create your own.

Spread > Show Headers

Toggles the display of row and column headers in the current worksheet of the spreadsheet window.

Spread > Show Gridlines

Toggles the display of cell gridlines in the current worksheet of the spreadsheet window.

Spread > View Toolbar

Shows or hides the spreadsheet windows toolbar.

Spread > Format

Use the commands on the Format submenu to configure the appearance of the selected worksheet cells and their contents.

Spread > Format > Alignment

This command opens the Alignment dialog box, in which you specify the horizontal and vertical placement of data in the selected cells, and enable word wrap.

Do not confuse this with the General data format.

Spread > Format > Font

This command opens a dialog box in which you specify the typeface, style and size of data in the selected cells.

These settings override the spreadsheets default font (for the selected cells only).

Spread > Format > Border

Choose this command to apply thin, thick, dashed or double borders in a variety of colors to the currently-selected spreadsheet cells.

The Automatic button applies a default color from your current Windows color scheme (usually black) to the dashed borders.

Spread > Format > Pattern

Choose this command to apply a fill colour to the currently-selected spreadsheet cells, with an overlaying pattern if required.

You can preview the effect in the Sample area of the dialog box.

The Automatic button applies a default color from your current Windows color scheme (usually black) to the dashed borders.

Spread > Format > General

Applies the General data format the default format that is appropriate for the type of data to the selected cells. By default, every new spreadsheet has the General data format applied to all of its cells. This causes the spreadsheet to recognize data you enter into these cells as

  • a number when the data contains only numeric characters
  • text when the data contains one or more alpha characters
  • a date when the data contains slashes and has the form nn/nn or nn/nn/nn (DeLogger assumes the current year, or the first day of the month, if you omit either of these).

Note that theres also a General horizontal alignment option.

Spread > Format > Fixed

Formats (corrects) the values in the selected cells to no (zero) decimal places. For example, a value of 1234.56789 becomes 1,235.

This command is duplicated by a button on the spreadsheet toolbar.

Spread > Format > Fixed (1) to (5)

These commands format (correct) the values in the selected cells to 1, 2, 3, 4 or 5 decimal places. For example, Fixed (1) formats 1234.56789 to 1234.6, and Fixed (4) formats the same value to 1234.5679.

These commands are duplicated by buttons on the spreadsheet toolbar.

Spread > Format > Percent %

Displays numeric values in the selected cells as percentages. DeLogger Pro multiplies each number by 100 and appends the % character.

If you enter a percentage into a cell (for example, you type 58.33%), DeLogger Pro recognizes the % symbol and therefore displays the value in percent format, but stores the value in numeric format (for example, as 0.5833).

Spread > Format > Scientific

Displays numeric values in the selected cells in scientific notation. For example, DeLogger Pro displays the value 0.00035 as 3.50E-04 when you apply the scientific format.

If you type a number in scientific format (for example, you type 19.1E3), DeLogger Pro recognizes this as scientific format, and displays it as 1.91E+04 and stores it as 19100. You can use E or e when typing in scientific format.

Spread > Format > Date (yyyy/mm/dd)

Applies the ISO date format to numeric data in the selected cells.

Spread > Format > Time (hh:mm:ss)

Applies the ISO time format to numeric data in the selected cells.

Spread > Format > Custom Number

If none of the number formats on DeLogger Pros Spread > Formats submenu is suitable, the Custom Number command opens a dialog box that allows you to select others or build your own.

Spread > Format > Default Font

Opens a dialog box in which you specify the default font (typeface, style and size) for the current DeLogger spreadsheet window.

If you have more than one spreadsheet window, each can have a different default typeface, font style and/or font size.

You can override the default font for selected cells.

Spread > Calculation

The Calculation command opens a dialog box that allows you to

  • turn automatic worksheet recalculation on or off
  • control the number of times a circular reference is calculated (iteration).

Setting Automatic Recalculation

If you want DeLogger Pro to recalculate all the formulas on all the spreadsheet window worksheets (and update the cell data) every time a cell is changed, tick Automatic Recalc in the Calculation dialog box. Doing this ensures that calculated data is always up-to-date.

However, for large worksheets and/or many formulas, these recalculations may slow DeLogger Pro down. If you notice this occurring, un-tick Automatic Recalc. (Later, you'll need to enable Automatic Recalc to update the worksheets.)

Setting Iteration

If you want DeLogger Pro to calculate formulas that contain circular references (that is, each formula depends on the other for its result), tick Iteration in the Calculation dialog box. Then DeLogger Pro repeats the calculation (iterates) and stops after 100 iterations or after the calculated values change by less than 0.001 between iterations.

To change these defaults (100 and 0.001), type new numbers in the Maximum Iterations and Maximum Change fields in the Calculation dialog box.

Spread > Sort

You can sort selected cells in a spreadsheet windows worksheet, and specify up to 10 keys by which the data is sorted.

To do this, select the cells that you want to sort then choose Spread > Sort. In the dialog box that opens, specify the criteria for the sort operation and click OK.

To set up the Keys area of the Sort dialog box for a sort operation:

  • Choose Key 1, type (in the Key Reference field) the reference of a cell in the first row/column you want to sort by, and select Ascending or Descending for this key.
  • If you want to sort possible duplicates that may arise in Key 1s row/column, you can specify a second-order sort. To do this, choose Key 2, type the reference of a cell in the second row/column you want to sort by, and select Ascending or Descending for this key.
  • Similarly, you can specify a third-order sort, and so on.

Spread > Define Name

For simplicity and convenience when working with a DeLogger Pro spreadsheet window worksheet, you can apply a meaningful name to

  • an individual cell
  • a range of cells
  • a constant value
  • a formula.

Then you can use the name to identify and work with the item instead of, say, a complicated formula or a long constant. For example, you can apply the name LtSp to the constant 186000 and use LtSp in formulas instead of the 6-digit number.

The Define Name command opens a dialog box in which you can

  • name the selected item (cell, range, constant or formula)
  • edit the selected items reference
  • type a constant or a formula and name it.

Do not use the names Print_Area or Print_Titles. These names are reserved for DeLogger Pros own use.

Spread > Set Print Range From Selection

DeLoggers spreadsheet window prints all the data on the active worksheet unless you specify the cell range(s) you want to print. To do this, firstly select (by dragging) the required cells, then choose Spread > Set Print Range From Selection.

The selected cells or ranges don't have to be adjacent. Ways of selecting contiguous and non-contiguous cells are covered in Using the Mouse with Worksheets.

Before printing, we recommend that you always use the File > Print Preview command to check the print range. This print range stays in effect until you select another, and is saved when you save the project.

The Set Print Range From Selection command is duplicated by the button on the spreadsheet toolbar.

Spread > Insert Page Break

If a worksheet is larger than the print area defined in the Print Setup dialog box, DeLogger automatically divides the worksheet into page-sized sections for printing. It does this by inserting automatic (and invisible) page breaks.

You can also specify one or more manual page breaks in a worksheet. To do this, select the cell below and to the right of where you want the page to break, then choose Spread > Insert Page Break. DeLogger inserts

  • a horizontal (row) break along the top edge of the selected cell and
  • a vertical (column) break along the left edge of the active cell.

In other words, the active cell becomes the upper-left corner of a new printed page. Darker grid-lines indicate the manual page breaks.

When you insert a manual page break, DeLogger adjusts the automatic page breaks in the remainder of the worksheet.

Before printing, we recommend that you always use the File > Print Preview command to check the page breaks. The breaks stay in effect until you remove them (see Spread > Remove Page Break next), and are saved when you save the project.

Spread > Remove Page Break

Use this command to remove manual page breaks.

To remove a horizontal break, select a cell immediately below it then choose Spread > Remove Page Break.
To remove a vertical break, select a cell immediately to its right then choose Spread > Remove Page Break.

Spread > Publish

Publish becomes available when you have enabled web publishing.

Spread > Properties

The Properties command opens a dialog box in which you

  • enable automatic Internet publishing (publishing HTML files onto a www server) of the current spread window
  • select the model of dataTaker to be used by the current spread window.


Analysis

The Analysis Menu

The Analysis menu and analysis windows are only available in DeLogger Pro. When an analysis window is front-most, DeLoggers seventh menu changes to Analysis.

The Analysis menu contains commands for working with static data that you import into a DeLogger analysis window from various sources:

  • a replay file (.dlr, .dcp or .dx? file types)
  • a text (.txt), Excel (.xls) or Formula One (.vts) file
  • DeLoggers data database

Analysis Chart Double-Click Dialog Box

Double-click the analysis windows chart area to open the chart Properties dialog box.

Edit Menu Commands

Remember that when an analysis window is front-most, you can use commands on the Edit menu to work with cells and cell data.

Analysis > Load Session From Database

Loads a session from DeLogger Pros database into the current analysis windows worksheet. Select the session in the dialog box that opens.

The Load Session From Database command is only available when you click in the worksheet area of the analysis window.

Analysis > Load Session From File

Loads a replay file into the current analysis windows worksheet. Select the replay file in the dialog box that opens.

The Load Session From File command is only available when you click in the worksheet area of the analysis window.

Analysis > Import Sheet

Imports worksheet-formatted data into the current analysis window.

Analysis > Export Sheet

Saves the contents of the current analysis windows workbook as a Formula One (.vts), Excel (.xls), HTML (.htm) or tabbed text (.txt) file.

Analysis > Load Into External Spreadsheet

Launches Microsoft Excel (if its installed on the computer) and opens a new Excel spreadsheet with the contents of the current DeLogger analysis window (its worksheets and their data) loaded into it.

The Excel spreadsheet is

  • automatically named with the time at which you choose Load Into External Spreadsheet (in ISO format for example, 110436.xls if the time is 11:04am)
  • automatically saved in DeLoggers Export folder.

The Load Into External Spreadsheet command is duplicated by the button on the analysis toolbar.

Analysis > Update Chart

Allows you to adjust the trend layout manually.

When you choose Analysis > Update Chart, a dialog box opens in which you can adjust the Y axis visible band and range.

The Update Chart command is duplicated by the button on the analysis toolbar.

Analysis > Background Colour

Use this command to choose and apply a background color to the current worksheet in the analysis window. The dialog box contains a palette of ready-made colors, or you can create your own.

Analysis > Show Headers

Toggles the display of row and column headers in the current worksheet of the analysis window.

The Show Headers command is duplicated by the button on the analysis windows toolbar.

Analysis > Show Gridlines

Toggles the display of cell gridlines in the current worksheet of the analysis window.

The Show Gridlines command is duplicated by the button on the analysis windows toolbar.

Analysis > View Toolbar

Shows or hides the analysis windows toolbar.

Analysis > Format

Use the commands on the Format submenu to configure the appearance of the selected worksheet cells and their contents.

Analysis > Format > Alignment

This command opens the Alignment dialog box, in which you specify the horizontal and vertical placement of data in the selected cells, and enable word wrap.

Don't confuse this with the General data format.

Analysis > Format > Font

This command opens a dialog box in which you specify the typeface, style and size of data in the selected cells.

These settings override the analysis worksheets default font (for the selected cells only).

Analysis > Format > Border

Choose this command to apply thin, thick, dashed or double borders in a variety of colors to the currently-selected analysis worksheet cells.

The Automatic button applies a default color from your current Windows color scheme (usually black) to the dashed borders.

Analysis > Format > Pattern

Choose this command to apply a fill colour to the currently-selected analysis worksheet cells, with an overlaying pattern if required.

You can preview the effect in the Sample area of the dialog box.

The Automatic button applies a default color from your current Windows color scheme (usually black) to the dashed borders.

Analysis > Format > General

Applies the General data format the default format that is appropriate for the type of data to the selected cells. By default, every new analysis worksheet has the General data format applied to all of its cells. This causes the worksheet to recognize data you enter into these cells as

  • a number when the data contains only numeric characters
  • text when the data contains one or more alpha characters
  • a date when the data contains slashes and has the form nn/nn or nn/nn/nn (DeLogger assumes the current year, or the first day of the month, if you omit either of these).

Note that theres also a General horizontal alignment option.

Analysis > Format > Fixed

Formats (corrects) the values in the selected cells to no (zero) decimal places. For example, a value of 1234.56789 becomes 1,235.

This command is duplicated by a button on the analysis toolbar.

Analysis > Format > Fixed (1) to (5)

These commands format (correct) the values in the selected cells to 1, 2, 3, 4 or 5 decimal places. For example, Fixed (1) formats 1234.56789 to 1234.6, and Fixed (4) formats the same value to 1234.5679.

These commands are duplicated by buttons on the analysis toolbar.

Analysis > Format > Percent %

Displays numeric values in the selected cells as percentages. DeLogger Pro multiplies each number by 100 and appends the % character.

If you enter a percentage into a cell (for example, you type 58.33%), DeLogger Pro recognizes the % symbol and therefore displays the value in percent format, but stores the value in numeric format (for example, as 0.5833)

Analysis > Format > Scientific

Displays numeric values in the selected cells in scientific notation. For example, DeLogger Pro displays the value 0.00035 as 3.50E-04 when you apply the scientific format.

If you type a number in scientific format (for example, you type 19.1E3), DeLogger Pro recognizes this as scientific format, and displays it as 1.91E+04 and stores it as 19100. You can use E or e when typing in scientific format.

Analysis > Format > Date (yyyy/mm/dd)

Applies the ISO date format to numeric data in the selected cells.

Analysis > Format > Time (hh:mm:ss)

Applies the ISO time format to numeric data in the selected cells.

Analysis > Format > Custom Number

If none of the number formats on DeLogger Pros Analysis > Formats submenu is suitable, the Custom Number command opens a dialog box that allows you to select others or build your own.

Analysis > Format > Default Font

Opens a dialog box in which you specify the default font (typeface, style and size) for the current analysis window.

If you have more than one analysis window, each can have a different default typeface, font style and/or font size.

You can override the default font for selected cells.

Analysis > Calculation

The Calculation command opens a dialog box that allows you to

  • turn automatic worksheet recalculation on or off
  • control the number of times a circular reference is calculated (iteration).

Setting Automatic Recalculation

If you want DeLogger Pro to recalculate all the formulas on all the analysis window worksheets (and update the cell data) every time a cell is changed, tick Automatic Recalc in the Calculation dialog box. Doing this ensures that calculated data is always up-to-date.

However, for large worksheets and/or many formulas, these recalculations may slow DeLogger Pro down. If you notice this occurring, un-tick Automatic Recalc. (Later, you'll need to enable Automatic Recalc to update the worksheets.)

Setting Iteration

If you want DeLogger Pro to calculate formulas that contain circular references (that is, each formula depends on the other for its result), tick Iteration in the Calculation dialog box. Then DeLogger Pro repeats the calculation (iterates) and stops after 100 iterations or after the calculated values change by less than 0.001 between iterations.

To change these defaults (100 and 0.001), type new numbers in the Maximum Iterations and Maximum Change fields in the Calculation dialog box.

Analysis > Sort

You can sort selected cells in an analysis windows worksheet, and specify up to 10 keys by which the data is sorted.

To do this, select the cells that you want to sort then choose Analysis > Sort. In the dialog box that opens, specify the criteria for the sort operation and click OK.

To set up the Keys area of the Sort dialog box for a sort operation:

  1. Choose Key 1, type (in the Key Reference field) the reference of a cell in the first row/column you want to sort by, and select Ascending or Descending for this key.
  2. If you want to sort possible duplicates that may arise in Key 1s row/column, you can specify a second-order sort. To do this, choose Key 2, type the reference of a cell in the second row/column you want to sort by, and select Ascending or Descending for this key.
  3. Similarly, you can specify a third-order sort, and so on.

Analysis > Define Name

For simplicity and convenience when working with a DeLogger Pro analysis window worksheet, you can apply a meaningful name to

  • an individual cell
  • a range of cells
  • a constant value
  • a formula.

Then you can use the name to identify and work with the item instead of, say, a complicated formula or a long constant. For example, you can apply the name LtSp to the constant 186000 and use LtSp in formulas instead of the 6-digit number.

The Define Name command opens a dialog box in which you can

  • name the selected item (cell, range, constant or formula)
  • edit the selected items reference
  • type a constant or a formula and name it.

Don't use the names Print_Area or Print_Titles. These names are reserved for DeLogger Pros own use.

Analysis > Set Print Range From Selection

DeLoggers analysis window prints all the data on the active worksheet unless you specify the cell range(s) you want to print. To do this, firstly select (by dragging) the required cells, then choose Analysis > Set Print Range From Selection.

The selected cells or ranges don't have to be adjacent. Ways of selecting contiguous and non-contiguous cells are covered in Using the Mouse with Worksheets.

Before printing, we recommend that you always use the File > Print Preview command to check the print range. This print range stays in effect until you select another, and is saved when you save the project.

The Set Print Range From Selection command is duplicated by the button on the spreadsheet toolbar.

Analysis > Insert Page Break

If a worksheet is larger than the print area defined in the Print Setup dialog box, DeLogger Pro automatically divides the worksheet into page-sized sections for printing. It does this by inserting automatic (and invisible) page breaks.

You can also specify one or more manual page breaks in a worksheet. To do this, select the cell below and to the right of where you want the page to break, then choose Analysis > Insert Page Break. DeLogger Pro inserts

  • a horizontal (row) break along the top edge of the selected cell and
  • a vertical (column) break along the left edge of the active cell.

In other words, the active cell becomes the upper-left corner of a new printed page. Darker grid lines indicate the manual page breaks.

When you insert a manual page break, DeLogger Pro adjusts the automatic page breaks in the remainder of the worksheet.

Before printing, we recommend that you always use the File > Print Preview command to check the page breaks. The breaks stay in effect until you remove them, and are saved when you save the project.

Analysis > Remove Page Break

Use this command to remove manual page breaks.

To remove a horizontal break, select a cell immediately below it then choose Analysis > Remove Page Break.
To remove a vertical break, select a cell immediately to its right then choose Analysis > Remove Page Break.

.

Analysis > Publish

Publish becomes available when you have enabled web publishing.

The Publish command is duplicated by the button on the analysis toolbar.

Analysis > Properties

The Properties command opens a dialog box in which you

  • enable automatic Internet publishing (publishing HTML files onto a www server) of the current analysis window
  • select the model of dataTaker to be used by the current analysis window.

The Properties command is duplicated by the button on the analysis toolbar.


Program 5

The Program Menu DT5/6xx

When a DT5/6xx program builder window is front-most, DeLoggers seventh menu changes to Program.

Remember&

To create and edit a program in a DT5/6xx program builder window, the window must be in edit mode. When you have finished editing, if you want to lock the window against changes, un-tick Edit Mode on the Program menu.

Program > Send To Connection

Sends the dataTaker program that is, everything defined on all tabs of the front-most DT5/6xx program builder to the connected dataTaker.

Program > Send To Card On Connection

Sends the dataTaker program that is, everything defined on all tabs of the front-most DT5/6xx program builder to the program area of a memory card inserted in a connected dataTaker. In the dialog box that opens, you must select

  • the dataTakers behaviour when it starts the program stored on the card (Mode of Operation area)
  • how the program starts and how the data storage memory operates (Options area).

Program > Arrange Channels

Tidies the channel icons in the current tab of the program builder by arranging them in a single vertical column.

If Sort by Channel Number is ticked, the Arrange Channels command also sorts the channel icons by channel number.

The Arrange Channels command is duplicated by the button on the DT5/6xx program builder toolbar.

Program > Next Analogue Channel

Adds a new analog channel icon to the current program builder tab and automatically numbers it one higher than the highest analog channel number already used on the tab.

The Next Analogue Channel command is duplicated by the button on the DT5/6xx program builder toolbar.

Program > Next Digital Channel

Adds a new digital channel icon to the current program builder tab and automatically numbers it one higher than the highest digital channel number already used on the tab.

The Next Digital Channel command is duplicated by the button on the DT5/6xx program builder toolbar.

Program > Next HSC Channel

Adds a new HSC (High Speed Counter) channel icon to the current program builder tab and automatically numbers it one higher than the highest HSC channel number already used on the tab.

The Next HSC Channel command is duplicated by the button on the DT5/6xx program builder toolbar.

Program > Edit Mode

A DT5/6xx program builder window has two modes: edit mode and locked mode. Choosing the Edit Mode command toggles the window state between

  • edit mode for creating and editing a dataTaker program in the window, and
  • locked mode channels cant be changed (Edit Mode is un-ticked on the Program menu).

You can quickly see when a window is in edit mode because

  • Edit Mode is ticked on the Program menu
  • the word Edit appears on the windows tab
  • the word Edit appears after the filename in the windows title bar
  • the word Edit appears after the windows filename on the Window menu.

The Edit Mode command is duplicated by the [image] button on the DT5/6xx program builder toolbar.

Program > View Toolbar

Shows or hides the DT5/6xx program builder toolbar.

Program > Properties

The Properties command opens a dialog box in which you

  • set options for sorting and copying channel icons
  • change the look of the current DT5/6xx program builder window.

The Properties command is duplicated by the [image] button on the DT5/6xx program builder toolbar.


Program 80

The Program Menu DT80

When a DT80 program builder window is front-most, DeLoggers seventh menu changes to Program.

Program > Send To Connection

You use the command Send To Connection to send a program to a connected DT80.

Because the DT80 runs according to one program at a time, whenever you use Send To Connection, the newly-sent program automatically replaces any existing program in the DT80. You must use this command whenever you need to reprogram the DT80:

  • to send an entirely new program, or
  • to simply make minor changes to the DT80s operation (you do this by altering its current program in the program builder then re-sending the program).

If a project contains more than one program builder window, make sure the one you want to send is front-most before choosing Send To Connection. Single-click the window to be certain.

What is Sent

When you send a program, you send all settings on every tab in the current program builder window. So in addition to scan schedules, you are also sending

  • any span, polynomial and thermistor definitions you have created on these tabs
  • the DT80 configuration settings on the Switches, Parameters and Global tabs.

Program > Send To Connection And Save As RESET Job

Send To Connection And Save As RESET Job does the same as Send To Connection but has an extra function: in addition to sending the current program, it also sets it to be the DT80s startup program/job.

The startup program is stored in the file ONRESET.DXC (in the DT80s SRAM memory) and is automatically loaded and run by the DT80 every time it restarts.


Program 8

The Program Menu DT8xx

When a DT8xx program builder window is front-most, DeLoggers seventh menu changes to Program.

Program > Send To Connection

You use the command Send To Connection to send a program to a connected DT800.

Because the DT800 runs according to one program at a time, whenever you use Send To Connection, the newly-sent program automatically replaces any existing program in the DT800. You must use this command whenever you need to reprogram the DT800:

  • to send an entirely new program, or
  • to simply make minor changes to the DT800s operation (you do this by altering its current program in the program builder then re-sending the program).

If a project contains more than one program builder window, make sure the one you want to send is front-most before choosing Send To Connection. Single-click the window to be certain.

What is Sent

When you send a program, you send all settings on every tab in the current program builder window. So in addition to scan schedules, you are also sending

  • any span, polynomial and thermistor definitions you have created on these tabs
  • the DT800 configuration settings on the Switches, Parameters and Global tabs.

Program > Send To Connection And Save As RESET Job

Send To Connection And Save As RESET Job does the same as Send To Connection but has an extra function: in addition to sending the current program, it also sets it to be the DT800s startup program/job.

The startup program is stored in the file ONRESET.DXC (in the DT800s SRAM memory) and is automatically loaded and run by the DT800 every time it restarts.


The Reports Menu

You can run and print reports on selected subgroups of the information stored in DeLogger’s data database.

DeLogger is supplied with eight standard reports, which you run using

• the Reports > Alarms submenu

• the Reports > Errors submenu

These are all installed reports.

In addition to these eight reports, DeLogger Pro has

• two more installed reports that you run from the Reports > Log Files submenu

• any number of secondary reports (also called database reports) that you run from the Reports > Database Reports dialog box.

Reports > Alarms

This submenu contains commands that run four installed alarm reports on the data database.

Reports > Alarms > Full

Creates a report of all dataTaker alarm messages.

Reports > Alarms > Today

Creates a report of today’s dataTaker alarm messages.

Reports > Alarms > Week To Date

Creates a report of dataTaker alarm messages received this week.

Reports > Alarms > Month To Date

Creates a report of dataTaker alarm messages received this month.

Reports > Errors

This submenu contains commands that run four installed error reports on the data database

Reports > Errors > Full

Creates a report of all dataTaker error messages.

Reports > Errors > Today

Creates a report of today’s dataTaker error messages.

Reports > Errors > Week To Date

Creates a report of dataTaker error messages received this week.

Reports > Errors > Month To Date

Creates a report of dataTaker error messages received this month.

Reports > Log Files

This DeLogger Pro submenu contains commands that run two installed log reports on the data database.

Reports > Log Files > Schedule

Whenever you use DeLogger Pro’s Schedule software, the details are logged in the data database. The Reports > Log Files > Schedule command generates a report of this information.

Reports > Log Files > Action

Whenever an action runs, DeLogger Pro logs the details in the data database. The Reports > Log Files > Action command generates a report of this information.

Reports > Database Reports

The Database Reports command opens a dialog box sequence in which you

• select a secondary report (also called a database report)

• fine-tune the selected report’s database, parameter and printer details (if required)

• run the report.

You can type the parameters directly, or select them from the drop-down lists.

Each drop-down list contains

• any session names stored in the database

• DeLogger Pro global formulas.


The Tools Menu

DeLogger’s Tools menu provides functions for

• configuring input/output cards installed into the ISA bus of the computer

• reading data logged onto memory cards into data files that can be used as replay files within DeLogger.

All dataTaker use the same PCMCIA/PC Card format of memory cards, but use different memory technologies. The DT5/6xx dataTakers use SRAM memory cards, while DT8xx dataTakers use ATA FLASH memory cards.

Tools > Internal Cards

Select the Internal Cards menu option to configure input/output cards installed into the ISA bus of the computer.

Only the Amplicon PC263 relay output card is supported by DeLogger to date, and the appropriate driver must first be installed before proceeding with this function. Refer to the driver documentation supplied with the card for further details.

Tools > Memory Cards

Select the Memory Cards menu option to read data from memory cards and select 5/6xx series if you wish to read data from an SRAM memory card (via the dataTaker Card Reader) used in a dataTaker 50/500/600 series data logger, or select 8xx series if you wish to read data from an ATA FLASH memory card used in a dataTaker 800 series data logger.

Tools > Memory Cards > 5/6xx Series > MCI Assistant

If the MCI Assistant Card Reader utility is installed, this option will become available. It requires that you have a dataTaker Card Reader (MCI-04) connected to one of the serial ports.

For help on this utility please see the MCI Assistant Card Reader specific help file.

Tools > Memory Cards > 5/6xx Series > PCMCIA

This option requires that your PC support the reading of the dataTaker SRAM memory cards. The selections use the command line utilities DeCopy and DeImage.

The three options are:

Copy

This option allows you to copy an image file from the card to the PC.

Translate

This option allows you to create a replay file from a saved image.

Create Replay File

This option creates a replay file from an image on the card.

Tools > Memory Cards > 8xx Series > Unload Jobs

Selecting 8xx series displays the following dialog, enabling you to unload data from the inserted memory card and either save it to a replay file or load into DeView. For Pro versions of the software, you can also load the data into Analysis or Spread View.

Drive

The Windows driver for PCMCIA/PC Card ATA FLASH memory cards configures the memory card slot as an IDE drive, and appears in the My Computer folder in the same way as any hard drive. The “memory card drive” has a drive letter, which will vary depending on the number of other hard disks, CD-ROM drives, Zip drives, etc. installed in the computer. For example, a notebook computer with one hard drive (C:) and one CD-ROM drive (D:) usually configures the memory card slot as drive E:.

Select the drive to indicate where the memory card has been inserted.

Provided that there is data on the card, the dataTaker serial number is displayed, together with the names of any jobs. When you select the job name, the file directories are scanned and the Scanning dialog may be displayed, depending on the file sizes. Additionally, the Save To and Load To buttons are enabled.

Selecting Replay File

This option should be selected if you wish to store the data on the PC or replay the data at a later date, using DeLogger.

The replay file is saved to the default replayed directory which is ..:\Documents and Settings\All Users\Application Data\dataTaker\DeLogger\Replay. The file name format is Serial Number Job Schedule Date Time. For example:

Note that the Schedule is only included in the file name if specific schedules have been selected in the Options dialog. See below.

You may wish to filter the job's data according to parameters you set in the Options dialog. This enables you to filter by data type, schedule and / or by date and time. Note that this Options dialog is also displayed when you select any of the Load To options as the data is always saved as a Replay file before it is displayed.

Job

Displays the job name for the data.

Type

Enables you to select the type of information to be unloaded: data or alarm.

Schedules

Enables you to filter the data according to the schedules the data was recorded against. Only those schedules where information has been found are enabled and these may vary depending on the selected type; data or alarm.

Range of Data to Unload

Enables you to set a further filter by date and time. By default, all data is selected covering the whole date range for the schedule(s) that have been selected. To enter your own date-time range, select the Time button and amend the default time and or date, as required.

Loading to DeView

This option goes through the Replay process as described above before displaying the data in DeView. You should select this option if the file is large.

Loading to Analysis View or Spread View

This option again goes through the Replay process described above before displaying the information in Analysis View or Spread View.


The Window Menu

Window > Cascade

Neatens the project’s non-minimized windows by arranging them as shown in Figure 205.

Window > Tile Vertical

Neatens the project’s non-minimized windows by arranging them as shown in Figure 205.

Window > Tile Horizontal

Neatens the project’s non-minimized windows by arranging them as shown in Figure 205.

Window > Arrange Icons

Arranges minimized (iconized) windows across the bottom of the workspace.

Window > Project Windows (List)

To quickly locate a window by bringing it to the front, choose its name from this list (Figure 204).

Clicking a window’s tab (Figure 1 on page 13) does the same thing.

Window > More Windows

This command appears on the menu when a project contains more than nine windows. It opens a dialog box that lists all of the current project’s windows. Select a window name and click OK to bring it to the front.


The Help Menu

Help > Contents

This command will bring up this help file with the Contents page selected.

Help > Index

This command will bring up this help file with the Index page selected.

Help > About DeLogger

This command opens an information box that contains contact links and DeLogger’s version details.

Help > View the Manual...

This command will display a PDF version of the manual. It requires that a PDF reader is installed on your machine.


The Taskbar Menu

Whenever DeLogger is running, its icon appears in your computer’s system tray at the right-hand end of the Windows taskbar. Right-clicking the icon pops-up DeLogger’s taskbar menu.


Windows

The Project Window

The Form Window

The Chart Window

The Text Window

The Mimic Window

The Spreadsheet Window

The Analysis Window

The DT5/6xx Program Builder Window

The DT80 Program Builder Window

The DT800 Program Builder Window

The Event Logs Window


The Form Window

Monitoring Channels

To assign channels to the form, ensure the window is in Edit Mode [image] and single click the row number (or anywhere on the row) and

from the dialogue select the channels you want to monitor. You may select multiple channels by highlighting them in the list with the mouse or selecting

individually with the mouse whilst keeping the Control key down. The channels will be laid out from the selected row downwards - any existing will be over written.

To over-write an existing row, double click on the row and assign as above.

Formula One Workbook Designer

If you need additional worksheet power, double-right-click a DeLogger worksheet (in a form, chart or analysis window). The worksheet opens in a Formula One® Workbook Designer window, which has additional commands if you need them (such as Insert Sheet and Delete Sheet. The Workbook Designer’s functionality is similar to that of Microsoft Excel. See Form View Sheets.


The Chart Window

A DeLogger chart window is a dynamic (“live”) display of data from realtime data sources, or from historical data sources (replay files and database sessions).It displays trend graphs — like a chart recorder.

A DeLogger chart window is a dynamic (“live”) display of data from real-time data sources, or from historical data sources (replay files and database sessions).

It displays trend graphs — like a chart recorder.


The Text Window

The text window’s main functions are

• to display incoming real-time or historical data “live” (text form) — in the display screen

• to type commands to send to the dataTaker (an alternative to the program builder if you’re familiar with the dataTaker command language) — in the entry screen.

Note

Commands activated by some of the buttons on the entry screen toolbar are only available on this toolbar. They are not available anywhere else in DeLogger.

Serial Sensor Direct Mode (DT80 series only)

Serial sensor direct mode allows you to communicate directly with an attached serial device or sensor, as if your PC was connected directly to the device or sensor. In this mode the data logger will pass any commands it receives to the device attached to the serial sensor port. It will also return any results received from the device attached to the serial sensor port back to the PC. Passing through the commands and results via the logger gives the appearance that you are directly connected to the device or sensor. This mode would typically be used to configure the serial device or sensor attached to the serial sensor port without the need to disconnect it from the logger.

DeLogger allows you to enter and exit serial sensor direct mode using buttons on the toolbar ([1->] or [2->]) or via the Text window menu (Text>Serial Direct Mode>1SERIAL or Text>Serial Direct Mode>2SERIAL). There are two buttons: [1->] instructs the data logger to use 1SERIAL(serial sensor port) or [2->] instructs it to use 2SERIAL(host serial port). Selecting the toolbar button again deselects the mode. If a different document window within DeLogger is selected, the mode will be temporarily suspended and resumed when the text window is re-selected.

Note that the serial sensor direct mode is not saved with the project.

In serial sensor direct mode, no filtering is done on the received data and the text entry screen does not apply any formatting.

A useful application of the serial sensor direct mode is to communicate directly with CANgate device attached to the serial sensor port of a dataTaker data logger. This mode can be used to access the SNOOP command of the CANgate to determine which parameters are being broadcast on a CAN network without the need to connect the CANgate directly to a PC. See the CANgate users manual for a full description of how to use the SNOOP command.

To select serial sensor direct mode use the toolbar buttons or the Text menu option as shown below:


The Mimic Window

A DeLogger mimic window is a dynamic (“live”) display of data from real-time data sources, or from historical data sources (replay files and database sessions).

In a mimic window, you view incoming data on various types of meters, add buttons that perform actions, and add background graphics. You can create a complete on-screen instrument/equipment panel using these tools.

You can have a maximum of 64 Mimic pages per project with a maximum of 64 panels per page.

Mimic Attribute Dialog Boxes

Some mimics have attributes that you modify using dialog boxes that are only accessible by double-clicking specific areas on the mimic.

Single-click to identify the area (a hollow rectangle appears momentarily), then double-click the area to open the corresponding attributes dialog box.


The Spreadsheet Window

A DeLogger spreadsheet window is a static display of data loaded/“dumped” from a replay file or a database session. DeLogger automatically arranges the data one row per time-stamp, one column per channel.

You then use standard spreadsheet tools to manipulate and analyze the data.

You can also

• load the contents of the spreadsheet window’s current worksheet into Microsoft Excel (if it’s installed on your computer) with a single command

• export the contents of the spreadsheet window’s current worksheet in a variety of formats.

Spreadsheet Window or Analysis Window?

Both the spreadsheet window and the analysis window basically consist of a worksheet linked to a graph/chart.

• If you want presentation-quality output (like Microsoft Excel), use the spreadsheet window. But be aware that redrawing the spreadsheet window’s graph is a processor-intensive task that can take some time, especially with large data sets and 3D graphs.

• If you’re using DeLogger Pro and want powerful data analysis, use the analysis window. It’s better for looking at an entire data set, selecting and de-selecting traces, and zooming using the mouse.

The Spreadsheet Worksheet

Load a replay file or a database session into a spreadsheet window’s worksheet, then use common spreadsheet techniques and tools (similar to those of Microsoft Excel) to work with the data.

The Spreadsheet Graph Area

If you’re using DeLogger Pro, your spreadsheet windows each have their own graph area. When you load a replay file or database session into the worksheet area, DeLogger automatically plots the data in the graph area. Many tools are available to manipulate objects in the graph area.

DeLogger Pro provides two ways of accessing the dialog boxes that you use to configure a spreadsheet window’s chart:

• Right-click anywhere in the spreadsheet chart to pop-up a menu that you use to modify the chart’s general appearance and its data series, and carry out file-related operations.

• For more-detailed control of the attributes of a chart element (title, data series trace, plot, legend, axis, axis label, subtitle,…), double-click the specific element.

Note

For more information, use the Help button in these dialog boxes.

Spreadsheet Chart Right-Click Dialog Boxes

These can be accessed by choosing commands from the spreadsheet chart’s right-click menu.

Spreadsheet Chart Element Dialog Boxes

Spreadsheet chart elements (title, data series trace, plot, legend, axis, axis label, subtitle,…) have attributes that you modify using dialog boxes that are only accessible by double-clicking the specific element. These are listed in the table below.

Single-click to identify the element (selection handles appear), then double-click the element to open the corresponding Format… dialog box. Some typical double-click dialog boxes are shown below.

To format... | Double-click... | To format... | Double-click...
Chart backdrop | The chart, but not on a specific chart element | Grid | Any grid line
Title | Any part of the title | 3D base or wall | Anywhere on the base or wall other than a grid line
Footnote | Any part of the footnote | Data series | A chart element in an un-selected series or the legend key identifying the series
Legend backdrop | Anywhere in the legend area other than the text or keys | Data point | A data point, or a point in the same series as a selected data point
Legend text | The legend text | Series label | A series label
Plot | Anywhere in the plot area, but not on a specific chart element | Data point label | A data point label
Axis label | An axis label |  |
Axis line or ticks | The line or ticks on an axis |  |
Axis title | The axis title text |  |

Using the Mouse with Worksheets

You can perform the following mouse actions in a DeLogger worksheet:

Action | Description
Click a cell | Moves the active cell to the click location. The active cell’s contents appear in the formula bar, ready for editing.
Click a row or column header, a column heading, or a scan date/time cell (a cell in column A) | Selects the entire row or column
Click in the top left corner | Selects the entire worksheet
Double-right-click anywhere | Opens the Formula One Workbook Designer, where additional commands are available
Double-click a worksheet’s tab | Opens a dialog box that allows you to enter a new name for the worksheet
Click and drag | Selects a range of cells
CTRL + click a cell | Adds the cell to the current selection (can be separate from the current selection)
CTRL + click and drag | Adds the range of cells to the current selection (can be separate from the current selection)
SHIFT + click and drag | Extends the current selection
Drag a cell’s or range’s copy handle | Copies the cell or range into the cells you drag across
Drag a cell’s or range’s border (cursor changes to an arrow) | Moves the cell or range to the new location


The Analysis Window

A DeLogger analysis window is a static display of data loaded/“dumped” from a replay file or a database session. DeLogger automatically arranges the data one row per time-stamp, one column per channel.

You then use standard spreadsheet tools to manipulate and analyze the data.

You can also

• load the contents of the analysis window’s current worksheet into Microsoft Excel (if it’s installed on your computer) with a single command

• export the contents of the analysis window’s current worksheet in a variety of formats.

Analysis Window or Spreadsheet Window?

Both the analysis window and the spreadsheet window basically consist of a worksheet linked to a graph/chart.

• If you want presentation-quality output, use the spreadsheet window. But be aware that redrawing the spreadsheet window’s graph is a processor-intensive task that can take some time, especially with large data sets and 3D graphs.

• If you want powerful data analysis, use the analysis window. It’s better for looking at an entire data set, selecting and de-selecting traces, and zooming using the mouse.

The Analysis Worksheet

Load a replay file or a database session into an analysis window’s worksheet, then use common spreadsheet techniques and tools (similar to those of Microsoft Excel) to work with the data.

See The Analysis Menu

The Analysis Chart Area

Analysis windows (Pro only) each have their own chart area. When you load a replay file or database session into the worksheet area, DeLogger automatically plots the data in the chart area.

To manipulate the chart area, use the techniques described in The Chart Window, and The Analysis Menu.


The DT5/6xx Program Builder Window

You use a DeLogger DT5/6xx program builder window to

• create and edit a DT5/6xx dataTaker program

• send the program to a DT5/6xx dataTaker.


The DT80 Program Builder Window

You use a DeLogger DT80 program builder window to

    • create and edit a DT80 dataTaker program
    • send the program to a DT80 dataTaker.

Know This:

Each program builder window creates just ONE DT80 program. A program can also be thought of as a JOB.

Although the program may contain several schedules and involve many DT80 channels, there is only one program (JOB) per program builder.

Projects and Programs

A project can contain more than one program builder. But the DT80 can only run one program (JOB) at a time when you send a new program, it automatically replaces any existing program in the DT80. (To add another project builder window, choose New on the File menu, then click the DT80 Program button.)

DT80 Program

A DT80 program is everything you specify in a program builder window everything defined on every tab across the bottom of the program builder.

You create the program by choosing various schedule, channel and other items from drop-down lists and dialog boxes, ready to send to your DT80.

Context Help

Clicking the mouse within most cells will display context specific help in the information area.

Defining Schedules

Schedules are the workhorses of the DT80. They are the underling structures that you should use to manage the repetitive processes of the DT80 such as:

  • scanning input channels
  • evaluating calculations
  • processing alarms
  • managing output channels
  • returning data to a host computer
  • logging data

The DT80 supports the following schedules:

11 general-purpose schedules | Report Schedules | Most commonly-used of the schedules
3 special-purpose schedules | Polled schedule | Triggered by command from a host computer
 | Immediate schedule | For running processes immediately, once.
 | Statistical sub-schedule | For collecting primary data for statistical summaries of input channel data.

Each schedule has a unique identifier, which is used when programming the DT800. The schedule ID's are summarised in the following table:

Report schedules | RA, RB, RC, RD, RE, RF, RG, RH, RI, RJ, RK | 11 available
Polled schedule | RX | 1 available
Immediate report schedule | No schedule ID | 1 available within the program builder
Statistical sub-schedule | RS | 1 available

All schedules have a trigger, which defines when the schedule is to execute the processes assigned to it. The DT80 triggers are:

An interval of time | Trigger on time
An external event | Trigger on an external event
An internal event | Trigger on an internal event
A poll command | Trigger on schedule specific poll command

The program builder supports the schedules by having a tab for each. The only exception is the statistical sub-schedule whose rate is defined in the Global page (this is because you do not assign channels directly to the statistical sub-schedule).

To program a particular schedule, select the tab and enter schedule details. Once a schedule is defined, channels can be added to it to build up the program.

Unless there are particular reasons not to, it is recommended that you assign and use the schedules sequentially, that is A through K.

Hint: The immediate schedule is normally used to set initial conditions for a particular program, such as the setting of channel variables that require an initial value or are used as constant values. It is run once before any of the scanning schedules are run.

Sampling Modes

Schedule Triggers

To define a schedule trigger, select the ellipsis button to the right of the Trigger (rate) entry.

The following dialogue is displayed:

This dialogue allows the trigger to be set to one of the following:

  • an interval of time.
  • an external event.
  • an internal event.
  • a poll request from a host computer.

The options are:

Main Trigger

Continuous

The schedule will run as fast as possible and runs until you stop it (by using the DeLogger Halt command).

Interval

Milliseconds - the schedule will attempt to run at the rate selected in thousandths of seconds. (range should be 5<n<65535)

Seconds - the schedule will attempt to run at the rate selected in seconds. (range should be 1<n<65535)

Minutes - the schedule will attempt to run at the rate selected in minutes. (range should be 1<n<65535)

Hours - the schedule will attempt to run at the rate selected in hours. (range should be 1<n<65535)

Days - the schedule will attempt to run at the rate selected in days. (range should be 1<n<65535)

Note: The schedule first runs on the next multiple of the interval since last midnight and subsequently runs every multiple of the interval thereafter. If the interval is not an even multiple of 24 hours, the DT80 inserts a short interval between the last run of the schedule prior to midnight, and the run of the schedule beginning at midnight.

Event(s)

Report schedules can be triggered by external events, which are manifested to the logger as state changes on the digital input channels nDS, or as pulses on the counter channels nC and by internal events which are a changing value of a CV. The required event should be selected and any required parameters entered into variable m and/or n

.

Polled

The schedule will be triggered by a poll request from a host computer or internally by a DT80 alarm command (such as XB)

Optionally Trigger While

A reports schedule's trigger can be enabled or disabled by an external condition (such as switch on). This is a While condition - that is, trigger only While the external or internal condition is true.

The required while condition should be selected and any required parameters entered into variable m and/or n.

While

Accessing the Serial Channel by Serial Trigger

Sometimes the serial device connected to the Serial Channel returns data unsolicited, and so the program must be capable of responding to the device at any time. Any schedule (Ra) can be defined to trigger on the receipt of specified characters at the serial channel as follows:

Ra1SERIAL"text" ...

where a match for text in the incoming data stream produces a trigger.

Ra1SERIAL"control_character" ...

where a match for control_character in the incoming data stream produces a trigger.

Ra1SERIAL"" ...

where any character received into the Serial Channel produces a trigger.

The options required for these are:

Trigger by Event(s) - type serial sensor activity In the associated text box (Serial trigger match text), enter the text, control character or leave blank.

Schedule Options

Select the ellipse button to set schedule options.

Logging - specifies whether the schedule is set to LOGON as default.

Go - specifies whether the schedule is set to Go (run) when the Job is run.

Overwrite Data - specifies whether the data store for this schedule will wrap when full (overwrite earlier readings).

Data Store Size - Select the required data store size and data store size type for this schedule.

Note: The time based options will not be available if the schedule is set to trigger from an event rather than Interval.

For more advanced options select the "Advanced Options..." button.

Store Location - specifies where the storage file(s) for the schedule will be created.

Overwrite Alarms - specifies whether the alarm store for this schedule will wrap when full (overwrite earlier readings).

Alarm Store Size - Select the required alarm store size and alarm store size type for this schedule.

Note: The time based options are not available for alarm storage.

Right-Click Menu

The DT80 program builder has a right-click menu that you will find useful.

In particular, if youre familiar with the dataTaker programming language, the Show Program command presents you with a dialog box that contains your program in text form, line-by-line.

Adding Channels

Once a schedule trigger has been defined, you can add channels to the schedule. The program builder allows a simple method of channel selection by the use of drop-down lists and graphical representation of the wiring options.

All analogue and digital channels on the DT80 are multipurpose. Therefore, to make a channel do what you want it to, you must specify its internal signal and excitation routing, sampling method and data processing. You do this by defining the channel's number, type and any options.

The schedule holds a list of channels to be processed in program order (the order they are defined in the program) and not by its channel number. Therefore the program builder holds the program position sequentially via the row number (labelled Rn) and allows the channel number to be freely defined.

To add a channel, select the next available row and assign a Signal by clicking in the Signal text entry box. A drop down button will appear allowing the selection of the required channel signal.

Once the Signal has been selected, the other mandatory fields (ones with a yellow background) are filled with defaults.

To change the default Type for the Signal, select the drop down and choose your option.

To change the Wiring of the sensor, select the ellipsis button and a context defined dialogue will be presented. (different ones for different Signal/Type combinations)

The following is an example for the Voltage (V) Signal/Type.

Typically it will allow you to choose the DT80 channel number and select a method of connection.

Once you have made your selection and clicked the OK button, the selected options will be compiled and displayed in the relevant columns.

To hide or display the Wiring Information, select the [image] button.

There are a number of advanced options that are available for different combinations of Signal/Type. If applicable the option column will be enabled allowing entry.

The column headers with a yellow background are the minimum required to configure and return data from a channel and the others are for the advanced options.

Label - this is a free format text entry field that should be used to identify the channel. e.g. Boiler Temp

Factor - this is specific to Signal/Type. After selecting the Signal/Type click on the Factor cell to display help information that is relevant to your choice.

Scaling

By default, F1-F7 will be available. If you have defined any Spans or Polynomials in the Scaling Tab [image] they will also be displayed in the drop-down list.

Destination

Alarm

Output Channels

Statistical

Note: Multiple statistical options may be selected, but it will prevent this channel from being used in an alarm.

Variables

You can assign the channels value to a numbered Channel Variable.

Data Manipulation

Note: Multiple data manipulation options may be selected, but it will prevent this channel from being used in an alarm.

Gain Lock

Ref Channel

Excitation

Termination

Options

This is a free format text field for any advanced option settings.

Channel Types

The program builder supports the majority of channels possible within the DT800. There are some wiring configurations it does not attempt to support (channel pairing) and some commands such as complex CV calculations.

The supported types are:

Voltage

V - with zero correction.

HV- high volatge.

Current

I - use with external shunts.

L - 4-20ma current loop.

Temperature

Thermocouple

Platinum RTD

Nickel RTD

Copper RTD

YSxx Thermistors

ADxxx semiconductor current source types

LMxxx

TMPxx

Resistance

R - 2, 3 or 4 wire methods.

Frequency

F - frequency measurement, squared waveform preferred.

Bridge

BGI - 3/4 wire, quarter, half and full bridge. Current excitation.

BGV - Ratiometric, 4 and 6 wire bridges, voltage excitation.

Serial

Complex

SDI-12

SSPORT

CANgate

CAN1

CAN2

GPS

User

User

Channel Variable

CV

System Variable

1SV(kb free internal memory)

2SV(kb stored internal memory)

3SV(kb free memory stick)

4SV(kb stored memory stick)

5SV(number of statistical scans in last schedule)

8SV(mains frequency)

9SV(memory stick present)

10SV(id of owning schedule)

12SV(decimal day time)

13SV(datataker serial number)

15SV(date as day number)

16SV(host input handshake line status)

17SV(host output handshake line status)

18SV(serial sensor input handshake line status)

19SV(serial sensor output handshake line status)

20SV(number of entries free in alarm log)

21SV(number of entries stored in alarm log)

22SV(alarm log wrap status)

25SV(modem machine state)

Internal

VBAT(internal battery voltage)

IBAT(internal battery current)

VLITH(lithium battery voltage)

REFT(internal reference temperature)

VREF(analog PCB reference voltage)

VZERO(kernel PCB zero voltage point)

Digital

DS(input on a single digital channel)

DN(input digital nibble - 4bits/input)

DB(input on a pair of digital inputs - 8bits/input)

DSO(output on a single digital channel)

DNO(output on a nibble)

DBO(output on a pair of digital channels)

Counter

C(counter)

HSC

PE(phase encoder)

Time

D(date)

T(time)

1ST(seconds)

2ST(minutes)

3ST(hours)

4ST(days)

Delay

DELAY

User Channel

The program builder endeavours to support all the available functionality of the DT80, but in practice this is not possible, so the User Channel is used to enter channels where the program builder has not provided direct support. Examples of this are complex CV calculations, DO commands or un-supported wiring configurations.

Selecting the Wiring ellipsis button presents the following dialogue:

You should enter your text directly into this control. The text will not be checked for syntax so be sure to check for any returned error commands from the DT80 when the program is first loaded.

Serial Sensor Port

The DT80's Serial Channel can be used to connect to serial input and/or output devices such as CANgate, a serial sensor, GPS receiver, printer, barcode reader, display panels, PLC, or even another dataTaker.

The Serial Channel

  • can be configured for the RS232, RS422, RS485 or SDI-12 communication standards.
  • has a differential transmitter and receiver that provide for the different serial standards.
  • has RTS/CTS handshake lines.
  • supports rates of 50 to 115200 baud.
  • has switched power available (on the 12V terminal)

The Serial Channel command is placed into the scan schedule in exactly the same way as other dataTaker channels. Any other input channels, calculations, alarms etc. can be in the same schedule if required.

Note: Sometimes the serial device connected to the Serial Channel returns data unsolicited, and so the program must be capable of responding to the device at any time. To handle this situation, the schedule should be set to trigger on the receipt of specified characters.

The serial sensor port is selected by choosing 'Serial' from the Signal list.

The default Type is SERIAL and the default Wiring is 1SERIAL().

The available Type's are:

SERIAL

For Type SERIAL, selection of the Wiring option will display the following dialogue:

This is the main window for adding the Serial Channel input and output commands and for setting various options.

Data flow into and out of the Serial Channel is controlled by the Serial Channel commands.

These commands provide for:

  • formatting and management of output strings and prompts.
  • interpretation and parsing of input strings into dataTaker variables.
  • general management of the Serial Channel.
  • monitoring and debugging of the operation of the Serial Channel.

The same Serial Channel commands are used to supervise RS232, RS422 or RS485 devices connected to the Serial Channel terminals.

Communication Type

Include - check this box if you want to include the type configuration of the serial channel.

RS232/RS422/RS485 - select the option for how you want the port transmitter and receiver to be configured.

Options

Include - check this box if you want to include any of the available options.

Timeout to receive character input - the time-out used on read operations to wait for an incoming character.

State - Options are NL (disables logging of state after execution), NR (disables return of state after execution) and W (disables logging of return of state after execution)

Assign Serial Channel State to CV - allows the returned state to be stored in a channel variable (CV). See Serial Channel State

Serial Control Strings

There are two types of control strings, input and output. Input is used when you have an external device that is sending character or binary data that you want to read into the dataTaker. Output is used when you want to send data to - or control - the external device.

Constructing the input and output strings is made easier by the use of the serial expression builder. To invoke the builder select the 'Add Input Expression' or the 'Add Output Expression' button

When the string is returned from the expression builder it will be added to the end of the list. To move its position in the list - and therefore the order in which the dataTaker will action it - select the entry and use the [image] buttons to move it up or down. The entry can be removed by using the [image] button.

Advanced Usage: To manually enter a command string in the list, select the [image] button. A new entry will be created directly at the end of the list and will be ready for editing. If you add an output command, remember to enclose the commands in the curly brackets. A string containing both input and output commands can be entered; the image in the left margin will reflect this. It should be noted that the manually entered command string is not checked for consistency and that therefore it may cause the dataTaker to return error messages.

Add Input Expression

There are four main parts to the expression builder:

1. The Input Actions - this is a list of available actions.

2. Options - these change according to the Input Action selected.

3. Information window - this window gives a user friendly description of the action. It is read-only.

4. Expression window - this widow shows the dataTaker commands that are being built up. It is read-only.

To assign an action, select it from the Input Actions list, set any required options and select the 'Add' button.

Hint: To add an entry you can also double click it in the 'Input Actions' list.

The Input Actions

Number

The available options are Skip and Assign.

Skip is used when you want to read past (discard) a number.

Assign is used when you want to read the number into a dataTaker channel variable (CV) for storage, or for use in calculations.

Note: whitespace is defined as spaces, tabs, carriage return and linefeed.

The options are:

Skip

Float - will read past an unspecified optionally-signed float. No options required.

Float (Formatted) - will read past a formatted float. Enter the known format of the floating point number.

Integer (Decimal) - will read past an ASCII integer. No options required.

Integer (Hex) - will read past an ASCII hexadecimal formatted integer (will accept hex characters 'ABCDEF'). No options required.

Integer (Octal) - will read past an ASCII octal formatted integer. No options required.

Integer (Binary) - will read past a binary value (not an ASCII representation). The size of the binary must be specified.

Assign

Float - will read a float into a CV. Enter the CV number to assign the result into.

Float (Formatted) - will read a formatted float into a CV. Enter the known format of the floating point number and a CV to place the result into.

Integer (Decimal) - will read an ASCII formatted integer into a CV. Enter the CV number to assign the result into.

Integer (Hex) - will read an ASCII hexadecimal formatted integer into a CV. Enter the CV number to assign the result into.

Integer (Octal) - will read an ASCII octal formatted integer into a CV. Enter the CV number to assign the result into.

Integer (Binary) - will read a number of bytes and interpret them as a binary integer. Enter the size of the binary data and a CV to place the result into.

Text

Skip

Literal String - this will read past a literal string. Enter the string to skip. Note that this is not a find literal string and skip.

String until CR - this will read past ASCII characters until a carriage return character (CR) is found.

Assign

String until CR - will read in a string until a CR is found. The string will be put in a text variable. Enter the maximum length of the string to read and a text channel to assign the result into.

String until whitespace - will read in a string until a whitespace character is found. The string will be put in a text variable. Enter the maximum length of the string to read and a text channel to assign the result into.

Enumerate

String list - will scan the input buffer from current position and read a string. It will match the string to one in the literal list and assign its zero based index (position in the list) into a channel variable. Define the list as single quoted, comma separated. e.g. 'abc','def'. Enter a CV to place the result into. The value -1 will be placed in the CV if no match was found.

String list until CR - this is the same as above except that the string is read until a CR is found.

String list until whitespace - this is the same as above except that the string is read until a whitespace character is found.

Match string - this will scan the input buffer from the current position and match a literal string. The current position will be moved on to the character after the matched string. Enter the string to match.

Match n$ - this will scan the input buffer from the current position, and match a string defined in an internal text channel. The current position will be moved on to the character after the matched string. Enter the number of the internal text channel to match (it is therefore assumed that the string channel has been previously set).

Read string using a character set - this will scan the input buffer from the current position, and assign a string to a text channel that contains only the characters defined in the 'Character Set'. Enter the character set and the number of an internal text channel to assign the result to. The character set may be inverted to say match a string that does not contain any characters in the set.

Character

Skip character - this will allow a specific character to be skipped. Any character may be selected, or its decimal equivalent. Double click from the drop down list to select.

Assign character - this allows a particular character in a stated position to be input to a CV (i.e you could pull out the third character form a string and assign to a CV). Enter the position and the CV to assign the result into.

Special

Wait (ms) - wait n milliseconds.

Wait (CV) - wait nCV milliseconds.

Handshake (ms) - wait a literal number of milliseconds for CTS to be set or cleared.

Handshake (CV) - wait a number of milliseconds defined in a CV for CTS to be set or cleared.

Erase receive buffer will clear all previously arrived characters from the serial input buffer.

Transmit enable ON - Set TXON.

Transmit enable OFF - Set TXOFF.

Print receive buffer - will print contents of receive buffer to host communications port and then will erase the buffer contents.

Add Output Expression

Text

Literal String - this will output a literal string. Enter the string to output.

String Channel - this will output the contents of a text channel. Enter the number of the text channel to output.

Character

Literal character - this will output a literal character code. Enter the character to output.

Number

Output nCv as a decimal integer - this will output the contents of a CV as a decimal integer (ASCII characters). Enter the output format as either a literal size or one defined from a CV and the CV number whose value is to be output. There are various self explanatory options that can be applied as listed in the dialogue.

Output nCv as a octal integer -this will output the contents of a CV as an octal integer (ASCII characters). Enter the output format as either a literal size or one defined from a CV and the CV number whose value is to be output. There are various self explanatory options that can be applied as listed in the dialogue.

Output nCv as a hexadecimal integer - this will output the contents of a CV as a hexadecimal integer (ASCII characters). Enter the output format as either a literal size or one defined from a CV and the CV number whose value is to be output. There are various self explanatory options that can be applied as listed in the dialogue.

Output nCv as a floating point real - this will output the contents of a CV as a floating point real (ASCII characters). Enter the output format as either a literal size or one defined from CV(s) and the CV number whose value is to be output. There are various self explanatory options that can be applied as listed in the dialogue.

Output nCv as a floating point real with exponent - this will output the contents of a CV as a floating point with exponent (ASCII characters). Enter the output format as either a literal size or one defined from CV(s) and the CV number whose value is to be output. There are various self explanatory options that can be applied as listed in the dialogue.

Output nCv as a best fit floating point real - this will output the contents of a CV as a best fit floating point (ASCII characters). Enter the output format as either a literal size or one defined from CV(s) and the CV number whose value is to be output. There are various self explanatory options that can be applied as listed in the dialogue. Best fit will modify the output to give the best representation given the constraints of the size.

Output nCv as a single ASCII character represented by this decimal - this will convert the value of the CV to an equivalent ASCII character and output it. Enter the CV to be used.

Special

Break (ms) - Break for a literal number of milli-seconds.

Break (CV) - Break for a number of milli-seconds defined in a channel variable.

Wait (ms) - Wait for a literal number of milli-seconds.

Wait (CV) - Wait for a number of milli-seconds defined in a channel variable.

RTS Set - Set RTS.

RTS Clear - Clear RTS.

CTS Handshake (ms) - Wait for a literal number of milli-seconds for CTS to be set or cleared.

CTS Handshake (CV) - Wait for a number of milli-seconds defined in a channel variable for CTS to be set or cleared.

Erase receive buffer - Clear all previously received characters from the serial input buffer.

Transmit enable ON - Set TXON (allow communications).

Transmit enable OFF - Set TXOFF (suspend communications).

Print receive buffer - Print current contents of serial input buffer to host communications port, and then clear it.

SSPORT

This allows the option of turning the transceiver on or off at other than the default times.

SSVN

This sets the serial channel negative source voltage (from external power input).

Serial Channel State

Whenever the Serial Channel command is executed, it normally returns a state value that indicates success or otherwise of the execution.

If the execution is successful, then 0 State is returned. If there has been a problem, n State is returned, where n is the error state code relating to the problem. Here are the DT80's Serial Channel error state codes:

0 | OK
1 | Port not available
2 | Transmit buffer overflow
3 | Receive buffer overflow
4 | Special character too large
5 | CTS detect timeout
6 | Transmit timeout
7 | Invalid output action format
8 | Invalid output action
9 | Expecting output action format
10 | Expecting CV
11 | CV out of range
12 | Expecting end of arguments
13 | Illegal input action width
14 | Illegal input action definition
15 | Expecting input action arguments
16 | Integer too big
17 | Bad CTS definition
18 | Bad RTS definition
19 | Bad wait definition
20 | Receive timeout
21 | Bad end of out block
22 | Bad start of out block
23 | Bad end of special character
24 | Bad break definition
25 | Null control string
26 | Bad match definition
27 | n$ out of range
28 | Expecting n$

SDI-12 Configuration

Digital Channel Number

The digital channel number refers to the digital input on the logger that the SDI-12 sensor network is attached to. The network can contain one or more SDI-12 sensors.

Sensor Address

The SDI-12 address refers to the address that the SDI-12 sensor is set to. This is normally zero if only one sensor is connected to a particularSDI-12 network. If more than one sensor is attached to the same network then each sensor must have a different address. Refer to the sensor's documentation on how to set the address of the sensor.

Register Set

The register set refers to the register set for the SDI-12 sensor that contains the parameter of interest. If the sensor supports multiple parameters it may break these into groups of "register sets". Some SDI-12 sensors only return one or a small number of parameters. In these cases the register set should be left set to zero.

Register Number

The register number refers to the parameter within the selected register set that you wish to read. If the SDI-12 sensor only returns one parameter then this can be left set to one.

IMPORTANT: In non-continuous mode the DT80 will always send the 'aC!' command (prior to sending the 'aD!' command) in preference to the 'aM!' command. If the sensor supports both commands then refer to the 'aC!' section in the sensor's documentation to determine the correct register number assignments.

Continuous Mode

Check this box to use the sensor in continuous mode. The sensor must support continuous mode for this feature to work.

SDI-12 Sensor wiring

The diagram above shows the basic wiring configuration for a single SDI-12 sensor connected to a DT80. To connect more than one sensor there are two options. You can either connect a single sensor to each of the digital inputs in the same manor as shown above which gives a maximum of four SDI-12 sensor inputs. Or you can connect up to ten sensors to each digital input in a multi-drop arrangement such that the data, power and ground signals are connected in a common bus arrangement to each SDI-12 sensor. This gives a maximum of 10 x 4 =40 SDI-12 sensors that can be connected to the DT80.

Refer to the DT80 users manual (UM-0085) for more information on SDI-12 sensor support.

CANgate

For a brief description of the CANgate device and its capabilities please see CANgate device.

CANgate setup

When a CANgate channel is first selected as a Signal type, the CANgate setup dialogue will be presented to allow settings for the following:

  • Logger to CANgate device connection settings
  • The ports and associated protocols to use.

The dialogue will only automatically appear once per program document so to change any settings at a later stage, use the Global tab CANgate setup button.

Logger Connection

The possible selections are 1SERIAL for the serial sensor port and 2SERIAL for the host port.

Baud Rate to CANgate

Select a suitable baud rate to the CANgate device. By default, the CANgate's host RS232 port is configured for 115200 baud.

CAN port 1

Enable CAN port 1

To be able to use this port for channel selection it must be enabled. It will then appear as CAN1 in the Type field.

Bus Speed

This will display the possible port bus speeds for the selected protocol. Some protocols have a fixed speed so the selection will be automatically set and greyed out. This information comes from the CANgate xml protocol files.

CANgate Address

Some CAN bus protocols require an address to be set. If the selected protocol requires one it will enable this entry and allow for input. This information comes from the CANgate xml protocol files.

Protocol

Select the required protocol from the drop down list. The list is made up of entries found in the CANgate protocol xml files in the CANgate directory so may vary.

Protocol Description

This will show a description of the selected protocol as defined in the CANgate xml protocol files.

CAN port 2

As for CAN port 1 except all settings relate to port 2 of the CANgate device.

GPS port

Enable GPS port

To be able to use this port for channel selection it must be enabled. It will then appear as GPS in the Type field.

Baud Rate

Select the required baud rate for the CANgate GPS port, 4800 is the most common for NMEA-0183. This information comes from the CANgate xml protocol files.

Protocol

Select the required protocol from the drop down list. The list is made up of entries found in the CANgate protocol xml files in the CANgate directory so may vary.

Protocol Description

This will show a description of the selected protocol as defined in the CANgate xml protocol files.

CANgate Channel Selection

Once the CANgate setup has been run once the enabled ports will be available as selections within the Type field of the program builder.

Selection of the Wiring button will bring up the Parameter selection dialogue that will load the available channels from the relevant protocol xml file.

For example, if CAN port 1 had J1939 protocol selected then the following would be displayed.

All records and protocol parameters are held in the associated protocol xml file.

Parameter Selection

Selection of a parameter is made by clicking anywhere on the required row. The selection will be highlighted. The dialogue is scalable so if the Parameter text is large you can expand the dialogue to fit.

Value Type

The available options are Instantaneous, Average, Maximum and Minimum. This option is only available for Broadcast parameters.

ECU Address

Some protocols require an ECU address to be set. This option will be enabled if the selected protocol requires it.

Broadcast/Polled

When a parameter is selected these buttons will be set to reflect the default setting as defined in the protocol xml file. It may be over-ridden if required.

Used broadcast slots

This text will indicate how many of the available CANgate device broadcast slots have been assigned within the program. The maximum number of available CANgate slots is held in the CANgate Interface XML file.

CANgate Channel Display

Once a parameter has been selected it will be displayed within the program builder.

The Wiring field will display the required information for the schedule and the default label will be placed in the Label field. This can be edited but you should note that it is in the format Name~Units which should be maintained. Note that the channel label can be up to 16 characters and the units 8. The channel can be treated like any other in that the other channel options can be used. e.g. Destination or Statistical.

Scaling

The Scaling tab can be used to create user Spans or Polynomials. Spans are used for linear conversion and Polynomials for non-linear.

Once defined on this tab, they are available for channel selection in the schedules channel scaling drop-down column.

Thermistors

The Thermistors tab can be used to define the scaling of thermistors. Double click on each of the a,b,c and Temperature Units cells and enter your settings.

Once defined on this tab, they are available for channel selection in the schedules channel scaling drop-down column.

Switches

For full details of the switch settings, see the DT80 manual.

Select the relevant check box to change the setting.

Parameters

For full details of the parameter settings, see the DT80 manual.

Global

Job Name

Each separate Job in the DT80 should have a unique name. This name appears in DeLogger and helps identify where the data originated.

Double click to edit the field.

Statistical Sub-Schedule Rate

Select the rate that the statistical schedule should run at. This rate should be faster than any other schedules where statistical options for channels have been selected.

Set dataTaker Date and Time

Selecting this option synchronises the DT80 to the PC clock when the program is downloaded via DeLogger.

CANgate

The setup button allows modifications to the CANgate connection and protocol parameters. If there are defined channels on a CANgate port that is subsequently disabled or had its protocol changed you will be prompted and the relevant channels will be removed from the program builder.


The DT8xx Program Builder Window

You use a DeLogger DT8xx program builder window to

  • create and edit a DT8xx dataTaker program
  • send the program to a DT8xx dataTaker.

Know This:

Each program builder window creates just ONE DT800 program. A program can also be thought of as a JOB.

Although the program may contain several schedules and involve many DT800 channels, there is only one program (JOB) per program builder.

Projects and Programs

A project can contain more than one program builder. But the DT800 can only run one program (JOB) at a time — when you send a new program, it automatically replaces any existing program in the DT800. (To add another project builder window, choose New on the File menu, then click the DT800 Program button.)

DT800 Program

A DT800 program is everything you specify in a program builder window — everything defined on every tab across the bottom of the program builder.

You create the program by choosing various schedule, channel and other items from drop-down lists and dialog boxes, ready to send to your DT800.

Context Help

Clicking the mouse within certain cells will display context specific help in the information area.

Defining Schedules

Schedules are the workhorses of the DT800. They are the underling structures that you should use to manage the repetitive processes of the DT800 such as:

  • scanning input channels
  • evaluating calculations
  • processing alarms
  • managing output channels
  • returning data to a host computer
  • logging data

The Dt800 supports the following schedules:

11 general-purpose schedules | Report Schedules | Most commonly-used of the schedules
3 special-purpose schedules | Polled schedule | Triggered by command from a host computer
 | Immediate schedule | For running processes immediately, once.
 | Statistical sub-schedule | For collecting primary data for statistical summaries of input channel data.

Each schedule has a unique identifier, which is used when programming the DT800. The schedule ID's are summarised in the following table:

Report schedules | RA, RB, RC, RD, RE, RF, RG, RH, RI, RJ, RK | 11 available
Polled schedule | RX | 1 available
Immediate report schedule | No schedule ID | 1 available within the program builder
Statistical sub-schedule | RS | 1 available

All schedules have a trigger, which defines when the schedule is to execute the processes assigned to it. The DT800 triggers are:

An interval of time | Trigger on time
An external event | Trigger on an external event
An internal event | Trigger on an internal event
A poll command | Trigger on schedule specific poll command

The program builder supports the schedules by having a tab for each. The only exception is the statistical sub-schedule whose rate is defined in the Global page (this is because you do not assign channels directly to the statistical sub-schedule).

To program a particular schedule, select the tab and enter schedule details. Once a schedule is defined, channels can be added to it to build up the program.

Unless there are particular reasons not to, it is recommended that you assign and use the schedules sequentially, that is A through K.

Hint: The immediate schedule is normally used to set initial conditions for a particular program, such as the setting of channel variables that require an initial value or are used as constant values. It is run once before any of the scanning schedules are run.

Sampling Modes

The DT800 has three sampling modes for the schedules - normal mode, fast mode and burst mode.

Normal mode sampling has the greatest accuracy, greater resolution and the greatest noise rejection of the three and is appropriate to most data collection applications.

Fast mode allows individual schedules to be tailored to run faster without globally affecting other schedules (as is possible using the parameters). It is intended for continuous use. It is not as accurate as Normal mode.

Burst mode takes readings continuously and even faster than in Fast mode. It can only do this for short periods of time, in bursts.

Use fast mode when you require rapid measurements to be taken over a long time period.

Use burst mode when you require very fast measurements to be taken over a short time period.

Schedule Triggers

To define a schedule trigger, select the ellipsis button to the right of the Rate entry.

The following dialogue is displayed:

This dialogue allows the trigger to be set to one of the following:

  • an interval of time.
  • an external event.
  • an internal event.
  • a poll request from a host computer.

The options are:

Name - enter up to 8 alpha-numeric characters that will be used as a label for this schedule.

Trigger by Time Interval or Events

Interval

Continuous - the schedule will run as fast as possible and runs until you stop it (by using the DeLogger Halt command).

Thousandths of seconds - the schedule will attempt to run at the rate selected in thousandths of seconds. (range should be 5<n<65535)

Seconds - the schedule will attempt to run at the rate selected in seconds. (range should be 1<n<65535)

Minutes - the schedule will attempt to run at the rate selected in minutes. (range should be 1<n<65535)

Hours - the schedule will attempt to run at the rate selected in hours. (range should be 1<n<65535)

Days - the schedule will attempt to run at the rate selected in days. (range should be 1<n<65535)

X - the schedule will be triggered by a poll request from a host computer or internally by a DT800 alarm command (such as XB)

Note: The schedule first runs on the next multiple of the interval since last midnight and subsequently runs every multiple of the interval thereafter. If the interval is not an even multiple of 24 hours, the DT800 inserts a short interval between the last run of the schedule prior to midnight, and the run of the schedule beginning at midnight.

Enable FAST mode - this option allows this schedule to be run in FAST mode.

m | is the number of background measurements to average for a fundamental sample (P46) | 1 to 150 (default = 2 )
ADC_frequency | is the ADC speed in kHz (P60) | 1 to 100 (default = 100)
mains_frequency | is the local mains frequency in Hz (P11) | 48 to 1000 (default = 1000)

Event(s)

Report schedules can be triggered by external events, which are manifested to the logger as state changes on the digital input channels nDS, or as pulses on the counter channels nC and by internal events which are a changing value of a CV. The required event should be selected and any required parameters entered into variable m and/or n

.

Optionally Trigger While

A reports schedule's trigger can be enabled or disabled by an external condition (such as switch on). This is a While condition - that is, trigger only While the external or internal condition is true.

The required while condition should be selected and any required parameters entered into variable m and/or n.

While

Accessing the Serial Channel by Serial Trigger

Sometimes the serial device connected to the Serial Channel returns data unsolicited, and so the program must be capable of responding to the device at any time. Any schedule (Ra) can be defined to trigger on the receipt of specified characters at the serial channel as follows:

Ra1SERIAL"text" ...

where a match for text in the incoming data stream produces a trigger.

Ra1SERIAL"control_character" ...

where a match for control_character in the incoming data stream produces a trigger.

Ra1SERIAL"" ...

where any character received into the Serial Channel produces a trigger.

The options required for these are:

Trigger by Event(s) - type serial. In the associated text box, enter the text, control character or leave blank.

Schedule Burst Mode

The DT800 supports burst mode sampling, which captures analogue input data at very high sampling rates for short periods of time. This is useful for capturing waveforms, pulses and other fast transient events.

Important

You can only sample analogue input channel types in burst mode. The DT800 does not support the following in burst mode:

  • frequency channel types
  • digital and counter channels
  • serial sensor channel
  • delays
  • analogue output channels
  • system variables, system timers
  • calculations
  • ALARM, IF or DO commands

Burst Mode Basics

When a burst schedule commences, the DT800 continuously samples the analogue channels being bursted at the specified burst clock speed (typically much faster than normal mode or FAST mode) and loads them into a circular data buffer, the DT800's burst memory, which holds exactly the number of readings you specify. When the burst memory is full, the next new reading overwrites (replaces) the oldest reading, and so on.

The DT800 continues this process of very fast sampling and circular updating of the oldest readings in burst memory until either the burst is completed or the burst times out.

Bursts and DT800 Resources

Burst mode sampling uses all of the resources of the DT800, and so, during a burst, no other functionality is possible. When the burst is complete, other functionality resumes.

Moreover, you can include more than one burst channel in a schedule and more than one burst schedule in a program (JOB), but the DT800 only carries out one burst at a time. (Although, when processing a burst schedule containing several channels, the DT800 interleaves its focus across each of the channel until the bursting of all the channels is complete)

Burst Pre/Post Trigger

In addition, you can specify an analogue or digital trigger for the burst, called the pre/post trigger, and data from the burst memory can be captured relative to this trigger (that is, before and after the trigger). The position of the pre/post trigger in the burst memory (specified in %) defines the proportion of the memory allocated to pre-trigger data and the proportion allocated to post-trigger data (called pre-trigger memory and post-trigger memory)

Post-Burst Calculation Period

During a burst, the DT800 rapidly samples the analogue inputs being bursted and temporarily stores the resulting primary ADC data. Then when the burst is complete, the DT800 calculates this primary data to engineering units ready for return and/or logging. This post-burst calculation period can take several seconds depending on the number of data points and type of analogue data.

The DT800's default is to return burst data to the host computer immediately after it is collected and calculated. You can disable this by using the /B switch.

Stopping a Burst

Any command arriving at the DT800's Host RS-232 port or Ethernet port cancels a burst.

The Burst Trigger

The Burst pre/post trigger specifies the point at which pre-trigger buffering stops and post-trigger buffering starts (buffering = loading into burst memory). A burst pre/post trigger can be either a digital event or an analogue level.

The prgram builder presents the following options:

The level can be a particular value or level reached on a DT800 analogue input channel (which can be a channel under test or a separate trigger channel).

Defining a Burst Schedule in the Program Builder

To set up a burst schedule in the program builder select the ellipsis button to the right of the Burst entry.

The following dialogue will be displayed:

Make your required settings and select OK. Your settings will be compiled into the correct commands for the DT800. The dialogue explains the options and their defaults.

Note: For more information on Burst mode, please refer to the DT800 User Manual.

Schedule Options

There are two options available:

Logging - specifies whether the schedule is set to LOGON as default.

Go - specifies whether the schedule is set to Go (run) when the Job is run.

Right-Click Menu

The DT8xx program builder has a right-click menu that you will find useful.

In particular, if you’re familiar with the dataTaker programming language, the Show Program command presents you with a dialog box that contains your program in text form, line-by-line.

Adding Channels

Once a schedule trigger has been defined, you can add channels to the schedule. The program builder allows a simple method of channel selection by the use of drop-down lists and graphical representation of the wiring options.

All analogue and digital channels on the DT800 are multipurpose. Therefore, to make a channel do what you want it to, you must specify its internal signal and excitation routing, sampling method and data processing. You do this by defining the channel's number, type and any options.

The schedule holds a list of channels to be processed in program order (the order they are defined in the program) and not by its channel number. Therefore the program builder holds the program position sequentially via the row number (labelled Rn) and allows the channel number to be freely defined.

To add a channel, select the next available row and assign a Signal by clicking in the Signal text entry box. A drop down button will appear allowing the selection of the required channel signal.

Once the Signal has been selected, the other mandatory fields (ones with a yellow background) are filled with defaults.

To change the default Type for the Signal, select the drop down and choose your option.

To change the Wiring of the sensor, select the ellipsis button and a context defined dialogue will be presented. (different ones for different Signal/Type combinations)

The following is an example for the Voltage (V) Signal/Type.

Typically it will allow you to choose the DT800 channel number (or range of channels) and select a method of connection.

Once you have made your selection and clicked the OK button, the selected options will be compiled and displayed in the relevant columns.

There are a number of advanced options that are available for different combinations of Signal/Type. If applicable the option column will be enabled allowing entry.

The column headers with a yellow background are the minimum required to configure and return data from a channel and the others are for the advanced options.

Label - this is a free format text entry field that should be used to identify the channel. e.g. Boiler Temp

Factor

Scaling

Destination

Alarm

Statistical

Variables

Data Manipulation

Gain

Ref Channel

Excitation

Termination

Options

Channel Types

The program builder supports the majority of channels possible within the DT800. There are some wiring configurations it does not attempt to support (channel pairing) and some commands such as complex CV calculations.

The supported types are:

Voltage

V - with zero correction.

VNC - no correction.

VAC - ac input.

Voltage Output

VO - output on Ao terminal.

Current

I - use with external shunts.

L - 4-20ma current loop.

Temperature

Thermocouple

Platinum RTD

Nickel RTD

Copper RTD

YSxx Thermistors

ADxxx semiconductor current source types

LMxxx

TMPxx

DIODE - semiconductor voltage output type and semiconductor diode.

Resistance

R - 2, 3 or 4 wire methods, 1MOhm maximum.

CO - conductivity.

Frequency

F - frequency measurement, squared waveform preferred.

Bridge

BGI - 4 wire, quarter, half and full bridge. Current excitation.

BGV - Ratiometric, 4 and 6 wire bridges, voltage excitation.

Serial

SERIAL

PS

SSPWR

SSPORT

SSVN

User

User

Channel Variable

CV

System Variable

1SV

2SV

3SV

4SV

5SV

8SV

9SV

10SV

12SV

13SV

15SV

16SV

17SV

18SV

19SV

20SV

Internal

REFT

VBAT

VLITH

IBAT

VCHG

IANA

VREF

VZERO

IDSP

HOVN

VREFK

IKRN

VZEROK

MP5

MVN

MVP

PCVPP

PCVCC

IPCM

VEXT

TRGLEV

Digital

DS

DN

DB

DW

DSO

DBO

Analogue State

AS

Counter

C

Time

D

T

1ST

2ST

3ST

4ST

Delay

DELAY

User Channel

The program builder endeavours to support all the available functionality of the DT800, but in practise this is not possible, so the User Channel is used to enter channels where the program builder has not provided direct support. Examples of this are complex CV calculations, DO commands or un-supported wiring configurations.

Selecting the Wiring ellipsis button presents the following dialogue:

You should enter your text directly into this control. The text will not be checked for syntax so be sure to check for any returned error commands from the DT800 when the program is first loaded.

Serial Sensor Port

The DT800's Serial Channel can be used to connect to serial input and/or output devices such as a serial sensor, GPS receiver, printer, barcode reader, display panels, PLC, or even another dataTaker.

The Serial Channel

  • can be configured for the RS-232, RS-422, RS-485 or SDI-12 communication standards.
  • has a differential transmitter and receiver that provide for the different serial standards.
  • has RTS/CTS handshake lines.
  • supports rates of 50 to 115200 baud.
  • has switched power available (on the 12V terminal)

The Serial Channel command is placed into the scan schedule in exactly the same way as other dataTaker channels. Any other input channels, calculations, alarms etc. can be in the same schedule if required.

Note: Sometimes the serial device connected to the Serial Channel returns data unsolicited, and so the program must be capable of responding to the device at any time. To handle this situation, the schedule should be set to trigger on the receipt of specified characters.

The serial sensor port is selected by choosing 'Serial' from the Signal list.

The default Type is SERIAL and the default Wiring is 1SERIAL().

The available Type's are:

SERIAL

For Type SERIAL, selection of the Wiring option will display the following dialogue:

This is the main window for adding the Serial Channel input and output commands and for setting various options.

Data flow into and out of the Serial Channel is controlled by the Serial Channel commands.

These commands provide for:

  • formatting and management of output strings and prompts.
  • interpretation and parsing of input strings into dataTaker variables.
  • general management of the Serial Channel.
  • monitoring and debugging of the operation of the Serial Channel.

The same Serial Channel commands are used to supervise RS-232, RS-422, RS-485 or SDI-12 devices connected to the Serial Channel terminals.

communication type

Include - check this box if you want to include the type configuration of the serial channel.

RS232/RS422/RS485/SDI12 - select the option for how you want the port transmitter and receiver to be configured.

options

Include - check this box if you want to include any of the available options.

Timeout to receive character input - the time-out used on read operations to wait for an incoming character.

State - Options are NL (disables logging of state after execution), NR (disables return of state after execution) and W (disables logging of return of state after execution)

Assign Serial Channel State to CV - allows the returned state to be stored in a channel variable (CV). See Serial Channel State

serial control strings

There are two types of control strings, input and output. Input is used when you have an external device that is sending character or binary data that you want to read into the dataTaker. Output is used when you want to send data to - or control - the external device.

Constructing the input and output strings is made easier by the use of the serial expression builder. To invoke the builder select the 'Add Input Expression' or the 'Add Output Expression' button

When the string is returned from the expression builder it will be added to the end of the list. To move its position in the list - and therefore the order in which the dataTaker will action it - select the entry and use the [image] buttons to move it up or down. The entry can be removed by using the [image] button.

Advanced Usage: To manually enter a command string in the list, select the [image] button. A new entry will be created directly at the end of the list and will be ready for editing. If you add an output command, remember to enclose the commands in the curly brackets. A string containing both input and output commands can be entered; the image in the left margin will reflect this. It should be noted that the manually entered command string is not checked for consistency and that therefore it may cause the dataTaker to return error messages.

Add Input Expression

There are four main parts to the expression builder:

1. The Input Actions - this is a list of available actions.

2. Options - these change according to the Input Action selected.

3. Information window - this window gives a user friendly description of the action. It is read-only.

4. Expression window - this widow shows the dataTaker commands that are being built up. It is read-only.

To assign an action, select it from the Input Actions list, set any required options and select the 'Add' button.

Hint: To add an entry you can also double click it in the 'Input Actions' list.

The Input Actions

Number

The available options are Skip and Assign.

Skip is used when you want to read past (discard) a number.

Assign is used when you want to read the number into a dataTaker channel variable (CV) for storage, or for use in calculations.

Note: whitespace is defined as spaces, tabs, carriage return and linefeed.

The options are:

Skip

Float - will read past an unspecified optionally-signed float. No options required.

Float (Formatted) - will read past a formatted float. Enter the known format of the floating point number.

Integer (Decimal) - will read past an ASCII integer. No options required.

Integer (Hex) - will read past an ASCII hexadecimal formatted integer (will accept hex characters 'ABCDEF'). No options required.

Integer (Octal) - will read past an ASCII octal formatted integer. No options required.

Integer (Binary) - will read past a binary value (not an ASCII representation). The size of the binary must be specified.

Assign

Float - will read a float into a CV. Enter the CV number to assign the result into.

Float (Formatted) - will read a formatted float into a CV. Enter the known format of the floating point number and a CV to place the result into.

Integer (Decimal) - will read an ASCII formatted integer into a CV. Enter the CV number to assign the result into.

Integer (Hex) - will read an ASCII hexadecimal formatted integer into a CV. Enter the CV number to assign the result into.

Integer (Octal) - will read an ASCII octal formatted integer into a CV. Enter the CV number to assign the result into.

Integer (Binary) - will read a number of bytes and interpret them as a binary integer. Enter the size of the binary data and a CV to place the result into.

Text

Skip

Literal String - this will read past a literal string. Enter the string to skip. Note that this is not a find literal string and skip.

String until CR - this will read past ASCII characters until a carriage return character (CR) is found.

Assign

String until CR - will read in a string until a CR is found. The string will be put in a text variable. Enter the maximum length of the string to read and a text channel to assign the result into.

String until whitespace - will read in a string until a whitespace character is found. The string will be put in a text variable. Enter the maximum length of the string to read and a text channel to assign the result into.

Enumerate

String list - will scan the input buffer from current position and read a string. It will match the string to one in the literal list and assign its zero based index (position in the list) into a channel variable. Define the list as single quoted, comma separated. e.g. 'abc','def'. Enter a CV to place the result into. The value -1 will be placed in the CV if no match was found.

String list until CR - this is the same as above except that the string is read until a CR is found.

String list until whitespace - this is the same as above except that the string is read until a whitespace character is found.

Match string - this will scan the input buffer from the current position and match a literal string. The current position will be moved on to the character after the matched string. Enter the string to match.

Match n$ - this will scan the input buffer from the current position, and match a string defined in an internal text channel. The current position will be moved on to the character after the matched string. Enter the number of the internal text channel to match (it is therefore assumed that the string channel has been previously set).

Read string using a character set - this will scan the input buffer from the current position, and assign a string to a text channel that contains only the characters defined in the 'Character Set'. Enter the character set and the number of an internal text channel to assign the result to. The character set may be inverted to say match a string that does not contain any characters in the set.

Character

Skip character - this will allow a specific character to be skipped. Any character may be selected, or its decimal equivalent. Double click from the drop down list to select.

Assign character - this allows a particular character in a stated position to be input to a CV (i.e you could pull out the third character form a string and assign to a CV). Enter the position and the CV to assign the result into.

Special

Wait (ms) - wait n milliseconds.

Wait (CV) - wait nCV milliseconds.

Handshake (ms) - wait a literal number of milliseconds for CTS to be set or cleared.

Handshake (CV) - wait a number of milliseconds defined in a CV for CTS to be set or cleared.

Erase receive buffer will clear all previously arrived characters from the serial input buffer.

Transmit enable ON - Set TXON.

Transmit enable OFF - Set TXOFF.

Print receive buffer - will print contents of receive buffer to host communications port and then will erase the buffer contents.

Add Output Expression

Text

Literal String - this will output a literal string. Enter the string to output.

String Channel - this will output the contents of a text channel. Enter the number of the text channel to output.

Character

Literal character - this will output a literal character code. Enter the character to output.

Number

Output nCv as a decimal integer - this will output the contents of a CV as a decimal integer (ASCII characters). Enter the output format as either a literal size or one defined from a CV and the CV number whose value is to be output. There are various self explanatory options that can be applied as listed in the dialogue.

Output nCv as a octal integer -this will output the contents of a CV as an octal integer (ASCII characters). Enter the output format as either a literal size or one defined from a CV and the CV number whose value is to be output. There are various self explanatory options that can be applied as listed in the dialogue.

Output nCv as a hexadecimal integer - this will output the contents of a CV as a hexadecimal integer (ASCII characters). Enter the output format as either a literal size or one defined from a CV and the CV number whose value is to be output. There are various self explanatory options that can be applied as listed in the dialogue.

Output nCv as a floating point real - this will output the contents of a CV as a floating point real (ASCII characters). Enter the output format as either a literal size or one defined from CV(s) and the CV number whose value is to be output. There are various self explanatory options that can be applied as listed in the dialogue.

Output nCv as a floating point real with exponent - this will output the contents of a CV as a floating point with exponent (ASCII characters). Enter the output format as either a literal size or one defined from CV(s) and the CV number whose value is to be output. There are various self explanatory options that can be applied as listed in the dialogue.

Output nCv as a best fit floating point real - this will output the contents of a CV as a best fit floating point (ASCII characters). Enter the output format as either a literal size or one defined from CV(s) and the CV number whose value is to be output. There are various self explanatory options that can be applied as listed in the dialogue. Best fit will modify the output to give the best representation given the constraints of the size.

Output nCv as a single ASCII character represented by this decimal - this will convert the value of the CV to an equivalent ASCII character and output it. Enter the CV to be used.

Special

Break (ms) - Break for a literal number of milli-seconds.

Break (CV) - Break for a number of milli-seconds defined in a channel variable.

Wait (ms) - Wait for a literal number of milli-seconds.

Wait (CV) - Wait for a number of milli-seconds defined in a channel variable.

RTS Set - Set RTS.

RTS Clear - Clear RTS.

CTS Handshake (ms) - Wait for a literal number of milli-seconds for CTS to be set or cleared.

CTS Handshake (CV) - Wait for a number of milli-seconds defined in a channel variable for CTS to be set or cleared.

Erase receive buffer - Clear all previously received characters from the serial input buffer.

Transmit enable ON - Set TXON (allow communications).

Transmit enable OFF - Set TXOFF (suspend communications).

Print receive buffer - Print current contents of serial input buffer to host communications port, and then clear it.

PS

Allows the setting of the baud rate, parity, data bits, stop bits and flow control settings. By selecting the Wiring options the following dialogue will be displayed allowing setting of these parameters.

SSPWR

This option allows the switched output from the 12V terminal of the serial channel to be controlled.

SSPORT

This allows the option of turning the transceiver on or off at other than the default times.

SSVN

This sets the serial channel negative source voltage (from external power input).

Serial Channel State

Whenever the Serial Channel command is executed, it normally returns a state value that indicates success or otherwise of the execution.

If the execution is successful, then 0 State is returned. If there has been a problem, n State is returned, where n is the error state code relating to the problem. Here are the DT800's Serial Channel error state codes:

0 | OK
1 | Port not available
2 | Transmit buffer overflow
3 | Receive buffer overflow
4 | Special character too large
5 | CTS detect timeout
6 | Transmit timeout
7 | Invalid output action format
8 | Invalid output action
9 | Expecting output action format
10 | Expecting CV
11 | CV out of range
12 | Expecting end of arguments
13 | Illegal input action width
14 | Illegal input action definition
15 | Expecting input action arguments
16 | Integer too big
17 | Bad CTS definition
18 | Bad RTS definition
19 | Bad wait definition
20 | Receive timeout
21 | Bad end of out block
22 | Bad start of out block
23 | Bad end of special character
24 | Bad break definition
25 | Null control string
26 | Bad match definition
27 | n$ out of range
28 | Expecting n$

Serial Sensor Power Supply

The Serial Channel has a power supply terminal for powering serial and other devices if required. Although the terminal is labelled 12V, it actually supplies the following:

  • 12V DC when the DT800 is operating from its internal main battery only.
  • the voltage provided at the DT800's external power 11-28Vdc inputs. Current from this terminal is limited to 250mA over the 11-28Vdc range.


The Event Logs Window

The event logs window keeps you advised of what’s happening at your data site(s) and within DeLogger:

• DeLogger event messages are displayed on the Messages tab as they occur.

• dataTaker errors are displayed on the Errors tab as they arrive. DeLogger must be set to Log Errors.

• dataTaker alarms are displayed on the Alarms tab as they arrive. DeLogger must be set to Log Alarms.

If you tick

• Show Alarm Events on the View menu, DeLogger opens the event logs window (Alarms tab) every time a dataTaker alarm is received

• Show Error Events on the View menu, DeLogger opens the event logs window (Errors tab) every time a dataTaker error is received

• Show Message Events on the View menu, DeLogger opens the event logs window (Messages tab) every time a DeLogger event occurs.

You can alter the amount and scope of this reporting using the Confirmation Level slider.

Keep the event logs window permanently open by ticking View Events on the View menu.

Each tab of the event logs window has its own right-click menu:


Toolbars

Repositioning Toolbars

The System Toolbar

The Connection Toolbar

The dataTaker Toolbar

The Configuration Toolbar

The Status Bar

The Project Bar

Windows Toolbars


Repositioning Toolbars

You can reposition DeLogger’s menu bar, system toolbar, connection toolbar, dataTaker toolbar and configuration toolbar.

To do this, drag the toolbar by its gripper (handle) to the new location.

A toolbar can be docked (snapped) against other toolbars, or against the four sides of the DeLogger main window. It can also float inside or outside the main window..

Toolbars are Saved Automatically

When you exit DeLogger the toolbar positions are always saved automatically, ready for next time.


The System Toolbar


The Connection Toolbar


The dataTaker Toolbar

The dataTaker toolbar is inactive until you make a connection.


The Configuration Toolbar


The Status Bar


The Project Bar

The project bar presents the current project’s documents, connections and actions in Explorer-style “tree” views.

The Connections Sub-Bar

The Actions Sub-Bar


Window Toolbars

The Form Toolbar

Creating a Chart in a Form Window

You can chart data in a form window worksheet. To do this, select the cells that contain the data you want to chart, click the Chart button [image], then drag a chart rectangle in the worksheet (you can change its size and position later). The Chart Wizard opens.

The Chart Toolbar

The Text Toolbars

The Mimic Toolbar

The Spreadsheet Toolbar

The Analysis Toolbar

The DT5/6xx Program Builder Toolbar

The DT8xx Program Builder Toolbar

The DT8xx program builder does not have a toolbar like the other windows.

See The DT8xx Program Builder Window


Actions

Actions Overview

Using Actions

Action Macro Commands

Scheduling Actions (Schedule Utility)


Actions Overview

DeLogger Pro can automate various tasks and processes, and repeatedly perform these in response to various triggers. These automated tasks or processes are called actions.

DeLogger Pro has an in-built scripting or macro capability, which can be used in actions to interact with connected dataTakers and with the DeLogger interface. DeLogger Pro actions can also play sound files, run reports, and execute other Windows programs.

Actions can be as simple as running a sound (siren) file when you launch DeLogger, or as complex as sequentially dialling a number of remote sites after midnight, downloading the data from each site, clearing the logged data from the logger at each site, and preparing a plot or report of the logged data —independently of an operator.

Actions are global — actions created in one project are available to all other projects. They are stored in DeLogger’s administration database, and cannot be transported to other installations of DeLogger.

Important

Actions are internal to DeLogger Pro. Do not confuse them with dataTaker alarm actions. (However, dataTaker alarm actions can be used to trigger DeLogger actions)

Action Functions

Actions have five major function categories:

• execute macro lists or scripts

• play sound files

• generate reports

• execute Windows program files (.exe files)

• set states on a digital output card installed into the (desktop) computer

An action can perform any mix of these function categories.

AutoRun — DeLogger Pro’s Startup Action

DeLogger Pro has a permanent action, called AutoRun, which automatically runs every time DeLogger Pro starts up.

By default, AutoRun simply plays the "siren.wav" sound file (see Configuration > Actions > AutoRun’s Sound File field). But you can use AutoRun to do much more, such as

• automatically loading a project and connecting to a dataTaker when DeLogger Pro starts up

• automatically running another action on startup or running an executable.

The AutoRun action cannot be deleted, only edited. If there are no functions defined in AutoRun, it does not do anything.

Note

If you start DeLogger Pro by double-clicking a project master file, AutoRun runs before the project loads.


Using Actions

Defining New Actions

Open the Database Properties — Actions dialog box by choosing Configuration > Actions from the main menu bar. All input fields are grayed out. Click the New button, and all input fields become active.

Each action requires a unique name — enter the name for your new action in the Action Name field. Note that this name is permanent — you will not be able to change this name later when editing the action.

Next you need to enter details for the various tasks and processes that the action is to perform each time it executes or runs.

Chaining Actions

Actions can chain to other actions, to produce a higher-level action sequence. This can simplify complex actions, and facilitate management of processes which may change periodically.

For example, a project may involve a number of remote dataTaker sites, and data is to be automatically unloaded from each site into the DeLogger database each day. This could be done either by one action with a large script, or by a separate action for each site that chains to the action for the next site.

If an action is to chain to another action, then the action to be “chained to” must be created before the chain can be defined within the action to be “chained from”.

To chain to another action, open the list of existing actions in the Chain To input field, and select the action to chain to.

Running Macro Scripts

DeLogger Pro actions have in-built macro commands that can perform various interactions with connected dataTakers, and with some of the DeLogger views. These macro commands are used to create macro sequences or scripts, which execute a programmed task or function when the action to which the script belongs is run.

The macro sequence is created in the Macro Text input field, using standard macros in the Macro Builder.

Macros that interact with a connected dataTaker require identification of the connection by name. Therefore the connection definitions for the project must be defined and tested before actions using those connections can be developed.

Playing Sound Files

To play a sound file (.wav file) when the action runs, details for the sound file must be entered into the Sound File field. Either type the path to the sound file directly into the field, or click on the browse button, navigate to the required sound file, and select it.

In the AutoRun action this defaults to
c:\program files\delogger\sound\siren.wav

Generating Reports

To generate a report when the action runs, details of the report to be generated must be entered into the Report input field. The reports that can be generated are based on the report templates created in the Configuration > Reports dialog box, and are listed in the drop-down list for this input field. Click on the drop-down button at the right-hand end of the field and select the required report from the list. The report names listed here are the names entered in the Identifier input field. Note that these same reports can be manually run by selecting them under Reports > Database Reports.

The generated report can be shown in a report window which opens over the other windows currently in view, printed on the system printer, or exported as an HTML document for publication on the web. Click the appropriate radio button for the required method of delivery of the report.

Executing Programs

To execute a Windows program when the action runs, you need to enter the file path and program name into the Execute Program input field, or click the browse button and navigate to the program and select it. Command-line parameters that the program may need when it is run can be entered into the Parameters field. You can also elect to run the program minimized or not.

For example, if the action is to launch Windows Notepad to display a data file, then the entries would be

• Execute Program field:
c:\Windows\Notepad.exe

• Parameters field:
c:\ProgramFiles\DeLogger\Replay\TestDat.csv

Commanding the PC263 Digital Output Board

DeLogger Pro supports the 16-channel Amplicon PC263 digital output board, which plugs directly into the ISA bus of desktop PCs. These channels can be driven ON or OFF by DeLogger Pro actions.

Select the Amplicon PC263 option from the drop-down list in the Digital Board input field, select the channel number to switch in the Channel input field, and select whether the action is to Set or Clear the channel.

Site Response

Actions can be triggered to run in DeLogger Pro by messages coming in from connected dataTakers. Sometimes it may be appropriate for the action to reply to the dataTaker at site — for example, to acknowledge that the action was in fact run. The Site Response input field is used to define such replies or responses.

For example, the dataTaker at site may issue the alarm message Pump Failure{PumpOffAction}

which will trigger DeLogger Pro to run the PumpOffAction action. The action can acknowledge to the site that the message was received by, say, setting a channel variable as a flag (51CV=1), or by switching off the pump directly (3DSO=1).

Whatever is entered into this field must be interpretable as a command by the dataTaker.

Saving the New Action

Save the new action by clicking the Accept button or abort by clicking the Cancel button.

This returns you to the Database Properties — Actions dialog box. From here you can create additional actions (click New), edit existing actions (click Edit), or delete the currently-visible action (click (Delete).

Click the Close button to exit the Database Properties — Actions dialog box.

Editing Actions

Actions that have already been defined can later be edited. Open the Database Properties — Actions dialog box and scroll to the action to be edited by clicking on the < or > buttons. When the action is located, click the Edit button and edit the action as required. You cannot edit the Action Name.

Save the edited action by clicking Accept, or abort by clicking Cancel.

Deleting Actions

Actions that have already been defined can be deleted. Open the Database Properties — Actions dialog box and scroll to the action to be deleted using the < or > buttons. When the action is located, click the Delete button and delete the action.

Creating Macro Scripts

Macro scripts are created in the Actions dialog box, opened by choosing Configuration menu > Actions. All fields are grayed out when the dialog box initially opens. Click the New button, and all input fields become active. Enter the name for your new action in the Action Name field.

Open the macro script builder by clicking the large Macro Builder button. This opens the Macro Builder in which the macro script will be built up.

In the upper window is a scrollable list of the available macros, which are effectively macro templates and provide some detail of the syntax and parameters for each macro. The lower window is where you will insert appropriate macros to progressively build up the script for your new action.

The lower window of the Macro Builder is actually a small text editor, and all of the usual text editing features are available including

• mouse-controlled cursor placement and movement

• scrolling by using mouse cursor or scroll bars

• scrolling using keyboard cursor keys, and PageUp and PageDown keys

• mouse-controlled selection by click and drag to select part of a line, whole line or multiple lines

• keyboard-controlled selection using shift and cursor keys

• keyboard-controlled editing to cut (Ctrl X), copy (Ctrl C) and paste (Ctrl V) selected text

• keyboard delete of selected text (Del and Backspace)

• keyboard delete of single characters (Del and Backspace)

• keyboard-controlled undo last edit (Ctrl Z)

• the window is always in the insert character (Ins) mode

• macros on consecutive lines can be separated using Shift Enter.

You should have a good understanding of what process(es) you want your new action to perform, before programming the action. It may be beneficial to firstly draw up a flow chart or sequenced list.

Locate the first macro template to insert into the script from the list in the upper window, and click on it to select (highlight) it. You may need to scroll to the required macro template using the scroll bar, cursor keys or PageUp and PageDown keys.

Now click on the Paste button to insert the macro template into the bottom window. This pastes the macro template into the bottom window at the current position of the bottom window cursor.

When the macro template has been pasted, click in the bottom window to enable editing, and edit in details of the various parameters for the pasted macro.

For example, the Unload To File macro template is
UNLOAD_SITE_FILE("Connection","JobName",
"UnloadOptions",Timeout,"FileName.ext
(.csv or .dlr)",0 for overwrite or 1 for append,0=no disconnect 1=disconnect)

and the edited macro could be similar to
UNLOAD_SITE_FILE("dt800","JOB1","A",120,"Test1.dlr",1,1)

For details of the parameters for each of the macro templates see “Action Macro Commands”.

Continue to add macro templates and edit respective parameters until the action is completed. Click OK to retain the script and close the Macro Builder, or click Cancel to abort. Your new macro script can be viewed in the Macro Text field, scrolled in the usual manner, and finally edited here if desired.

Actions incorporating macro scripts can also incorporate other functions if required. Add whatever other functions you require, then click Accept to save the action and macro script in the administration database. The fields are grayed out, and the new action name is now in the Action Name list at the top of the dialog box.

Click Close to close the Database Properties — Actions dialog.

Running Actions

Actions can be run in a number of ways, either in response to automatically-generated triggers, or in response to direct operator interaction.

When an action runs, progress of the action can be seen in the Message tab of the Event Logs window.

Actions can be triggered in the following ways:

Action Trigger — AutoRun

The AutoRun action triggers each time DeLogger Pro is launched.

Action Trigger — Chaining

Actions can chain to (trigger) another action.

Action Trigger — Manually from the Actions tab of the Project Bar in DeLogger Pro

The project bar is normally displayed beside the left-hand edge of the desktop. If not displayed, then enable the project bar under the View menu on the main menu bar.

The project bar has three tabs labelled Project, Connections and Actions. Click the Actions tab to display a list of defined actions. (You may need to click on the + symbol beside the action folder to expand the folder and display the individual actions.)

Action Trigger — Manually by Buttons Placed in the Form View and Mimic View

Buttons can be placed in the form and mimic windows, and programmed to execute an action when clicked during operation of the view.

Placing an action button in a form window is covered in

• Form > Object > Insert Button

• Form > Object > Attach Action

• “Form > Object > Options

The form window must be in run mode for the button to trigger the action. Form window buttons can be deleted by clicking (or Ctrl-clicking to select multiple objects), then pressing the Delete key.

Placing an action button in a mimic window is covered in Mimic > Buttons. The Mimic window must be in run mode for the button to trigger the action.

Action Trigger — Externally by Alarm Messages from Connected dataTakers

dataTaker alarm messages can have DeLogger Pro action names embedded within the message. Embedded action names must be within braces, for example
"Pump Failure{PumpOffAction}"

DeLogger Pro scans incoming dataTaker alarm messages for any embedded action names, and runs any actions identified.

Note

You must tick Log Alarms in the Database Properties — Defaults dialog box if you want alarms to initiate an action.

Action Trigger — Internally by DeLogger Pro Alarms

High and low alarm conditions can be defined for channels in the data hub. Actions can be attached to these alarms, to be triggered when channel data is out of the defined range.

Action Trigger — Automatically by the Schedule Utility

DeLogger Pro has an accompanying program named Schedule.exe, which can be run by choosing Start menu > Programs > DeLogger > Schedule.

Schedule can run actions either

• once at defined point of time, or

• recursively at defined intervals varying from seconds to months.

In the Schedule utility, click Schedule menu > Add (or click the New Entry button on the toolbar), which opens a succession of dialog boxes in which the schedule is defined in terms of

• schedule name

• the action to run

• the date or recursive date(s) on which to run

• the time or recursive time(s) at which to run.

Any number of schedules can be defined, and are listed in the body of the window. Listed schedules can be Paused, Edited, Deleted and Run Now on demand.

Schedule also can execute Windows programs and generate DeLogger Pro reports at defined intervals.


Action Macro Commands

The macro commands used for creating or building macro scripts are defined below, grouped according to functionality:

• Macros for Managing Connections

• Macros for Commanding a dataTaker

• Macros for Unloading Data from a dataTaker

• Macros for Managing DeLogger Pro Windows

• Macros for Managing DeLogger Pro Projects

• Macros for Managing Database Channel Logging Sessions

• Macros for Interacting with a User

• Miscellaneous Macros

Most macro commands have parameters, some of which must be defined elsewhere in DeLogger Pro before the macros will run (for example, names of connections, ports and views).

Macros for Managing Connections

CONNECT_SITE

Establishes a connection with a local or remote dataTaker, a file or a database session.

Syntax:

CONNECT_SITE("Connection",NO_FORCE or FORCE)

where

Connection | must have been defined under “Connections > Properties” as a connection to a dataTaker, a file or a database session.
NO_FORCE | makes the connection depending on the status of the dataTaker or file. If the status does not match that in the data hub for the job, then a connection is not completed.
FORCE | makes the connection without status checking. A connection is made regardless.

Example: CONNECT_SITE("dt500 Com1",NO_FORCE)

CONNECT_PORT

Establishes a connection to the local (DeLogger) modem when it auto-answers an incoming call.

Syntax:

CONNECT_PORT("PortName")

where

PortName

must have been defined under “Connections > Properties” as an auto-answer modem connection.

Example: CONNECT_PORT("PumpHouseA")

Used for modem connections to allow incoming alarm calls from dataTakers to be answered.

DISCONNECT

Disconnects the named connection.

Syntax:

DISCONNECT("Connection")

where

Connection

must be open, otherwise the command is ignored.

Example: DISCONNECT("dt800 Com2")

Macros for Commanding a dataTaker

DATATAKER_HALT

Sends the Halt (H) command to the dataTaker at the named connection to halt scanning of all defined schedules.

Syntax:

DATATAKER_HALT("Connection")

where

Connection

must exist to the dataTaker with a CONNECT_SITE() macro.

Example: DATATAKER_HALT("dt500 Com1")

DATATAKER_RUN

Sends the Run (G) command to the dataTaker at the named connection to resume scanning of all defined schedules.

Syntax:

DATATAKER_RUN("Connection")

where

Connection

must exist to the dataTaker with a CONNECT_SITE() macro.

Example: DATATAKER_RUN("dt500 Com1")

DATATAKER_LOG

Sends the data logging command (LOGON) to the dataTaker at the named connection to enable data logging of all defined schedules.

Syntax:

DATATAKER_LOG("Connection")

where

Connection

must exist to the dataTaker with a CONNECT_SITE() macro.

Example: DATATAKER_LOG("dt500 Com1")

SEND_FILE

Sends the specified command file to the dataTaker at the named connection.

Syntax:

SEND_FILE("Connection",PARSE or NO_PARSE,"FullFilePathName")

where

Connection | must exist to the dataTaker with a CONNECT_SITE() macro.
FullFilePathName | is the path to the command file (can be a .txt or a .cmd file).
PARSE | instructs DeLogger Pro to check the file for correct syntax before sending.
NO_PARSE | instructs DeLogger Pro to send the file without checking its syntax.

Example: SEND_FILE("Tank3",NO_PARSE,"c:\Progs\Tank3.cmd")

SEND_PROGRAM

Sends the specified DeLogger Pro program to the dataTaker at the named connection.

Syntax:

SEND_PROGRAM("Connection",PARSE or NO_PARSE,"ProgramName")

where

Connection | must exist to the dataTaker with a CONNECT_SITE() macro.
ProgramName | is the name of a .dlp or .dl8 file currently open within the DeLogger Pro project.
PARSE | instructs DeLogger Pro to check the program for correct syntax before sending.
NO_PARSE | instructs DeLogger Pro to send the program without checking its syntax.

Example: SEND_PROGRAM("Remote 500",PARSE,"Prog1.dlp")

SEND_TEXT

Sends the specified text to the dataTaker at the named connection.

Syntax:

SEND_TEXT("Connection","TextToSend")

where

Connection | must exist to the dataTaker with a CONNECT_SITE() macro.
TextToSend | is any text. It can contain substitution variables %0 to %9 that have been defined by GET_TEXT or GET_VALUE macros.

Examples:

• SEND_TEXT("dt800 Com1","SATTN")

• SEND_TEXT("dt500 Com2","3C=%2")

Macros for Unloading Data from a dataTaker

UNLOAD_SITE

Unloads logged data from the dataTaker at the named connection.

Unloaded data can be stored in a manually-created database logging session or a text window capture file, and is available to all views by means of the data hub.

Syntax:

UNLOAD_SITE("Connection","JobName","UnloadOption",Timeout,0,Disconnect)

where

Connection

is established if it’s not already open.

JobName

defines the DT800 job for which to unload data, if more than one job is running in the dataTaker.

For DT8xx dataTakers, DeLogger Pro defaults JobName to JOB1. For DT5/6xx dataTakers, which do not have a JobName, type a null field ("") here.

UnloadOption

allows entry of specific schedules, time frames and so on for the unload data. See your dataTaker manual for details of unloading options.

The general full unload command U is assumed so, if using UnloadOption, just include the options — for example, use A (which becomes UA) to unload schedule A.

If no UnloadOption is required, type a null field ("") here and a full unload will occur.

Various character substitutions are available for this command.

Timeout

is an inactivity timeout that is reset when each record of logged data is received. If the specified Timeout elapses, the unload macro is terminated. Valid Timeout range is 60 to 600 seconds.

0

Must be set to 0.

Disconnect

defines how to manage the Connection when the unload is completed:
1 = disconnect on completion, 0 = do not disconnect.

Example: UNLOAD_SITE("dt800Modem","JOB1","",120,0,1)

UNLOAD_SITE_DB

Unloads logged data from the dataTaker at the named connection and stores it in SessionName.

Syntax:

UNLOAD_SITE_DB("Connection","JobName","UnloadOptions",Timeout,"SessionName",0,Disconnect)

where

Connection

is established if it’s not already open.

JobName

defines the DT800 job for which to unload data, if more than one job is running in the dataTaker.

For DT8xx dataTakers, DeLogger Pro defaults JobName to JOB1. For DT5/6xx dataTakers, which do not have a JobName, type a null field ("") here.

UnloadOption

allows entry of specific schedules, time frames and so on for the unload data. See your dataTaker manual for details of unloading options.

The general full unload command U is assumed so, if using UnloadOption, just include the options — for example, use A (which becomes UA) to unload schedule A.

If no UnloadOption is required, type a null field ("") here and a full unload will occur.

Various character substitutions are available for this command.

Timeout

is an inactivity timeout that is reset when each record of logged data is received. If the specified Timeout elapses, the unload macro is terminated. Valid Timeout range is 60 to 600 seconds.

SessionName

is either a manually-created database session, or one created within the action by the SET_SESSION_NAME() macro.

0

Must be set to 0.

Disconnect

defines how to manage the Connection when the unload is completed:
1 = disconnect on completion, 0 = do not disconnect.

Example: UNLOAD_SITE_DB("dt500 Com4","","A",120,"Week7",0,1)

UNLOAD_SITE_FILE

Unloads logged data from the dataTaker at the named connection and stores it in a data file in the
DeLogger replay folder.

Syntax:

UNLOAD_SITE_FILE("Connection","JobName","UnloadOptions",Timeout,"FileName.ext",NewAppend,Disconnect)

where

Connection

is established if it’s not already open.

JobName

defines the DT800 job for which to unload data, if more than one job is running in the dataTaker.

For DT8xx dataTakers, DeLogger Pro defaults JobName to JOB1. For DT5/6xx dataTakers, which do not have a JobName, type a null field ("") here.

UnloadOption

allows entry of specific schedules, time frames and so on for the unload data. See your dataTaker manual for details of unloading options.

The general full unload command U is assumed so, if using UnloadOption, just include the options — for example, use A (which becomes UA) to unload schedule A.

If no UnloadOption is required (that is, a full unload), type a null field ("") here.

Various character substitutions are available for this command.

Timeout

is an inactivity timeout that is reset when each record of logged data is received. If the specified Timeout elapses, the unload macro is terminated. Valid Timeout range is 60 to 600 seconds.

FileName.ext

is the name (including extension) of the destination file — see NewAppend next.

NewAppend

defines how to manage FileName.ext:
1 = append the data to the existing file FileName.ext.
0 = save the data to a new file each time the macro runs; type a null field ("") for FileName.ext and DeLogger automatically creates a new filename from Connection and the timestamp at the beginning of the unload.

Disconnect

defines how to manage the Connection when the unload is completed:
1 = disconnect on completion, 0 = do not disconnect.

Example: UNLOAD_SITE_FILE("dt50","","A",120,"Test1.csv",1,1)

UNLOAD_SITE_FILE_FAST

Same as UNLOAD_SITE_FILE, but only passes data to its unload destination file.

WAIT

Waits until the current data unload from the named connection is completed, or the current attempt to connect to the named connection is completed, or the specified timeout has expired.

Syntax:

WAIT("Connection","UNLOAD_COMPLETE or CONNECT_COMPLETE,"Timeout")

where

Connection | must exist to the dataTaker with a CONNECT_SITE() macro.
UNLOAD_COMPLETE | instructs DeLogger Pro to wait until the unload is complete before continuing.
CONNECT_COMPLETE | instructs DeLogger Pro to wait until the current attempt to connect to Connection is complete before continuing.
Timeout | is defined in seconds, and should be large enough to allow sufficient time for the unload or connection to be completed.

Example: WAIT("dt500 Remote",UNLOAD_COMPLETE,"500’)

Macros for Managing DeLogger Pro Windows

CLEAR_CHART

Clears the named chart window in the current project.

Syntax:

CLEAR_CHART("ChartName")

where

ChartName

is the name in the chart window’s title bar. The project containing ChartName must be open in DeLogger Pro’s workspace for this macro to work.

Note

Only type the chart file’s name; do not specify its path.

Example: CLEAR_CHART("Chart1.dlc")

PRINT_CHART

Prints the named chart window to the default system printer.

Syntax:

PRINT_CHART("ChartName")

where

ChartName

is the name in the chart window’s title bar. The project containing ChartName must be open in DeLogger Pro’s workspace for this macro to work.

Note

Only type the chart file’s name; do not specify its path.

Example: PRINT_CHART("Chart1.dlc")

OPEN_WINDOW

Opens the named DeLogger Pro window in the current project.

Syntax:

OPEN_WINDOW("WindowName.ext")

where

WindowName.ext

must be in the currently-open project folder.

Note

Only type the file’s name; do not specify its path.

Example: OPEN_WINDOW("Spread3.dls")

CLOSE_WINDOW

Closes the named DeLogger Pro window in the current project.

Syntax:

CLOSE_WINDOW("WindowName.ext")

where

WindowName.ext

must be in the currently-open project folder.

Note

Only type the file’s name; do not specify its path.

Example: CLOSE_WINDOW("Form1.dlf")

SHOW_WINDOW

Displays the named DeLogger Pro window minimized, maximized, or “normal” size (restored to previous working size).

Syntax:

SHOW_WINDOW("WindowName.ext",SheetNumber,ShowCommand)

where

WindowName.ext | must be in the currently-open project folder. Note Only type the file’s name; do not specify its path.
SheetNumber | is applicable to the form, spread and analysis views, which have multiple sheets. It is ignored for other views, when 0 (zero) should still be entered
ShowCommand | 0 = show at normal size 1 = show minimised 2 = show maximised

Example: SHOW_WINDOW("Spread2.dls",3,2)

PUBLISH

Initiates web publishing of the named DeLogger Pro window.

Syntax:

PUBLISH("WindowName.ext")

where

WindowName.ext

must be in the currently-open project folder.

Example: PUBLISH("Spread3.dls")

Macros for Managing DeLogger Pro Projects

PROJECT_LOAD

Loads the named DeLogger Pro project.

Syntax:

PROJECT_LOAD("ProjectName")

where

ProjectName

must be in the c:\DeLogger\Program Files\Project folder.

Example: PROJECT_LOAD("TankFarm3")

PROJECT_SAVE

Saves the current DeLogger Pro project to the c:\DeLogger\Program Files\Project folder.

The trailing parentheses () are always required. No parameters are necessary.

Syntax:

PROJECT_SAVE()

Example: PROJECT_SAVE()

PROJECT_CLOSE

-Closes the currently-open DeLogger Pro project.

Use a PROJECT_SAVE first if there have been any changes to the project.

The trailing parentheses () are always required. No parameters are necessary.

Syntax:

PROJECT_CLOSE()

Example: PROJECT_CLOSE()

HUB_SAVE

Saves the most recent values for each channel in the program list.

The trailing parentheses () are always required. No parameters are necessary.

Syntax:

HUB_SAVE()

Example: HUB_SAVE()

Macros for Managing Database Channel Logging Sessions

Up to ten separate lists of channels from open connection(s) can be defined to log the respective incoming channel data into corresponding database sessions. In other words, there are ten database logging sessions available in the DeLogger Pro’s data database. This function is covered in Configuration > Database Channel Logging Sessions

Each session has a unique name, which is the primary key to enable selective retrieval of session data from the database.

These ten sessions can be set up and managed

• manually, or

• automatically by macros within actions as described below.

SESSION_START

Creates a database channel logging session (uses one of the 10 available).

The data hub stores pointers to the database channel logging structures, and keeps a list of the sessions to which each channel is applied. Note that a channel can log to more than one session at the same time.

Syntax:

SESSION_START(“Connection”,“SessionName”,SessionNumber,”DataType”)

where

Connection | is the name of the DeLogger Pro connection to the dataTaker that is the source of data.
SessionName | is a text tag that used to group this data within the database (allows for later filtering).
SessionNumber | is the database logging session to use: range 1 to 10.
DataType | is the type of data: 0 for realtime data; 1 for logged data (emulates the Real Time Data and Logged Data radio buttons).

Example: SESSION_START("dt500Com1","Furnace1",2,0

You can provide SessionName and SessionNumber using the GET_TEXT() and GET_VALUE() macros. For example:

GET_TEXT(1,"Enter Session Name","My Session")
GET_VALUE(2,"Enter Session Number",10)
SESSION_START(“MyConnection”,“%1”,%2,0)

SESSION

Switches the named session to active (ON) or inactive (OFF). This macro emulates the Active tick box.

Syntax:

SESSION(SessionNumber,ON or OFF)

where

SessionNumber

is the database logging session to use: range 1 to 10.

Example: SESSION(3,OFF)

SET_SESSION_NAME

Displays a dialog box with an input field to define a session name for the numbered session. This is equivalent to entering a name in the Session file.

Syntax:

SET_SESSION_NAME(SessionNumber,”Prompt”,”DefaultSessionName”)

where

SessionNumber | is the database logging session to use: range 1 to 10.
Prompt | is user prompt text to be displayed in the title bar of the dialog box opened by the macro.
DefaultSessionName | is a session name to be applied if the user leaves the input field blank.

Note

The session should be made inactive first by using SESSION(SessionNumber,OFF), then activated again using SESSION(SessionNumber,ON).

Example: SET_SESSION_NAME(3,"Enter Session Name","Test99")

SET_SESSION_SUFFIX()

No longer supported.

INCREMENT_SESSION_SUFFIX

No longer supported.

Macros for Interacting with a User

GET_TEXT

Displays a dialog box showing the Prompt message and a text input field. If the user enters text, the text is assigned to an internal (DeLogger) variable.

Syntax:

GET_TEXT(VariableNumber,"Prompt","DefaultText")

where

VariableNumber | must be in the range 0 to 9.
Prompt | is user prompt text to be displayed in the title bar of the dialog box opened by the macro.
DefaultText | is placed into the variable if the user leaves the input field blank.

The variable can be used as a substitution variable in the SEND_TEXT() macro, allowing user-initiated messages and commands to be transmitted to a connection.

Example: GET_TEXT(5,"Enter the schedule to Halt","HA")
SEND_TEXT("dt800 Com1","%5")

GET_VALUE

Displays a dialog box showing the Prompt message and a numeric input field. If the user enters a value, the value is assigned to an internal (DeLogger) variable.

Syntax:

GET_VALUE(VariableNumber,"Prompt",DefaultValue)

where

VariableNumber | must be in the range 0 to 9.
Prompt | is user prompt text to be displayed in the title bar of the dialog box opened by the macro.
DefaultValue | is placed into the variable if the user leaves the input field blank.

The variable can be used as a substitution variable in the SEND_TEXT() macro, allowing user-initiated messages and commands to be transmitted to a connection.

Example: GET_VALUE(2,"Enter counter start value",0)
SEND_TEXT("dt800 Com1","5C=%2")

MESSAGE_BOX

Displays a Yes/No dialog box containing the defined message text

If the user clicks No, the action terminates immediately and no following macros are processed. If the user clicks Yes, execution of the action proceeds to the next macro.

This macro can typically be used as an “Are You Sure?” dialog box.

Syntax:

MESSAGE_BOX("MessageText")

where

MessageText

is user prompt text to be displayed in the dialog box opened by the macro.

Example: MESSAGE_BOX("Do you wish to clear data from logger?")

MESSAGE_LINE

Displays the message text in the Messages tab of the Event Logs window..

Syntax:

MESSAGE_LINE("MessageText")

where

MessageText

is the text you want displayed in the Messages tab of the Event Logs window.

Example: MESSAGE_LINE("Data download completed.")

Miscellaneous Macros

DELAY

Delays executing any following macros until the specified number of seconds has elapsed.

Syntax:

DELAY("Seconds")

where

Seconds

is the number of seconds to wait.

Example: DELAY("10")


Scheduling Actions (Schedule Utility)

Scheduling Actions

Any of the actions defined in DeLogger Pro can also be triggered via the stand-alone Schedule utility.

The Schedule utility is provided in DeLogger Pro only, and is used to automate the timed running of tasks.

See Schedule Utility.


Reports

Reports Introduction

Report Tools and the Data Database

Installed Reports and Secondary Reports

Global Formulas

DIY Installed Reports


Reports Introduction

You can run reports on

• dataTaker alarms (if you have enabled them for logging)

• dataTaker errors (if you have enabled them for logging)

• the Schedule log and the actions log

• dataTaker data

Running Reports

There are three ways of running reports:

• from the Reports menu

• using an action, which can be triggered by an alarm or a mimic button

• using the Schedule utility

Because actions can be chained, you can group reports together.


Report Tools and the Data Database

You can run reports against the replay data (sessions) stored in DeLogger Pro’s data database using

• dedicated report-writing software such as Crystal Reports

• third party tools such as Access® 2.0 by Microsoft

• programming tools such as Visual Basic®

• spreadsheet applications such as Microsoft Excel.

DeLogger Pro’s default is to use the Crystal Reports Engine, which is installed with DeLogger. This is the preferred reporting tool because of its power, flexibility, and ease of use for both technical and non-technical users.

In addition, because all the stored data can be accessed using ODBC technology, spreadsheets such as Microsoft Excel can be used to read and report on the data where more complicated calculations or graphing is required. Most software packages are now ODBC-enabled, giving a wide range of reporting and statistical options.


Installed Reports and Secondary Reports

DeLogger Pro has two types of reports:

• installed reports (templates), and

• secondary reports (also called database reports).

Installed Reports

Installed reports are created using the third-party report-writing software Crystal Reports and, to be available for use within DeLogger, must reside in DeLogger’s designated reports folder.

DeLogger is supplied with eight installed reports (for alarm and message reporting), and DeLogger Pro is supplied with two additional ones (for log reporting). You run these default installed reports from the Reports menu — see

• Reports > Alarms

• Reports > Errors

• Reports > Log Files

or using an action — see Configuration > Actions

You can also write your own installed reports, or have your dataTaker representative write them for you. This is discussed in DIY Installed Reports. You make these DIY installed reports available using the Configuration > Reports dialog box, then run them using the Reports > Database Reports dialog box.

Installed Reports Folder

For DeLogger to recognize Crystal Reports .rpt files as installed reports, the .rpt files must be placed in the folder referenced by the Windows registry key HKEY_CURRENT_USER\ Software\Discbell\DeLogger\Default\ReportDir, which by default is the Reports folder inside the DeLogger installation folder.

Secondary Reports

You create secondary reports (also called database reports) using DeLogger Pro’s Database Properties dialog box — see Configuration > Reports

Secondary reports are based on installed reports, and exist as individual records in DeLogger’s administration database. (Yes, you use secondary reports, which are kept in DeLogger’s administration database, to run reports on DeLogger’s data database.)

We’ve included a few secondary reports with DeLogger Pro. In a new DeLogger installation, they are

• the default records you see when you click the previous/next control buttons in the Configuration > Reports dialog box.

• listed in the Report (Identifiers) area of the Reports > Database Reports dialog box.


Global Formulas

DeLogger Pro defines two global formulas:

If you select these as secondary report parameters, DeLogger Pro converts them to the corresponding session names when the report is run.


DIY Installed Reports

If you want to Do It Yourself — that is, write and install your own reports into DeLogger Pro — you will need to buy a copy of Crystal Reports (Version 7.0). It’s available from most software suppliers or through your local dataTaker representative.

Alternatively, your dataTaker representative can write reports for you.

Installing and Using an Installed Report

To install one of these report files:

1. Place the .rpt file into DeLogger’s designated reports folder

2. Create a new report entry in the database.

You do this so that you can access the report (using the Reports > Database Reports command.

Report-Writing Guidelines

If you want to write your own installed reports (you must use Crystal Reports to be compatible with DeLogger) we recommend that you follow this sequence:

1. Decide on the data that’s required in your report and how you’ll obtain it. Decide on where it’s best to apply any data reduction:

• in the dataTaker (using statistical functions, or

• in the report using its in-built functions.

2. Ensure that the data will be stored correctly in the database.

Note that there is also an in-built Query in the database that will give you a cross-tab report of the first 100 data points for each channel on any session.

3. Design your report on paper.

4. Decide how many parameters (maximum of eight) will need to be passed to the report and how they will be used.

The parameters defined for the report within DeLogger Pro are automatically passed into Crystal Reports formulas at run time with the names Param1 to Param8. These defined formulas can be utilized in other formulas or in the record/group selection criteria thereby allowing great flexibility. For example, you can use the first parameter to define a session name that is passed into the Crystal Reports formula Param1 at run time and use it in the record selection criteria to only read those records whose session name matches the parameter value.

5. Create the report using Crystal Reports.

6. Move the report (.rpt file) into the Report folder in DeLogger’s installation directory, ensuring it has a unique name.

7. Make an entry in the database for this report, along with any required default parameters.

8. If required, create an action entry in the database so that the report can be run from an incoming alarm or from a mimic button.

Because actions can be chained, you can group reports together.

9. Run the report and compare the results against your control data.


DeLogger Utility Software

Schedule Utility

SiteAdmin Utility

iUser Utility

DeView


Schedule Utility

The Schedule utility is provided in DeLogger Pro only, and is used to automate the running of tasks such as

  • DeLogger Pro actions
  • Windows programs•DeLogger Pro reports.

The Schedule utility is provided in DeLogger Pro only, and is used to automate the running of tasks such as

• DeLogger Pro actions

• Windows programs

• DeLogger Pro reports.

Schedule can trigger these tasks to run in a number of ways:

• once at a particular date and time (for example, on July 6th at 16:00:00)

• at a user-defined interval (for example, every hour forever)

• at a user-defined interval (for example, every 12 hours) over a user-defined period (for example, the month of July)

Each definition of the task to perform and its trigger is called a schedule.

Schedule is a separate Windows application from DeLogger Pro. You launch it from the Windows Start menu by choosing Start > Programs > DeLogger > Schedule.

For Schedule to do its work, you must launch it and leave it running on the computer. Then:

• If Schedule is to run DeLogger Pro actions or reports, DeLogger Pro must also be running and have the project open to which the scheduled actions or reports belong.

• If Schedule is to run Windows programs, DeLogger Pro does not need to be running.

When you launch Schedule, it displays its main window.

Important

The Schedule utility depends on the computer‘s clock, so make sure that the clock is set to the correct date and time (Start menu > Settings > Control Panel > Date/Time).

Schedule Icons

In the main window, the type of schedule is indicated by icons as follows:

Right-Click Menu

The following commands are duplicated on the Schedule utility’s right-click menu:

• Schedule > Add

• Schedule > Delete

• Schedule > Properties

Adding a New Schedule

To add a new schedule to the Schedule utility, choose Schedule > Add. The above diagrams explain the sequence of screens that opens.

Note

A Schedule utility schedule can run one or more tasks — a DeLogger Pro action and/or a Windows program and/or a DeLogger Pro report.

DeLogger Pro Area

If you want the new schedule to run a DeLogger Pro action, enter the action details in the DeLogger Pro area:

• From the Action drop-down list, select the action.
The actions that appear here are those created in DeLogger Pro.

The Schedule utility communicates with DeLogger Pro by means of DDE while running an action, and relies on DeLogger Pro responding that the action is complete before flagging the action locally as having been completed. You can set a timeout period for DeLogger Pro to respond, and the maximum number of retries until the action completes successfully. If a retry is successful, then the trigger increments to the next trigger time. If the retries are unsuccessful, the schedule is disabled (PAUSED).
In the Retry and Timeout fields, enter the number of retries and the timeout (in seconds) between retries.

Editing a Schedule

To edit a schedule’s properties, highlight the schedule (single-click its icon) and choose Schedule > Properties (or click the Properties button on the toolbar, or simply double-click the schedule’s icon).

This opens the same dialogs as for adding a new schedule, and any entry (other than the Schedule ID) can be edited.

Setting the Activity of a Schedule

Schedules can be

• enabled to respond to triggers (schedule is ACTIVE), or

• disabled from responding to triggers (schedule is PAUSED).

To change the activity status of a schedule, highlight the schedule (single-click its icon) and choose Schedule > Active (or click the Toggle Active button on the toolbar).

Each schedule’s activity status is listed in the Status column (window must be in View > Details mode).

Running a Schedule Now

Schedules can be manually triggered at any time. To do this, highlight the schedule (single-click its icon) and choose Schedule > Run Now (or click the Run Now button on the toolbar).

The schedule will still trigger and run at the date and time listed in the Next Schedule column (window must be in View > Details mode).

Global Pause

To prevent all schedules from running, choose Schedule > Pause (or click the Global Pause button on the toolbar).

When in this mode, each schedule’s status reported in the Status column does not change, but a tick appears beside Pause on the Schedule menu and the Global Pause button appears pressed.


SiteAdmin Utility

There are two working databases used by DeLogger:

• an administration database, which stores global details such as actions, connections properties, logs of dataTaker alarms and errors, and logs of when schedules and actions executed

• a data database, which stores database logging session data

SiteAdmin is a separate utility that you use to administer and maintain these databases. It allows you to do the following tasks:

Important

• You cannot do these tasks directly from DeLogger or DeLogger Pro.

• DeLogger or DeLogger Pro must not be running when you use SiteAdmin.

• You cannot start SiteAdmin from within DeLogger or DeLogger Pro. (Start it from the Windows taskbar by choosing Start > Programs > DeLogger > SiteAdmin, or use Explorer or My Computer to locate the siteadmin.exe file in DeLogger’s installation folder then double-click the file.)

• Not all of SiteAdmin’s functions apply to DeLogger (see table above).

Warning

When SiteAdmin is launched, it provides the following warning:

The databases can only be accessed by one program at a time. Therefore, if DeLogger or DeLogger Pro is running, exit (quit) it now, before continuing with SiteAdmin. (Use Alt+Tab to switch to DeLogger or DeLogger Pro, exit it, then continue working in SiteAdmin.)

SiteAdmin’s Main Window

After you click OK in the warning dialog box, SiteAdmin’s main window opens:

Commands on the File and Edit menus (except File > Exit) have no function in the DeLogger implementation of SiteAdmin, the FoxPro® database administration tool. You use commands on the Administration and Reports menus for maintaining and reporting on your DeLogger databases.

Administration Menu

Administration > Pack Database

When you delete any database information within the various modules of the DeLogger, such as

• actions and connection properties within DeLogger

• schedules using the Schedule utility

• logs using the SiteAdmin utility

• data from database channel logging sessions using the SiteAdmin utility

only the links to these items within the appropriate database are removed, not the actual items. In other words, deleting items does not reduce the size of the database. (This is typical of most database software.) To remove this un-linked/un-needed information from the database and reduce its size, you use Pack Database.

Pack Database > Administration DB

Packs DeLogger’s administration database, which contains information such as

• dataTaker error and alarm logs

• DeLogger connection definitions

• DeLogger default settings

• DeLogger actions

• DeLogger reports

• DeLogger web publishing settings

• DeLogger database channel logging session definitions.

Pack Database > Data DB

Packs DeLogger’s data database, which contains all database channel logging sessions and all unload sessions.

Administration > Session Administration

Allows you to administer sessions. You can

• clear data from selected sessions

• delete selected sessions

• delete all sessions

• browse a session’s contents.

When you choose Session Administration, the Session Data dialog box opens:

Make a selection from the Session drop-down list, then

• click Clear Session Data to clear all data from the selected session (for database channel logging sessions, the session definition is not deleted; you can re-use it later)

• click Delete Session to delete the selected session (the session’s data and its definition are removed from the database)

• click Browse to see the contents of the selected session (a separate window opens).

Click Delete All Sessions if you want to delete ALL sessions (data and definitions) from the database. In case you click this button accidentally, an “Are you sure…?” dialog box opens giving you a chance to undo the mistake (phew).

Remember…

to pack the data database after deleting sessions — see Administration > Pack Database

Administration > Log File Administration

Allows you to administer the dataTaker errors log and the dataTaker alarms log.

If Log Errors and/or Log Alarms are ticked in DeLogger’s Configurations > Defaults dialog box, errors and alarm messages from connected dataTakers are logged into the administration database. Details of when DeLogger actions run and when Schedule utility schedules run are also logged into the administration database.

When you choose Log File Administration, the Log File Maintenance dialog box opens:

Click Clear Alarm Log, Clear Error Log, Clear Action Log or Clear Schedule Log to clear (empty) all information from the respective log file.

Remember…

to pack the administration database after clearing the log file(s) — see Administration > Pack Database

Administration > Archive Data Database

After prolonged use or when you complete a major project, you may want to save the data database elsewhere for future reference (“archive” it). SiteAdmin’s Archive Data Database function is a two-step process:

• Firstly, you copy the current data database into one of the archive databases or to the historical database. You do this on the Archive To tab of the Data Archive dialog box.

• Secondly, you clean the current data database (that is, remove all data from it) and pack it. You do this on the Clean Database tab of the Data Archive dialog box.

Recommendation

Pack the data database before archiving it — see Administration > Pack Database

Step 1

Choose Administration > Archive Data Database. The Data Archive dialog box opens.

Click the Archive To tab (to ensure that it’s active), then click the button corresponding to the destination you want. DeLogger replaces the contents of the destination database with a copy of the current data database. (“Are you sure…?” messages give you a chance to change your mind.)

Step 2

Click the Clean Database tab (to ensure that it’s active), then click Clean and Pack. DeLogger erases all data from the current data database and packs it. (“Are you sure…?” messages give you a chance to change your mind.)

Copy Clean

DeLogger can be used in remote situations, or in situations not ideal for computers, where it’s possible for incidents such as power fluctuations and electrical interference to occur during prolonged sessions of data logging to the database. Such disturbances may partially damage, or even corrupt, the open database file.

If this occurs and you can’t use the current data database any more, your only option is to replace the damaged database with a clean, new database. You do this by clicking the Copy Clean button in the Clean Database tab of the Data Archive dialog box. (After you click the button, “Are you sure…?” messages give you a chance to change your mind.)

Reports Menu

SiteAdmin’s Reports menu contains commands that allow you to run three types of reports on DeLogger’s administration database.

Reports > Site Listing

Produces a detailed listing of the sites or connections that have been defined within DeLogger under Connections > Properties > Serial tab.

Reports > Action Listing

Produces a detailed listing of the actions that have been defined within DeLogger under Configuration > Actions.

Reports > Port

Produces a detailed listing of the Ethernet ports that have been defined within DeLogger under Connections > Properties > Network tab.

Closing SiteAdmin

The File > Close command is not supported in this implementation of SiteAdmin. To close (exit/quit/shut down) SiteAdmin, either

• click the Close icon [image] at the top right-hand corner of the main window, or

• choose File > Exit.


ezTREND

DeView

DeView is a stand-alone application that displays DeLogger replay files in a data grid, and optionally a trend chart.

It is installed separately and registers as the primary handler for files of type *.dlr (DeLogger replay files).

The advantages of DeView over the Analysis and Spread views are:

  1. It is optimised to handle large data files.
  2. It runs as a separate application, therefore does not take up valuable processing time from DeLogger.

Please refer to the separate DeView help file for further information.


Saving — What, When, Where

What's Saved When

What's Saved Where


What’s Saved When

You can choose whether or not to save changes you make to a project’s appearance and contents. This is explained in Manual Saves.

In addition, be aware that DeLogger saves some information automatically. This is explained in Automatic Saves.

Automatic Saves

Saving Main Window Details (Global)

The following global information is automatically saved (in the computer’s system registry) every time you exit DeLogger — whether or not you choose to save changes:

• main window details (minimized/maximized state, position, size,…)

• the last project used

• toolbar and events window states and locations

• all settings in the File > Customize dialog box (background, splash screen,…)

Saving Data Hub Details (Project-Specific)

Changes you make to the data hub — done in the Data Hub Channels dialog box — are automatically saved when you click Close in the the dialog box. They are saved to the project’s .dlw file and are therefore project-specific.

Saving New Documents

When you add a new document to a project, DeLogger automatically saves the project (to its .dlw file).

Saving Messages

All DeLogger message events are automatically logged in the message.txt file in DeLogger’s installation directory as they occur.

Saving Errors and Alarms

When the Log Errors and Log Alarms options are ticked, errors and alarms from connected dataTakers are automatically logged (in the administration database) as they arrive.

Manual Saves

Saving Administration Details

The settings on the following tabs of DeLogger’s administration dialog boxes are saved (to DeLogger’s administration database) when you click the appropriate tab’s Accept button:

• all tabs in the Connections dialog box (Connections menu > Properties)

  • Serial tab
  • Network tab
  • Modem tab
  • Auto-Answer Modem tab
  • File tab
  • Database tab

• Configuration (Database Properties) dialog boxes

  • Defaults tab (Configuration menu > Defaults
  • Actions tab (Configuration menu > Actions
  • Reports tab (Configuration menu > Reports
  • Web Publish tab (Configuration menu > Web Publish

See also Database Delicacies

Saving Project Details

Choosing File > Save Project saves

• all the files in the project’s folder:

• its .dlw file (the project’s master file)

• its sub-window files (.dlf, .dlc, .dlt, .dlm,…), which hold all the sub-window details (types, sizes, positions and so on)

• all data, information and settings in the sub-windows (for example, chart and program builder contents, and spreadsheet contents, print range and page breaks).


What’s Stored Where

DeLogger stores data and other information as follows:

See also Database Delicacies


Advanced Topics

The Data Hub

Remote Data Sites and the Modem Manager

DDE (Dynamic Data Exchange)

Databases

DeLogger Pro Web Publishing

DeLogger OPC Server

DeLogger Messaging

Key Codes

Form View Sheets

CANgate


The Data Hub

The data hub is a central marshalling point and repository for information and data coming into DeLogger Pro from various sources.

DeLogger Pro’s data hub accepts

• realtime and logged data from connected dataTakers

• data from data files (replay files)

• data from DeLogger Pro’s data database (sessions)

and individual data channels may contain

• data from input channels

• data from calculations in the dataTaker

• data from dataTaker alarm states.

The data hub keeps track of all the individual data channels from current connections, and makes their data available to the various modules and views of DeLogger Pro. All of this information is stored in the project’s master file and is therefore project-specific.

Note

The data hub is only accessible in DeLogger Pro.

Data Hub Dialog Box

You view and configure the data hub’s contents in the Data Hub Channels dialog box, which you open by choosing the Configuration menu > Data Hub Channels command. Pressing the F5 key on your keyboard also opens this dialog box.

If DeLogger is not connected to any dataTakers, and there are no replay files or database sessions open, the Data Hub Channels dialog box either

• looks like an empty spreadsheet if DeLogger Pro has never been connected to a data site, or

• contains the channel entries left from previous connections.

But when DeLogger Pro is connected to a dataTaker that has a program running, or to a replay file or database session within DeLogger Pro, the data hub dialog box contains the data channels associated with the connection. Moreover, if DeLogger Pro is connected to more than one data source, the data hub dialog box contains a tab (along the bottom edge) for each connection. View a connection’s channels by clicking its tab.

Data Channels in the Data Hub

The data hub lists the following information for every data channel of every current connection to DeLogger Pro:

• connection name

• job name

• dataTaker scan schedule

• dataTaker channel name

• current value

• datestamp and timestamp of current value

• last value

• datestamp and timestamp of last value

• highest value

• lowest value

• units

• status

• software alarm limits, alarm message and alarm action

• conditional tests

• dependant tests

• DDE conversation handle (hot link details)

• OPC link handle

• database logging sessions

Data Channel ID

Each data channel in the data hub dialog box has a unique identity, which is used in DeLogger Pro to identify individual data items within the data streams available throughout a project. The data channel ID is a combination of the connection name, job name, dataTaker scan schedule and dataTaker channel name in the format
ConnectionName.JobName.ScheduleName.ChannelName

For example:

• dt50 Com1.JOB1.B.5V

• dt800 Com2.JOB1.B.3PT385

• dt800 Com2.JOB1.B.AirTemp

• dt800 Remote.Well_C.D.MotorCurrent

For DT5/6xx dataTakers, JobName is always JOB1. For DT8xx dataTakers, JobName is the name assigned in the program builder and defaults to JOB1.

For DT5/6xx dataTakers, ScheduleName is always A, B, C or D. For DT8xx dataTakers, ScheduleName can be A, B, C, D, E,…K or a custom name assigned in the program builder.

ChannelName is either the actual dataTaker command for the channel, or a custom label assigned in the program builder.

Data Hub — Automatic Updating

Whenever DeLogger Pro connects to a dataTaker, it issues

• a STATUS10 command (STATUS11 for a memory card) to DT5/6xx dataTakers

• a STATUS14 command to DT8xx dataTakers

to obtain information about the jobs and channel data that is available from the dataTaker. DeLogger Pro uses this STATUS information to build the data hub details for each connection.

In addition, if the resulting data is captured into a DeLogger replay file or database session, the STATUS information is also stored for use when you later connect to these.

DeLogger Pro adds jobs and data channels to the data hub as follows:

1. When you connect to a dataTaker with the Skip STATUS Check option un-ticked (the default), DeLogger Pro issues

• a STATUS10 to a DT5/6xx dataTaker (STATUS11 for an inserted memory card)

• a STATUS14 to a DT8xx dataTaker for each job.

2. ConnectionName.JobName combination:

• If the ConnectionName.JobName combination does not already exist in the data hub, a new entry is created for ConnectionName.JobName and all real channels are added.

• If the ConnectionName.JobName combination already exists in the data hub, its channels are flagged as “dirty” and are compared to the new list of channels as follows:

• If any of the new list of channels already exists in the hub, its dirty flag is cleared.

• If any of the new list of channels does not exist in the hub, it is added.

• Old channels still flagged as dirty are removed because they no longer exist in the connected dataTaker.

In this way, DeLogger Pro’s data hub is always automatically up-to-date with complete channel details of all the current connections. (File and database connections contain their own STATUS10/11/14 information, from which DeLogger Pro sets up the data hub for these connection types.)

If the Synchronise channel list to dataTaker option in the Configuration > Defaults dialog box is not ticked, step 2 above is not actioned for any connections (including file and database connections).

If Lock Job is ticked in the data hub dialog box for the ConnectionName.JobName combination, step 2 above is not actioned.

The data channel information in the data hub is project-specific, and is held in the project’s master file.

Real and Virtual Data Channels

The data channels that originate from dataTakers are called real channels. They physically exist as channels within the dataTaker.

Virtual channels are data channels that you create within the DeLogger Pro data hub. They exist only within DeLogger Pro and their input is based on

real or other virtual channels.

Distribution of Channel Data within DeLogger Pro

The data from real and virtual channels in the data hub is made available to DeLogger Pro’s various functions and views. Each of these has a channel list, from which you select channels for use in the function or view. For example, see

• the form window Select Channels dialog box

• the chart window Channel fields

• the mimic meter Channel fields

Data Hub Functions

The data hub has functions that allow you to

• manage primary channels and virtual channels

• add virtual channels

Setting a Channel’s Properties in the Data Hub

Each real or virtual channel can have certain test criteria applied to them. They are:

  1. Availability to be displayed in views.
  2. Conditional test to indicate a valid in or out of range reading.
  3. Dependency test that states that this channel value is only valid if the dependants channel criteria is met. (e.g. flow only valid when pump running)
  4. Software alarms (High-High, High, Normal, Low, Low-Low)

Data displayed in certain views (Form and Mimic) will indicate via font/colours if the tests or alarms are in effect.

DeLogger’s default is to pass incoming data directly to its data views unchanged. But, in addition, the data hub contains tools that you can use to test, modify and manage each channel’s data in various ways before passing it on. In fact, you can specify the channel’s visibility, test its range, make it dependant on another channel, and specify alarm and store settings.

To set these properties for a primary channel or a virtual channel, choose Configuration menu > Data Hub Channels and then, in the dialog box that opens (Figure 63 or Figure 288), click the connection tab that contains the channel, select the channel you want to configure, and click the Properties button. DeLogger Pro presents you with the first screen of the sequence shown in Figure 289.

Conditional Settings

In screen 2, you test the range of the selected channel’s data. Failing the test results in a change of the channel’s status flag, which is used

• as a filter for various DeLogger Pro functions and views.

• by virtual channels — see the Input Status Options dialog box.

Failed channels display with different colours in form views.

Dependant Settings

In screen 3, you define that the validity of the selected channel’s data is dependant on the value of another channel. For example, a channel that monitors the temperature of a furnace can be defined as valid only if the furnace is actually operating, as indicated by another channel.

Channels from all jobs are listed in the Channel drop-down list in screen 3 (where you select the “other” channel). This means that you can assign the validity of a data channel on one dataTaker to depend on the value of a data channel on a different dataTaker.

Failing the test results in a change of the channel’s status flag), which is used

• as a filter for various DeLogger Pro functions and views

• by virtual channels — see the Input Status Options dialog box.

Failed channels display with different colours in form views.

Alarm Settings

See screen 4 and note the following:

  • The optional Text message is displayed in form worksheets and in mimic window annunciators.
  • When ticked, Generate Alarm Event instructs DeLogger Pro to

• generate an internal alarm that sends the contents of the Text field to the Alarms tab of the event logs window (simulates an alarm from a dataTaker)

• embed the selected Action in the alarm message, causing the action to be run whenever the alarm is generated.

Alarm status is only checked when data has not failed either conditional or dependency tests (that is, when data is not partially- or fully-invalid).

Channels in alarm states display with different colors in mimic views. If you want to change the default colors — advanced users only — modify the system registry key HKEY_CURRENT_USERS\Software\Discbell\DeLogger\
Alarms LLColour LColour NormalColour HColour HHColour. The colors are defined in hexadecimal in three octets (first is the blue component value, second is the green component value, third is the red component value); values for each octet range from 00 (no color for this component) to FF (full color for this component).

  • The alarms can be set to be triggered by different data types (Realtime,Logged or Both). This can be used to stop unloading data from triggering the channel alarm if the system is monitoring in real-time.

Virtual Data Channels

As introduced in Real and Virtual Data Channels, virtual channels are data channels that you create within the DeLogger Pro data hub.

A virtual channel can be derived from real channels or from other virtual channels. For example, a virtual channel could be a 15-minute rolling or static average of a real channel, and itself could be used as the basis of a 24-hour rolling average.

There are two types of virtual channels:

• store channels

• calculated channels

A store channel is a one-dimensional array that can be filled with successive readings of another real or virtual channel, and a calculation made against the accumulated data. The size of the array is user-defined, as is the type of function used to calculate the result. The store can be

• rolling, where successive readings are added and the oldest removed, or

• resetting, where the array is filled, the calculation made and the store cleared ready for re-triggering.

There are also options to control the status of the data being entered into the array.

A calculated channel is based on a spreadsheet and can take any current real or virtual channel(s) reading and apply user-defined algorithms. The result must be limited to a single reading within a user-specified cell. This result cell is used as the calculated channel reading. Multiple input channels may be selected and any set of calculations applied by using the cells within the spreadsheet.

The operation is as follows:

  1. Update channel cells with their latest values.
  2. Force the sheet to re-calculate (multiple iterations possible)
  3. Return the value from the result reference cell and apply conditional and dependant checks.
  4. Store result and status flags in the data hub.

The Virtual Job Data Hub

In the data hub, virtual channels are listed on the Virtual… tab. When you click a virtual tab in the data hub, additional buttons appear on the right-hand side of the dialog box.

Order of Calculation

Real channels are updated when new data is received for them. Each virtual channel is then called to check if it needs to re-calculate, which it does by checking if any of the base channels it uses have updated.

Virtual channels are called to calculate in the order they are displayed in the data hub. Therefore, if a virtual channel is based on another virtual channel (the base channel), the based-on channel must be later in the displayed order (that is, lower down the dialog box) than the base channel. You change the order of display using the Move Up and Move Down buttons.

Store Channels

A store channel is a virtual channel that stores successive readings from a real or virtual base channel, and calculates a result based on a selected function. There are two types of store channels; rolling and resetting.

Rolling Store Channel

A rolling store channel fills an array with successive real or virtual base channel readings, calculates the result, and waits for the next base channel reading.

When the second and subsequent base readings are received, the rolling store shifts all of the values in the array down one, places the new reading at the end of the array, then re-calculates. Therefore the frequency of the result is initially the base channel rate times the array size, but will then be every time the base channel updates.

The size of each array is limited to 4096 readings.

Resetting Store Channel

A resetting store channel fills an array, calculates a result, and then clears the array ready to re-fill again when the trigger condition is met. Therefore the frequency of a result is the base channel update rate times the array size, controlled by the trigger frequency. If the trigger frequency is set lower the number of entries required to fill the array, the calculation is made at the trigger point and the data is tagged PARTIALLY_INVALID.

Note

The trigger frequency is always synchronised to the time units selected. For example, if Seconds is selected, the trigger is always be synchronised to the 0th second of each minute.

Adding a Store Channel

To add a store-type virtual channel:

Choose Configuration menu > Data Hub Channels.

  1. In the dialog box that opens, click the Add Virtual button. DeLogger Pro presents you with the first screen of the sequence above.
  2. Work through screens 1 to 4, configuring the new virtual channel’s visibility, conditional test, dependency test and alarms if you want.
    1. In the Type area, select Rolling or Fixed Store.
    2. In the Allowed Input area, you can specify that the virtual channel is only updated with Realtime data, or with Logged data.
    3. Click Next.
  3. In screen that opens, specify the final details of the new store channel. The next table describes the items.

When you’re done, click Finish to complete the definition of the virtual channel.

The new virtual channel appears on the Virtual.JOB1 tab of the data hub, and is available in the choice lists of the various functions and views of DeLogger Pro.

Store Channel Functions

The following functions are available for calculations in store channels:

• Average — calculates the average value of the array

• Maximum — calculates the maximum reading within the array

• Minimum — calculates the minimum reading within the array

• Average Deviation — calculates the average deviation using the formula

• Standard Deviation (Sample) – calculates the standard deviation (based on a sample) using the formula

• Standard Deviation (Entire) — calculates the standard deviation (based on the entire population) using the formula

• Variance — calculates the variance using the formula

• 50th Percentile (median value) — returns the 50th percentile of values in a range.

• 25th Percentile (first quartile) — returns the 25th percentile of values in a range.

• 75th Percentile (third quartile) — returns the 75th percentile of values in a range.

• 90th Percentile — returns the 90th percentile of values in a range.

• 95th Percentile — returns the 95th percentile of values in a range.

Calculated Channels

A calculated channel is a virtual channel with its own spreadsheet that real or other virtual channels are pasted into. You can define various calculations using these channels and specify a result cell.

The function is useful for complex modelling or for combining data from multiple dataTakers into one result.

Adding a Calculated Channel

To add a calculated-type virtual channel:

  1. Choose Configuration menu > Data Hub Channels.
  2. In the dialog box that opens, click the Add Virtual button. DeLogger Pro presents you with the first screen of the sequence shown above.
  3. Work through screens 1 to 4, configuring the new virtual channel’s visibility, conditional test, dependency test and alarms if you want.
  4. In screen 5:
    1. In the Type area, select Calculated.
    2. In the Allowed Input area, you can specify that the virtual channel is only updated with Realtime data, or with Logged data.
    3. Click Next.
  5. In screen 6b that opens, do the following:
    1. In the Channel Label field, type a unique name for the new virtual channel.
    2. Click the Add Channel(s) button.
    3. In the Select Channel(s) for Virtual dialog box that opens, select the channel(s) you want to use as the base channel(s) then click OK. (You can select one or more channels from any source. That is, any channels that are currently in the data hub, including other virtual channels and channels from different dataTaker).
    4. To select a group of adjacent channels, click the first channel of the group and drag to the last channel or the group (or Shift-click the last channel). To select a group of non-adjacent channels, hold down the Ctrl key while you click the channels you want.
    5. You can then use any cells in the range 'D1:IU255' to enter your calculation. (Multiple steps for the calculation can use additional cells, with the result occurring in the last cell.) You pick up the channels value by referencing its value cell (B1,B2 etc).
    6. You then need to select the cell reference that holds the final result. Enter this cell reference in the 'Result cell reference' field.
    7. Type units text in the Units field.
    8. Tick Failed Conditional or Dependant Allowed in Calculation if you want the channel’s value to be included in the calculation even if it has failed conditional or dependency checks you may have applied. (Allowing failed values may distort the calculated channel’s result - you can of course protect against this in the calculation itself.)
    9. Tick Synchronised Update if you want DeLogger Pro to calculate and update the calculated channel only when all of the base channels used in its calculation have been updated. (The channels can come from more than one dataTaker)
      • When Synchronised Update is ticked and a calculated channel is called to update, DeLogger Pro firstly checks in the data hub to see if any of its base channels have been updated. If so, it updates the base value(s). If all selected base channels have been updated since this channels last full recalculation then it recalculates the spreadsheet, and takes the result for the calculated channel from the cell defined in the Result Cell Reference field.
    10. When you’re done, click Finish to complete the definition of the virtual channel
      • The new virtual channel appears on the Virtual.JOB1 tab of the data hub, and is available in the choice lists of the various functions and views of DeLogger Pro


Remote Data Sites and the Modem Manager

DeLogger Pro supports connection to remote dataTakers using PSTN, GSM, CDMA, radio and satellite telemetry systems, by means of appropriate modems at the host and remote locations.

These connections are defined in the Connections > Properties > Modem dialog box and can use any modem that has been installed in your computer’s Start > Control Panel > Modems dialog box as the local modem. (There is no requirement to install the local modem into DeLogger Pro itself.)

At the remote location, special attention is required when setting up the remote dataTaker and remote modem. This will vary for the different types of remote modems that are available for PSTN, GSM, CDMA, radio and satellite telemetry systems. The procedures to set up the remote site are detailed in your dataTaker’s user manual (available as PDF files from www.datataker.com).

If the remote site involves a DT5/6xx dataTaker and dataTaker MM-01 Modem Manager, MM-1 Support must be ticked to instruct DeLogger Pro to use Modem Manager protocol when connecting to the site.

Also be sure to enter any passwords that may be installed in the remote Modem Manager. To do this, click the Password button and enter the details in the Security dialog box that opens.

Installing and configuring the Modem Manager at the remote site is detailed in the Modem Manager User’s Manual.


DDE (Dynamic Data Exchange)

Because DeLogger Pro supports DDE, other Windows programs can query and control various aspects of DeLogger Pro.

For example, DeLogger Pro’s DDE mechanism allows the following to be implemented:

• Other software can request a variety of housekeeping information such as

• lists of available sites

• lists of connected data logger channels

• lists of defined host PC actions.

• Other software can request data from connected dataTakers, from the data database, or from files.

• Commands can be sent from other software directly to any connected dataTaker.

• Host PC actions and individual macros can be run within DeLogger Pro.

• An advise loop can be set up for any channel in the data hub.

DDE Concepts

To use DDE, you need to understand the concepts presented in this section. They are

• server and client

• conversation, service name, topic and item

• message structure

• the ChannelName item

Server and Client

DDE is a method of inter-process communication between various DDE-capable Windows programs. This inter-process communication can be, for example, the passing of data between processes, the passing of service requests between processes, or the synchronising of events.

DDE uses shared memory to communicate between programs, and has a protocol to manage and synchronise the process.

Some programs are providers of the data and information that is communicated by the DDE process, while other programs are users of the data and information communicated. Software that provides the data and information is termed a DDE Server, while an application that requests and receives the data and information is termed a DDE Client.

DeLogger Pro: DDE Server

DeLogger Pro is a DDE server, providing data and information in response to requests from DDE client software.

When DeLogger Pro is serving, think of it as maintaining a set of post boxes for dataTaker data, where each box holds the latest value for each piece of data or information. Each value is available to any DDE client that requests it.

As a DDE server, DeLogger Pro effectively becomes a conduit between the dataTakers that are connected to the computer, and software that can use the data coming from the dataTakers (such as spreadsheet, database, graphics and statistics packages).

For Example…

DeLogger Pro can, for example, provide data from selected dataTaker channels to Microsoft Excel, where that data is automatically placed in an Excel cell and continuously automatically updated. Or Excel can send commands to the dataTaker, instructing DeLogger Pro to initiate various services such as transmitting supplied text strings to the dataTaker.

Possible Incomplete Data

Be aware that a DDE client may not receive every data value that’s available from DeLogger Pro.

This “underrun” situation occurs if the DDE client’s request rate is slower than the rate at which the data is available within DeLogger Pro.

DDE Terminology

There are four terms you need to be familiar with in order to use DeLogger Pro’s DDE capability:

• DDE conversation

• DDE service name

• DDE topic

• DDE item

DDE Conversation

A DDE conversation is the communication between a DDE client and a DDE server.

The DDE client first requests a conversation with the DDE server, then requests various data and services from it. The DDE server in turn responds by sending data to the DDE client, or by executing procedures within itself.

DDE Service Name, Topic and Item

DDE programs use a three-tiered identification structure to distinguish their conversations from others:

• The highest tier in the hierarchy is the DDE service name. The service name identifies the particular software to which the conversation is directed. DeLogger Pro uses the service name DELOGGER, which is registered with the DDE Management Library (DDEML) of Windows when DeLogger Pro starts.

• The second tier is the DDE topic, which broadly groups the DDE services available within an application. The DDE topics defined for DeLogger Pro are listed in the DDE Topics and Items table.

• The third tier is the DDE item, which defines the particular services available in each topic. The DDE items defined for the DeLogger Pro topics are also listed in the table below.

DDE Message Structure

DDE conversations have the following general message structure:

ServiceName|Topic!Item

Note the two important separators | and !:

• The service name and topic are separated by a pipe character |.

• The topic and item are separated by an exclamation character !.

For example:

DeLogger|Channel!'Local_1.Job1.A.5TK'

Spaces are not permitted within the message structure, unless within names bounded by single quote characters.

The ChannelName DDE Item

Several of the DeLogger Pro DDE topics listed in the DDE Topics and Items table below have ChannelName as a DDE item. This refers to data originating from dataTaker channels at the site, and the particular ChannelName is constructed using the following format:

'Connection.Job.Schedule.Label'

Here are three examples:

'MyLogger.Job1.A.5TK'

'Local_600.Job1.B.AirTemp'

'Remote.Job1.C.RiverLevel'

ChannelName as defined by DeLogger Pro

• is contained within single quotes

• has a space character either side of the slash characters ( / ) that separate the SiteName, ScheduleID and ChannelID.

Default dataTaker channel IDs (such as 5V or 7PT385) are used if no custom channel IDs (such as Boiler Pressure or AirTemp) are specified.

This same data item naming structure is used within DeLogger Pro whenever lists of available channel data are displayed.

DeLogger Pro Topics and Items

The topics and items that are defined for DeLogger Pro are listed in the DDE Topics and Items table below.

You can use these topics and items to communicate requests to DeLogger Pro from within any program that has DDE client capabilities.

The user interface to the DDE capabilities is not the same in all DDE client software, so you’ll need to refer to the DDE client’s documentation to determine how to perform DDE conversations with DeLogger Pro. But in general terms, there will be modules or dialog boxes with names such as DDE In and DDE Out, and DDE Send and DDE Receive in which you specify the service name, topic and item of your conversations with DeLogger Pro.

The XTYP_nnnnn commands or messages listed in the Action column of the DDE Topics and Items table are the actual low-level request messages made by the DDE client application to the Windows DDEML (Dynamic Data Exchange Management Library) that manages DE conversations. These details are provided for advanced users who intend to use VBasic, VBA, or C/C++ to create custom DDE client applications that communicate with DeLogger Pro.

DDE Between DeLogger Pro and Excel

Microsoft Excel is a common DDE client you can use with DeLogger Pro. But because Excel does not have a full high-level user interface for DDE conversations, you will need to develop appropriate macros in VBA to perform DDE tasks. The VBA macro language in Excel has a number of DDE functions or methods that can be used with the topics and items listed in the table.

Delogger2 Macro Files

The files Delogger2.xlm and Delogger2.xla (located in the Excel folder in the DeLogger installation folder) provide an example of programming DDE conversations between DeLogger Pro and Microsoft Excel:

• You can open the Delogger2.xlm macro sheet in Excel, then use the Excel Tools menu > Macro > Macros command to access the VBA macros that provide the DDE functionality.
Delogger2.xlm could be used as the basis for developing more advanced DDE applications.

• Delogger2.xla is the Delogger2.xlm macro file compiled to an add-in, which you can permanently add into Excel using Tools > Add-Ins.
The functionality of the macros is available, but the actual macro scripts are not.

When Delogger2 is loaded into Excel, either as the macro sheet Delogger2.xlm or the add-in Delogger2.xla, a DeLogger menu appears in the Excel main menu bar. The commands on the DeLogger menu call into VBA scripts that perform the tasks.

Excel Procedures

The following procedures assume you’re using Microsoft Excel 97 (SR2) or later.

To insert an updating dataTaker channel into an Excel worksheet cell:

1. Start DeLogger Pro, connect to a dataTaker, and ensure that data is returning from the channels into DeLogger Pro.

2. Start Excel, then either

• open the DeLogger2.xlm macro file, or

• ensure that Delogger2.xla is included as an add-in.

Enable Macros if prompted to do so.

A DeLogger menu appears in the Excel main menu bar.

3. In a new or an existing Excel worksheet:

a) Select the cell that you want to paste the DeLogger Pro channel item into.

b) From the Excel DeLogger menu, choose PasteChannel.

After a brief pause for Excel to establish a DDE conversation with DeLogger Pro, Excel opens a dialog box displaying a list of available data channels.

4. From the list of available channels, select the one you want to insert, then click OK.

The channel’s label is pasted into the selected cell on the worksheet, and its value is pasted into the adjacent cell. Now whenever the value changes in DeLogger Pro, it is simultaneously updated in the Excel cell.

To view the source of Delogger2.xlm:

1. Make a copy of Delogger2.xlm and name it Delogger2.bak.

2. Start Excel and open Delogger2.xlm.

3. Enable Macros if prompted to do so.

4. Choose Tools > Macro > Visual Basic Editor.

5. Choose Delogger2.xlm from the project pane.

6. Select Module1 in the Modules folder under Delogger2.xlm.

A window opens containing the VBA text of the program.

7. Inspect the VBA program.

You may edit the program here if required.

To manually insert an updating channel into a worksheet cell:

You can manually define a DDE data channel link to DeLogger Pro in Excel worksheet cells. This does not require Delogger2 to be loaded into Excel.

1. Start Excel and ensure a worksheet is showing.

2. Select a cell on the worksheet and enter DDE link text into the formula bar above the worksheet. The general format is

=DELOGGER|Channel!'ChannelName'

The link text is case sensitive, and your channel’s ChannelName must be enclosed in single quotes and typed exactly as specified in DeLogger Pro. For example:

=DELOGGER|Channel!'LOCAL600.Job1.A.1V'

3. Repeat to add more data channel links into the Excel worksheet.


Databases

Database Delicacies

Here are some useful facts about DeLogger databases:

How Many, What, Where?

DeLogger requires two working (“current”) databases; an administration database and a data database. (Their functions are listed in What’s Stored Where)

When you install DeLogger, a default FoxPro administration database and a default FoxPro data database are placed in DeLogger’s default database location (the Data folder inside DeLogger’s installation folder, for use with all of your projects. But, if you want, you can

• change the type of one or both databases (for example, you can use Access instead of FoxPro)

• change the location of one or both databases

• use different databases for different projects.

These matters are discussed later in this section.

In addition, DeLogger Pro has four more data databases that are provided to simplify your database management. Here’s a summary of DeLogger Pro’s default databases:

Global or Project-Specific?

The actual admin database and data database used by each project is specified in the project’s .dlw file and are therefore “project-specific”. But, because many users stay with DeLogger’s default databases for all of their projects, these databases are effectively “global”.

Separate DeLogger Instances

If a database is a client/server type, you can use multiple projects on separate DeLogger instances.

DeLogger’s Default Databases

DeLogger uses two databases to store data and other information; an administration database and a data database. Both of these are FoxPro format and are located in the …/DeLogger/Data folder.

ODBC

The databases are referenced through ODBC drivers with the default names

• Site7 for the administration database

• Site7d1 for the data database.

The ODBC data source names (DSNs) are installed as System DSN, which allows to them to be used by any user on the computer.

Default Locations

The locations of the default FoxPro databases are

• …\DeLogger\Data\Admin\site7.dbc

• …\DeLogger\Data\Data\site7d1.dbc

Clean Data Database

There is also an empty copy of the data database in the …\DeLogger\Data\Clean folder. You can copy this group of files to a new folder and set it up as an alternative data database. Make sure that the original folder is not modified because it’s used by the SiteAdmin utility when doing data database archiving and cleaning.

Additional Databases

Although the default DSN is set up at a global level and DeLogger uses them by default, each DeLogger project can override the default and use any other defined DSN. This means, for example, that you can have a data database and an admin database for each project, if you define multiple databases and DSNs.

Data Database Schema

The data database schema historically consists of three tables:

• data_header — holds information about the session

• data_details — holds channel details

• data_data — holds the data values and times

The data_data table will grow the most and this is the table to reference when writing reports or extracting data.

Database Size and Performance Issues

Writing to relational databases is always going to be slower than writing to a flat file because entries need to be indexed and attached to linked lists. However, some databases (mainly mainstream client/server) are faster than others and many can be tuned for performance.

If a lot of database logging is anticipated (with large size or high speed) it’s worth planning an alternative data database option:

• For both speed (DT800 throughput) and size (>250MB), a client/server implementation is recommended. The most highly-recommended database is Microsoft SQL Server™ 2000 because it’s one of the fastest and most flexible.

• A cheaper solution is to use Linux and MySQL as the OS and server software can be freely downloaded. They are secure and reliable systems used and proved by many major companies, and they are supported by the open software model.

Administration Database

The admin database requires little maintenance other than periodically clearing down the log files. This is done from the SiteAdmin utility. The main log files to watch are the error_log and the alarm_log. The latest version of DeLogger allows the error and alarm logs to be cleared from the event logs window (alarm is protected by a registry entry).

Data Database

The data database requires maintenance when used, because it can quickly grow in size and start to cause performance issues. As a rule of thumb, it should not be allowed to grow beyond 250MB. One of the main reasons for this is that FoxPro is a direct file access database and the ODBC driver constructs a database cursor in the temporary directory that is equal to a snapshot of the database. This means that if the data database is 250MB in size, the ODBC driver also constructs a 250MB temporary file in the TEMP directory. If it is anticipated that large databases (>250MB) will be used then a change to a client/server database is recommended.

Alternative Databases

We recommend that the administration database be left as the default FoxPro type, unless shared access is required, because administration tools are provided for this type.

The setting-up of a new administration database is the same as for the data type described below.

The currently-supported alternative databases are

• File-Based

• Access 2000 (not recommended for large databases)

• Client/Server

• Microsoft SQLServer (6.5/7/2000) — tested on Windows 2000 Advanced Server and Windows NT® Server

• MySQL — tested on Windows XP, 2000 Professional, Windows 2000 Advanced Server and Red Hat Linux 6.2

Schemata for these alternatives are available from www.datataker.com.

The recommended types are

• Microsoft SQL 2000 for the Microsoft Windows™ platform

• MySQL for Windows and Linux platforms.

Setting Up an Alternative Database

Setting up a database server is not a trivial task and is beyond the scope of this manual. It is expected that most organisations will have an IT section capable of setting up and maintaining databases. If you require further information or help on the subject, please contact your dataTaker representative.

Once the alternative database server is set up and working a new System DSN should be defined from the ODBC Data Source Administrator to allow DeLogger access. It is recommended that a new System DSN be used to allow a fallback situation if the server is unavailable at startup time (DeLogger will notify and prompt in this situation). Once a new System DSN is defined and the connection tested via the ODBC Data Source Administrator, the DeLogger project can be set to use the new database connection.

To do this, open the File menu > Project Properties dialog box and select the new DSN in the Channel Data Database Data Source Name (DSN) list, then close the dialog box and the project. The new DSN will be used the next time you open that project.

Delogger does not provide any administration tools for these alternative databases because it’s assumed that there will be database administrators maintaining the server(s)..


DeLogger Pro Web Publishing

DeLogger Pro can create HTML (browser) versions of the following data views:

• form windows

• chart windows

• mimic windows

• spreadsheet window charts

• analysis window charts

DeLogger Pro publishes these .htm files (and associated .jpg graphics files) in a prescribed structure to the Publish folder in DeLogger’s installation folder.

The files can then be made available to a connected intranet and viewed using a browser.

In addition, DeLogger Pro can use FTP to copy these published files over a local network or dial-up connection to another web server (on the Internet, or on another intranet, for example.)

Manual and Automatic Web Publishing

When you enable intranet publishing, manual triggering of the publishing operation is also enabled. That is, publishing occurs whenever you choose the view’s Publish command (or click the button on its toolbar).

In addition, you can enable automatic publishing, which triggers publishing whenever the view updates by receiving new data. You activate this function separately for each window by ticking Publish on Update in each window’s Properties dialog box.

Home Page and Documents Page

You may freely modify the home page index.htm to suit your company’s requirements. However, we recommend that you always keep the Documents link (to documents.htm located in …\DeLogger\Publish\html) because you’ll use it often.

(The documents.htm file always contains an up-to-date list of published documents, because DeLogger Pro re-creates documents.htm from the contents of the …\DeLogger\Publish\html folder every time a view is published or re-published.)

You may also alter the appearance of the documents page (documents.htm). To do this, you alter the template file (also called documents.htm) located in …\DeLogger\templates. This template file is read each time the working copy of documents.htm is re-created.

See also Personalizing the Data Site

Changing the Default Web Publishing Locations

You can change the location of DeLogger Pro’s default web publishing folders.

You carry out this re-direction by using Windows Regedit.exe to modify the following registry keys:

• HKEY_CURRENT_USER\Software\Discbell\DeLogger\ Default\PublishDir
(default key value data is PUBLISH)

• HKEY_CURRENT_USER\Software\Discbell\DeLogger\ Default\PublishDocumentsFolder
(default key value data is html)

Of course, unless you’re an experienced Microsoft Windows user, we recommend that you do not do this.

Important

For web publishing to work, the new location must contain the same directory structure as the original location — in other words, copy the folder structure to the new location.

Publishing Quality

The quality (and corresponding size) of any required graphics files produced during the creation of web pages is controlled by the JPEG picture quality setting.

Intranet (Local) Publishing

When enabled for intranet web publishing, DeLogger Pro saves published HTML pages and associated graphics files in a fixed directory structure in the main DeLogger installation folder (the default is …\DeLogger\Publish).

To configure DeLogger Pro for intranet publishing, open the Configuration menu > Web Publish dialog box and tick Publish to Intranet (Local). Then when you click Accept and Close the dialog box, a manual Publish command and toolbar button become available for the appropriate windows. Use these to publish HTML versions of the views, or enable automatic web publishing.

If you open the file …\Publish\index.htm (in DeLogger’s installation folder) in a browser and click the Documents link, you’ll have access to the published DeLogger Pro views in the browser.

Internet (WWW) Publishing

Besides publishing to a local folder, DeLogger Pro can also copy the published files to another server by means of FTP transfer. This means you can publish the updating DeLogger Pro HTML files to a local (corporate) web server or to a remote (internet) web server, and the publishing link can include a local network and/or a dial-up connection.

For slower links, you can reduce the size (and therefore the quality) of generated images. See the JPEG Picture Quality field.

DeLogger Pro automatically establishes the connection using the User Name, Password and Initial Directory specified in the Web Publish dialog box.

Activating Internet publishing is a two-step process:

1. Configure DeLogger Pro by opening the Configuration menu > Web Publish dialog box. In the dialog box

• tick both Publish to Intranet (Local) and Publish to Internet (WWW)

• type the destination URL, User Name, Password and directory

• click the Accept button then the Close button.

A manual Publish command and toolbar button become available in the form, chart, mimic, spread and analysis windows. You can also enable automatic web publishing.

2. Enable Internet publishing separately for each view you want to publish. Do this by opening the individual window’s Properties dialog box and ticking Publish to Internet.

Dial-Up Connection

If a dial-up connection is part of the FTP file link, DeLogger Pro uses the source computer’s default Windows Dial-Up Networking connection.

This is set on the Connections tab of Windows Start menu > Settings > Control Panel > Internet Options/Properties dialog box.

Required Folder Structure for Web Publishing

Alternatives

There are many other ways to transfer the contents of the data site to a local or remote web server, including

• scripting FTP commands and scheduling a batch file

• using the existing directory structure as a virtual directory from the web server (both IIS and Apache allow this).

Publishing Frequency

To protect against overload and to minimise dial-up connection times, DeLogger Pro’s frequency of publishing is separate from its frequency of view update.

Here’s the sequence:

1. A DeLogger Pro view publish request is accepted and queued.

2. If the view publish timer is not active it is started.

3. If the timer has expired, the queued list is examined and any duplicate requests removed.

4. A publish action is run. At its completion, a documents list update request is queued.

5. If Publish to Internet (WWW) is ticked in the Configuration menu > Web Publish dialog box and Publish to Internet is ticked in the view’s Properties dialog box, the document is added to the FTP list.

6. If the FTP timer is not running it is started.

7. When the FTP timer expires, the queue is examined and duplicate entries removed.

8. The FTP session is initiated and the files transferred.

9. The FTP disconnect timer is started.

10. The FTP session stays open for a pre-determined time and any more requests for transfer are handled immediately.

11. When the FTP session disconnect timer expires, the session is closed.

Publishing Reports

You can configure DeLogger Pro to publish reports in HTML (browser) format.

To do this:

1. Write or obtain the .rpt report file you want to publish, and put it into the …\DeLogger\Reports folder.

2. Create a secondary report based on the report file.

3. Create an action to run the secondary report, making sure that Export HTML is selected.

4. Run the action.

DeLogger Pro places the resulting .htm file in the …\DeLogger\Publish\html\Reports folder.

Recommendation

Unlike intranet and Internet publishing, report publishing does not trigger re-creation of the list of published documents (the documents.htm file). Therefore we recommend that you configure a window for publishing and thereby force updating of the list of published documents so that it contains the report name. (You can simply chain an action that contains a PUBLISH("WindowName.ext") macro to the action created in step 3. above.)

Personalizing the Data Site

You can do any or all of the following to personalize the published HTML pages:

• Modify the index.htm file but don’t remove the link to documents.htm.

• Modify the template file …\DeLogger\templates\ documents.htm. (But don’t remove the %% placeholders: these are substituted by DeLogger Pro when it creates the document listings.)

• Modify the …\DeLogger\templates\multidoc.htm file. (But don’t remove the %%InsertSRC placeholder: DeLogger Pro substitutes this with HTML code and images.)

• Add any other HTML pages required.


DeLogger OPC Server

OPC (OLE for Process Control) was developed to provide a standard interface to facilitate the development of servers and clients by multiple vendors that would operate together seamlessly. DeLogger supports Version 1 of the specification, which is suitable for most cases of data retrieval.

DeLogger has been developed to support OPC as a data server allowing any OPC client access to realtime or logged data from its DT5/6xx dataTakers.

DeLogger OPC Architecture

The OPC implementation for DeLogger is:

The DeLogger OPC Server need not be running on the same machine as the DeLogger application process but consideration should be given to performance if it is to be located across a slower link (that is, a WAN). However, we recommend that the DeLogger OPC Server is configured to run on the same machine as DeLogger as this will give the best performance.

DeLogger will install all the required components on the server machine but some manual setup is still required. (Note that there are differences between operating systems, so some options may be on different dialog boxes.)

Setting Up DeLogger OPC Server on a Win2000 Workstation

To set up the DeLogger OPC Server on a Win2000 workstation:

1. Run the program executable OPC_DA20_Components.exe located in the …/DeLogger/opc server folder.

2. Ensure the Automation Interface is registered with the system by typing regsvr32.exe OPCProxy.dll
from a command window.

3. Ensure the DeLogger OPC server DLL is registered with the system by typing regsvr32.exe "C:\Program Files\DeLogger\opc server\deLoggerOPCServer.dll" from a command window.

4. Run dcomcnfg.exe from Start menu > Run and do the following:

a) Ensure Enable Distributed COM on this computer is checked or selected.

b) Select deLogger OPC Server and check that the default properties conform to your company’s security measures.

c) Close dcomcnfg.exe.

5. Run the client application and check that DeLogger OPC Server is accessible.

Setting Up Client Access on a Separate Win2000 Workstation

To set up client access on a separate Win2000 workstation:

1. Run the program executable OPC_DA20_Components.exe located in the …/DeLogger/opc server folder.

2. Copy the file deLoggerOPCServer.dll from the server machine and register it with the system by typing regsvr32.exe deLoggerOPCServer.dll from a command window.

3. Run dcomcnfg.exe from Start menu > Run and do the following:

a) Ensure Enable Distributed COM on this computer is checked or selected.

b) Select deLogger OPC Server and check that the default properties conform to your company’s security measures.

c) From the Location tab, select Run application on the following computer and choose the computer where the DeLogger OPC server is located.

d) Close dcomcnfg.exe.

You should now be able to start up your OPC client software and connect through to DeLogger using the OPC interface. If DeLogger is not running, it should start up automatically when selected as a server from OPC client software.

The DeLogger OPC Server is distributed as a DLL. So, if the OPC client software is running on a separate computer, DeLoggerOPCServer.dll should be run by the surrogate process DLLHOST.EXE, which should be found in the Windows/system(32) folder. To set this up, add a new String Value in the registry using regedit.exe.

The details of the key are:

• Key: HKEY_CLASSES_ROOT\AppID\{764EA6DE-8DF8-11D2-AC14-00A024A242A2}

• New String Value: DllSurrogate

• Value of: C:\WINNT\system32\dllhost.exe or wherever your dllhost.exe is located.

This ensures that the DeLogger OPC Server runs in its own surrogate process, which improves performance when operating across a network.


DeLogger Messaging

DeLogger can forward incoming dataTaker alarms to the default mail system. It utilises MAPI, so the workstation must be correctly set up and configured to send e-mail using MAPI. DeLogger has been developed and tested using Outlook 2000 as the mail client, although any MAPI-compliant client can be used. Please ensure that mail can be sent from the workstation before setting-up Delogger mail handling.

Although the current implementation requires manual set up, it is expected that in future versions this will be automated and user-friendly interfaces provided.

When DeLogger messaging support is enabled, alarms received by DeLogger are passed on to the message handler process, which checks to see if it is to be forwarded to the mail sub-system (using MAPI). The check is made by reading the messaging.csv file and looking for relevant matching entries. If a matching entry is found, the alarm is forwarded according to the values of that entry. The message subject is set within the registry and the message body is the text of the alarm. By using dataTaker embedded channel readings, a full definition of the alarm can be provided. (Value and Time of Value can be inserted into the alarm by the dataTaker).

The messaging process is started automatically by DeLogger (using an OLE interface) when it first needs to pass an alarm for checking. If the logon to the mail service is not automatic, a dialog box asks you to log on to the mail system with a chosen profile. This happens each time it is first started up.

DeLogger also processes the alarm internally and actions any defined responses.

Multiple entries can be defined for the same site/alarm so that different recipients can be selected. You can also use a group e-mail address for wider distribution.

The mail system can be set up to use an internal or external mail server (MS Exchange, POP3 server, IMAP server), which is accessed directly or by dial-up. These all need to be set up within the OS prior to using the DeLogger mail handler.

Enabling Alarm Mail Support

Run the registry editor (regedit.exe) and modify the following keys to have a value of 1:

• HKEY_CURRENT_USER\Software\Discbell\DeLogger\Message\MailAlarmEnabled

• HKEY_CURRENT_USER\Software\Discbell\DeLogger\Message\MailHandlerEnabled

Restart DeLogger to enable the above changes.

Defining Alarm Routing

The details are held in a file called messaging.csv located in the …/DeLogger/messaging folder. Its format is

So the file will look like the following.

" Type"," SubType"," Site"," F1"," F2"," F3"," F4"," F5"," F6"," F7"," F8"," F9"
"M","0","MySite","DeLogger","me@myaddress.com","DeLogger Reported Alarm","1,2,3,4,5,","0-24",,,,

The first line is used to determine number of columns to read and the column labels.
It will work without the header in some circumstances (when one of the fields is not quoted) but it is much safer to leave it in.

To add an entry, edit the file and enter the relevant details.

Be careful with the syntax because DeLogger is sensitive to small errors in the file.

Modification of this file will be done automatically in future versions by means of user-friendly dialog boxes.

Message Handler

The handler has two display views: the left one shows messages awaiting processing, and the right one displays those messages processed along with further details. It is started automatically be DeLogger when needed, or can be started manually by a script or from Explorer.

It is intended that this handler will be improved to allow the setting-up of the alarm routing and to handle SMS.

Troubleshooting

The first check is always to see if the mail client on the workstation can send e-mail to the addresses defined in the messaging.csv file.

Check that the DeLogger mail handler is enabled in the Windows registry.

Check that the DeLogger mail handler OLE interface is registered by running the DLPMessageHandler.exe file.

Check that the entries in messaging.csv are valid for the incoming alarm.

Default printer: choose Start > Control Panel > Printers, right-click the printer you want to use, then choose Set as Default in the menu that pops up.

If you’re using DeLogger (not Pro), the serial number field (Figure 32) contains 0000-0000, DeLogger’s default serial number.

Or, if the event logs window is already open, brings it to the front.

When there’s more than one connected site, DeLogger asks you to select the connection by opening a dialog box similar to that shown in Figure 66 (page 63).

So that DeLogger knows which command to use, you specify the dataTaker series when creating DeLogger connection definitions — see the dataTaker field in Figure 45, for example.

For the other connection types, see “Connections > Connect” on page 38.

You can include an embedded action string in the alarm to unload data.

See the “Data Hub” Extras panel on page 62.

That is, common to all projects.

See “Configuration > Actions” on page 55.

To do this, you must define one or more logging sessions — see “Configuration > Database Channel Logging Sessions” on page 60.

See the Conditional Settings and Dependant Settings screens in Figure 289 on page 213.

Don’t confuse this flag with those that appear in the Flags column of the Data Hub Channels dialog box (Figure 63) — they are not the same.

That is, reports based on DeLogger Pro installed reports — see “Installed Reports and Secondary Reports” on page 200.

See the “Data Site” Extras panel on page 38, Figure 41 on page 40, and Figure 43 on page 42.

Allow data to be presented to the Data Hub for database logging (DT5/6xx, Figure 68 ) or Allow through to the Data Hub for database logging and ULAST tracking (DT8xx, Figure 68) must be ticked.

In DeLogger Pro, data unloaded directly from dataTaker memory using the dataTaker > Unload command can also be logged into the database (as an unload session) — see Figure 69.

This option is present on both the DT5/6xx and DT8xx unload dialog boxes (Figure 68).

If you’ve ticked Track ULAST in the Connection Defaults area of Figure 57 (page 52). See also “Track ULAST” in the table under “Connection Defaults” on page 54.

See the “User Startup Defaults” topic in Part H of the DT800 dataTaker User’s Manual.

The color is defined in Windows’ Display (or Display Properties) control panel: Appearance tab > Item drop-down list > Message Box > Font Color.

As you can observe in the formula bar, this formatting does not permanently reduce the precision of the original values.

International Organization for Standardization; ISO 8601

Created after double-right-clicking in the form window — see “Formula One Workbook Designer” on page 138.

To make the button or checkbox snap to cell boundaries, hold down the Alt key while dragging.

Or if you click Yes when asked if you want to save changes when closing a project or exiting DeLogger.

The print area depends on the paper size, paper orientation and printer settings.

Invalid and partially-invalid data is virtual channel data that has failed data hub conditional or dependancy tests.

Primary data is data direct from a dataTaker channel.

Invalid and partially-invalid data is virtual channel data that has failed data hub conditional or dependancy tests.

Primary data is data direct from a dataTaker channel.

If you want DeLogger to remember these screen sizes, tick Remember splitter panes position in Figure 31 (page 32).

That is, the contents of the text window’s display screen buffer — all the characters you can see and scroll to in the display screen.

Invalid and partially-invalid data is virtual channel data that has failed data hub conditional or dependancy tests.

Primary data is data direct from a dataTaker channel.

That is, the contents of the text window’s entry screen buffer — all the characters you can see and scroll to in the entry screen.

Advanced users only: use Regedit.exe to set the arrow key nudge distance by modifying the registry key HKEY_CURRENT_USER\Software\Discbell\DeLogger\
Mimic\GridGranularity (pixels).

Invalid and partially-invalid data is virtual channel data that has failed data hub conditional or dependancy tests.

Primary data is data direct from a dataTaker channel.

.dlr — DeLogger replay file
.dcp — DeCipher Plus file
.dxd — DT800 logged data file
.dxa — DT800 logged alarms file

See “Formula One Workbook Designer” on page 138.

Plot: the group of data series traces

An existing unload session or a logging session — see “Logging Sessions” on page 60.

Formula One (.vts), Excel (.xls) and tabbed text (.txt) files

The color is defined in the Windows Display (or Display Properties) control panel: Appearance tab > Item drop-down list > Message Box > Font Color.

As you can observe in the formula bar, this formatting does not permanently reduce the precision of the original values.

International Organization for Standardization; ISO 8601

That is, rearrange rows according to the contents of one or more columns, or rearrange columns according to the contents of one or more rows.

The print area depends on the paper size, paper orientation and printer settings.

.dlr — DeLogger replay file
.dcp — DeCipher Plus file
.dxd — DT800 logged data file
.dxa — DT800 logged alarms file

See “Formula One Workbook Designer” on page 138.

An existing unload session or a logging session — see “Logging Sessions” on page 60.

Formula One (.vts), Excel (.xls) and tabbed text (.txt) files

The color is defined in Windows Display (or Display Properties) control panel: Appearance tab > Item drop-down list > Message Box > Font Color.

As you can observe in the formula bar, this formatting does not permanently reduce the precision of the original values.

International Organization for Standardization; ISO 8601

That is, rearrange rows according to the contents of one or more columns, or rearrange columns according to the contents of one or more rows.

The print area depends on the paper size, paper orientation and printer settings.

If more than one connection is active, a dialog box opens asking you to choose a connection.

See “Databases” on page 226.

See “Installed Reports and Secondary Reports” on page 200.

See “Installed Reports and Secondary Reports” on page 200.

Analysis window: only

Plot: the group of data series traces

That is, relevant to the chart element you double-click.

Analysis window: only

Log Alarms in Figure 57 (page 52) must be ticked to enable this.

Log Errors in Figure 57 (page 52) must be ticked to enable this.

See “Load Existing Message Entries” on page 52.

If you want to remove/change the startup sound:
DeLogger Pro — choose Configuration > Actions and delete/modify the contents of the Sound File field (Figure 58).
DeLogger — remove the siren.wav file from the …\DeLogger\Sound folder.

Don’t confuse the Schedule utility’s schedules with dataTaker schedules. They are not the same.

See “Logging Errors and Alarms” on page 53.

See the “Historical Data, Replay Data” Extras panel on page 40.

Crystal Reports by Crystal Computer Services, Inc.

You must ensure that these formulas exist in the report if you want to use them. See “Parameter Fields” on page 57.

They are FoxPro® databases — a FoxPro database engine is installed when you install DeLogger.

DeLogger actually has five pre-defined data databases — the current data database, three archive databases, and an historical database. See “How Many, What, Where?” on page 226.

Or clicking Yes when asked if you want to save changes when closing a project or exiting DeLogger.

Introduced in the “Data Hub” Extras panel on page 62.

Serial, network and modem connections — see Figures 45, 48 and 49.

Array: a sequence of memory locations used to store successive readings.

Array: a sequence of memory locations used to store successive readings.

You can change these later. This is covered in “Setting a Channel’s Properties in the Data Hub” on page 213.

You can change these later. This is covered in “Setting a Channel’s Properties in the Data Hub” on page 213.

Advise loop: the server (DeLogger) advises the client that the item of interest (channel) has updated; it’s then up to the client to request the data.

VBA: Visual Basic for Applications

DDE is active by default. You don’t need to enable it anywhere within DeLogger.

You can select multiple channels from the list of available channels by clicking and dragging down the list, or by shift-clicking. Multiple channels are pasted into successive cells below the selected cell on the worksheet.

They are named Archive 1, Archive 2, Archive 3 and Historical 1 for “historical reasons”. In practice, simply consider them as four data databases that you can use as archive destinations for your working data database.

Intranet: a private, network-based collection of web servers and websites, usually located within one company or organization.

But don’t remove the %% placeholders: these are substituted by DeLogger Pro when it creates the document listings.

Internet Explorer 5.5 or later is preferred.

File Transfer Protocol: a set of rules used for copying files between computers on an intranet or on the Internet.


Key Codes

DeLogger4 Pro Key codes

Fn key actions

Help | F1
Connect | F2
Disconnect | F3
Data hub | F5

Shift Fn key actions. (Hold down shift key and then Fn key number)

Context sensitive Help

Shift F1

(Question mark cursor appears then click on object for help.)

Control Fn key actions (Hold down shift key and then Fn key number)

Close current window | Ctrl F4
Cycle around windows | Ctrl F6
Toggle edit mode | Ctrl F8

Alt Fn key actions. (Hold down Alt key and then Fn key number)

Select Program Menu. | Alt F1
Select Report Menu | Alt F3
Close Window | Alt F4
Select View Menu | Alt F7
Select Windows Menu | Alt F8

Alt Shift

Publish Document

Alt Shift P

Control Key actions. (Hold down Control the key)

Select all in current window | Ctrl A
Copy | Ctrl C
Open new project | Ctrl O
Print current window | Ctrl P
Save | Ctrl S
Paste | Ctrl V
Cut | Ctrl X

Control Alt key actions. (Hold down Control and alt then key)

Load session from database | Ctrl Alt D
Load session from file | Ctrl Alt F
Print preview | Ctrl Alt P
Logging on / off | Ctrl Alt G
Unload data | Ctrl Alt U
Quit unload | Ctrl Alt Q
Run | Ctrl Alt R
Halt | Ctrl Alt H
Send program to connection | Ctrl Alt A
Send and save as reset | Ctrl Alt O

Control Shift Key code. (Hold down Control and shift the keys)

Reduces DeLogger4 | Ctrl Shift R
Maximizes DeLogger4 | Ctrl Shift M
Reduces DeLogger4 to task bar | Ctrl Shift I
Add / remove project box | Ctrl Shift P
Cascade windows | Ctrl Shift C
Horizontal split windows | Ctrl Shift H
Vertical split windows | Ctrl Shift V
Lock DeLogger4 | Ctrl Shift L
Unlock DeLogger4 | Ctrl Shift F
Lock focus window | Ctrl Shift B (Toggles)

Alt Key code. (Hold down Alt then key)

Press the Alt key and then the underlined character from menus.

File Menu. Alt F

New Project | N
Open Project | O
Close Project | C
Save Project | S
Save Project As | A
Project Properties | E
Print | P
Print Setup | R
Print Preview | V
Exit | X
Customize | Z
Page Setup | U
Numbers open last projects | 1,2,3,4,5,6,7,8,9 etc

Edit Menu. Alt E

Undo | U
Redo | R
Cut | T
Copy | C
Paste | P
Paste Values | V
Clear | L
Insert | I
Delete | D
Copy Down | W
Copy Right | G
Find | F
Replace | R
Select All | A
Go to Matching Brace | B

View Menu. Alt V

Status Bar | S
Project Bar | P
Tool Bars | T
System | S
Connection | C
dataTaker | D
Configuration | F
Show Alarm Events | A
Show Error Events | O
Show Message Events | M
View Events | V

Connection Menu. Alt C

Connect | C
Play | Y
Properties | P
Disconnect | D
Manual Integrity Check | I

Configuration Menu. Alt G

Defaults | D
Actions | A
Reports | R
Web Publish | W
Datahub Channels | H
Database Channel Logging | L

dataTaker Menu. Alt D

Data Logging | L
Unload | U
Quit | Q
Clear | C
Job to run on Hard Reset | J
Reset | E
Run | R
Halt | H
Set Date/Time | D
Test | T
Status | S
Memory Card | M
Run Card Program | P
Upgrade Firmware | F

Program Menu. (DT5xx builder) Alt P

Send to Connection | S
Send to Card on Connection | C
Arrange Channels | A
Next Analog Channel | N
Next Digital Channel | D
Next HSC Channel | H
Edit Mode (Toggle) | E
View Toolbar | T
Properties | P

Program Menu. (DT8xx builder) Alt P

Send to Connection | S
Send to connection as RESET Job | R

Spread Menu. Ctrl Alt s

Load Session From Database | D
Load Session From File | F
Import Sheet | I
Export Sheet | E
Load into External Spreadsheet | X
Chart Type | Y
2D | 2
Line | L
Area | A
Bar | B
XY | X
Contour | C
Polar | P
Radar | R
3D |
Line | L
Area | A
Bar | B
XY | X
Contour | C
Polar | P
Radar | R
Update Chart | U
Background Colour | C
Show Headers | S
Show Gridlines | G
View Toolbar | T
Format | O
Alignment | A
Font | F
Border | B
Pattern | P
General | G
Fixed | X
Fixed 1 | 1
Fixed 2 | 2
Fixed 3 | 3
Fixed 4 | 4
Fixed 5 | 5
Percent | %
Scientific | S
Date | D
Time | T
Custom Number | C
Default Font | O
Calculation | A
Sort | R
DefineName | N
Set Print Range from Selection | M
Insert Page Break | B
Remove Page Break | K
Publish | H
Properties | P

Text Menu Alt X

Display Screen | D
Filter Data | F
Display Data As | D
Capture Data to Disk | C
Font | N
Save Screen Buffer As | A
Clear Screen Buffer | B
Insert Text | I
Pause | S
View Toolbar | T
Properties | P
Entry Screen | E
Command Edit Mode | E
Open Text File | O
Load DLP Text | D
Save Text File | S
Send Line | L
Send Highlighted | H
Send Program | P
Set User Buttons | R
User Buttons | U
Clear Entry Buffer | C
Go to Matching Brace | B
View Toolbar | T
Splitter View | V

Form Menu Alt M

Pause | S
Edit Mode | E
Column Template | M
Reset High | G
Reset Low | L
Background Colour | C
Show Headers | D
Show GridLines | W
View Toolbar | T
Format | F
Alignment | A
Font | F
Border | B
Pattern | P
General | G
Fixed | X
Fixed 1 | 1
Fixed 2 | 2
Fixed 3 | 3
Fixed 4 | 4
Fixed 5 | 5
Percent | %
Scientific | S
Date | D
Time | T
Date/Time | A
Locale Date/Time | E
Custom Number | C
Default Font | O
Object | O
Insert Button | B
Insert Checkbox | C
Attach Action | A
Options | O
Validation Rule | V
Calculation | A
Define Name | N
Set Print Range from Selection | I
Insert Page Break | B
Remove Page Break | R
Publish | H
Properties | P

Chart Menu Alt T

Pause | S
Edit Mode | E
Chart Properties | I
Select Channels | C
Edit Axis | D
Rotate | O
Auto Re-Scale | A
Allow Compressed Mode | M
Clear | R
XY Chart | X
View Toolbar | T
Scale Text Up | U
Scale Text Down | W
Publish | H
Properties | P

Mimic Menu Alt M

Needle Meters | N
Arc Meters | C
Pie Meters | R
Temperature Meter | M
Annunciator | A
Digital | D
Text | X
LED Indicators | L
Buttons | B
Picture | I
Pause | S
Edit Mode | E
Edit Panel |
Arrange | G
Lock | K
Delete |
Scale Text Up | U
Scale Text Down | W
View Toolbar | T
Publish | H
Properties | P

Analysis Menu. Alt A

Load Session from Database | D
Load Session from File | F
Import Sheet | I
Export Sheet | E
Load into External Spreadsheet | X
Update Chart | U
Background Colour | C
Show Headers | S
Show GridLines | G
View Toolbar | T
Format |
Alignment | A
Font | F
Border | B
Pattern | P
General | G
Fixed | X
Fixed 1 | 1
Fixed 2 | 2
Fixed 3 | 3
Fixed 4 | 4
Fixed 5 | 5
Percent | %
Scientific | S
Date | D
Time | T
Custom Number | C
Default Font | O
Calculation | A
Sort | R
Define Name | N
Set print Range from Selection | M
Insert Page Break | B
Remove Page Break | K
Publish | H
Properties | P

Report Menu Alt R

Alarms | A
Full | F
Month to Date | M
Week to Date | W
Last 24 Hours | 2
Today | T
Date Range | R
Errors | E
Full | F
Today | T
Week to Date | W
Month to Date | M
Log Files | L
Schedule | S
Action | A
Database Reports | R

Tools Menu Alt O

Internal Cards | I
Type | T
PC263 | P
Memory Cards | M
5/6xx Series | 5
MCI Assistant | M
PCMCIA | P
Copy | C
Translate | T
Create Replay File | R
8xx Series | 8
Unload Jobs | U

Window Menu. Alt W

Cascade | C
Tile Vertical | V
Tile Horizontal | H
Arrange Icons | A
1..n | 1..n

Help Menu Alt H

Contents | C
Index | I
About DeLogger | A


Form View Sheets

Form View Sheet Navigation

Selecting Parts of Worksheets

Working with Form View Sheets

Specifications


FormView sheets

FormView Sheet Navigation

Navigating Through Worksheets

When working in the Form Window, you can navigate within individual worksheets using keyboard commands or mouse actions. In addition to navigating through worksheets , keyboard commands allow you to perform a variety of other tasks.

Keyboard commands allow you to:

  • position the active cell in the worksheet
  • page through a worksheet
  • enter data typed in a cell
  • move the active cell within a selected range
  • enter and exit edit mode
  • recalculate a workbook
  • delete data from a selected cell or range

Using Keyboard Commands

Performing Mouse Actions

Selecting Cells

Selecting Rows and Columns

Using Keyboard Commands

The tables below list the keyboard commands you can use when working in FormView. The following table lists action keys that allow you to enter and edit data, move the active cell within a selected range, and recalculate the workbook.

Key | Description
ENTER | When in edit mode, accepts the current entry.
SHIFT + ENTER | When in edit mode, accepts the current entry.
TAB | When in edit mode, accepts the current entry and moves the active cell horizontally to right.
SHIFT +TAB | When in edit mode, accepts the current entry and moves the active cell horizontally to left.
F2 | Enters edit mode. While in editing mode, F2 displays the Cell Text dialog box, in which you can enter multi-line data entries.
F9 | Recalculates the workbook.
DEL | May clear current selection.
Escape | Cancels current data entry or editing operation.

The following table lists the movement keys that allow you to move the active cell within a worksheet and display different sections of the worksheet.

Key | Description
Up Arrow | Moves active cell up one row.
Down Arrow | Moves active cell down one row.
Left Arrow | Moves active cell left one column.
Right Arrow | Moves active cell right one column.
CTRL Up/Down/Left/Right | Moves to the next range of cells containing data. If there is no additional data in the direction in which you are moving, moves to the edge of the worksheet.
Page Up | Moves up one screen.
Page Down | Moves down one screen.
CTRL Page Up | Moves left one screen.
CTRL Page Down | Moves right one screen.
Home | Goes to first column of current row.
End | Goes to last column of current row that contains data.
CTRL Home | Goes to row 1 column 1.
CTRL End | Goes to last row and column that contain data.

The following table lists the keys that modify the action of the movement keys.

Key | Description
Scroll lock | Causes the view window to scroll without changing current selection with all movement keys except Home, End, CTRL Home, and CTRL End.
SHIFT plus any movement key | Extends the current selection.

Performing Mouse Actions

Selecting Cells

Selecting Rows and Columns

Performing Mouse Actions

Primarily the mouse is used to select items in a worksheet at run time. The following table lists the mouse actions you can perform.

Action | Description
Left-Click | Moves the active cell to the pointer position.
Left-Click in Row or Column Headings | Selects entire row or column.
Left-Click in Top Left Corner | Selects entire sheet.
Left Double-Click in Top Left Corner, Row Headings, Column Headings, or Worksheet tabs | Displays a dialog box that allows you to enter a label for the top left corner or the column or row heading, or a new name for the worksheet that was double-clicked.
Left-Click and Drag | Selects a range. If other ranges are selected, the previously selected ranges are unselected.
CTRL + Left-Click and Drag | Selects a range. If other ranges are selected they remain selected.
SHIFT + Left-Click and Drag | Extends the current selection.
CTRL + SHIFT Click on Row Headings, Column Headings, or Top Left Corner | Selects the row headings, column headings, or top left corner of the sheet.
Drag a Selection's Copy Handle | Copies the selection into the newly selected area.
Drag a Selection's Border | Moves the selection to a new location.
ALT + Click and Drag an Object or Object's Selection Handles | Repositions or resizes an object and aligns object sides with the cell grid.

Using Keyboard Commands

Selecting Cells

Selecting Rows and Columns

Selecting Parts of Worksheets

Selecting Cells

Many operations require one or more cells to be selected. There are three kinds of selections: a single cell, a range of cells , and multiple ranges of cells (non-adjacent). The following illustrations show the three types of selections.

A single cell is selected.

A single range is selected.

Multiple ranges are selected.

Selecting Cells with the Mouse

Selecting Rows and Columns

Selecting Cells with the Mouse

The worksheet cursor is always located on a cell. The cell on which the worksheet cursor is located is called the active cell. The active cell is also a selection or part of a selection. Any data the user enters is always placed in the active cell.

  • To select a range of cells, click and hold the left mouse button and drag through the range you want to select. When a range is selected, it becomes highlighted.
  • To select multiple ranges, press the CTRL key while selecting a range with the mouse. Any previously selected ranges remain selected.

Once a range is selected, you can move the active cell within the range using the ENTER, SHIFT + ENTER, TAB, and SHIFT + TAB keys. When you use these keys to move the active cell, the range remains selected.

Selecting Cells

Selecting Rows and Columns

Selecting Rows and Columns

Entire rows and columns can be selected using the mouse. To select a row or column, position the pointer on the header of the row or column you want to select. When you click the header, the row or column is selected.

You can also select all rows and columns in the worksheet. To do this, position the pointer on the top left header and click.

Selecting Cells


Working with FormView sheets

Editing Worksheets

Copying Data Interactively

You can copy data interactively by dragging the copy handle of a selection. The copy handle is the small knob in the lower right corner of a selection. When you copy data using the copy handle, the pointer changes to a small crosshair.

The above illustration demonstrates how you can copy the number in A1 to the cells below when the copy handle is dragged downward.

Interactively Copying Ranges

Interactively Copying Ranges

You can copy data interactively by dragging a selected range in a worksheet.

To interactively copy a range:

1. Position the pointer on the border of the selection you want to copy.

When placed on the selection border, the pointer changes to an arrow.

2. Press the CTRL key.

3. With the pointer on the selection border, click and drag the range.

An outline of the selected range moves as you drag the pointer.

4. Release the mouse button at the location where you want to place the copied range.

The original range is not moved. The following illustration shows the steps required to interactively copy a range.

The pointer appears an arrow when positioned on a selection border.

When you click and drag a selection border while pressing CTRL, the highlighted area moves to indicate the placement of the copied range.

The data in the range is copied to its new location when you release the mouse button.

Copying Data Interactively

Interactively Moving Ranges

In addition to interactively copying ranges, you can move ranges interactively by clicking and dragging a selection.

To interactively move a range:

1. Position the pointer on the border of the selection you want to move.

When placed on the selection border, the pointer changes to an arrow.

2. With the pointer on the selection border, click and drag the range.

An outline of the selected range moves as you drag the pointer.

3. Release the mouse button at the location where you want to place the selected range.

The following illustration shows the steps required to interactively move a range.

The pointer appears as an arrow when positioned on a selection border.

When you click and drag a selection border, the highlighted area moves to indicate the placement of the moved range.

The data in the range is moved to its new location when you release the mouse button.

Using Drag-and-Drop Functionality to Move or Copy Data

You can use Formula One's drag-and-drop functionality to move or copy data internally (within Formula One applications) and externally.

Using Drag and Drop within Formula One

You can use Formula One's drag-and-drop functionality to easily copy or move data, objects, and charts to other locations within the active worksheet.

To use drag and drop within Formula One:

1. Select the cells that contain the data, object, or chart you want to move or copy.

2. To move the selection, point to it, and then hold down the mouse button. When the pointer appears, drag the pointer to the new location. In order to place the selection on an area of the sheet that is not visible, move the cursor to the edge of sheet and scroll to the appropriate location. Once the pointer is at the appropriate location, release the mouse button.

To copy the selection, hold down the CTRL key, point to the selected information, and then hold down the mouse button. When the pointer appears, drag the pointer to the new location, and then release both the mouse button and the CTRL key.

Using Drag and Drop with Other Applications

You can easily drag text and Windows metafile pictures onto a Formula One worksheet from other Windows applications, such as Excel.

Note The drag-and-drop functionality will only work with applications that support Windows CF_TEXT and CF_METAFILEPICT data. The mouse pointer will change to [image] to indicate that the data cannot be placed in the selected location.

To drag information from another application and drop it into Formula One:

1. Arrange the application windows so that the source and destination documents are open and visible. You must be able to see the information you want to drag and the Formula One worksheet you want to place it on.

2. Select the information you want to move or copy.

3. To move the information, point to the selected information, and then hold down the mouse button. Drag the pointer to the new location, and then release the mouse button. The pointer will change to [image] to indicate a move.

To copy the information, point to the selected information, and then hold down the mouse button. When the pointer appears, drag the pointer to the new location, hold down the CTRL key and then release the mouse button.

To drag data from Formula One to another application:

1. Arrange the application windows so that the source and destination documents are open and visible. You must be able to see the data on the Formula One worksheet.

2. Select the information you want to move or copy. You can only move or copy CF_TEXT format from Formula One.

3. To move the information, point to the selected information, and then hold down the mouse button. When the pointer appears, drag the pointer to the new location, and then release the mouse button. The pointer will change to indicate a move.

To copy the information, hold down the CTRL key, point to the selected information, and then hold down the mouse button. When the pointer appears, drag the pointer to the new location, and then release both the mouse button and the CTRL key. The pointer will change to indicate a copy.

NOTE When dragging information out of Formula One, be careful when approaching the margin area, as the margins will scroll as you drag.

Inserting Cells, Rows, and Columns in the Workbook Designer

You can insert cells, rows, or columns in the Workbook Designer.

To insert new:

1. Select one of the following, depending on what you want to insert.

Range. Select a range of cells in the size and position you want to insert new cells.

Row. Select the row where you want the new row inserted by clicking on the row heading. Select as many rows as you want to insert. To select additional row headings, hold down SHIFT when you click on the heading. For example, to insert 3 rows, select three rows.

Column. Select the column where you want the new column inserted by clicking on the column heading. Select as many columns as you want to insert. To select additional column headings, hold down SHIFT when you click on the heading. For example, to insert 3 columns, select three columns.

2. Select Insert from the Edit menu.

If you insert a range or columns, any existing data is shifted right. If you insert columns, any existing data is shifted down.

Clearing and Deleting Cells, Rows, and Columns

You can delete or clear cells, rows, or columns in the Workbook Designer. Deleting cells removes the cells and shifts the surrounding data to fill the space. Clearing cells leaves the cells, but deletes the data.

To delete cells in the Workbook Designer:

1. Select the cells, rows, or columns you want to delete.

2. Select Delete from the Edit menu.

If you delete a range or columns, any data to the right of the deleted cells is shifted left. If you delete rows, any existing data below the deleted rows is shifted up.

To clear cells in the Workbook Designer:

1. Select the cells, rows, or columns you want to clear.

2. Select Clear from the Edit menu to display the Clear dialog box.

3. Select All, Formats, or Values, depending on what you want to clear from the cell. All clears the value and its formatting. Formats leaves the value, but clears any formatting. Values clears only the value.

4. Click OK.

Inserting Cells, Rows, and Columns

Entering Multi-Line Data

A single cell can contain as many as nine lines or 256 characters of data. When entering the data, new lines of data are specified within the cell by entering carriage return/line feeds.

When entering data interactively in the Workbook Designer or in a worksheet at run time, press F2 when editing a cell. The Cell Text dialog box is displayed in which you can enter the cell data. To enter a line feed, press RETURN. Click the OK button to accept the entry and return to normal worksheet editing.

After entering multi-line data, you may need to resize the row and column in which the entry is placed in order to view all the data.

You can also enter multi-line row and column headers.

Formatting Row and Column Headings

Entering Constant Values

Numbers. Numeric entries can contain numeric characters (e.g., 1, 2, 3, 4, 5, 6, 7, 8, 9, and 0) and the special characters (e.g., +, -, (, ), /, $, %, ., E, and e).

  • Negative numbers can be preceded by a minus sign or enclosed in parentheses.
  • Commas can be included in numeric entries as thousands separators.
  • Numeric entries containing leading dollar signs are formatted as currency.
  • Numeric entries containing trailing percent signs are formatted as percentages.

Formula One accepts numeric entries as fractions. If the fraction contains a leading integer (e.g., 1 1/3) it can be entered directly. If there is no leading integer, the fraction should be preceded by a zero (e.g., 0 2/3).

Numbers larger than the cell in which they are entered are converted to scientific notation unless a specific format is applied.

Dates and Times. Dates and times are automatically recognized. They are entered in the cell as values and automatically formatted. The following date and time formats are automatically recognized.

Entered | Format Assigned
3/15/94 | m/d/yy
15-Mar-94 | d-mmm-yy
15-Mar | d-mmm
Mar-94 | mmm-yy
9:55 PM | h:mm AM/PM
9:55:33 PM | h:mm:ss AM/PM
21:55 | h:mm
21:55:33 | h:mm:ss
3/15/94 21:55 | m/d/yy h:mm

Text. Text is any set of characters that Formula One does not recognize as a number, date, or time.

Text that is wider than a cell ordinarily spills over into the cell immediately to the right. You can specify that text should wrap within the cell by enabling word wrap in your alignment format settings.

Logical and Error Values. Logical and error values are not normally entered directly in cells; they are usually the result of a formula. However, entering these values can be useful for testing formulas.

The logical values that can be entered are TRUE and FALSE. The error values that can be entered are #N/A, #VALUE!, #REF!, #NULL!, #DIV/0!, #NUM!, and #NAME?.

Entering Formulas

Cell References

Entering Formulas

Formulas are the basic building blocks for analyzing and calculating worksheet data. A formula is a string containing numbers, operators, worksheet functions, cell references, and names. A formula can contain as many as 1024 characters.

  • When you manually enter a formula in a worksheet, you must begin the entry with an equal sign (=). Formula One recognizes this entry as a formula.

Numbers in formulas can be followed by a percent sign (%). Numbers with trailing percent signs are treated as percentages (e.g., 100% is evaluated as 1).

If text is encountered when a number is expected, the text is converted to a number. For example, the formula 1 + "3" returns 4, because "3" is converted to a number. If the text cannot be converted to a valid number (e.g., 1 + "Text"), #VALUE! is returned.

Likewise, if a number is encountered when text is expected, the number is converted to text. The formula "The number is "&3 converts to the text string "The number is 3".

The value TRUE always converts to 1; while FALSE converts to 0. If a number is encountered when a logical value is expected, a zero is converted to FALSE. All other numbers are converted to TRUE. If text is encountered when a logical value is expected, "TRUE" is converted to TRUE; "FALSE" is converted to FALSE. All other text returns #VALUE!.

Dates and times are recognized and converted to their serial values. For example, "10/10/94" - "10/1/94" equals 9.

Entering Constant Values

Formula Operators

Cell References

Worksheet Errors

Built-In Worksheet Functions

Using Names

Calculating Worksheets

Cell References

A reference identifies a cell by referring to the row and column coordinates of the cell. References are based on the row and column headings. For example, A1 refers to the cell at the intersection of row 1 and column A. References can be used in formulas to access data from a worksheet.

A range of cells is specified by placing a colon (:) between two cell references . For example, the reference A1:C3 refers to the range anchored by cells A1 and C3. The range includes all cells in columns A, B, and C of rows 1, 2, and 3.

Entering Formulas

Absolute and Relative References

References to Other Worksheets

References to Multiple Worksheets

External References

Automatically Entering Cell References

Using Names

Finding and Replacing Data in FormView Sheets

Searching For and Replacing Data in Formula One

Formula One allows you to find and replace data within a worksheet. Find and Replace dialogs can be invoked manually in the Workbook Designer or programatically within the application. If you wish to locate a particular string of data in a worksheet, formula or value, you would use the Find dialog. If you wish to search for data in Formula One worksheet and replace it with other data, you have the option of using the Replace dialog.

To manually display the Find dialog in the Workbook Designer:

1. Invoke the Workbook Designer by selecting that option on the right-click menu.

The Workbook Designer displays.

2. Choose Find from the Edit menu or issue the Ctrl F keyboard shortcut.

The Find dialog displays.

Click on the text boxes and check boxes of the dialog to learn what they do.

To manually display the Replace dialog in the Workbook Designer:

1. Invoke the Workbook Designer by selecting that option on the right-click menu.

The Workbook Designer displays.

2. Choose Replace from the Edit menu or issue the Ctrl H keyboard shortcut.

The Replace dialog displays.

Click on the text boxes and check boxes of the dialog to learn what they do.

Formatting Worksheets

Formatting Worksheets

Formula One supports a rich set of data formatting capabilities. When a worksheet is first created, all cells use the General format. As you enter data in the worksheet, Formula One determines the type of data and applies the appropriate format (e.g., if you enter a date, a date format is applied).

Built-in Number Formats

Formatting Rows and Columns

Custom Formatting

Aligning Data

Changing Row Heights and Column Widths

Fixing Rows and Columns

Setting Cell Borders and Colors

Formatting Row and Column Headings

Setting Row and Column Text

Formatting Data

Built-in Number Formats

You can apply a number of built-in number formats by highlighting a range of cells and selecting the format from the Format menu.

The following table lists the built-in number formats and the result after the format is applied to a positive, negative, and decimal number.

Category | Format | 3 | -3 | .3
All | General | 3 | -3 | .3
Currency | $#,##0_);($#,##0) | $3 | ($3) | $0
 | $#,##0_);[RED]($#,##0) | $3 | ($3) | $0
 | $#,##0.00_);($#,##0.00) | $3.00 | ($3.00) | $0.30
 | $#,##0.00_);[RED]$(#,##0.00) | $3.00 | ($3.00) | $0.30
Fixed | 0 | 3 | -3 | 0
 | 0.00 | 3.00 | -3.00 | 0.30
 | #,##0 | 3 | -3 | 0
 | #,##0.00 | 3.00 | -3.00 | 0.30
 | #,##0_);(#,##0) | 3 | (3) | 0
 | #,##0_);[RED](#,##0) | 3 | (3) | 0
 | #,##0.00_);(#,##0.00) | 3.00 | (3.00) | 0.30
 | #,##0.00_);[RED](#,##0.00) | 3.00 | (3.00) | 0.30
Percent | 0% | 300% | -300% | 30%
 | 0.00% | 300.00% | -300.00% | 30.00%
Fraction | # ?/? | 3 | -3 | 2/7
 | # ??/?? | 3 | -3 | 3/10
Scientific | 0.00E+00 | 3.00E+00 | -3.00E+00 | 3.00E-01

Custom Formatting

Formatting Rows and Columns

If you format a row or column, that format is applied to all cells in the row or column. When you enter data in a cell in a formatted row or column, the data assumes the designated format.

Built-in Number Formats

Custom Formatting

Custom Formatting

In addition to the built-in formats, you can define custom formats. Each custom format can have as many as four sections: one for positive numbers, one for negative numbers, one for zeros, and one for text. Each section is optional; the sections are separated by semicolons. The following example shows a custom format.

#,###;(#,###);0;"Error: Entry must be numeric"

To define a custom number format:

1. Select a range of cells to be formatted.

2. Choose Custom Number from the Format menu to display the Custom Format dialog box.

3. Enter a format built from the custom format characters described in the table below.

The following table lists the format symbols that can be used in a custom format string.

Format Symbol | Description
General | Displays the number in General format.
0 | Digit placeholder. If the number contains fewer digits than the format contains placeholders, the number is padded with 0's. If there are more digits to the right of the decimal than there are placeholders, the decimal portion is rounded to the number of places specified by the placeholders. If there are more digits to the left of the decimal than there are placeholders, the extra digits are retained.
# | Digit placeholder. This placeholder functions the same as the 0 placeholder except the number is not padded with 0's if the number contains fewer digits than the format contains placeholders.
? | Digit placeholder. This placeholder functions the same as the 0 placeholder except that spaces are used to pad the digits.
. (period) | Decimal point. Determines how many digits (0's or #'s) are displayed on either side of the decimal point. If the format contains only #'s left of the decimal point, numbers less than 1 begin with a decimal point. If the format contains 0's left of the decimal point, numbers less than 1 begin with a 0 left of the decimal point.
% | Displays the number as a percentage. The number is multiplied by 100 and the % character is appended.
, (comma) | Thousands separator. If the format contains commas separated by #'s or 0's, the number is displayed with commas separating thousands. A comma following a placeholder scales the number by a thousand. For example, the format 0, scales the number by 1000 (e.g., 10,000 would be displayed as 10).
E- E+ e- e+ | Displays the number as scientific notation. If the format contains a scientific notation symbol to the left of a 0 or # placeholder, the number is displayed in scientific notation and an E or an e is added. The number of 0 and # placeholders to the right of the decimal determines the number of digits in the exponent. E- and e- place a minus sign by negative exponents. E+ and e+ place a minus sign by negative exponents and a plus sign by positive exponents.
$ - + / ( ) : space | Displays that character. To display a character other than those listed, precede the character with a back slash (\) or enclose the character in double quotation marks (" "). You can also use the slash (/) for fraction formats.
\ | Displays the next character. The backslash is not displayed. You can also display a character or string of characters by surrounding the characters with double quotation marks (" ").
 | The backslash is inserted automatically for the following characters: ! ^ & ` (left quote) ' (right quote) ~ { } = < >
* (asterisk) | Repeats the next character until the width of the column is filled. You cannot have more than one asterisk in each format section.
_ (underline) | Skips the width of the next character. For example, to make negative numbers surrounded by parentheses align with positive numbers, you can include the format _) for positive numbers to skip the width of a parenthesis.
"text" | Displays the text inside the quotation marks.
@ | Text placeholder. If there is text in the cell, the text replaces the @ format character.
m | Month number. Displays the month as digits without leading zeros (e.g., 1-12). Can also represent minutes when used with h or hh formats.
mm | Month number. Displays the month as digits with leading zeros (e.g., 01-12). Can also represent minutes when used with the h or hh formats.
mmm | Month abbreviation. Displays the month as an abbreviation (e.g., Jan-Dec).
mmmm | Month name. Displays the month as a full name (e.g., January-December).
d | Day number. Displays the day as digits with no leading zero (e.g., 1-2).
dd | Day number. Displays the day as digits with leading zeros (e.g., 01-02).
ddd | Day abbreviation. Displays the day as an abbreviation (e.g., Sun-Sat).
dddd | Day name. Displays the day as a full name (e.g., Sunday-Saturday).
yy | Year number. Displays the year as a two-digit number (e.g., 00-99).
yyyy | Year number. Displays the year as a four-digit number (e.g., 1900-2078).
h | Hour number. Displays the hour as a number without leading zeros (e.g., 1-23). If the format contains one of the AM or PM formats, the hour is based on a 12-hour clock. Otherwise, it is based on a 24-hour clock.
hh | Hour number. Displays the hour as a number with leading zeros (e.g., 01-23). If the format contains one of the AM or PM formats, the hour is based on a 12-hour clock. Otherwise, it is based on a 24-hour clock.
m | Minute number. Displays the minute as a number without leading zeros (e.g., 0-59). The m format must appear immediately after the h or hh symbol. Otherwise, it is interpreted as a month number.
mm | Minute number. Displays the minute as a number with leading zeros (e.g., 00-59). The mm format must appear immediately after the h or hh symbol. Otherwise, it is interpreted as a month number.
s | Second number. Displays the second as a number without leading zeros (e.g., 0-59).
ss | Second number. Displays the second as a number with leading zeros (e.g., 00-59).
AM/PM am/pm A/P a/p | 12-hour time. Displays time using a 12-hour clock. Displays AM, am, A, or a for times between midnight and noon; displays PM, pm, P, or p for times from noon until midnight.
[h] | Outputs total number of hours.
[m] | Outputs total number of minutes.
[s] | Outputs total number of seconds.
s.0, s.00, s.000, ss.0, ss.00, ss.000 | Outputs fractional part of second.
[BLACK] | Displays cell text in black.
[BLUE] | Displays cell text in blue.
[CYAN] | Displays cell text in cyan.
[GREEN] | Displays cell text in green.
[MAGENTA] | Displays cell text in magenta.
[RED] | Displays cell text in red.
[WHITE] | Displays cell text in white.
[YELLOW] | Displays cell text in yellow.
[COLOR n] | Displays cell text using the corresponding color in the color palette. n is a color in the color palette.
[conditional value] | Each format can have as many as four sections: one each for positive numbers, negative numbers, zeros, and text. Using the conditional value brackets ([ ]), you can designate a different condition for each section. For example, you might want positive numbers displayed in black, negative numbers in red, and zeros in blue. The following string formats a number for these conditions:[>0] [BLACK]General; [<0] [RED]General; [BLUE]General

The following table shows some examples of custom number formats and numbers displayed using the custom formats.

Format | Cell Data | Display
#.## | 123.456 | 123.46
 | 0.2 | .2
#.0# | 123.456 | 123.46
 | 123 | 123.0
#,##0"CR";#,##0"DR";0 | 1234.567 | 1,235CR
 | 0 | 0
 | -123.45 | 123DR
#, | 10000 | 10
"Sales="0.0 | 123.45 | Sales=123.5
 | -123.45 | -Sales=123.5
"X="0.0;"x="-0.0 | -12.34 | x=-12.3
$* #,##0.00;$* -#,##0.00 | 1234.567 | $ 1,234.57
 | -12.34 | $ -12.34
000-00-0000 | 123456789 | 123-45-6789
"Cust. No." 0000 | 1234 | Cust. No. 1234
;;; | Anything | (Not Displayed)
"The End" | 123.45 | The End
 | -123.45 | -The End
 | text | text
m-d-yy | 2/3/94 | 2-3-94
mm dd yy | 2/3/94 | 02 03 94
mmm d, yy | 2/3/94 | Feb 3, 94
mmmm d, yyyy | 2/3/94 | February 3, 1994
d mmmm yyyy | 2/3/94 | 3 February 1994
hh"h" mm"m" | 1:32 AM | 01h 32m
h.mm AM/PM | 14:56 | 2.56 PM
hhmm "hours" | 3:15 | 0315 hours

Aligning Data

Formula One allows you to specify how data is aligned within a cell. The standard alignment places text along the left edge of the cell and numbers along the right edge of the cell. Logical and error values are centered.

To align text in the Workbook Designer:

1. Select the cells whose contents you want to align.

2. Choose Alignment from the Format menu to display the Alignment dialog box.

In this dialog box, you can specify the horizontal and vertical alignment of data in the selected cells. In addition, you can specify whether long strings of data can wrap to multiple lines within the cell.

Formatting Rows and Columns

Changing Row Heights and Column Widths

The width of columns and the height of rows can be changed interactively.

Interactively Sizing Rows and Columns

Fixing Rows and Columns

Formatting Row and Column Headings

Interactively Sizing Rows and Columns

When you position the pointer on the right edge of a column heading or the bottom edge of a row heading, the pointer changes to a double arrow to indicate that the row or column can be resized. Simply click and drag to resize the column or row.

If multiple rows are selected when you resize a row, all selected rows are resized as you drag a row border. Multiple columns can be resized in the same manner.

Double-click on the bottom border of a row heading to automatically adjust the height of all cells in the row to accommodate the largest font size in the row. Double-click on the right side of a column heading to automatically adjust the width of all cells in the column to accommodate the largest entry.

You can also set the size of a selected group of columns or rows to match the size of an existing row or column. First, select the group of rows or columns you want to resize, including the row or column whose size you want to match. Then, click the right border of the column header or the bottom border of the row whose size you want to match. The selected rows are resized to match the size of the row or column you clicked.

Changing Row Heights and Column Widths

Fixing Rows and Columns

Rows and columns in a worksheet can be fixed so that they do not scroll when you perform worksheet scrolling. Fixed rows remain stationary when you perform vertical scrolling; fixed columns remain stationary when you perform horizontal scrolling. Fixing rows and columns allows you to place titles in your worksheet that are always displayed, as shown in the following illustration.

Columns A and B in are fixed in this worksheet. When horizontal scrolling is performed, columns A and B do not scroll.

When fixing rows and columns , you specify the starting row or column to fix and the number of rows or columns to fix. Rows and columns preceding the fixed area are not displayed in the worksheet. For example, if you fix rows 4 through 6, rows 1, 2, and 3 are not displayed.

To fix rows or columns in the Workbook Designer:

1. Select the rows or columns you want to fix by clicking on the column or row header. To select multiple rows or columns, hold down SHIFT while you click.

2. Choose Fix Rows (or Columns) from the Sheet menu, depending on what you have selected.

Note Data contained in fixed rows and columns cannot be edited. You must perform any data editing in these rows and columns prior to fixing . If you attempt to select a cell in a fixed row or column, the entire row or column is selected, as shown in the following illustration.

Setting Cell Borders and Colors

Cells and ranges can be formatted with borders , colors , and patterns. These attributes can be set in the Workbook Designer.

Borders can be applied to the top, bottom, left, and right sides of a cell . You can select the type and color of line used for the border. When adding a border to a range, you can place a border around the outside of the range.

When applying colors and patterns to a cell or range, you specify the pattern and foreground and background colors used to fill the cells.

To format cells from the Workbook Designer:

1. Select the cells you want to format.

2. To change cell borders , choose Border from the Format menu to display the Borders dialog box. To change cell colors and patterns, choose Pattern from the Format menu to display the Pattern dialog box.

Formatting Row and Column Headings

Formatting Row and Column Headings

In addition to formatting worksheet cells, many aspects of row and column headings can be formatted. Worksheet headings contain three areas: the row headings, column headings, and the box in the top left corner of the worksheet where the row and column headings intersect. The following illustration highlights these three areas.

Selecting Row and Column Heading Areas

Sizing Row and Column Headings

Setting Row and Column Text

Selecting Row and Column Heading Areas

Row and column headings can be selected interactively.

To select headings interactively, press CTRL+SHIFT and click the heading area.

After a heading area is selected, you can set:

  • the alignment of the heading text
  • the font and colour of the heading text
  • the pattern and fill colour of the heading area
  • the border used to frame heading cells

Formatting Row and Column Headings

Selecting Row and Column Heading Areas

Sizing Row and Column Headings

Sizing Row and Column Headings

The size of row, column, and top left headings can be set interactively.

To interactively change the size of column headings, click and drag the bottom edge of the top left corner.

To interactively change the size of row headings, click and drag the right edge of the top left corner.

The following illustration shows interactive resizing of the column headings. Click on the pointer, guide, and resized worksheet for more information.

Formatting Row and Column Headings

Selecting Row and Column Heading Areas

Setting Row and Column Text

Like other column and row header attributes, the text displayed in header cells can be changed interactively.

To interactively change the text for a row or column header:

1. Double-click on the header for which you want to enter text to display the Header Name dialog box.

2. Enter one or more lines of text to serve as the header name, as shown in the following illustration.

3. Click on the OK button.

The header text is displayed, as shown in the following illustration.

The row header area has been resized to display the new header text .

Note Rows, columns, and cells are still referred to by their default numbers and letters in functions, properties, and formulas even if the header text for rows and columns has been changed. For example, the cell at the intersection of column B and row 2 is still referred to as B2 even if the header text for row 2 has been set to "New Sales."

Formatting Row and Column Headings

Charting the Data

Using the Chart Wizard

The tabs within the Chart Wizard guide you through most common design decisions required when you create or modify a chart. The Chart Wizard is displayed automatically when you draw a new chart on a worksheet. You can also display the Chart Wizard at any time to assist you in formatting an existing chart.

Important Each chart type has individual requirements as to how the data must be laid out. Separate formatting options are also available for different chart types. You should read your First Impression User's Guide to familiarize yourself with the requirements of various chart types.

To access the Chart Wizard:

1. Double-click on the chart to activate it.

2. Right-click the chart to display the shortcut menu.

3. Choose Wizard from the menu.

The Chart Wizard provides four tabs that control various design aspects such as choosing a chart type, setting chart options, controlling chart layout, and specifying chart and axis titles. You can navigate through these tabs by clicking on the tab at the top of the dialog box, or by using the navigation buttons at the bottom of the dialog box.

Click on the following illustration to display additional information about the Chart Wizard.

Additional Chart Formatting

The Chart Wizard provides a quick and easy method for applying some of the most common formatting options to your chart. Additional formatting options are available by using the First Impression dialog boxes. These dialog boxes are displayed by double-clicking on chart elements in an activated chart object, or by selecting items from the First Impression shortcut menu. Consult your First Impression documentation for more information.

To access First Impression dialog boxes:

1. Double-click on the chart object to activate it.

2. Right-click on the chart to display the shortcut menu.

3. Make a selection from the menu.

Important One of the options on the First Impression shortcut menu is Edit Chart Data. This displays First Impression's Data Grid View tool. In this tool you can modify the size and content of the chart's data source. Any changes you make in the Data Grid View tool are reflected in the chart, but are NOT reflected in the worksheet. Also, if you use the Data Grid View tool to edit the chart data and then recalculate the workbook in Formula One while the chart still references a range in the worksheet, the worksheet data overwrites your changes. To prevent this, set the chart's formula to an empty string (" ") before using the Data Grid View tool to edit the data.

Chart Options

To edit chart options:

1. Select the chart.

2. Choose Options from the Object menu to display the Object Options dialog box.

Referencing Data on Another Worksheet

Referencing Data on Another Worksheet

You can also display a chart on one worksheet that references data on a separate worksheet.

To create a chart on a separate worksheet:

1. Select the chart tool.

2. Draw the chart on a worksheet.

3. Choose Options from the Object menu to display the Object Options dialog box.

4. Enter the formula referencing the data source on the other spreadsheet.

The worksheet shown in the following illustration provides summary information about inventory data stored on the worksheets named Region 1 and Region 2.

The cells B4 through D17 contain formulas that sum information from the worksheets Region 1 and Region 2.

The following worksheet displays the chart for the inventory data.

The data source formula for this chart object is Summary!A3:D17.

Chart Options

Printing Worksheets

Printing Worksheets

You can print the active worksheet.

To print the active sheet from the FormView:

1. Choose Print from the File menu to display the Print dialog box.

2. Make any necessary adjustments to the settings and click OK.

Specifying Print Areas

Specifying Row and Column Print Titles

Specifying Headers and Footers

Specifying Page Breaks

Setting Printing Orientation

Specifying Print Areas

Formula One prints the entire active worksheet unless you specify the ranges you want to print. To specify the areas you want to print, you must set the Print Area name to reflect the worksheet area to be printed.

To set the print area in the Form View:

1. Select the ranges to print.

2. Choose Set Print Area on the Sheet menu.

Specifying Row and Column Print Titles

Specifying Headers and Footers

Specifying Page Breaks

Specifying Row and Column Print Titles

You can specify row or column titles that you want printed on each page of your worksheet. If you select a row, it is printed at the top of each page. If you select a column, it is printed at the left edge of each page. You can select multiple rows or columns, but they must be adjacent.

Important When setting print titles, you must select entire rows and columns.

The Print Titles name holds the row and column titles specification.

Specifying Print Areas

Specifying Headers and Footers

Specifying Page Breaks

Specifying Headers and Footers

Headers and footers are printed at the top and bottom of each page. The header and footer definition is accessible in the Page Setup dialog box.

Headers and footers can contain text and special formatting codes. The following table lists the special formatting codes. Header and footer codes can be entered in upper or lower case.

Format Code | Description
&L | Left-aligns the characters that follow.
&C | Centers the characters that follow.
&R | Right-aligns the characters that follow.
&D | Prints the current date.
&T | Prints the current time.
&F | Prints the workbook name.
&A | Prints the worksheet name.
&P | Prints the page number.
&P+number | Prints the page number plus number.
&P-number | Prints the page number minus number.
&& | Prints an ampersand.
&N | Prints the total number of pages in the document.

Codes and text are, by default, centered unless &L or &R is specified.

The following font codes must appear before other codes and text or they are ignored. The alignment codes (e.g., &L, &C, and &R) restart each section; new font codes can be specified after an alignment code.

Format Code | Description
&B | Use a bold font.
&I | Use an italic font.
&U | Underline the header.
&S | Strikeout the header.
&O | Ignored.
&H | Ignored.
&"fontname" | Use the specified font.
&nn | Use the specified font size - must be a two digit number.

Specifying Print Areas

Specifying Row and Column Print Titles

Specifying Page Breaks

Specifying Page Breaks

Both horizontal and vertical page breaks can be specified on a worksheet.

In the Form View, page breaks are always placed adjacent to the active cell. When using methods, page breaks can be placed adjacent to the active cell or a cell that you specify.

  • Horizontal (row) page breaks are placed adjacent to the top edge of the active or specified cell.
  • Vertical (column) page breaks are placed adjacent to the left edge of the active or specified cell.

To set page breaks in the Form View:

1. Select the cell adjacent to which you want to place page breaks .

2. Choose Set Page Breaks from the Form menu.

Setting Printing Orientation

Worksheet pages can be printed with a portrait or landscape orientation.

To set printing orientation:

  • Choose Print Setup from the File menu and set the printing orientation in the Print Setup dialog box.


Using AutoFill Lists

If you frequently use lists of names, months, or days of the week in your worksheet, you can let Formula One do some of the work for you by using the autofill feature.

Formula One's default autofill lists contain frequently used series of text, such as months and days of the week. When you enter one of the elements in these lists and drag the autofill handle, Formula One enters the rest of the data from the list as needed to fill the range you mark.

Once Formula One has recognized the text as an item from an autofill list, pressing TAB puts the next list item in the next cell to the right, or ENTER puts the next list item in the next cell below.

Adding AutoFill Lists

Deleting AutoFill Lists


Adding AutoFill Lists

You can also add your own autofill lists.

To add a new autofill list:

1. Select AutoFill List from the Data menu to display the AutoFill Lists dialog box.

By default, a new, empty line is selected in the Lists list box.

2. Type your new autofill list in the Current List list box, separating each item with a semi-colon.

3. Click Add.

Select the empty row at the end of the list and then type your new list in the Current List list box.

Note Values recognized as data cannot be used as autofill list items, such as 1973;1974, 1a;1b, 1%;2%.

Using AutoFill Lists

Deleting AutoFill Lists


Deleting AutoFill Lists

You can also delete an existing autofill list.

To delete an autofill list:

1. Select AutoFill List from the Data menu to display the AutoFill Lists dialog box.

2. Select the list you want to edit or delete from the Lists list box.

3. Click Delete.

Using AutoFill Lists

Adding AutoFill Lists


Validating Data

Another means of limiting data entry is to specify a validation rule for a cell. A validation rule consists of a formula to test and text to display if the validation fails. If the formula returns True, the value is entered. If the formula returns a text string, the string is displayed and the value is not entered. If the formula returns False, the value is not entered and the validation text is displayed in an error dialog box.

For example, you can limit the range of values a user can enter in a cell by creating a rule that fails if the user enters a number under 100 and displays the message "Enter a value greater than 100."

You can use relative references in validation rules. These references are considered to be relative to the active cell. This allows a validation rule to be properly applied to an entire range.

To create a validation rule:

1. Select the cell for which you want to create a validation rule.

2. Select Validation Rule from the Format menu to display the Validation Rule dialog box.

3. Enter a validation formula in the Rule text box.

4. Enter text to be displayed if the data fails the validation test in the Text box.

5. Click OK.

This illustration shows the validation rule created for cell A1.

This illustration shows the message displayed when the data entered in cell A1 fails the validation rule.

The Validation Formula


The Validation Formula

The validation formula follows basically the same rules as those for defined names. It must also be a worksheet formula that evaluates to True or False. Following are a number of examples of validation formulas.

SUM(A6:A7) > A5

AND(A6>1, A6 <100)

IF (A7>1,A7<100,A7>0)

OR(ISLOGICAL (A7), A7=1,A7=0)

Validating Data


Formula Operators

When creating formulas, Formula One provides a set of operators for specifying the type of calculation or evaluation to be performed on the formula data. The following table lists the formula operators .

Operator Type | Operator | Description
Arithmetic | + | Addition
 | - | Subtraction
 | / | Division
 | * | Multiplication
 | % | Percentage
 | ^ | Exponentiation
Text | & | Concatenation
Comparison | = | Equal to
 | > | Greater than
 | < | Less than
 | >= | Greater than or equal to
 | <= | Less then or equal to
 | <> | Not equal to
Reference | :, .., . | Range - produces a reference that includes all the cells between the two references (e.g., A1:A5 includes cells A1 and A5 and all cells in between).
 | , | Union - produces one reference that includes the two references (e.g., A1:A10,C1:C10).

Entering Formulas

Operator Precedence


Operator Precedence

When combining operators in a formula, Formula One uses a specific order of precedence to calculate the formula. The following table lists the order of precedence for formula operators.

Operator | Description
( ) | Parentheses
:, .., . | Range
, | Union
- | Negation (single operand)
% | Percentage
^ | Exponentiation
* and / | Multiplication and Division
+ and - | Addition and Subtraction
& | Text concatenation
= < > <= >= <> | Comparison

Operators of like precedence are evaluated left to right. Parentheses should be used when it is necessary to change the order of evaluation. The following example illustrates how the result of a formula can be altered by adding parentheses to change the order of precedence.

Formula | Result
1+2*37 | 75
(1+2)*37 | 111

As illustrated in the previous table, the multiplication operator (*) has higher precedence than the addition operator (+). It is evaluated first unless parentheses are used to force the addition to take place first.

Entering Formulas

Formula Operators


Absolute and Relative References

There are two types of cell references: relative and absolute.

  • Relative references point to a cell based on its relative position to the current cell. When the cell containing the reference is copied, the reference is adjusted to point to a new cell with the same relative offset as the originally referenced cell.
  • Absolute references point to a cell at an exact location. When the cell containing the formula is copied, the reference does not change. Absolute references are designated by placing a dollar sign ($) in front of the row and column that is to be absolute.

References can be part absolute and part relative. These are called mixed references. The following table lists the reference types.

Reference | Type
A1 | Relative reference pointing to cell A1.
$A$1 | Absolute reference pointing to cell A1.
$A1 | Absolute column reference, relative row reference pointing to cell A1.
A$1 | Relative column reference, absolute row reference pointing to cell A1.

The reference operators can be used to specify multiple ranges in the same reference. For example, A1:C1,A10:C10 specifies the three cells A1, B1, and C1 and the three cells A10, B10, and C10. The formula =SUM(A1:C1,A10:C10) adds the values in all six cells.

Cell References

References to Other Worksheets

References to Multiple Worksheets

External References

Automatically Entering Cell References


References to Other Worksheets

You can reference cells in other worksheets.

To reference a worksheet in the same workbook, use the following syntax:

Sheet3!A1

Cell References

Absolute and Relative References

References to Multiple Worksheets

External References

Automatically Entering Cell References


References to Multiple Worksheets

You can also refer to multiple worksheets , or ranges in multiple worksheets. The following example references cell A1 in Sheet1 and cell A1 in Sheet2.

Sheet1C:Sheet2!A1

Important Worksheets must be referenced in index order. For example, the reference to the sheet indexed 1 must come before the reference to the sheet indexed 2. Remember that the worksheet index is usually different that the sheet name that appears on the sheet tab. Worksheets are indexed from left to right, beginning with 1.

The following syntax references the range A1 to B2 in Sheet1 and the range A1 to B2 in Sheet2.

Sheet1:Sheet2!A1:B2

Cell References

Absolute and Relative References

References to Other Worksheets

External References

Automatically Entering Cell References

Solving Circular References


External References

References can point to cells in other workbooks. This type of reference is called an external reference. An external reference is created by placing a workbook name in brackets, followed by the worksheet name and an exclamation point, and finally a cell reference. The following table shows examples of external references .

Reference | Type
[Sales]Sheet1!A1 | Relative reference pointing to cell A1 in the first worksheet of a workbook titled Sales.
[FY91]Sheet2!$A$1 | Absolute reference pointing to cell A1 in the second worksheet of a workbook titled FY91.
[Q1]Sheet1:Sheet2!$A1 | Absolute column reference, relative row reference pointing to cell A1 in the first and second worksheets in a workbook titled Q1.
[Store1]Sheet1:Sheet4!A1:F1 | Relative row and column reference, pointing to the range A1 to F1 in a workbook titled Store1.

Cell References

Absolute and Relative References

References to Other Worksheets

External References

Automatically Entering Cell References

Solving Circular References


Automatically Entering Cell References

Cell references can be automatically entered as you enter a formula.

To automatically enter a cell reference:

1. Enter the formula to the point of the range reference.

2. With the mouse, select the cell or range you want to reference.

The reference of the range you select is automatically placed in the formula.

When you enter a cell reference in this manner, Formula One assumes it is a relative reference.

Cell References

Absolute and Relative References

References to Other Worksheets

External References

Automatically Entering Cell References

Solving Circular References


Understanding Functions

Most worksheet functions are composed of keywords and arguments. Every worksheet function contains a keyword, but not all functions require arguments.

  • The keyword identifies the function and tells the worksheet what type of calculation or evaluation is performed. Each function keyword is unique.
  • Arguments provide the data for the function to calculate or evaluate. The arguments for a function immediately follow the function keyword and are enclosed in parentheses.

Built-In Worksheet Functions

Entering Functions

Nesting Functions

Entering Arguments

Syntax Errors

Using Names

Calculating Worksheets


Built-In Worksheet Functions

Formula One contains a set of built-in worksheet functions that provide the ability to perform complex calculations with very little work.

Worksheet functions:

  • calculate and evaluate data
  • can be used alone or in a formula
  • are entered directly in the worksheet

Like formulas, worksheet functions return data to the cell in which they are entered.

Each function performs a specific calculation. The SQRT function is an example of a built-in function. With this function, you can easily calculate the square root of a number. The following example calculates the square root of 118:

=SQRT(118)

For further information on each of the worksheet functions built-in to Formula One, see Worksheet Functions.

Understanding Functions

Entering Functions

Nesting Functions

Entering Arguments

Syntax Errors

Using Names

Calculating Worksheets


Entering Functions

When entering functions in a worksheet, all functions are preceded by an equal sign (=). The leading equal sign tells the worksheet that the following information is to be evaluated or calculated.

The function keyword follows the equal sign. It can be entered in lowercase or uppercase characters. After the function is entered, the worksheet records the function keyword in uppercase characters, regardless of how it was entered.

If a function requires multiple arguments, the arguments are separated by commas. Some functions contain optional arguments. If you omit an optional argument, a default value is assumed for the argument.

Functions that do not require arguments still require a set of parentheses following the function keyword.

Understanding Functions

Built-In Worksheet Functions

Nesting Functions

Entering Functions

Syntax Errors


Nesting Functions

A function can be used as an argument for another function. When a function is used in this manner, you are nesting functions . The nested function must return the appropriate type of data for the function in which it is nested. You must also provide the necessary arguments for the nested function.

In the following example, the AVERAGE function is used as an argument for the SUM function. In this case, AVERAGE is nested in SUM.

=SUM(5.23, 6.82, AVERAGE(2.45, 5.62, 7.74), 8.95, 9.01)

Built-In Worksheet Functions

Understanding Functions

Entering Functions

Entering Arguments

Syntax Errors


Entering Arguments

The arguments for a function can be:

  • Numerical values
  • Logical values
  • Text strings
  • Error values
  • References to cells or ranges

For most arguments, you can substitute a cell or range reference for the data required by an argument. For example, if an argument requires a number, you can substitute a reference to a cell that contains a number. The number in the referenced cell is used in the calculation of the function. The data in the referenced cell must be appropriate for the argument for which it is used.

Built-In Worksheet Functions

Understanding Functions

Entering Functions

Nesting Functions

Syntax Errors


Using Names

User-defined names are an easy way to identify a cell, a group of cells, a value, or a formula. For example, the formula "= Sales - Expenses" is much clearer than "=A10 - A6".

You can also use names to identify constants and formula expressions. For example, you might define the name LightSpeed as 186000. You could then use the name LightSpeed in all your formulas. Or, you could define the name SqRtTwo as the formula SQRT(2).

To define names in the Workbook Designer:

1. If you are naming a range, select it.

2. Choose Defined Name from the Data menu.

3. Enter the name you want to define.

4. Enter the formula that describes the name.

If this is a range, enter a range reference. If this is a formula, enter the formula.

5. Click Add to add the new name to the list.

You can delete any name from the list by selecting it in the list and clicking Delete.

Formula One has a set of built-in names . These names are used by the print functions. The built-in names are listed in the following table.

Built in Name | Purpose
Print_Area | Defines the print area used during printing. This name can contain one or more ranges (e.g., A1:C3,A11:C13).
Print_Titles | Defines the row and column titles that are printed on each new page. Entire rows and columns must be selected when you define this name.

Cell References


Calculating Worksheets

Formula One calculates cells in natural order. In natural order calculation, formulas are calculated in such a way that all dependencies are calculated before their dependents. This ensures that the formula results are always correct.

When a worksheet is edited, formula references are adjusted so they point to the correct cells. Then, Formula One determines the natural order of the formulas.

When a change is made to a cell, the formulas are recalculated to keep all worksheets in the workbook current, ensuring that data is always valid.

Setting Automatic Recalculation

Solving Circular References


Setting Automatic Recalculation

Normally, automatic recalculation is enabled. In this mode, the worksheet is recalculated each time a cell is changed and system processing is idle.

For moderately sized worksheets, recalculation operations happen in a fraction of a second. But for large worksheets or situations where many cells are changed by code, this reorganization and recalculation process can slow system processing.

In these situations, it is sometimes desirable to disable automatic recalculation while your code operates on the worksheet. Automatic recalculation can be disabled with the Calculation dialogue. After the completion of an operation, automatic recalculation can be enabled and the worksheet updated.

Calculating Worksheets

Solving Circular References


Solving Circular References

There are some circumstances where a formula refers to its own cell, either directly or indirectly. This is called a circular reference. To solve a formula that contains a circular reference, iteration must be used. Iteration is the process of repeatedly calculating a worksheet until a specific condition is met.

Formula One supports iteration using the iteration and calculation dialogues. These methods allow you to specify the maximum number of iterations and the maximum change between iterations. The iteration continues until one of those two conditions is met.

The following example includes a circular reference.

Suppose your small business has 10,000 shares of stock owned by four shareholders. You decide to let a fifth shareholder enter your partnership. In return for his investment, you give him 10 percent of the company. How many more shares will the company have to issue to give the new investor 10% of the company?

The following illustration shows the results of this example as it is entered in a worksheet.

The formulas in B2 and B3 create a circular reference in this example worksheet.

The first worksheet shows the formula text, the second worksheet shows the results of the formulas.

Calculating Worksheets

Setting Automatic Recalculation


Syntax Errors

If the worksheet function you enter contains syntax errors , Formula One does not allow the function to be entered. You must correct the errors before proceeding with other tasks.

Built-In Worksheet Functions

Understanding Functions

Entering Functions

Nesting Functions

Entering Arguments


Worksheet Errors

When a formula cannot be properly calculated, an error is returned in the cell. The following table lists the errors that can be generated.

Error | Cause
#ARRAY_FORMULA! | Formula One read in a file that contained an array formula. Since this feature is not supported in Formula One, this error value is placed in the cell which used to contain the array formula.
#DIV/0! | Divide by zero. May be caused by a reference to a blank cell or a cell containing zero.
#N/A | No value is available. May be caused by inappropriate values in the formula or a reference to a cell containing the #N/A value.
#NAME? | Name is not recognized. May be caused by a user-defined name that is not defined.
#NULL! | Null intersection. An intersection of two ranges was defined that does not intersect.
#NUM! | Number problem. May be caused by inappropriate numbers in functions, an iteration that cannot solve for a value, or a formula that results in a number too large or too small to represent.
#REF! | Reference error. May be caused by referring to a cell that was deleted.
#VALUE! | Wrong argument type. May be caused by entering text where a number was expected, or supplying a range to an operator or function that was expecting a single value.

Entering Formulas

Built-In Worksheet Functions

Understanding Functions


Worksheet Functions

ABS

Description

Returns the absolute value of a number.

Syntax

ABS ( number )

Parameter | Description
number | Any number.

Remarks

An absolute value does not display a positive or negative sign.

Examples

These functions both return 1:

ABS(1)

ABS(1)

ACOS

Description

Returns the arc cosine of a number.

Syntax

ACOS ( number )

Parameter | Description
number | The cosine of the angle. The cosine can range from 1 to -1.

Remarks

The resulting angle is returned in radians (from 0 to p). To convert the resulting radians to degrees, multiply the radians by 180/PI( ).

Examples

This function returns 1.05:

ACOS(.5)

This function returns 1.77:

ACOS(.2)

See Also

COS

ACOSH

Description

Returns the inverse hyperbolic cosine of a number.

Syntax

ACOSH ( number )

Parameter | Description
number | Any number equal to or greater than 1.

Examples

This function returns .62:

ACOSH(1.2)

This function returns 1.76:

ACOSH (3)

See Also

ASINH

ATANH

COSH

ASC

Description

Returns a copy of text in which the double-byte characters (if any) have been converted to single-byte. Any double-byte characters that do not have single-byte equivalents are left in their original form.

Syntax

ASC (text)

Parameter | Description
text | The text containing double-byte characters which is converted to single-byte.

See Also

DBCS

ADDRESS

Description

Creates a cell address as text.

Syntax

ADDRESS ( row, column, ref_type [, a1] [, sheet] )

Parameter | Description
row | The row number for the cell address.
column | The column number for the cell address.
ref_type | The cell reference type. Following are the valid values for this argument.
 | Value | Description
 | 1 | Absolute
 | 2 | Absolute row, relative column
 | 3 | Relative row, absolute column
 | 4 | Relative
a1 | The reference format. This argument must be TRUE( ) to represent an A1 reference format; Formula One does not support the R1C1 reference format.
sheet | The name of an external worksheet view control. Omitting this argument assumes that the reference exists in the current spreadsheet.

Examples

This function returns $F$5:

ADDRESS(5, 6, 1)

This function returns SALES!F5:

ADDRESS(5, 6, 4, TRUE(), "SALES.")

See Also

COLUMN

OFFSET

ROW

AND

Description

Returns True if all arguments are true; returns False if at least one argument is false.

Syntax

AND ( logical_list )

Parameter | Description
logical_list | A list of conditions separated by commas. You can include as many as 30 conditions in the list. The list can contain logical values or a reference to a range containing logical values. Text and empty cells are ignored. If there are no logical values in the list, the error #VALUE! is returned.

Examples

This function returns True because both arguments are true:

AND(1+1=2, 5+5=10)

This function returns False:

AND(TRUE(), FALSE())

See Also

NOT

OR

ROW

ASIN

Description

Returns the arcsine of a number.

Syntax

ASIN ( number )

Parameter | Description
number | The sine of the resulting angle, ranging from -1 to 1.

Remarks

The resulting angle is returned in radians (ranging from -pi/2 to pi/2). To convert the resulting radians to degrees, multiply the radians by 180/pi().

Examples

This function returns 1.57:

ASIN(1)

This function returns .41:

ASIN(.4)

See Also

ASINH

PI

SIN

ASINH

Description

Returns the inverse hyperbolic sine of a number.

Syntax

ASINH ( number )

Parameter | Description
number | Any number.

Examples

This function returns 2.37:

ASINH(5.3)

This function returns -2.09:

ASINH(-4)

See Also

ACOSH

ASIN

ATANH

SINH

ATAN

Description

Returns the arctangent of a number.

Syntax

ATAN ( number )

Parameter | Description
number | The tangent of the angle.

Remarks

The resulting angle is returned in radians, ranging from -pi/2 to pi/2. To convert the resulting radians to degrees, multiply the radians by 180/pi( ).

Examples

This function returns 1.29:

ATAN(3.5)

This function returns -1.33:

ATAN(4)

See Also

ATAN2

ATANH

PI

TAN

ATAN2

Description

Returns the arctangent of the specified coordinates.

Syntax

ATAN2 ( x, y )

Parameter | Description
x | The x coordinate.
y | The y coordinate.

Remarks

The arctangent is the angle from the x axis to a line with end points at the origin (0, 0) and a point with the given coordinates (x, y). The angle is returned in radians, ranging from -pi to pi, excluding -pi.

Examples

This function returns 1.11:

ATAN2(3, 6)

This function returns 3.04:

ATAN2(1, .1)

See Also

ATAN

ATANH

PI

TAN

ATANH

Description

Returns the inverse hyperbolic tangent of a number.

Syntax

ATANH ( number )

Parameter | Description
number | A number between -1 and 1, excluding -1 and 1.

Examples

This function returns .55:

ATANH(.5)

This function returns -.26:

ATANH(.25)

See Also

ACOS

ASINH

TANH

AVERAGE

Description

Returns the average of the supplied numbers. The result of AVERAGE is also known as the arithmetic mean.

Syntax

AVERAGE ( number_list )

Parameter | Description
number_list | A list of numbers separated by commas. As many as 30 numbers can be included in the list, and the list can contain numbers or a reference to a range that contains numbers. Text, logical expressions, or empty cells in a referenced range are ignored. All numeric values (including 0) are used.

Examples

This function returns 8.25:

AVERAGE(5, 6, 8, 14)

This function returns 134, the average of the values in the range C15:C17:

AVERAGE(C15:C17)

See Also

MAX

MIN

CALL

Description

Calls a procedure in a dynamic link library. There are two syntax forms of this function. When CALL is used with REGISTER.ID, as shown in syntax 1, the DLL is loaded and remains loaded until the program is dismissed. When CALL is used alone, as shown in syntax 2, the DLL is loaded, the function is called, and then the DLL is unloaded.

Important This function is provided for advanced users only. If you use the CALL function incorrectly, you could cause errors that will require you to restart your computer.

Syntax 1

Used with REGISTER.ID

CALL(register_id, argument1, ...)

Syntax 2

Used alone

CALL(module_text, procedure, type_text, argument1, ...)

Parameter | Description
register_id | The value returned by a previously executed REGISTER.ID function.
argument1 | The arguments to be passed to the procedure.
module_text | Quoted text or reference specifying the name of the dynamic link library (DLL) that contains the procedure.
procedure | Text specifying the name of the function in the DLL in Formula One. The function name is case dependent in 32-bit Formula One.
type_text | Text specifying the data type of the return value and the data types of all arguments to the DLL or code resource. The first letter of type_text specifies the return value. The data types you use for type_text are described in the following table.
 | Data Type | Description | Pass by | C Declaration
 | A | Logical (False = 0, True = 1) | Value | short int
 | B | IEEE 8-byte floating point number | Value | double
 | C | Null-terminated string (255 characters maximum) | Reference | char *
 | D | Byte-counted string (first byte contains string length; 255 characters maximum) | Reference | unsigned char *
 | E | IEEE 8-byte floating point number | Reference | double *
 | F | Null-terminated string (255 characters maximum) | Reference | char *
 | G | Byte-counted string (first byte contains string length; 255 characters maximum) | Reference | unsigned char *
 | H | Unsigned 2-byte integer | Value | unsigned short int
 | I | Signed 2-byte integer | Value | short int
 | J | Signed 4-byte integer | Value | long int
 | L | Logical (False = 0, True = 1) | Reference | short int *
 | M | Signed 2-byte integer | Reference | short int *
 | N | Signed 4-byte integer | Reference | long int *

Remarks

For declarations made in C, it is assumed that your compiler defaults to 8-byte doubles, 2-byte short integers, and 4-byte long integers. In the Windows programming environment, all pointers should be far pointers.

Pascal calling conventions are used for all functions called from DLLs. For most C compilers, you must add the Pascal keyword to the function declaration.

If the return value for your custom function uses a pass-by-reference data type, a null pointer can be passed as the return value. The null pointer is interpreted as the #NUM! error value.

For the F and G data types, a custom function can modify an allocated string buffer. If the return value type code is F or G, the value returned by the function is ignored. The list of function arguments is searched for the first data type that corresponds to the return value type. The current contents of the allocated string buffer is taken for the return value. 256 bytes is allocated for the argument; therefore, a function can return a larger string than it receives.

You can use a single digit (n), with a value from 1 to 9, as the code for data_type. The variable in the location pointed to by the nth argument is modified instead of the return value; this process is referred to as modifying in place. The nth argument must be a pass-by-reference data type. In addition, you must declare the function void. For most C compilers, you can add the Void keyword to the function declaration.

Examples

Syntax 1 (32-bit Formula One)

In 32-bit Formula One, the following macro formula registers the GetTickCount function from 32-bit Microsoft Windows. GetTickCount returns the number of milliseconds that have elapsed since Microsoft Windows was started.

REGISTER.ID("Kernel32","GetTickCount","J")

Assuming that this REGISTER.ID function is in cell A5, after your macro registers GetTickCount, you can use the CALL function to return the number of milliseconds that have elapsed since Windows was started:

CALL(A5)

Syntax 1 (16-bit Formula One)

In 16-bit Formula One, the following macro formula registers the GetTickCount function from 16-bit Microsoft Windows. GetTickCount returns the number of milliseconds that have elapsed since Microsoft Windows was started.

REGISTER.ID("User","GetTickCount","J")

Assuming that this REGISTER.ID function is in cell A5, after your macro registers GetTickCount, you can use the CALL function to return the number of milliseconds that have elapsed:

CALL(A5)

Syntax 2 (32-bit Formula One)

On a worksheet, you can use the following CALL formula (syntax 2) to call the GetTickCount function:

CALL("Kernel32","GetTickCount","J!")

or

Syntax 2 (16-bit Formula One)

On a worksheet, you can use the following CALL formula (syntax 2) to call the GetTickCount function:

CALL("User","GetTickCount","J!")

The ! in the type_text argument forces Formula One to recalculate the CALL function every time the worksheet recalculates. This updates the elapsed time whenever the worksheet recalculates.

CEILING

Description

Rounds a number up to the nearest multiple of a specified significance.

Syntax

CEILING ( number, significance )

Parameter | Description
number | The value to round.
significance | The multiple to which to round.

Remarks

Regardless of the sign of the number, the value is rounded up, away from zero. If number is an exact multiple of significance, no rounding occurs.

If the number or significance is non-numeric, the error #VALUE! is returned. When the arguments have opposite signs, the error #NUM! is returned.

Examples

This function returns 1.25:

CEILING(1.23459, .05)

This function returns 150:

CEILING(148.24, 2)

See Also

EVEN

FLOOR

INT

ODD

ROUND

TRUNC

CHAR

Description

Returns a character that corresponds to the supplied ASCII code.

Syntax

CHAR ( number )

Parameter | Description
number | A value between 1 and 255 that specifies an ASCII character.

Remarks

The character and associated numeric code are defined by Windows in the ASCII character set.

Examples

This function returns F:

CHAR(70)

This function returns #:

CHAR(35)

See Also

CODE

CHOOSE

Description

Returns a value from a list of numbers based on the index number supplied.

Syntax

CHOOSE ( index, item_list )

Parameter | Description
index | A number that refers to an item in item_list.
item_list | A list of numbers, formulas, or text separated by commas. This argument can also be a range reference. You can specify as many as 29 items in the list.

Remarks

index can be a cell reference; index can also be a formula that returns any value from 1 to 29. If index is less than 1 or greater than the number of items in item_list, #VALUE! is returned. If index is a fractional number, it is truncated to an integer.

Examples

This function returns Q2:

CHOOSE(2,"Q1", "Q2", "Q3", "Q4")

This function returns the average of the contents of range A1:A10:

AVERAGE(CHOOSE(1, A1:A10, B1:B10, C1:C10))

See Also

INDEX

CLEAN

Description

Removes all nonprintable characters from the supplied text.

Syntax

CLEAN ( text )

Parameter | Description
text | Any worksheet information.

Remarks

Text that is imported from another environment may require this function.

Examples

This function returns Payments Due because the character returned by CHAR (8) is nonprintable:

CLEAN("Payments " & CHAR(8) & "Due")

See Also

CHAR

TRIM

CODE

Description

Returns a numeric code representing the first character of the supplied string.

Syntax

CODE ( text )

Parameter | Description
text | Any string.

Remarks

The numeric code and associated string are defined in your computer's character set. The character set used by Windows is the ANSI character set.

Examples

This function returns 65:

CODE("A")

This function returns 98:

CODE("b")

See Also

CHAR

COLUMN

Description

Returns the column number of the supplied reference.

Syntax

COLUMN ( reference )

Parameter | Description
reference | A reference to a cell or range. Omitting the argument returns the number of the column in which COLUMN is placed.

Examples

This function returns 2:

COLUMN(B3)

This function returns 4 if the function is entered in cell D2:

COLUMN()

See Also

COLUMNS

ROW

COLUMNS

Description

Returns the number of columns in a range reference.

Syntax

COLUMNS ( range )

Parameter | Description
range | A reference to a range of cells.

Example

This function returns 4:

COLUMNS(A1:D5)

See Also

COLUMN

ROWS

CONCATENATE

Description

Joins several text strings into one string.

Syntax

CONCATENATE ( text1, text2, .... )

Parameter | Description
text1, text2, ... | Up to 30 text items to be joined into a single text item. The text items can be strings, numbers, or single-cell references.

Remarks

The "&" operator can be used instead of CONCATENATE to join text items.

Examples

The following example returns "Sale Price" it is the same as typing "Sale"&" "&"Price":

CONCATENATE ("Sale ", "Price")

Suppose in an inventory worksheet, C2 contains "extruder1", C5 contains " gaskets", and C8 contains the number 15. The following example returns "Inventory currently holds 15 gaskets for extruder1":

CONCATENATE ("Inventory currently holds ", C8, " ", C5," for ", C2)

See Also

COLUMN

ROWS

COS

Description

Returns the cosine of an angle.

Syntax

COS ( number )

Parameter | Description
number | The angle in radians. If the angle is in degrees, convert the angle to radians by multiplying the angle by PI()/180.

Examples

This function returns .126:

COS(1.444)

This function returns .28:

COS(5)

See Also

ACOS

ASINH

ATANH

COSH

PI

COSH

Description

Returns the hyperbolic cosine of a number.

Syntax

COSH ( number )

Parameter | Description
number | Any number.

Examples

This function returns 4.14:

COSH(2.10)

This function returns 1.03:

COSH(.24)

See Also

ASINH

ATANH

COS

COUNT

Description

Returns the number of values in the supplied list.

Syntax

COUNT ( value_list )

Parameter | Description
value_list | A list of values. The list can contain as many as 30 values.

Remarks

COUNT only numerates numbers or numerical values such as logical values, dates, or text representations of dates. If you supply a range, only numbers and numerical values in the range are counted. Empty cells, logical values, text, and error values in the range are ignored.

Examples

This function returns 2:

COUNT(5, 6, "Q2")

This function returns 3:

COUNT("03/06/94", "06/21/94", "10/19/94")

See Also

AVERAGE

COUNTA

SUM

COUNTIF

Description

Returns the number of cells within a range which meet the given criteria.

Syntax

COUNTIF ( range, criteria )

Parameter | Description
range | Range of cells you want to count.
criteria | Number, expression, or text that defines which cells are counted.

See Also

AVERAGE

COUNTA

SUM

SUMIF

COUNTA

Description

Returns the number of nonblank values in the supplied list.

Syntax

COUNTA ( expression_list )

Parameter | Description
expression_list | A list of expressions. As many as 30 expressions can be included in the list.

Remarks

COUNTA returns the number of cells that contain data in a range. Null values (" ") are counted, but references to empty cells are ignored.

Examples

This function returns 4:

COUNTA(32, 45, "Earnings", "")

This function returns 0 when the specified range contains empty cells:

COUNTA(C38:C40)

See Also

AVERAGE

COUNT

PRODUCT

SUM

DATE

Description

Returns the serial number of the supplied date.

Syntax

DATE ( year, month, day )

Parameter | Description
year | A number from 1900 to 2078. If year is between 1920 to 2019, you can specify two digits to represent the year; otherwise specify all four digits.
month | A number representing the month (for example, 12 represents December). If a number greater than 12 is supplied, the number is added to the first month of the specified year.
day | A number representing the day of the month. If the number you specify for day exceeds the number of days in that month, the number is added to the first day of the specified month.

Examples

This function returns 34506:

DATE(94, 6, 21)

This function returns 36225:

DATE(99, 3, 6)

See Also

DATEVALUE

DAY

MONTH

NOW

TIMEVALUE

TODAY

YEAR

DATEVALUE

Description

Returns the serial number of a date supplied as a text string.

Syntax

DATEVALUE ( text )

Parameter | Description
text | A date in text format between January 1, 1900, and December 31, 2078. If you omit the year, the current year is used.

Examples

This function returns 34399:

DATEVALUE("3/6/94")

This function returns 35058:

DATEVALUE("12/25/95")

See Also

NOW

TIMEVALUE

TODAY

DAY

Description

Returns the day of the month that corresponds to the date represented by the supplied number.

Syntax

DAY ( serial_number )

Parameter | Description
serial_number | A date represented as a serial number or as text (for example, 06-21-94 or 21-Jun-94).

Examples

This function returns 6:

DAY(34399)

This function returns 21:

DAY("06-21-94")

See Also

HOUR

MINUTE

MONTH

NOW

SECOND

TODAY

WEEKDAY

YEAR

DAYS360

Description

Returns the number of days between two dates based on a 360-day year (twelve 30-day months). Use this function to help compute payments if your accounting system is based on twelve 30-day months.

Syntax

DAYS360 (start_date, end_date, [ method ] )

Parameter | Description
start_date, end_date | The two dates between which you want to know the number of days.
method | A logical value that specifies whether the European or US method should be used in the calculation. If False (or omitted), the US (NASD) method is used. If True, the European method is used. The default is based on the local translation. It should be correct for your location.

Remarks

start_date and end_date can be text strings using numbers to represent the month, day, and year (for example, "1/30/93" or "1-30-93"), or they can be serial numbers representing the dates.

If start_date occurs after end_date, DAYS360 returns a negative number.

If method is set to False and start_date is the 31st of a month, it becomes equal to the 30th of the same month. If end_date is the 31st of a month and start_date is less than the 30th of a month, the ending date becomes equal to the 1st of the next month, otherwise the ending date becomes equal to the 30th of the same month.

If method is set to True, start_dates or end_dates which occur on the 31st of a month become equal to the 30th of the same month.

Note To determine the number of days between two dates in a normal year, you can use normal subtraction--for example, "12/31/93"-"1/1/93" equals 364.

Example

DAYS360("1/30/93", "2/1/93") equals 1

DB

Description

Returns the real depreciation of an asset for a specific period of time using the fixed-declining balance method.

Syntax

DB ( cost, salvage, life, period [, months] )

Parameter | Description
cost | The initial cost of the asset.
salvage | The salvage value of the asset.
life | The number of periods in the useful life of the asset.
period | The period for which to calculate the depreciation. The time units used to determine period and life must match.
months | The number of months in the first year of the item's life. Omitting this argument assumes there are 12 months in the first year.

Example

This function returns 1451.52:

DB(10000, 1000, 7, 3)

See Also

DDB

SLN

SYD

VDB

DBCS

Description

Returns a copy of text in which the single-byte characters (if any) have been converted to double-byte characters. Any single-byte characters that do not have double-byte equivalents are left in their original (single-byte) form.

Syntax

DBCS

Parameter | Description
text | The text containing single-byte characters which is converted to double-byte characters.

See Also

ASC

DDB

Description

Returns the depreciation of an asset for a specific period of time using the double-declining balance method or a declining balance factor you supply.

Syntax

DDB ( cost, salvage, life, period [, factor] )

Parameter | Description
cost | The initial cost of the asset.
salvage | The salvage value of the asset.
life | The number of periods in the useful life of the asset.
period | The period for which to calculate the depreciation. The time units used to determine period and life must match.
factor | The rate at which the balance declines. Omitting this argument assumes a default factor of 2, the double-declining balance factor.

Remarks

The double-declining balance method uses an accelerated rate where the highest depreciation occurs in the first period, decreasing in successive periods.

All arguments for this function must be positive numbers.

Example

This function returns 1457.73:

DDB(10000,1000, 7, 3)

See Also

DB

SLN

SYD

VDB

DOLLAR

Description

Returns the specified number as text, using currency format and the supplied precision.

Syntax

DOLLAR ( number [, precision] )

Parameter | Description
number | A number, a formula that evaluates to a number, or a reference to a cell that contains a number.
precision | A value representing the number of decimal places to the right of the decimal point. Omitting this argument assumes the standard number of decimal places for the local currency.

Note

"Local" currency refers to the currency format for the current system, i.e., the one specified in Regional Settings in Control Panel

Remarks

Dollar will return the specified number format as text using currency format for the current system. If you wish to always convert to the USDollar format, regardless of the language of your system, then use the USDOLLAR worksheet function.

Examples

This function returns $1023.79:

DOLLAR(1023.789)

This function returns $500:

DOLLAR(495.301, 2)

See Also

FIXED

TEXT

VALUE

ERROR.TYPE

Description

Returns a number corresponding to an error.

Syntax

ERROR.TYPE ( error_ref )

Parameter | Description
error_ref | A cell reference.

Remarks

The following error text or numbers can be returned by this function.

Number | Description
1 | #NULL!
2 | #DIV/0!
3 | #VALUE!
4 | #REF!
5 | #NAME?
6 | #NUM!
7 | #N/A
#N/A | Other

Example

This function returns 2 if the formula in cell A1 attempts to divide by zero:

ERROR.TYPE(A1)

See Also

ISERR

ISERROR

EVEN

Description

Rounds the specified number up to the nearest even integer.

Syntax

EVEN ( number )

Parameter | Description
number | Any number, a formula that evaluates to a number, or a reference to a cell that contains a number.

Examples

This function returns 4:

EVEN(2.5)

This function returns 2032:

EVEN(2030.45)

See Also

CEILING

FLOOR

INT

ODD

ROUND

TRUNC

EXACT

Description

Compares two expressions for identical, case-sensitive matches. True is returned if the expressions are identical; False is returned if they are not.

Syntax

EXACT ( expression1, expression2 )

Parameter | Description
expression1 | Any text.
expression2 | Any text.

Examples

This function returns True:

EXACT("Match", "Match")

This function returns False:

EXACT("Match", "match")

See Also

LEN

SEARCH

EXP

Description

Returns e raised to the specified power. The constant e is 2.71828182845904 (the base of the natural logarithm).

Syntax

EXP ( number )

Parameter | Description
number | Any number as the exponent.

Examples

This function returns 12.18:

EXP(2.5)

This function returns 20.09:

EXP(3)

See Also

LN

LOG

FACT

Description

Returns the factorial of a specified number.

Syntax

FACT ( number )

Parameter | Description
number | Any non-negative integer. If you supply a real number, FACT truncates the number to an integer before calculation.

Examples

This function returns 2:

FACT(2.5)

This function returns 720:

FACT(6)

See Also

PRODUCT

FALSE

Description

Returns the logical value False. This function always requires the trailing parentheses.

Syntax

FALSE ( )

See Also

TRUE

FIND

Description

Searches for a string of text within another text string and returns the character position at which the search string first occurs.

Syntax

FIND ( search_text, text [, start_position] )

Parameter | Description
search_text | The text to find. If you specify an empty string (" "), FIND matches the first character in text.
text | The text to be searched.
start_position | The character position in text where the search begins. The first character in text is character number 1. When you omit this argument, the default starting position is character number 1.

Remarks

FIND is case-sensitive. You cannot use wildcard characters in the search_text.

Examples

This function returns 12:

FIND("time", "There's no time like the present")

This function returns 19:

FIND("4", "Aisle 4, Part 123-4-11", 9)

See Also

EXACT

LEN

MID

SEARCH

FINDB

Description

Searches for a string of text within another text string and returns the byte position at which the search string first occurs.

Syntax

FINDB ( search_text, text [, start_position] )

Parameter | Description
search_text | The text to find. If you specify an empty string (" "), FINDB matches the first byte in text.
text | The text to be searched.
start_position | The byte position in text where the search begins. The first byte in text is byte number 1. When you omit this argument, the default starting position is byte number 1.

Remarks

FINDB is case-sensitive. You cannot use wildcard characters in the search_text.

Examples

This function returns 12:

FINDB("time", "There's no time like the present")

This function returns 19:

FINDB("4", "Aisle 4, Part 123-4-11", 9)

FIXED

Description

Rounds a number to the supplied precision, formats the number in decimal format, and returns the result as text.

Syntax

FIXED ( number [, precision][, no_commas] )

Parameter | Description
number | Any number.
precision | The number of digits that appear to the right of the decimal place. When this argument is omitted, a default precision of 2 is used. If you specify negative precision, number is rounded to the left of the decimal point. You can specify a precision as great as 127 digits.
no_commas | Determines if thousands separators (commas) are used in the result. Use 1 to exclude commas in the result. If no_commas is 0 or the argument is omitted, thousands separators are included (for example, 1,000.00).

Examples

This function returns 2,000.500:

FIXED(2000.5, 3)

This function returns 2010:

FIXED(2009.5, 1, 1)

See Also

DOLLAR

ROUND

TEXT

VALUE

FLOOR

Description

Rounds a number down to the nearest multiple of a specified significance.

Syntax

FLOOR ( number, significance )

Parameter | Description
number | The value to round.
significance | The multiple to which to round.

Remarks

Regardless of the sign of the number, the value is rounded down, toward zero. If number is an exact multiple of significance, no rounding occurs.

If number or significance is non-numeric, #NAME? is returned. When the arguments have opposite signs, #NUM! is returned.

Examples

This function returns 1.2:

FLOOR(1.23459, .05)

This function returns 148:

FLOOR(148.24, 2)

See Also

CEILING

EVEN

INT

ODD

ROUND

TRUNC

FV

Description

Returns the future value of an annuity based on regular payments and a fixed interest rate.

Syntax

FV ( interest, nper, payment [, pv] [, type] )

Parameter | Description
interest | The fixed interest rate.
nper | The number of payments in an annuity.
payment | The fixed payment made each period.
pv | The present value, or the lump sum amount, the annuity is currently worth. When you omit this argument, a present value of 0 is assumed.
type | Indicates when payments are due. Use 0 if payments are due at the end of the period or 1 if payments are due at the beginning of the period. When you omit this argument, 0 is assumed.

Remarks

The units used for interest must match those used for nper. For example, if the annuity has an 8 percent annual interest rate over a period of 5 years, specify 8 percent/12 for interest and 5*12 for nper.

Cash paid out, such as a payment, is shown as a negative number. Cash received, such as a dividend check, is shown as a positive number.

Examples

This function returns 4,774.55:

FV(5%, 8, 500)

This function returns 531,550.86:

FV(10%/12, 240, 700, 1)

See Also

IPMT

NPER

PMT

PPMT

PV

RATE

HLOOKUP

Description

Searches the top row of a table for a value and returns the contents of a cell in that table that corresponds to the location of the search value.

Syntax

HLOOKUP ( search_item, search_range, row_index )

Parameter | Description
search_item | A value, text string, or reference to a cell containing a value that is matched against data in the top row of search_range.
search_range | A reference to the range (table) to be searched. The cells in the first row of search_range can contain numbers, text, or logical values. The contents of the first row must be in ascending order (for example, 2, 1, 0, 2&, A through Z, False, True). Text searches are not case-sensitive.
row_index | The row in search_range from which the matching value is returned. row_index can be a number from 1 to the number of rows in search_range. If row_index is less than 1, the error #VALUE! is returned. When row_index is greater than the number of rows in the table, the error #REF! is returned.

Remarks

HLOOKUP compares the information in the top row of search_range to the supplied search_item. When a match is found, information located in the same column and supplied row (row_index) is returned.

If search_item cannot be found in the top row of search_range, the largest value that is less than search_item is used. When search_item is less than the smallest value in the first row of the search_range, the error #REF! is returned.

Examples

The following examples use this worksheet.

This function returns 22.63:

HLOOKUP("Northeast", B1:E5, 3)

This function returns #REF!:

HLOOKUP("Pacific", B1:E5, 7)

See Also

INDEX

LOOKUP

MATCH

VLOOKUP

HOUR

Description

Returns the hour component of the specified time in 24-hour format.

Syntax

HOUR ( serial_number )

Parameter | Description
serial_number | The time as a serial number. The decimal portion of the number represents time as a fraction of the day.

Remarks

The result is an integer ranging from 0 (12:00 AM) to 23 (11:00 PM).

Examples

This function returns 9:

HOUR(34259.4)

This function returns 23:

HOUR(34619.976)

See Also

DAY

MINUTE

MONTH

NOW

SECOND

WEEKDAY

YEAR

IF

Description

Tests the condition and returns the specified value.

Syntax

IF ( condition, true_value, false_value )

Parameter | Description
condition | Any logical expression.
true_value | The value to be returned if condition evaluates to True.
false_value | The value to be returned if condition evaluates to False.

Example

This function returns Greater if the contents of A1 is greater than 10 and Less if the contents of A1 is less than 10:

IF(A1>10, "Greater", "Less")

See Also

AND

FALSE

NOT

OR

TRUE

INDEX

Description

Returns the contents of a cell from a specified range.

Syntax

INDEX ( reference [, row] [, column] [, range_number] )

Parameter | Description
reference | A reference to one or more ranges. If reference specifies more than one range, separate each reference with a comma and enclose reference in parentheses. For example, (A1:C6, B7:E14, F4). If each range in reference contains only one row or column, you can omit the row or column argument. For example, if reference is A1:A15, you can omit the column argument INDEX(A1:A15, 3,, 1).
row | The row number in reference from which to return data.
column | Column number in reference from which to return data.
range_number | Specifies the range from which data is returned if reference contains more than one range. For example, if reference is (A1:A10, B1:B5, D14:E23), A1:A10 is range_number 1, B1:B5 is range_number 2, and D14:E23 is range_number 3.

Remarks

If row, column, and range_number do not point to a cell within reference, #REF! is returned. If row and column are omitted, INDEX returns the range in reference specified by range_number.

Examples

The following examples use this worksheet.

This function returns $1415.35:

INDEX(A2:B6, 2, 2)

This function returns $1634.58:

INDEX((A2:B6, D2:E6), 4, 2, 2)

See Also

CHOOSE

HLOOKUP

LOOKUP

MATCH

VLOOKUP

INDIRECT

Description

Returns the contents of the cell referenced by the specified cell.

Syntax

INDIRECT ( ref_text [, a1] )

Parameter | Description
ref_text | A reference to a cell that references a third cell. If ref_text is not a valid reference, the error #REF! is returned.
a1 | The reference format. This argument must be TRUE() to represent an A1 reference format; Formula One does not support the R1C1 reference format.

Example

This function returns the contents of the cell that C1 references. If C1 contains "D1," then the contents of D1is returned:

INDIRECT(C1)

See Also

OFFSET

INT

Description

Rounds the supplied number down to the nearest integer.

Syntax

INT ( number )

Parameter | Description
number | Any real number.

Examples

This function returns 10:

INT(10.99)

This function returns -11:

INT(10.99)

See Also

CEILING

FLOOR

MOD

ROUND

TRUNC

IPMT

Description

Returns the interest payment of an annuity for a given period, based on regular payments and a fixed periodic interest rate.

Syntax

IPMT ( interest, per, nper, pv, [fv], [type] )

Parameter | Description
interest | The fixed periodic interest rate.
per | The period for which to return the interest payment. This number must be between 1 and nper.
nper | The number of payments.
pv | The present value, or the lump sum amount the annuity is currently worth.
fv | The future value, or the value after all payments are made. If this argument is omitted, the future value is assumed to be 0.
type | Indicates when payments are due. Use 0 if payments are due at the end of the period or 1 if payments are due at the beginning of the period. When you omit this argument, 0 is assumed.

Remarks

The units used for interest must match those used for nper. For example, if the annuity has an 8 percent annual interest rate over a period of 5 years, specify 8 percent/12 for interest and 5*12 for nper.

Cash paid out, such as a payment, is shown as a negative number. Cash received, such as a dividend check, is shown as a positive number.

Examples

This function returns -117.87:

IPMT(8%/12, 2, 48, 18000)

This function returns -117.09:

IPMT(8%/12, 2, 48, 18000, 0, 1)

See Also

FV

PMT

PPMT

RATE

IRR

Description

Returns internal rate of return for a series of periodic cash flows.

Syntax

IRR ( cash_flow [, guess] )

Parameter | Description
cash_flow | A reference to a range that contains values for which to calculate the internal rate of return. The values must contain at least one positive and one negative value. During calculation, IRR uses the order in which the values appear to determine the order of the cash flow. Text, logical values, and empty cells in the range are ignored.
guess | The estimate of the internal rate of return. If no argument is supplied, a rate of return of 10 percent is assumed.

Remarks

The internal rate of return is the interest rate received for an investment consisting of payments (specified by negative numbers) and investments (specified by positive numbers).

IRR is calculated iteratively, cycling through the calculation until the result is accurate to .00001 percent. If the result cannot be found after 20 iterations, #NUM! is returned. When this occurs, supply a different value for guess.

Examples

The following examples use this worksheet.

This function returns 3.72 percent:

IRR(B1:B6)

This function returns -49.26 percent:

IRR(B1:B3, 20%)

See Also

MIRR

NPV

RATE

ISBLANK

Description

Determines if the specified cell is blank.

Syntax

ISBLANK ( reference )

Parameter | Description
reference | A reference to any cell.

Remarks

If the referenced cell is blank, True is returned. False is returned if the cell is not blank.

Example

This function returns True if A1 is a blank cell:

ISBLANK(A1)

See Also

ISERR

ISERROR

ISLOGICAL

ISNA

ISNONTEXT

ISNUMBER

ISREF

ISTEXT

ISERR

Description

Determines if the specified expression returns an error value.

Syntax

ISERR ( expression )

Parameter | Description
expression | Any expression.

Remarks

If the expression returns any error except #N/A!, True is returned. Otherwise, False is returned.

Example

This function returns True if A1 contains a formula that returns an error such as #NUM!:

ISERR(A1)

See Also

ISBLANK

ISERROR

ISLOGICAL

ISNA

ISNONTEXT

ISNUMBER

ISREF

ISTEXT

ISERROR

Description

Determines if the specified expression returns an error value.

Syntax

ISERROR ( expression )

Parameter | Description
expression | Any expression.

Remarks

If the expression returns any error value, such as #N/A, #VALUE!, #REF!, #DIV/0!, #NUM!, #NAME?, or #NULL!, True is returned. Otherwise, False is returned.

Examples

This function returns True:

ISERROR(4/0)

This function returns False if A1 contains a formula that does not return an error.

ISERROR(A1)

See Also

ISBLANK

ISERR

ISLOGICAL

ISNA

ISNONTEXT

ISNUMBER

ISREF

ISTEXT

ISLOGICAL

Description

Determines if the specified expression returns a logical value.

Syntax

ISLOGICAL ( expression )

Parameter | Description
expression | Any expression.

Remarks

If the expression returns a logical value, True is returned. Otherwise, False is returned.

Example

This function returns True because ISBLANK returns a logical value:

ISLOGICAL(ISBLANK(A1))

See Also

ISBLANK

ISERR

ISERROR

ISNA

ISNONTEXT

ISNUMBER

ISREF

ISTEXT

ISNA

Description

Determines if the specified expression returns the value not available error.

Syntax

ISNA ( expression )

Parameter | Description
expression | Any expression.

Remarks

If the expression returns the #N/A! error, True is returned. Otherwise, False is returned.

Example

This function returns True if cell A1 contains the NA ( ) function or returns the error value #N/A!:

ISNA(A1)

See Also

ISBLANK

ISERR

ISERROR

ISLOGICAL

ISNONTEXT

ISNUMBER

ISREF

ISTEXT

ISNONTEXT

Description

Determines if the specified expression is not text.

Syntax

ISNONTEXT ( expression )

Parameter | Description
expression | Any expression.

Remarks

If the expression returns any value that is not text, True is returned. Otherwise, False is returned.

Examples

This function returns True if cell F3 contains a number or is a blank cell:

ISNONTEXT(F3)

This function returns False:

ISNONTEXT("text")

See Also

ISBLANK

ISERR

ISERROR

ISLOGICAL

ISNA

ISNUMBER

ISREF

ISTEXT

ISNUMBER

Description

Determines if the specified expression is a number.

Syntax

ISNUMBER ( expression )

Parameter | Description
expression | Any expression.

Remarks

If the expression returns a number, True is returned. Otherwise, False is returned. If expression returns a number represented as text (for example, "12"), False is returned.

Examples

This function returns True:

ISNUMBER(123.45)

This function returns False:

ISNUMBER("123")

See Also

ISBLANK

ISERR

ISERROR

ISLOGICAL

ISNA

ISNUMBER

ISREF

ISTEXT

ISREF

Description

Determines if the specified expression is a range reference.

Syntax

ISREF ( expression )

Parameter | Description
expression | Any expression.

Remarks

If the expression returns a range reference, True is returned. Otherwise, False is returned.

Example

This function returns True:

ISREF(A3)

See Also

ISBLANK

ISERR

ISERROR

ISLOGICAL

ISNA

ISNONTEXT

ISNUMBER

ISREF

ISTEXT

ISTEXT

Description

Determines if the specified expression is text.

Syntax

ISTEXT ( expression )

Parameter | Description
expression | Any expression.

Remarks

If the expression returns text, True is returned. Otherwise, False is returned.

Example

This function returns True:

ISTEXT("2nd Quarter")

See Also

ISBLANK

ISERR

ISERROR

ISLOGICAL

ISNA

ISNUMBER

ISREF

LEFT

Description

Returns the leftmost characters from the specified text string.

Syntax

LEFT ( text [, num_chars] )

Parameter | Description
text | Any text string.
num_chars | The number of characters to return. This value must be greater than or equal to zero. If num_chars is greater than the number of characters in text, the entire string is returned. Omitting this argument assumes a value of 1.

Examples

This function returns 2:

LEFT("2nd Quarter")

This function returns 2nd:

LEFT("2nd Quarter", 3)

See Also

MID

RIGHT

LEFTB

Description

Returns the leftmost byte from the specified text string.

Syntax

LEFTB ( text [, num_chars] )

Parameter | Description
text | Any text string.
Num_chars | The number of bytes to return. This value must be greater than or equal to zero. If num_chars is greater than the number of bytes in text, the entire string is returned. Omitting this argument assumes a value of 1.

Examples

This function returns 2:

LEFTB("2nd Quarter")

This function returns 2nd:

LEFTB("2nd Quarter", 3)

LEN

Description

Returns the number of characters in the supplied text string.

Syntax

LEN ( text )

Parameter | Description
text | Any text string. Spaces in the string are counted as characters.

Examples

This function returns 11:

LEN("3rd Quarter")

This function returns 3:

LEN("1-3")

See Also

EXACT

SEARCH

LENB

Description

Returns the number of bytes in the supplied text string.

Syntax

LENB ( text )

Parameter | Description
text | Any text string. Spaces in the string are counted as bytes.

Examples

This function returns 11:

LENB("3rd Quarter")

This function returns 3:

LENB("1-3")

LN

Description

Returns the natural logarithm (based on the constant e) of a number.

Syntax

LN ( number )

Parameter | Description
number | Any positive real number.

Remarks

LN is the inverse of the EXP function.

Examples

This function returns 2.50:

LN(12.18)

This function returns 3.00:

LN(20.09)

See Also

EXP

LOG

LOG10

LOG

Description

Returns the logarithm of a number to the specified base.

Syntax

LOG ( number [, base] )

Parameter | Description
number | Any positive real number.
base | The base of the logarithm. Omitting this argument assumes a base of 10.

Examples

This function returns 0:

LOG(1)

This function returns 1:

LOG(10)

See Also

EXP

LN

LOG10

LOG10

Description

Returns the base-10 logarithm of a number.

Syntax

LOG10 ( number )

Parameter | Description
number | Any positive real number.

Examples

This function returns 2.41:

LOG10(260)

This function returns 2:

LOG10(100)

See Also

EXP

LN

LOG

LOOKUP

Description

Searches for a value in one range and returns the contents of the corresponding position in a second range.

Syntax

LOOKUP ( lookup_value, lookup_range, result_range )

Parameter | Description
lookup_value | The value for which to search in the first range.
lookup_range | The first range to search and contains only one row or one column. The range can contain numbers, text, or logical values. To search lookup_range correctly, the expressions in the range must be placed in ascending order (for example, 2, 1, 0, 1, 2..., A through Z, False, True). The search is not case-sensitive.
result_range | A range of one row or one column that is the same size as lookup_range.

Remarks

If lookup_value does not have an exact match in lookup_range, the largest value that is less than or equal to lookup_value is found and the corresponding position in result_range is returned. When lookup_value is smaller than the data in lookup_range, #N/A is returned.

Examples

The following examples use this worksheet.

This function returns Detroit:

LOOKUP("North", A2:A7, B2:B7)

This function returns #N/A:

LOOKUP("Alabama", A2:A7, B2:B7)

See Also

HLOOKUP

INDEX

VLOOKUP

LOWER

Description

Changes the characters in the specified string to lowercase characters. Numeric characters in the string are not changed.

Syntax

LOWER ( text )

Parameter | Description
text | Any string.

Examples

This function returns 3rd quarter:

LOWER("3rd Quarter")

This function returns john doe:

LOWER("JOHN DOE")

See Also

PROPER

UPPER

MATCH

Description

A specified value is compared against values in a range. The position of the matching value in the search range is returned.

Syntax

MATCH ( lookup_value, lookup_range, comparison )

Parameter

Description

lookup_value

The value against which to compare. It can be a number, text, or logical value or a reference to a cell that contains one of those values.

lookup_range

The range to search; it contains only one row or one column. The range can contain numbers, text, or logical values.

comparison

A number that represents the type of comparison to be made between lookup_value and the values in lookup_range. When you omit this argument, comparison method 1 is assumed.

When comparison is 0, the first value that is equal to lookup_value is matched. When using this comparison method, the values in lookup_range can be in any order.

When comparison is 1, the largest value that is less than or equal to lookup_value is matched. When using this comparison method, the values in lookup_range must be in ascending order (for example, ...-2, -1, 0, 1, 2..., A through Z, False, True).

When comparison is -1, the smallest value that is greater than or equal to lookup_value is matched. When using this comparison method, the values in lookup_range must be in descending order (for example, True, False, Z through A, ...2, 1, 0, -1, -2...).

Remarks

When using comparison method 0 and lookup_value is text, lookup_value can contain wildcard characters. The wildcard characters are * (asterisk), which matches any sequence of characters, and ? (question mark), which matches any single character.

When no match is found for lookup_value, #N/A is returned.

Examples

The following examples use this worksheet.

This function returns 5:

MATCH(7600, B2:B7,1)

This function returns 2:

MATCH("D*", A2:A7,0)

See Also

HLOOKUP

INDEX

LOOKUP

VLOOKUP

MAX

Description

Returns the largest value in the specified list of numbers.

Syntax

MAX ( number_list )

Parameter | Description
number_list | A list of as many as 30 numbers, separated by commas.
 | The list can contain numbers, logical values, text representations of numbers, or a reference to a range containing those values. Error values or text that cannot be translated into numbers return errors.
. | If a range reference is included in the list, text, logical expressions, and empty cells in the range are ignored If there are no numbers in the list, 0 is returned.

Examples

This function returns 500:

MAX(50, 100, 150, 500, 200)

This function returns the largest value in the range:

MAX(A1:F12)

See Also

AVERAGE

MIN

MID

Description

Returns the specified number of characters from a text string, beginning with the specified starting position.

Syntax

MID ( text, start_position, num_chars )

Parameter | Description
text | The string from which to return characters.
start_position | The position of the first character to return from text.
 | If start_position is 1, the first character in text is returned. If start_position is greater than the number of characters in text, an empty string (" ") is returned. If start_position is less than 1, #VALUE! is returned.
num_chars | The number of characters to return. If num_chars is negative, #VALUE! is returned.

Remarks

If start_position plus the number of characters in num_chars exceeds the length of text, the characters from start_position to the end of text are returned.

Examples

This function returns Expenses:

MID("Travel Expenses", 8, 8)

This function returns 45:

MID("Part #45-7234", 7, 2)

See Also

CODE

FIND

LEFT

RIGHT

SEARCH

MIDB

Description

Returns the specified number of bytes from a text string, beginning with the specified starting position.

Syntax

MIDB ( text, start_position, num_chars )

Parameter | Description
text | The string from which to return bytes.
start_position | The position of the first byte to return from text.
 | If start_position is 1, the first byte in text is returned. If start_position is greater than the number of bytes in text, an empty string (" ") is returned. If start_position is less than 1, #VALUE! is returned.
num_chars | The number of bytes to return. If num_chars is negative, #VALUE! Is returned.

Remarks

If start_position plus the number of bytes in num_chars exceeds the length of text, the bytes from start_position to the end of text are returned.

Examples

This function returns Expenses:

MIDB("Travel Expenses", 8, 8)

This function returns 45:

MIDB("Part #45-7234", 7, 2)

MIN

Description

Returns the smallest value in the specified list of numbers.

Syntax

MIN ( number_list )

Parameter | Description
number_list | A list of as many as 30 numbers, separated by commas. The list can contain numbers, logical values, text representations of numbers, or a reference to a range containing those values.
 | Error values or text that cannot be translated into numbers return errors. If a range reference is included in the list, text, logical expressions, and empty cells in the range are ignored. If there are no numbers in the list, 0 is returned

Examples

This function returns 50:

MIN(50, 100, 150, 500, 200)

This function returns the smallest value in the range:

MIN(A1:F12)

See Also

AVERAGE

MAX

MINUTE

Description

Returns the minute that corresponds to the supplied date.

Syntax

MINUTE ( serial_number )

Parameter | Description
serial_number | The time as a serial number. The decimal portion of the number represents time as a fraction of the day.

Remarks

The result is an integer ranging from 0 to 59.

Examples

This function returns 36:

MINUTE(34506.4)

This function returns 48:

MINUTE(34399.825)

See Also

DAY

HOUR

MONTH

NOW

SECOND

WEEKDAY

YEAR

MIRR

Description

Returns the modified internal rate of return for a series of periodic cash flows.

Syntax

MIRR ( cash_flows, finance_rate, reinvest_rate )

Parameter | Description
cash_flow | A reference to a range that contains values for which to calculate the modified internal rate of return. The values must contain at least one positive and one negative value.
 | Values that represent cash received should be positive; negative values represent cash paid. During calculation, MIRR uses the order in which the values appear to determine the order of cash flow. Text, logical values, and empty cells in the range are ignored.
finance_rate | The interest rate paid on money used in the cash flow.
reinvest_rate | The interest rate received on money reinvested from the cash flow.

Remarks

The modified internal rate of return considers the cost of the investment and the interest received on the reinvestment of cash.

Examples

The following examples use this worksheet.

This function returns 5.20 percent:

MIRR(B1:B6, 12%, 8%)

This function returns 40.93 percent:

MIRR(B1:B3, 12%, 8%)

See Also

IRR

NPV

RATE

MOD

Description

Returns the remainder after dividing a number by a specified divisor.

Syntax

MOD ( number, divisor )

Parameter | Description
number | Any number.
divisor | Any nonzero number. If divisor is 0, #DIV/0! is returned.

Examples

This function returns 1:

MOD(23, 3)

This function returns -2:

MOD(23, 3)

See Also

INT

ROUND

TRUNC

MONTH

Description

Returns the month that corresponds to the supplied date.

Syntax

MONTH ( serial_number )

Parameter | Description
serial_number | The date as a serial number or as text (for example, 06-21-94 or 21-Jun-94).

Remarks

MONTH returns a number ranging from 1 (January) to 12 (December).

Examples

This function returns 6:

MONTH("06-21-94")

This function returns 10:

MONTH(34626)

See Also

DAY

HOUR

MINUTE

NOW

SECOND

TODAY

WEEKDAY

YEAR

NA

Description

Returns the error value #N/A, which represents "not available."

Syntax

NA ( )

Remarks

Use NA to mark cells that lack data without leaving them empty. Empty cells may not be correctly represented in some calculations.

Although NA does not use arguments, you must supply the empty parentheses to correctly reference the function.

See Also

ISNA

NOT

Description

Returns a logical value that is the opposite of its value.

Syntax

NOT ( logical )

Parameter | Description
logical | An expression that returns a logical value such as True or False.

Remarks

If logical is false, NOT returns True. Conversely, if logical is true, NOT returns False.

Examples

This function returns False:

NOT(TRUE())

This function returns False:

NOT(MONTH("12/25/94") = 12)

See Also

AND

IF

OR

NOW

Description

Returns the current date and time as a serial number.

Syntax

NOW ( )

Remarks

In a serial number, numbers to the left of the decimal point represent the date; numbers to the right of the decimal point represent the time. The result of this function changes only when a recalculation of the worksheet occurs.

See Also

DATE

DAY

HOUR

MINUTE

MONTH

SECOND

TODAY

WEEKDAY

YEAR

NPER

Description

Returns the number of periods of an investment based on regular periodic payments and a fixed interest rate.

Syntax

NPER ( interest, pmt, pf [, fv] [, type] )

Parameter | Description
interest | The fixed interest rate.
pmt | The fixed payment made each period. Generally, pmt includes the principle and interest, not taxes or other fees.
pf | The present value, the lump-sum amount that a series of future payments is currently worth.
fv | The future value, the balance to attain after the final payment. Omitting this argument assumes a future balance of 0.
type | Indicates when payments are due. Use 0 if payments are due at the end of the period or 1 if payments are due at the beginning of the period. When you omit this argument, 0 is assumed.

Examples

This function returns 36.67:

NPER(12%/12, 350, 300, 16000, 1)

This function returns 36.98:

NPER(1%, 350, 300, 16000)

See Also

FV

IPMT

PMT

PPMT

PV

RATE

NPV

Description

Returns the net present value of an investment based on a series of periodic payments and a discount rate.

Syntax

NPV ( discount_rate, value_list )

Parameter

Description

discount_rate

The rate of discount for one period.

value_list

A list of as many as 29 arguments or a reference to a range that contains values that represent payments and income.

During calculation, NPV uses the order in which the values appear to determine the order of cash flow.

Numbers, empty cells, and text representations of numbers are included in the calculation. Errors and text that cannot be translated into numbers are ignored.

If value_list is a range reference, only numeric data in the range is included in the calculation. Other types of data in the range, such as empty cells, logical values, text, and error values are ignored.

Remarks

The time span NPV uses for calculation begins one period before the first cash flow date and ends when the last cash flow payment is made. This function is based on future cash flows. When your first cash flow occurs at the beginning of the first period, the first value must be added to the NPV result, not supplied as a value in value_list.

Example

This function returns 811.57:

NPV(8%, 12000, 3000, 3000, 3000, 7000)

See Also

FV

IRR

PV

ODD

Description

Rounds the specified number up to the nearest odd integer.

Syntax

ODD ( number )

Parameter | Description
number | Any number, a formula that evaluates to a number, or a reference to a cell that contains a number.

Examples

This function returns 5:

ODD(3.5)

This function returns 7:

ODD(6)

See Also

CEILING

EVEN

FLOOR

INT

ROUND

TRUNC

OFFSET

Description

Returns the contents of a range that is offset from a starting point in the spreadsheet.

Syntax

OFFSET ( reference, rows, columns [, height] [, width] )

Parameter | Description
reference | A reference to a cell from which the offset reference is based. If you specify a range reference, #VALUE! is returned.
rows | The number of rows from reference that represents the upper-left cell of the offset range. A positive number represents rows below the starting cell; a negative number represents rows above the starting cell. If rows places the upper-left cell of the offset range outside the spreadsheet boundary, #REF! is returned.
columns | The number of columns from reference that represents the upper-left cell of the offset range. A positive number represents columns right of the starting cell; a negative number represents columns left of the starting cell. If columns places the upper-left cell of the offset range outside the spreadsheet boundary, #REF! is returned.
height | A positive number representing the number of rows to include in the offset range. Omitting this argument assumes a single row.
width | A positive number representing the number of columns to include in the offset range. Omitting this argument assumes a single column.

Remarks

OFFSET does not change the current selection in the worksheet. Because it returns a reference, OFFSET can be used in any function that requires or uses a cell or range reference as an argument.

Examples

This function returns the contents of cell D4:

OFFSET(B1, 3, 2, 1, 1)

This function returns the sum of the values in the range E3:F5:

SUM(OFFSET(A1, 2, 4, 3, 2))

OR

Description

Returns True if at least one of a series of logical arguments is true.

Syntax

OR ( logical_list )

Parameter | Description
logical_list | A list of conditions separated by commas. You can include as many as 30 conditions in the list. The list can contain logical values or a reference to a range containing logical values. Text and empty cells are ignored. If there are no logical values in the list, the error value #VALUE! is returned.

Example

This function returns True because one of the arguments is true:

OR(1 + 1 = 1, 5 + 5 = 10)

See Also

AND

IF

NOT

PI

Description

Returns the value of pi (p), which is approximately 3.14159265358979 when calculated to 15 significant digits.

Syntax

PI ( )

Remarks

Although PI does not use arguments, you must supply the empty parentheses to correctly reference the function.

See Also

COS

SIN

TAN

PMT

Description

Returns the periodic payment of an annuity, based on regular payments and a fixed periodic interest rate.

Syntax

PMT ( interest, nper, pv [, fv] [, type] )

Parameter | Description
interest | The fixed periodic interest rate.
nper | The number of periods in the annuity.
pv | The present value, or the amount the annuity is currently worth.
fv | The future value, or the amount the annuity will be worth. When you omit this argument, a future value of 0 is assumed.
type | Indicates when payments are due. Use 0 if payments are due at the end of the period or 1 if payments are due at the beginning of the period. When you omit this argument, 0 is assumed.

Remarks

PMT returns only the principal and interest payment, it does not include taxes or other fees.

The units used for interest must match those used for nper. For example, if the annuity has an 8 percent annual interest rate over a period of 5 years, specify 8 percent/12 for interest and 5*12 for nper.

Cash paid out, such as a payment, is shown as a negative number. Cash received, such as a dividend check, is shown as a positive number.

Examples

This function returns -439.43:

PMT(8%/12, 48, 18000)

This function returns -436.52:

PMT(8%/12, 48, 18000, 0, 1)

See Also

IPMT

FV

NPER

PPMT

PV

RATE

PPMT

Description

Returns the principle paid on an annuity for a given period.

Syntax

PPMT ( interest, per, nper, pv, [fv], [type] )

Parameter | Description
interest | The fixed periodic interest rate.
per | The period for which to return the principle.
nper | The number of periods in the annuity.
pv | The present value, or the amount the annuity is currently worth.
fv | The future value, or the amount the annuity will be worth. When you omit this argument, a future value of 0 is assumed.
type | Indicates when payments are due. Use 0 if payments are due at the end of the period or 1 if payments are due at the beginning of the period. When you omit this argument, 0 is assumed.

Remarks

The units used for interest must match those used for nper. For example, if the annuity has an 8 percent annual interest rate over a period of 5 years, specify 8 percent/12 for interest and 5*12 for nper.

Examples

This function returns -321.56:

PPMT(8%/12, 2, 48, 18000)

This function returns -319.43:

PPMT(8%/12, 2, 48, 18000, 0, 1)

See Also

FV

IPMT

NPER

PMT

PV

RATE

PRODUCT

Description

Multiplies a list of numbers and returns the result.

Syntax

PRODUCT ( number_list )

Parameter

Description

number_list

A list of as many as 30 numbers, separated by commas. The list can contain numbers, logical values, text representations of numbers, or a reference to a range containing those values.

Error values or text that cannot be translated into numbers return errors.

If a range reference is included in the list, text, logical expressions, and empty cells in the range are ignored.

All numeric values, including 0, are used in the calculation.

Example

This function returns 24:

PRODUCT(1, 2, 3, 4)

See Also

FACT

SUM

PROPER

Description

Returns the specified string in proper-case format.

Syntax

PROPER ( text )

Parameter | Description
text | Any string.

Remarks

In proper-case format, the first alphabetic character in a word is capitalized. If an alphabetic character follows a number, punctuation mark, or space, it is capitalized. All other alphabetic characters are lowercase. Numbers are not changed by PROPER.

Examples

This function returns 3Rd Quarter:

=PROPER("3rd Quarter")

This function returns John Doe:

=PROPER("JOHN DOE")

See Also

LOWER

UPPER

PV

Description

Returns the present value of an annuity, considering a series of constant payments made over a regular payment period.

Syntax

PV ( interest, nper, pmt [, fv] [, type] )

Parameter | Description
interest | The fixed periodic interest rate.
nper | The number of payment periods in the investment.
pmt | The fixed payment made each period.
fv | The future value, or the amount the annuity will be worth. When you omit this argument, a future value of 0 is assumed.
type | Indicates when payments are due. Use 0 if payments are due at the end of the period or 1 if payments are due at the beginning of the period. When you omit this argument, 0 is assumed.

Remarks

The units used for interest must match those used for nper. For example, if the annuity has an 8 percent annual interest rate over a period of 5 years, specify 8 percent/12 for interest and 5*12 for nper.

Cash paid out, such as a payment, is shown as a negative number. Cash received, such as a dividend check, is shown as a positive number.

Examples

This function returns -17999.89:

PV(8%/12, 48, 439.43)

This function returns 17999.89:

PV(8%/12, 48, -439.43)

See Also

FV

IPMT

NPER

PMT

PPMT

RATE

RAND

Description

Returns a number selected randomly from a uniform distribution greater than or equal to 0 and less than 1.

Syntax

RAND ( )

Remarks

Although RAND does not use arguments, you must supply the empty parentheses to correctly reference the function.

Example

This function returns a random number greater than or equal to 0 and less than 10:.

RAND()*10

RATE

Description

Returns the interest rate per period of an annuity, given a series of constant cash payments made over a regular payment period.

Syntax

RATE ( nper, pmt, pv [, fv] [, type] [, guess] )

Parameter | Description
nper | The number of periods in the annuity.
pmt | The fixed payment made each period. Generally, pmt includes only principle and interest, not taxes or other fees.
pv | The present value of the annuity.
fv | The future value, or the amount the annuity will be worth. When you omit this argument, a future value of 0 is assumed.
type | Indicates when payments are due. Use 0 if payments are due at the end of the period or 1 if payments are due at the beginning of the period. When you omit this argument, 0 is assumed.
guess | Your estimate of the interest rate. If no argument is supplied, a value of 0.1 (10 percent) is assumed.

Remarks

RATE is calculated iteratively, cycling through the calculation until the result is accurate to .00001 percent. If the result cannot be found after 20 iterations, #NUM! is returned. When this occurs, supply a different value for guess.

Example

The following example returns the monthly interest rate of .0067; the annual interest rate (.0067 multiplied by 12) is 8 percent:

RATE(48, 439.43, 18000)

See Also

FV

IPMT

NPER

PMT

PPMT

PV

REGISTER.ID

Description

Returns the register ID of the specified dynamic link library (DLL) that has been previously registered. If the DLL has not been registered, this function registers the DLL, and then returns the register ID.

Syntax

REGISTER.ID(module_text, procedure, type_text)

Parameter | Description
module_text | The text specifying the name of the DLL that contains the function in Formula One.
procedure | The text specifying the name of the function in the DLL in Formula One. The function name is case dependent in 32-bit Formula One.
type_text | The text specifying the data type of the return value and the data types of all arguments to the DLL. The first letter of type_text specifies the return value. If the function or code resource is already registered, you can omit this argument. For a complete list of the data types available, see the type_text parameter of the CALL worksheet function.

Remarks

For declarations made in C, it is assumed that your compiler defaults to 8-byte doubles, 2-byte short integers, and 4-byte long integers. In the Windows programming environment, all pointers should be far pointers.

Pascal calling conventions are used for all functions called from DLLs. For most C compilers, you must add the Pascal keyword to the function declaration.

If the return value for your custom function uses a pass-by-reference data type, a null pointer can be passed as the return value. The null pointer is interpreted as the #NUM! error value.

For the F and G data types, a custom function can modify an allocated string buffer. If the return value type code is F or G, the value returned by the function is ignored. The list of function arguments is searched for the first data type that corresponds to the return value type. The current contents of the allocated string buffer is taken for the return value. 256 bytes is allocated for the argument; therefore, a function can return a larger string than it receives.

You can use a single digit (n), with a value from 1 to 9, as the code for data_type. The variable in the location pointed to by the nth argument is modified instead of the return value; this process is referred to as modifying in place. The nth argument must be a pass-by-reference data type. In addition, you must declare the function void. For most C compilers, you can add the Void keyword to the function declaration.

Examples

(32-bit Formula One)

The following formula registers the GetTickCount function from 32-bit Formula One and returns the register ID:

REGISTER.ID("Kernel32", "GetTickCount", "J!")

Assuming that GetTickCount was already registered on another sheet using the preceding formula, the following formula returns the register ID for GetTickCount:

REGISTER.ID("Kernel32", "GetTickCount")

(16-bit Formula One)

The following formula registers the GetTickCount function from 16-bit Formula One and returns the register ID:

REGISTER.ID("User", "GetTickCount", "J!")

Assuming that GetTickCount was already registered on another sheet using the preceding formula, the following formula returns the register ID for GetTickCount:

REGISTER.ID("User", "GetTickCount")

REPLACE

Description

Replaces part of a text string with another text string.

Syntax

REPLACE ( orig_text, start_position, num_chars, repl_text )

Parameter | Description
orig_text | The original text string.
start_position | The character position where the replacement begins. If start_position is greater than the number of characters in orig_text, repl_text is appended to the end of orig_text. If start_position is less than 1, #VALUE! is returned.
num_chars | The number of characters to replace. If this argument is negative, #VALUE! is returned.
repl_text | The replacement text string.

Examples

This function returns "For the year: 1994":

REPLACE("For the year: 1993", 18, 1, "4")

See Also

MID

SEARCH

TRIM

REPLACEB

Description

Replaces part of a text string with another text string.

Syntax

REPLACEB ( orig_text, start_position, num_chars, repl_text )

Parameter | Description
orig_text | The original text string.
start_position | The byte position where the replacement begins. If start_position is greater than the number of bytes in orig_text, repl_text is appended to the end of orig_text. If start_position is less than 1, #VALUE! is returned.
num_chars | The number of bytes to replace. If this argument is negative, #VALUE! Is returned.
repl_text | The replacement text string.

Examples

This function returns "For the year: 1994":

REPLACEB("For the year: 1993", 18, 1, "4")

REPT

Description

Repeats a text string the specified number of times.

Syntax

REPT ( text, number )

Parameter | Description
text | Any text string.
number | The number of times you want text to repeat. If number is 0, empty text (" ") is returned.

Remarks

The result of REPT cannot exceed 255 characters.

Example

This function returns error-error-error-:

REPT("error-", 3)

RIGHT

Description

Returns the rightmost characters from the given text string.

Syntax

RIGHT ( text [, num_chars] )

Parameter | Description
text | Any text string.
num_chars | The number of characters to return. The value must be greater than or equal to zero. If num_chars is greater than the number of characters in text, the entire string is returned. Omitting this argument assumes a value of 1.

Examples

This function returns r:

RIGHT("2nd Quarter")

This function returns Quarter:

RIGHT("2nd Quarter", 7)

See Also

LEFT

MID

RIGHTB

Description

Returns the rightmost bytes from the given text string.

Syntax

RIGHTB ( text [, num_chars] )

Parameter | Description
text | Any text string.
num_chars | The number of bytes to return. The value must be greater than or equal to zero. If num_chars is greater than the number of bytes in text, the entire string is returned. Omitting this argument assumes a value of 1.

Examples

This function returns r:

RIGHTB("2nd Quarter")

This function returns Quarter:

RIGHTB("2nd Quarter", 7)

ROUND

Description

Rounds the given number to the supplied number of decimal places.

Syntax

ROUND ( number, precision )

Parameter | Description
number | Any value.
precision | The number of decimal places to which number is rounded. When a negative precision is used, the digits to the right of the decimal point are dropped and the absolute number of significant digits specified by precision are replaced with zeros. If precision is 0, number is rounded to the nearest integer.

Example

This function returns 123.46:

ROUND(123.456, 2)

This function returns 9900:

ROUND(9899.435, 2)

See Also

CEILING

FLOOR

INT

MOD

ROUNDDOWN

ROUNDUP

TRUNC

ROUNDDOWN

Description

Rounds a number down.

Syntax

ROUNDDOWN ( number, numberOfDigits )

Parameter | Description
number | Any real number you want to round.
numberOfDigits | The number of decimal places to which number is rounded. When a negative precision is used, the digits to the right of the decimal point are dropped and the absolute number of significant digits specified by precision are replaced with zeros. If precision is 0, number is rounded down to the nearest integer.

Example

This function returns 3.141:

ROUNDDOWN(3.14159, 3)

This function returns 31400:

ROUNDDOWN(31415.92654, -2)

See Also

CEILING

FLOOR

INT

MOD

ROUNDUP

TRUNC

ROUNDUP

Description

Rounds the given number up to the supplied number of decimal places.

Syntax

ROUNDUP ( number, numberOfDigits )

Parameter | Description
number | Any value you want to round up.
numberOfDigits | The number of decimal places to which number is rounded. When a negative precision is used, the digits to the right of the decimal point are dropped and the absolute number of significant digits specified by precision are replaced with zeros. If precision is 0, number is rounded up to the nearest integer.

Example

This function returns 77:

ROUNDUP(76.9,0)

This function returns 31500:

ROUNDUP(31415.92654, -2)

See Also

CEILING

FLOOR

INT

MOD

ROUNDDOWN

TRUNC

ROW

Description

Returns the row number of the supplied reference.

Syntax

ROW ( reference )

Parameter | Description
reference | A cell or range reference. Omitting this argument returns the row number of the cell in which ROW is entered.

Examples

This function returns 3:

ROW(B3)

See Also

COLUMN

ROWS

ROWS

Description

Returns the number of rows in a range reference.

Syntax

ROWS ( range )

Parameter | Description
range | A reference to a range of cells.

Examples

This function returns 5:

ROWS(A1:D5)

This function returns 6:

ROWS(C30:F35)

See Also

COLUMNS

ROW

SEARCH

Description

Locates the position of the first character of a specified text string within another text string.

Syntax

SEARCH ( search_text, text [, start_position] )

Parameter

Description

search_text

The text to find. To search for an asterisk or question mark, include a tilde (~) before the character.

The search string can contain wildcard characters. The available wildcard characters are * (asterisk), which matches any sequence of characters, and ? (question mark), which matches any single character.

text

The text to be searched.

start_position

The character position where the search begins. If the number you specify is less than 0 or greater than the number of characters in text, #VALUE! is returned. Omitting this argument assumes a starting position of 1.

Remarks

Text is searched from left to right, starting at the position specified. The search is not case-sensitive. If text does not contain the search string, #VALUE! is returned.

Examples

This function returns 6:

SEARCH("?5", "Bin b45")

This function returns 5:

SEARCH("b", "Bin b45", 4)

See Also

FIND

MID

REPLACE

SUBSTITUTE

SEARCHB

Description

Locates the position of the first byte of a specified text string within another text string.

Syntax

SEARCHB ( search_text, text [, start_position] )

Parameter

Description

search_text

The text to find. To search for an asterisk or question mark, include a tilde (~) before the character.

The search string can contain wildcards. The available wildcard characters are * (asterisk), which matches any sequence of characters, and ? (question mark), which matches any single character.

Text

The text to be searched.

start_position

The byte position where the search begins. If the number you specify is less than 0 or greater than the number of bytes in text, #VALUE! is returned. Omitting this argument assumes a starting position of 1.

Remarks

Text is searched from left to right, starting at the position specified. The search is not case-sensitive. If text does not contain the search string, #VALUE! is returned.

Examples

This function returns 6:

SEARCHB("?5", "Bin b45")

This function returns 5:

SEARCHB("b", "Bin b45", 4)

SECOND

Description

Returns the second that corresponds to the supplied date.

Syntax

SECOND ( serial_number )

Parameter | Description
serial_number | The time as a serial number. The decimal portion of the number represents time as a fraction of the day.

Examples

This function returns 58:

SECOND(.259)

This function returns 46:

SECOND(34657.904)

See Also

DAY

HOUR

MINUTE

MONTH

NOW

WEEKDAY

SIGN

Description

Determines the sign of the specified number.

Syntax

SIGN ( number )

Parameter | Description
number | Any number.

Remarks

SIGN returns 1 if the specified number is positive, -1 if it is negative, and 0 if it is 0.

Examples

This function returns -1:

SIGN(123)

This function returns 1:

SIGN(123)

See Also

ABS

SIN

Description

Returns the sine of the supplied angle.

Syntax

SIN ( number )

Parameter | Description
number | The angle in radians. If the angle is in degrees, convert the angle to radians by multiplying the angle by PI( )/180.

Examples

This function returns .85:

SIN(45)

This function returns .89:

SIN(90)

See Also

ASIN

PI

SINH

Description

Returns the hyperbolic sine of the specified number.

Syntax

SINH ( number )

Parameter | Description
number | Any number.

Examples

This function returns 1.18:

SINH(1)

This function returns 10.02:

SINH(3

See Also

ASINH

PI

SLN

Description

Returns the depreciation of an asset for a specific period of time using the straight-line balance method.

Syntax

SLN ( cost, salvage, life )

Parameter | Description
cost | The initial cost of the asset.
salvage | The salvage value of the asset.
life | The number of periods of the useful life of the asset.

Example

This function returns 1285.71:

SLN(10000, 1000, 7)

See Also

DDB

SYD

VDB

SQRT

Description

Returns the square root of the specified number.

Syntax

SQRT ( number )

Parameter | Description
number | Any positive number. If you specify a negative number, the error #NUM! is returned.

Examples

This function returns 3:

SQRT(9)

This function returns 1.58:

SQRT(2.5)

See Also

SUMSQ

STDEV

Description

Returns the standard deviation of a population based on a sample of supplied values. The standard deviation of a population represents an average of deviations from the population mean within a list of values.

Syntax

STDEV ( number_list )

Parameter | Description
number_list | A list of as many as 30 numbers, separated by commas. The list can contain numbers or a reference to a range that contains numbers.

Example

This function returns .56:

STDEV(4.0, 3.0, 3.0, 3.5, 2.5, 4.0, 3.5)

See Also

STDEVP

VAR

VARP

STDEVP

Description

Returns the standard deviation of a population based on an entire population of values. The standard deviation of a population represents an average of deviations from the population mean within a list of values.

Syntax

STDEVP ( number_list )

Parameter | Description
number_list | A list of as many as 30 numbers, separated by commas. The list can contain numbers or a reference to a range that contains numbers.

Example

This function returns .52:

STDEVP(4.0, 3.0, 3.0, 3.5, 2.5, 4.0, 3.5)

See Also

STDEV

VAR

VARP

SUBSTITUTE

Description

Replaces a specified part of a text string with another text string.

Syntax

SUBSTITUTE ( text, old_text, new_text [, instance] )

Parameter | Description
text | A text string that contains the text to replace. You can also specify a reference to a cell that contains text.
old_text | The text string to be replaced.
new_text | The replacement text.
instance | Specifies the occurrence of old_text to replace. If this argument is omitted, every instance of old_text is replaced.

Examples

This function returns "Second Quarter Results":

SUBSTITUTE("First Quarter Results", "First", "Second")

This function returns "Shipment 45, Bin 52":

SUBSTITUTE("Shipment 45, Bin 45", "45", "52", 2)

See Also

REPLACE

TRIM

SUM

Description

Returns the sum of the supplied numbers.

Syntax

SUM ( number_list )

Parameter

Description

number_list

A list of as many as 30 numbers, separated by commas.

The list can contain numbers, logical values, text representations of numbers, or a reference to a range containing those values.

Error values or text that cannot be translated into numbers return errors.

If a range reference is included in the list, text, logical expressions, and empty cells in the range are ignored.

Examples

This function returns 6000:

SUM(1000, 2000, 3000)

This function returns 4000 when each cell in the range contains 1000:

SUM(A10:D10)

See Also

AVERAGE

COUNT

COUNTA

PRODUCT

SUMSQ

SUMIF

Description

Returns the sum of the specified cells based on the given criteria.

Syntax

SUMIF ( range, criteria, sum_range )

Parameter | Description
range | The range of cells you want evaluated.
criteria | A number, expression, or text that defines which cells are added. For example, criteria can be expressed as 15, "15", ">15", "cars".
sum_range | The actual cells to sum. These cells are only summed if their corresponding cells in range match the criteria. If this argument is omitted, the cells in range are summed.

See Also

AVERAGE

COUNT

COUNTA

COUNTIF

PRODUCT

SUM

SUMSQ

Description

Squares each of the supplied numbers and returns the sum of the squares.

Syntax

SUMSQ ( number_list )

Parameter

Description

number_list

A list of as many as 30 numbers, separated by commas.

The list can contain numbers, logical values, text representations of numbers, or a reference to a range containing those values.

Error values or text that cannot be translated into numbers return errors.

If a range reference is included in the list, text, logical expressions, and empty cells in the range are ignored.

Example

This function returns 302:

SUMSQ(9, 10, 11)

See Also

SUM

SYD

Description

Returns the depreciation of an asset for a specified period using the sum-of-years method. This depreciation method uses an accelerated rate, where the greatest depreciation occurs early in the useful life of the asset.

Syntax

SYD ( cost, salvage, life, period )

Parameter | Description
cost | The initial cost of the asset.
salvage | The salvage value of the asset.
life | The number of periods in the useful life of the asset.
period | The period for which to calculate the depreciation. The time units used to determine per and life must match.

Example

This function returns 1607.14:

SYD(10000, 1000, 7, 3)

See Also

DDB

SLN

VDB

TAN

Description

Returns the tangent of the specified angle.

Syntax

TAN ( number )

Parameter | Description
number | The angle in radians. To convert a number expressed as degrees to radians, multiply the degrees by PI( )/180.

Example

This function returns 0.752:

TAN(0.645)

This function returns 1:

TAN(45*PI()/180)

See Also

ATAN

ATAN2

PI

TANH

TANH

Description

Returns the hyperbolic tangent of a number.

Syntax

TANH ( number )

Parameter | Description
number | Any number.

Examples

This function returns -.96:

TANH(-2)

This function returns .83:

TANH(1.2)

See Also

ATANH

COSH

SINH

TAN

TEXT

Description

Returns the given number as text, using the specified formatting.

Syntax

TEXT ( number, format )

Parameter | Description
number | Any value, a formula that evaluates to a number, or a reference to a cell that contains a value.
format | A string representing a number format. The string can be any valid format string including "General," "M/DD/YY," or "H:MM AM/PM." The format must be surrounded by a set of double quotation marks. Asterisks cannot be included in format.

Examples

This function returns 123.620:

TEXT(123.62, "0.000")

This function returns 10/19/94:

TEXT(34626.2, "MM/DD/YY")

See Also

DOLLAR

FIXED

VALUE

TIME

Description

Returns a serial number for the supplied time.

Syntax

TIME ( hour, minute, second )

Parameter | Description
hour | A number from 0 to 23.
minute | A number from 0 to 59.
second | A number from 0 to 59.

Examples

This function returns .52:

TIME(12, 26, 24)

This function returns .07:

TIME(1, 43, 34)

See Also

HOUR

MINUTE

NOW

SECOND

TIMEVALUE

TIMEVALUE

Description

Returns a serial number for the supplied text representation of time.

Syntax

TIMEVALUE ( text )

Parameter | Description
text | A time in text format.

Examples

This function returns .07:

TIMEVALUE("1:43:43 am")

This function returns .59:

TIMEVALUE("14:10:07")

See Also

HOUR

MINUTE

NOW

SECOND

TIME

TODAY

Description

Returns the current date as a serial number.

Syntax

TODAY ( )

Remarks

This function is updated only when the worksheet is recalculated.

See Also

DATE

DAY

NOW

TRIM

Description

Removes all spaces from text except single spaces between words.

Syntax

TRIM ( text )

Parameter | Description
text | Any text string or a reference to a cell that contains a text string.

Remarks

Text that is imported from another environment may require this function.

Example

This function returns Level 3, Gate 45:

TRIM(" Level 3, Gate 45 ")

See Also

CLEAN

MID

REPLACE

SUBSTITUTE

TRUE

Description

Returns the logical value True. This function always requires the trailing parentheses.

Syntax

TRUE ( )

See Also

FALSE

TRUNC

Description

Truncates the given number to an integer.

Syntax

TRUNC ( number [, precision] )

Parameter | Description
number | Any value.
precision | The number of decimal places allowed in the truncated number. Omitting this argument assumes a precision of 0.

Remarks

TRUNC removes the fractional part of a number to the specified precision without rounding the number.

Example

This function returns 123.45:

TRUNC(123.456, 2)

This function returns 9800:

TRUNC(9899.435, 2)

See Also

CEILING

FLOOR

INT

MOD

ROUND

TYPE

Description

Returns the argument type of the given expression.

Syntax

TYPE ( expression )

Parameter | Description
expression | Any expression.

Remarks

The valid values returned by this argument are:

Number | Description
1 | Number
2 | Text string
4 | Logical value
16 | Error value

Examples

This function returns 1 if cell A1 contains a number:

TYPE(A1)

This function returns 2:

TYPE("Customer")

See Also

ISBLANK

ISERR

ISERROR

ISLOGICAL

ISNA

ISNONTEXT

ISNUMBER

ISREF

ISTEXT

UPPER

Description

Changes the characters in the specified string to uppercase characters.

Syntax

UPPER ( text )

Parameter | Description
text | Any string.

Remarks

Numeric characters in the string are not changed.

Examples

This function returns 3RD QUARTER:

UPPER("3rd Quarter")

This function returns JOHN DOE:

UPPER("JOHN DOE")

See Also

LOWER

PROPER

USDOLLAR

Description

Returns the specified number as text using the US Dollar format and the supplied precision. Omitting the precision argument assumes two decimal places.

Syntax

USDOLLAR (number [,precision])

Parameter | Description
number | A number, a formula that evaluates to a number, or a reference to a cell that contains a number.
precision | A value representing the number of decimal places to the right of the decimal point. Omitting this argument assumes two decimal places.

See Also

DOLLAR

VALUE

Description

Returns the specified text as a number.

Syntax

VALUE ( text )

Parameter | Description
text | Any text string, a formula that evaluates to a text string, or a cell reference that contains a text string. You can also specify a date or time in a recognizable format (for example, M/DD/YY for dates or H:MM AM/PM for time). If the format is not recognized, #VALUE! is returned.

Examples

This function returns 9800:

VALUE(9800)

This function returns 123:

VALUE("123")

See Also

DOLLAR

FIXED

TEXT

VAR

Description

Returns the variance of a population based on a sample of values.

Syntax

VAR ( number_list )

Parameter | Description
number_list | A list of as many as 30 numbers, separated by commas. The list can contain numbers or a reference to a range that contains numbers.

Example

This function returns .31:

VAR(4.0, 3.0, 3.0, 3.5, 2.5, 4.0, 3.5)

See Also

STDEV

STDEVP

VARP

VARP

Description

Returns the variance of a population based on an entire population of values.

Syntax

VARP ( number_list )

Parameter | Description
number_list | A list of as many as 30 numbers, separated by commas. The list can contain numbers or a reference to a range that contains numbers.

Example

This function returns .27:

VARP(4.0, 3.0, 3.0, 3.5, 2.5, 4.0, 3.5)

See Also

STDEV

STDEVP

VAR

VDB

Description

Returns the depreciation of an asset for a specified period using a variable method of depreciation.

Syntax

VDB ( cost, salvage, life, start_period, end_period [, factor] [, method] )

Parameter | Description
cost | The initial cost of the asset.
salvage | The salvage value of the asset.
life | The number of periods in the useful life of the asset.
start_period | The beginning period for which to calculate the depreciation. The time units used to determine start_period and life must match.
end_period | The ending period for which to calculate the depreciation. The time units used to determine end_period and life must match.
factor | The rate at which the balance declines. Omitting this argument assumes a default of 2, which is the double-declining balance factor.
method | A logical value that determines if you want to switch to straight-line depreciation when depreciation is greater than the declining balance calculation. Use True to maintain declining balance calculation; use False or omit the argument to switch to straight-line depreciation calculation.

Example

This function returns 1041.23:

VDB(10000, 1000, 7, 3, 4)

See Also

DDB

SLN

SYD

VLOOKUP

Description

Searches the first column of a table for a value and returns the contents of a cell in that table that corresponds to the location of the search value.

Syntax

VLOOKUP ( search_item, search_range, column_index )

Parameter | Description
search_item | A value, text string, or reference to a cell containing a value that is matched against data in the top row of search_range.
search_range | The reference of the range (table) to be searched. The cells in the first column of search_range can contain numbers, text, or logical values. The contents of the first column must be in ascending order (for example, -2, -1, 0, 2..., A through Z, False, True). Text searches are not case-sensitive.
column_index | The column in the search range from which the matching value is returned. column_index can be a number from 1 to the number of rows in the search range. If column_index is less than 1, #VALUE! is returned. When column_index is greater than the number of rows in the table, #REF! is returned.

Remarks

VLOOKUP compares the information in the first column of search_range to the supplied search_item. When a match is found, information located in the same row and supplied column (column _index) is returned.

If search_item cannot be found in the first column of search_range, the largest value that is less than search_item is used. When search_item is less than the smallest value in the first column of the search_range, #REF! is returned.

Examples

The following examples use this worksheet.

This function returns $28,700:

VLOOKUP("Clark", A2:E9, 4)

This function returns 3961:

VLOOKUP("Lee", A2:E9, 3)

See Also

HLOOKUP

INDEX

LOOKUP

MATCH

WEEKDAY

Description

Returns the day of the week that corresponds to the supplied date.

Syntax

WEEKDAY ( serial_number )

Parameter | Description
serial_number | The date as a serial number or as text (for example, 06-21-94 or 21-Jun-94).

Remarks

WEEKDAY returns a number ranging from 1 (Sunday) to 7 (Saturday).

Examples

This function returns 1, indicating Sunday:

WEEKDAY(34399.92)

This function returns 3, indicating Tuesday:

WEEKDAY("06/21/94")

See Also

DAY

NOW

TEXT

TODAY

YEAR

Description

Returns the year that corresponds to the supplied date.

Syntax

YEAR ( serial_number )

Parameter | Description
serial_number | The date as a serial number or as text (for example, 06-21-94 or 21-Jun-94).

Examples

This function returns 1993:

YEAR(34328)

This function returns 1994:

YEAR("06/21/94")

See Also

DAY

HOUR

MINUTE

MONTH

NOW

SECOND

TODAY

WEEKDAY


Specifications

Specifications

The following table lists the technical specifications for the Formula One control used in DeLogger’s Form and Spreadsheet View.

Specifications
Maximum worksheet size | 16,384 Rows by 256 Columns
Column width | 0 to 255 characters
Row height | 0 to 409 points
Text length | 255 characters
Formula length | 1024 characters
Number precision | 15 digits
Largest positive number | 9.99999999999999E307
Largest negative number | -9.99999999999999E307
Smallest positive number | 1E-307
Smallest negative number | -1E-307
Maximum number of iterations | 32,767
Maximum number of colors | 56
Maximum number of available colors | Limited by display card and monitor
Maximum number of fonts per sheet | 256
Maximum number of selected ranges | 2048
Maximum number of names per sheet | 16384
Maximum length of name | 255
Maximum number of function arguments | 30
Maximum length of format string | 255
Maximum number of tables | Limited by system resources (Windows and memory)
Excel file format version | Excel 4.0, 5.0, and 7.0


CANgate

CAN (Controller Area Network) is a data communication system widely used in the automotive industry.

The dataTaker CANgate allows the dataTaker DT80 to be interfaced to a CAN network. CANgate is equipped with two standard CAN interfaces, plus a serial interface for connecting to an NMEA-0183 compatible device such as a GPS unit. Data may then be returned to DeLogger via a second RS232 interface.

CANgate is capable of performing a range of functions; such as sending and receiving raw CAN messages or performing higher-level functions to interface with ISO-14230 and SAE-J1939 compatible devices.

The CAN ports are "hot-pluggable" and all CANgate settings are saved in non-volatile flash memory so that the unit will resume its configured tasks following a power interruption. Typical CANgate application

For a full description of the CANgate device please see the CANgate User's manual.

To set up CANgate in DeLogger go to CANgate setup

Note: The DeLogger Text window has a serial sensor direct mode that allows you to issue commands to a CANgate that is connected to the serial sensor port of a DT80 series data logger. This mode facilitates the easy use of the CANgate SNOOP/SNOOPJ commands to determine which CAN identifiers are being broadcast on a CAN network. See the DeLogger Text Window help page for more information on the serial sensor direct mode.

CANgate Parameter Databases

This section will describe how to customise or create a new CANgate parameter database file.

The parameter database files are XML files. The definition of the XML for these files is contained in this section. Armed with the information in this section you should be able to customise or create a new parameter database file.

CANgate protocol XML files describe the allowable CAN or GPS parameters that can be measured for that protocol using the CANgate. There is one protocol XML file for each supported protocol.

CANgate XML Files

There is a folder named "CANgate" underneath the DeLogger installation folder that contains all the files necessary for CANgate setup and selection. (Typically "C:\Program Files\dataTaker\DeLogger\CANgate")

The basic set consists of the following:

CANgate.interface.xml | This is the main interface specification that contains information on how to show and build the commands for the CANgate gateway. This file should not be modified.
CANgate.interface.v1.xsd | This file is the versioned schema file for the interface file. If the interface specification changes there may be other interface schema files present. This file should not be modified.
CANgate.protocol.v1.xsd | This file is the schema for all the following protocol files. This file should not be modified.
CANgate.Protocols.J1939.xml CANgate.Protocols.ISO14230.xml CANgate.Protocols.OBDII.xml CANgate.Protocols.NMEA-0183.xml | These and possibly others are the protocol files that contain information about the protocol and the related records. They may be edited or used as the basis of a super/sub set.

Editing Files

Any standard text or XML editor (e.g. Oxygen, XML Spy, Stylus Studio) may be used to create/edit protocol XML files. You must be careful with the syntax. DeLogger will check the files against the schema when loaded but there other 3rd party tools available for checking at the time of editing.

If you create your own set then you must follow the naming convention of CANgate.Protocols.myset.xml. Where "MySet" is the name of your new protocol. You must also ensure you change the protocol name attribute of the <Protocol> node within the XML file to match this name.

When customising or creating a new protocol XML file always copy an existing file to a new file name and work on the new file. You should not change the files distributed by Datataker as any changes you make may be overwritten if a new version of the Protocol XML files is installed.

The protocol files have two main parts, the header section that defines overall characteristics of the protocol and the record definitions which define each available parameter for the protocol. The protocol header information is defined in the <Protocol>, <ProtocolDescription> and <ValidPortRates> nodes. The record definitions are contained within the <Records> node. See below for a full description of all nodes and attributes.

To customise a protocol you should change the protocol description to indicate what the protocol defines and also include a version number for easier version control. The convention used for versioning the parameter databases is to include a comment such as [J1939 Parameter Database Version 1.00] at the end of the protocol description text.

Validating files

The XML schema file CANgate.Protocol.v1.xsd allows the protocol XML files to be validated by DeLogger and XML editors.

DeLogger checks the protocol XML files against the protocol schema file (CANgate.protocol.v1.xsd) when they are loaded in either the CANgate setup dialogue or the parameter selection dialogue. Any errors or inconsistencies in the protocol XML files will be reported. The files are re-read each time one of the dialogues is invoked so to avoid problems it is recommended that they are edited and saved before opening with DeLogger.

Protocol Files XML format

This section will describe all nodes and attributes of nodes for protocol XML files.

<Protocol>

This is the root node for a protocol XML file. There is only one of these per file. The following attributes can be defined for the <Protocol> node:

<Protocol> Node Attributes

Attribute | Description | Example
Name | The name of the protocol. This name is used in DeLogger when displaying the set of available protocols in the CANgate setup dialogue and in the title bar of the parameter selection dialogue. | J1939
IDName | The name of the unique identifier used for each record. This will be shown in DeLogger as the column heading for the ID column in the parameter selection dialogue. | PGN-SPN
PortType | Which ports on the CANgate this protocol can be used on. Only two valid entries are "CAN" or "GPS". Both CAN ports have the same capabilities so a protocol defined for CAN PortType can be used on either CAN port of the CANgate. | CAN
Class | Class of commands to use when accessing CAN parameters. Possible options are "J1939", "StdCAN", "ExtCAN", "ISO14230", "GPS". J1939 class uses RQSTJ and RECVJ commands to get pol'ed and broadcast parameter data. StdCAN class uses RECV command to get broadcast parameter data. ExtCAN class uses RECVE command to get broadcast parameter data. ISO14230 class uses RQST and RECV commands to get polled and broadcast parameter data. GPS class uses GPS command to get broadcast parameter data. This field is matched against class definitions in CANgate.Interface.XML file. | J1939
CANgateAddressRequired | If set to "true", indicates that DeLogger will allow the user to change the CANgate address in the CANgate setup dialogue. | true
ECUAddressRequired | If set to "true", indicates that DeLogger will enable selection of ECUAddress in parameter selection dialogue. | true
BroadcastOverideAllowed | If set to "true", indicates that DeLogger will allow user to override the Polled/Broadcast state of any parameter. | true

<ProtocolDescription>

This node contains a string which describes the protocol. There is only one per protocol. The description is shown in the CANgate setup dialogue within DeLogger. The description should explain what the protocol is and where it is used to help users decide if it is the right protocol for their application. It should also include a version number that should be incremented whenever the protocol definition is revised.

White space and CR/LF characters are preserved in this field so that whatever is placed between the start and end tags is displayed as is in the CANgate setup dialogue.

<ValidPortRates>

This node contains one or more <Rate> nodes that define the set of valid rates. The valid rates are used in the CANgate setup dialogue to provide a list of valid rates to select from when setting up the CANgate.

<Rate>

These nodes contain a Value attribute that defines a valid rate for the protocol. They may also contain an attribute "Default" and if set to "true" indicates that this rate is the default rate to show in the DeLogger setup dialogue. If only one rate is defined for a protocol then the rate cannot be changed in DeLogger.

<Records>

This node contains a set of <Record> nodes.

<Record>

This node contains the definition of a parameter that can be measured for the particular protocol. The following attributes must be defined for all <Record> nodes:

<Record> Node Attributes

Attribute | Description | Example
FullName | The name of the parameter. This is shown in the DeLogger parameter selection dialogue in parameter column. | Engine Speed
ShortName | A shorter version of the name which is used as the channel name in the logger program. It must be a maximum of 16 characters. | EngSpd
Units | The units for the parameter it must be a maximum of 8 characters. It is shown in the DeLogger parameter selection dialogue as well as set as the default units for the channel in the dataTaker program. | km/h
Broadcast | This must be set to "true" or "false" dependant on whether or not the parameter is to polled or is broadcast on the CAN/GPS network. | true
ID | This is the unique ID that identifies the parameter. It is shown in the DeLogger parameter selection dialogue to assist in parameter selection | 12414-1
Type | This the type of value that the parameter will return. This is required so that the dataTaker program can read the parameter into the correct type of register. Valid values are "f" for floating point, "d" for integer value and "s" for string. | f
Timeout | This the time that the logger should wait for the response to a request for this value. The time is specified in seconds. Fractions of a second can be specified by using a fractional number (for example 0.5 is 500 milliseconds). | 1
StringNumber | This is the string number in the logger to assign the string to. This attribute is only required for string type records (Type="s"). | 1

J1939 specific attributes

The following attributes must be defined for all <Record> nodes in a J1939 class protocol.

Attribute | Description | Example
PGN | The PGN (J1939 Parameter Group Number) for the parameter. | 12414
StartBit | StartBit is the starting bit position of the field of interest within the 8-byte CAN data field. It is specified in the format startByte.bit. Bytes are numbered from 1 to 8, bits are numbered from 8 (MSB) down to 1 (LSB). If startByte is not specified then 1 is assumed. If .bit is not specified then .8 is assumed. | 1.8
EndBit | EndBit is the ending bit position (inclusive) of the field of interest within the 8-byte CAN data field. It is specified in the format endByte.bit. If endByte is not specified then 8 is assumed. If .bit is not specified then .1 is assumed. | 8.1
Priority | (integer, 0-7, default:6) specifies the expected value of the priority field (bits 28-26 in the CAN ID) | 6
RawFormat | The raw format that the value will be returned in. This field should always be set to "un" for J1939 class protocols. | un
' Scale | The scale factor to apply to the raw value. The value read from the CAN bus is multiplied by this number. Set to 1 if no scaling is required. | 1
Offset | The offset to apply to the raw value after scaling. This value is added to the raw value after the scaling is applied. Set to 0 if no offset is to be applied. | 0
Decimal Places | The number of decimal places to return for the value, after scaling the value. This defines the number of decimal places that will be returned in the value sent to the dataTaker data logger. If not set correctly significant digits may be truncated, causing the displayed value in DeLogger to be truncated. | 2

ISO14230 specific attributes

The following attributes may be defined for all <Record> nodes in an ISO14230 class protocols (such as ODBII).

Attribute | Description | Example
RxID | The receive identifier (CAN address) of the required parameter. This attribute is only required for broadcast parameters. | 12414
TxData | The data to send when requesting a parameter. 1-39 bytes of data to include in the transmitted request message. The first byte is the ISO-14230 mode byte, the remainder of the data are parameters. The number and meaning of the parameters vary depending on the mode byte. Non hex characters (eg. _) may be inserted between bytes to make the string easier to read. This attribute is only required for polled parameters. | 1AE4
StartBit | StartBit is the starting bit position of the field of interest within the received message. It is specified in the format startByte.bit. Bytes are numbered from 1, bits are numbered from 8 (MSB) down to 1 (LSB). If startByte is 0 or not specified, a default value is chosen based on the mode byte. If .bit is not specified then .8 is assumed. | 1.8
EndBit | EndBit is the ending bit position (inclusive) of the field of interest. It is specified in the format endByte.bit. If endByte is 0 or not specified then this will be the last received byte in the message. If .bit is not specified then .1 is assumed. | 8.1
RawFormat | The raw format that the value will be returned in. um=unsigned Motorola, sm=signed Motorola, un=unsigned Intel, sn=signed Intel. For example OBDII parameters are returned in Motorola format in either signed or unsigned quantities. | um
Scale | The scale factor to apply to the raw value. The value read from the CAN bus is multiplied by this number. Set to 1 if no scaling is required. | 1
Offset | The offset to apply to the raw value after scaling. This value is added to the raw value after the scaling is applied. Set to 0 if no offset is to be applied. | 0
Decimal Places | The number of decimal places to return for the value, after scaling the value. This defines the number of decimal places that will be returned in the value sent to the dataTaker data logger. If not set correctly significant digits may be truncated, causing the displayed value in DeLogger to be truncated. | 2

NMEA-0183 specific attributes

The following attributes must be defined for all <Record> nodes in a GPS class protocols (such as NMEA-0183).

Attribute | Description | Example
Header | The NMEA header string to match for the parameter | GPGLL
FieldNum | The field number in the NMEA record to return. The first parameter field in the record is field number 1. | 1
FieldFormat | The format of the field. "D"=degrees, "M"=minutes, "N"=all of field. This should always be set to "N" for all parameters except where position is being returned in Degrees.Minutes format. In these cases set this field to either "D" or "M". The dataTaker cannot handle the large numbers that define an absolute position so they must be broken into two separate parts. | D

Example

To create a new ISO-14230 based protocol for the fictitious "Humming Bird" brand automobile you would do the following.

  1. Make sure DeLogger is not running.
  2. Locate the ISO-14230 protocol parameter database file (which is just a template as it has no real records in it). It would normally be found in the folder "C:\Program Files\dataTaker\DeLogger\CANgate". The name of the file is "CANgate.Protocols.ISO14230.xml".
  3. Copy this file to a new file called "CANgate.Protocols.HummingBird.xml"
  4. Open the new file in either a text or XML editor.
  5. Change the name attribute of the <Protocol> node to HummingBird. For example
  6. Change the contents of the <ProtocolDescription> node to describe your protocol and include a version number.
  7. Define the valid port rates for the protocol.
  8. Delete any unwanted records from the file and add new records required.
  9. Save the file in the "C:\Program Files\dataTaker\DeLogger\CANgate" folder.
  10. Start DeLogger and the new protocol should be available for selection from the CANgate setup dialog. You can access the CANgate setup dialog from the global tab in the DT80 program builder.

The following show the changes required for the example described above highlighted like this:

<?xml version="1.0" standalone="yes"?>

<Protocol xmlns="http://www.datataker.com/ns/CANgate_protocol" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.datataker.com/ns/CANgate_protocol CANgate.protocol.v1.xsd" Name="HummingBird" IDName="RxID-Byte.Bit" PortType="CAN" Class="ISO14230" CANgateAddressRequired="true" ECUAddressRequired="true" BroadcastOverideAllowed="true">

<ProtocolDescription>HummingBird - CAN Standard used in Humming Bird car engines. [HummingBird Parameter Database Version 1.00]</ProtocolDescription>

<ValidPortRates>

<Rate Value="250" Default="true"/>

<Rate Value="500" />

</ValidPortRates>

<Records>

<Record FullName="HBird Engine Speed" ShortName="HBEngSpd" Units="RPM" Broadcast="true" ID="5678-2.8" Type="f" Timeout="1" RxID="5678" StartBit="2.8" EndBit="3.1" RawFormat="um" Scale="25" Offset="12" DecimalPlaces="1" /> <Record FullName="HBird Engine Temp" ShortName="HBEngTmp" Units="DegC" Broadcast="true" ID="5679-2.8" Type="f" Timeout="1" RxID="5679" StartBit="2.8" EndBit="3.1" RawFormat="um" Scale="4" Offset="-20" DecimalPlaces="1" />

</Records>

</Protocol>


Aborts changes.


Applies general alignment to the selected range of data.


Applies modifications.


Arranges all open window side by side so that they share a

Arranges all open window side by side so that they share a portion of the Formula One workspace.

The polygon editing mode tool toggles between normal polygon editing and polygon point editing mode. When polygon point editing is enabled, the points of a polygon can be moved.


Arranges all open windows in a cascading pattern, one on top of

Arranges all open windows in a cascading pattern, one on top of the other.


Automatically resizes the column width to display the widest

Automatically resizes the column width to display the widest cell.


Centers the selected range of data.


The Project Window


Character Substitutions

Unload Commands

Character | Function | Details
> | ULAST | Inserts a date time field based on the time of the last unloaded data received for this Site/Job.
@ | Time | Substitutes the current time. Modifiers can be used.
# | Date | Substitutes the current date. Modifiers can be used.
* | Datetime | Substitutes the current date and time. Modifiers can be used.

Time Modifiers

Character | Function | Examples
S | Seconds | @-60S Current time minus 60 seconds
M | Minutes | @-5M Current time minus 5 minutes
H | Hours | @+2H Current time plus 2 hours

Date Modifiers

Character | Function | Examples
D | Day | @-6D Current date minus 6 days
W | Week | @-4W Current date minus 4 weeks
Y | Year | @-1Y Current date minus 1 year

ULAST Details

For each Site/Job/Schedule combination, the date and time of the last received historical data point (unloaded) is stored. This is referred to as its ULAST.

The ULAST is displayed in various dialogues and is used in the unload macro to perform continuous unloads as it starts the unload from where it last completed.

Example

UNLOAD_SITE_FILE("MySite","JOB1",">",60,"daily update.dlr",0,1)

When the above action is run daily - by a scheduled action or by an incoming alarm action - it will create daily files of all logged data.

UNLOAD_SITE_FILE("MySite","JOB1","A>",60,"daily A update.dlr",0,0)

UNLOAD_SITE_FILE("MySite","JOB1","B>",60,"daily B update.dlr",0,1)

When the above action is run daily - by a scheduled action or by an incoming alarm action - it will create separate daily files for the A and B schedule.

Date and Time Modifiers

Date and Time modifiers are used in place of hard coded date and times when performing an unload.

Note that the date and time substitutions operate independently, substituting for the time will not

affect the date. If you require that functionality you should use the '*' substitution as in the following

examples.

Examples

dt80/800

UNLOAD_SITE_FILE("MySite","JOB1","(*-12H)(*)",60,"Last12Hours.dlr",0,0)

UNLOAD_SITE_FILE("MySite","JOB1","(*-12H)",60,"Last12Hours.dlr",0,0)

The above examples would both perform an unload from now minus 12 hours to now. It will correct

the date if it crosses midnight.

UNLOAD_SITE_FILE("MySite","JOB1","(*-1W)(*)",60,"Last7Days.dlr",0,0)

The above example would perform an unload from now minus 7 days to now.

UNLOAD_SITE_FILE("MySite","JOB1","(#,08:00:00)(#,20:00:00)",60,"8am8pm.dlr",0,0)

The above example would perform an unload from 8am to 8pm for the current day.

UNLOAD_SITE_FILE("MySite","JOB1","(#-1D,20:00:00)(#,08:00:00)",60,"8pm8am.dlr",0,0)

The above example would perform an unload from 8pm yesterday to 8am today.


Check this box to automatically set the width of each column to

Check this box to automatically set the width of each column to be wide enough to display the widest data in the column.

Check this box to display field names instead of the standard alphabetic column headings. Even though field names are displayed as the column headings, formulas must still use the standard cell referencing conventions (e.g., A1).

Check this box to have formats for date, time, and currency fields set automatically when data is placed in the worksheet. If you do not check this box, you must set the formats for these columns manually.

Check this box to have the maximum number of worksheet rows and columns set to the number of records and fields returned by the query.

N

Description

Tests the supplied value and returns the value if it is a number.

Syntax

N ( value )

Parameter | Description
value | A value or a reference to a cell containing a value to test.

Remarks

Numbers are returned as numbers, serial numbers formatted as dates are returned as serial numbers, and the logical function TRUE() is returned as 1. All other expressions return 0.

Examples

This function returns 32467:

N(32467)

This function returns 1 if A4 contains the logical function TRUE:

N(A4)

See Also

T

VALUE

T

Description

Tests the supplied value and returns the value if it is text.

Syntax

T ( value )

Parameter | Description
value | The value to test.

Remarks

Empty text (" ") is returned for any value that is not text.

Examples

This function returns Report:

T("Report")

This function returns empty text (" ") if A4 contains a number:

T(A4)

See Also

N

VALUE

Opens a workbook file from disk. Files saved in Formula One format (.VTS files), Excel 4.0, 5.0, and 7.0 format (.XLS files), and tabbed text format (.TXT) can be opened.


Check this box to display column headings on the active

Check this box to display column headings on the active worksheet. Uncheck this box to hide the column headings.


Check this box to display gridlines on the active worksheet.

Check this box to display gridlines on the active worksheet. Uncheck this box to hide the gridlines.


Check this box to display zeros in cells with zero values.

Check this box to display zeros in cells with zero values. Uncheck this box to display zero value cells as blanks.

Controls the appearance of the vertical scroll bar. Select On to turn the scroll bar on, Off to turn scroll bar off, and Automatic to display scroll bar when the workbook is too tall to display in the control.

Controls the appearance of the horizontal scroll bar. Select On to turn the scroll bar on, Off to turn scroll bar off, and Automatic to display scroll bar when the workbook is too wide to display in the control.

Controls how selections are displayed on the active worksheet. Select On to display selections, Off to hide selections, or Automatic to display selections only when the control has focus.

Controls the appearance and position of sheet name tabs. Select Top to display the tabs at the top of the workbook, Bottom to display the tabs at the bottom of the workbook, or Off to hide the sheet tabs.


Check this box to prevent users from scrolling past the last

Check this box to prevent users from scrolling past the last filled row or column on the worksheet.


Click here if you want the search to match bytes. (DBCS

Click here if you want the search to match bytes. (DBCS versions of Formula One only.)


Click here if you want the search to match case.


Click here to find the next occurrence of the search string in

Click here to find the next occurrence of the search string in the worksheet.


Click here to invoke the Replace dialog.


Click here to replace all instances of the search string.


Click here to replace this instance and search for the next

Click here to replace this instance and search for the next instance of the string.


Controls the bold attribute for the currently selected range of

Controls the bold attribute for the currently selected range of data.


Controls the italic attribute for the currently selected range

Controls the italic attribute for the currently selected range of data.


Controls the underline attribute for the currently selected

Controls the underline attribute for the currently selected range of data.


Copies the current worksheet selection to the clipboard.


Cuts the current worksheet selection to the clipboard.


Data in the leftmost cell of the selected range is copied right

Data in the leftmost cell of the selected range is copied right to fill the range.


Data in the top cell of the selected range is copied down to

Data in the top cell of the selected range is copied down to fill the range.

Displays the Goto dialog box. This dialog box allows you to specify a cell to display in the worksheet window. The specified cell is made the active cell.


Defines the currently selected range in the active worksheet as

Defines the currently selected range in the active worksheet as the Print_Area user-defined name.


Defines the currently selected range in the active worksheet as

Defines the currently selected range in the active worksheet as the Print_Titles user-defined name.

Places a horizontal page break adjacent to the top edge of the active cell and a vertical page break adjacent to the left edge of the active cell. If a row or column is selected, a page break is placed adjacent to the selected row or column.

This command replaces Set Page Breaks if page breaks are adjacent to the active cell. Removes page breaks adjacent to the top edge and left edge of the active cell.

Displays the Color Palette dialog box. This dialog box allows you to edit colors in the color palette, specify a default color, and use the default color palette.

Displays the Default Font dialog box. This dialog box allows you to set the default font used to display data in worksheets. In addition to setting the font and font size used to display data in a worksheet, the default font affects the widths of worksheet columns. Column widths can be set in units equal to 1/256th of the character 0 (zero) in the default font.

Enables protection for protected cells in the worksheet. A check next to this command means that protection is enabled. Select the command again to disable protection.

Fixes the selected columns or rows. Fixed columns and rows do not scroll and cannot be edited. If you select fixed rows or columns, this command is replaced by the Unfix Rows + Columns command.

Displays the Alignment dialog box. This dialog box allows you to specify the horizontal and vertical alignment of data in the selected range. In addition, you can enable and disable word wrapping.

Displays the Font dialog box. This dialog box allows you to specify the font, point size, font style, and color of data in the selected range.

Displays the Border dialog box. This dialog box allows you to specify the placement of borders in the selected range. In addition, you can specify the border line style and color.

The check boxes in the Border dialog box are three-state check boxes, allowing "as is" selections to be made.

Displays the Pattern dialog box. This dialog box allows you to specify the fill pattern and foreground and background colors for the selected fill pattern.

Displays the Cell Protection dialog box. This dialog box allows you to specify whether the cells in the selected range are locked and/or hidden.


Deletes the current selection. Cells adjacent to the deleted

Deletes the current selection. Cells adjacent to the deleted cells are shifted to fill the space left by the vacated cells.

If you use the keyboard shortcut CTRL + K, cells to the right of the selected cells are shifted left to fill the space left by the vacated cells. If you use SHIFT + CTRL + K, cells below the selected cells are shifted up.


Displays a dialog box that allows you to find data.


Displays a dialog box that allows you to replace data.


Displays a list of common currency formats. Select a format to

Displays a list of common currency formats. Select a format to apply it to the selected range of data.


Displays a list of common date and time formats. Select a

Displays a list of common date and time formats. Select a format to apply it to the selected range of data.


Displays a list of common fixed and general formats. Select a

Displays a list of common fixed and general formats. Select a format to apply it to the selected range of data.


Displays a list of common fraction formats. Select a format to

Displays a list of common fraction formats. Select a format to apply it to the selected range of data.


Displays a list of common percent formats. Select a format to

Displays a list of common percent formats. Select a format to apply it to the selected range of data.


Displays how the worksheet will print.


Displays next tab.


Displays previous tab.


Displays the Column submenu.

Displays the Column Width dialog box. This dialog box allows you to set the width of the selected columns, specify default column widths, and use the default width.


Displays the Column Width dialog box. This dialog box allows

Displays the Column Width dialog box. This dialog box allows you to set the default column width.


Displays the Define Name dialog box. This dialog box allows you

Displays the Define Name dialog box. This dialog box allows you to add and delete user-defined names.


Displays the Object Name dialog box. This dialog box allows you

Displays the Object Name dialog box. This dialog box allows you to set a name for the selected object.


Displays the Pattern dialog box. This dialog box allows you to

Displays the Pattern dialog box. This dialog box allows you to set the fill pattern and colors for the selected objects.

Displays the Line Style dialog box. This dialog box allows you to set the line style, width, and colors for the selected line object or the border surrounding the selected arcs, ovals, polygons, and rectangles.


Displays the Row Height dialog box. This dialog box allows you

Displays the Row Height dialog box. This dialog box allows you to set the default row height.


Displays the Row submenu.

Displays the Row Height dialog box. This dialog box allows you to set the height of the selected rows, specify default row heights, and use the default row height.


Displays the selected row(s) or column(s).


Displays Wizard Help.


Enter the replacement string here.


Enter the search string here.


Formats data in the selected range with the currency format and

Formats data in the selected range with the currency format and a decimal precision of 0.


Formats data in the selected range with the currency format and

Formats data in the selected range with the currency format and a decimal precision of 2.


Formats data in the selected range with the fixed format.

Formats data in the selected range with the percent format. Numbers with this format are displayed as percentages with a trailing percent sign (%).


Formats data in the selected range with the fraction format.

Formats data in the selected range with the fraction format. Numbers with this format are displayed as fractions.


Formats data in the selected range with the general format.


Formats data in the selected range with the H:MM AM/PM time

Formats data in the selected range with the H:MM AM/PM time format. Numbers with this format are displayed as times.

Displays the Custom Number dialog box. This dialog box allows you to define custom number formats for data in the selected range.

Displays the Validation Rule dialog box. This dialog box allows you to create or edit the validation rule for the current selection.


Formats data in the selected range with the M/D/YY date format.

Formats data in the selected range with the M/D/YY date format. Numbers with this format are displayed as dates.


Formats data in the selected range with the scientific format.


Hides the selected row(s) or column(s) from view.


Indicates the cell referenced by the list box.


ISO14230 specific attributes

The following attributes may be defined for all <Record> nodes in an ISO14230 class protocols (such as ODBII).

Attribute | Description | Example
RxID | The receive identifier (CAN address) of the required parameter. This attribute is only required for broadcast parameters. | 12414
TxData | The data to send when requesting a parameter. 1-39 bytes of data to include in the transmitted request message. The first byte is the ISO-14230 mode byte, the remainder of the data are parameters. The number and meaning of the parameters vary depending on the mode byte. Non hex characters (eg. _) may be inserted between bytes to make the string easier to read. This attribute is only required for polled parameters. | 1AE4
StartBit | StartBit is the starting bit position of the field of interest within the received message. It is specified in the format startByte.bit. Bytes are numbered from 1, bits are numbered from 8 (MSB) down to 1 (LSB). If startByte is 0 or not specified, a default value is chosen based on the mode byte. If .bit is not specified then .8 is assumed. | 1.8
EndBit | EndBit is the ending bit position (inclusive) of the field of interest. It is specified in the format endByte.bit. If endByte is 0 or not specified then this will be the last received byte in the message. If .bit is not specified then .1 is assumed. | 8.1
RawFormat | The raw format that the value will be returned in. um=unsigned Motorola, sm=signed Motorola, un=unsigned Intel, sn=signed Intel. For example OBDII parameters are returned in Motorola format in either signed or unsigned quantities. | um
Scale | The scale factor to apply to the raw value. The value read from the CAN bus is multiplied by this number. Set to 1 if no scaling is required. | 1
Offset | The offset to apply to the raw value after scaling. This value is added to the raw value after the scaling is applied. Set to 0 if no offset is to be applied. | 0
Decimal Places | The number of decimal places to return for the value, after scaling the value. This defines the number of decimal places that will be returned in the value sent to the dataTaker data logger. If not set correctly significant digits may be truncated, causing the displayed value in DeLogger to be truncated. | 2

(continued in NMEA-0183 specific attributes)


Left aligns the selected range of data.


List of recently opened workbook files. This eliminates the

List of recently opened workbook files. This eliminates the need for you to search for a file you have recently used.


Mimics

Type topic text here.


Options

Displays the Options dialog box as shown in the following illustration. Click on any tab or control for more information.

Check this box to display formula text in cells instead of the values formulas produce. Uncheck the box to display formula results.


Options

Displays the Options dialog box as shown in the following illustration. Click on any tab or control for more information.

Enter the number of the first row that can be displayed in the active worksheet. Rows before the first row are not displayed but can be used to hold data and formulas.

Enter the number of the first column that can be displayed in the active worksheet. Columns before the first row are not displayed but can be used to hold data and formulas.

Enter the number of the last displayable row in the active worksheet. Rows beyond the last row are not displayed but can be used to hold data and formulas.

Enter the number of the last displayable column in the active worksheet. Columns beyond the last column are not displayed but can be used to hold data and formulas.


Pastes the contents of the clipboard to the current worksheet

Pastes the contents of the clipboard to the current worksheet selection.

Pastes values from the clipboard to the current worksheet selection. Any formatting applied to the values is ignored. In addition, only formula results are pasted; formulas are ignored.

Displays a dialog box that allows you to clear data or objects from the current selection. You can clear only formats, only values (including formulas), or both formats and values.

Inserts cells at the location of the current selection. Cells adjacent to the insertion are shifted to make room for the new cells.

If you use the keyboard shortcut CTRL + I, the selected cells are shifted right to make room for the inserted cells. If you use SHIFT + CTRL + I, the selected cells are shifted down.


Places the selected objects behind other objects in the

Places the selected objects behind other objects in the worksheet.


Places the selected objects in front of other objects in the

Places the selected objects in front of other objects in the worksheet.


Prints the selected worksheets or the entire workbook as a

Prints the selected worksheets or the entire workbook as a single document.

Displays the Page Setup dialog box. This dialog box allows you to define header and footer text, page margins, page print order, page centering, worksheet-related print options, and scale.

Displays the standard Windows Print Setup dialog box. This dialog box allows you to select the printer to which the worksheet is sent, the page orientation, and paper size.

Sends the active workbook through electronic mail. This command attempts to open an e-mail package and automatically place the active workbook in the mail as an attachment.


Recalculates the workbook.

Displays the Calculation dialog box. This dialog box allows you to enable and disable automatic recalculation and specify iteration values for calculating circular references.


Right aligns the selected range of data.

Centers the selected data across the number of selected cells. This is useful for straddling heading information across rows or columns.


Select a color for the currently selected range of data.


Select a font for the currently selected range of data.


Select a font size for the currently selected range of data.


Select from the list whether you want to search by row order or

Select from the list whether you want to search by row order or by column order.

Select from the list whether you want to search for the string in cell formulas or values. Although you can locate formula and value data, you are not allowed to replace it. You are only allowed to replace data that actually appears within a cell.


Selects all the objects in the worksheet.


Status Dialogue

The dt800 series STATUS dialogue

The Status tab displays general information about the running status of the dataTaker.

The Version displays the dt800 firmware version.

The Jobs tab lists all the jobs defined in the dt800. If they have stored data then those details

are displayed when the job in question is expanded. The Logged Scans is an approximation

from the dt800 on how many scans it believes have been stored for the particular jobs schedule.

If the data has been unloaded to DeLogger an extra line will be shown detailing the last known

data point time that unloaded data was received for the jobs schedule.

The Memory tab displays the actual used/free storage for the internal memory and any

connected data card.

The Switches tab displays the current state of the dt800 switches. For detailed information

on the switches please refer to the dataTaker 800 manual.

The Serial tab displays the Host Port settings. These can be changed by using the Profiles dialogues.

The Ethernet tab displays the current Ethernet settings. These can be changed by using the Profiles dialogues.


Test Dialogue

The dt800 series TEST dialogue


The arc tool draws arcs.


The button tool draws push buttons.


The chart tool charts the selected range of data.


The check box tool draws check box objects.


The controls in this section specify whether you can perform

The controls in this section specify whether you can perform certain editing activities.

Check the Formulas box to allow formulas to be entered.

Check In Cell Editing to allow data to be entered directly into a cell, bypassing the edit bar.

Check the Selections box to allow ranges and objects to be selected with the keyboard or by clicking and dragging the mouse.

Check Designer to control whether the Application Designer can be launched by anyone using Formula One to view your spreadsheet in a browse window.

Check Enter Moves Down to cause pressing the ENTER key to move the active cell down to the next cell.


The controls in this section specify whether you can use

The controls in this section specify whether you can use certain mouse actions to perform certain tasks.

Check the Resize Rows/Cols box to allow rows and columns to be resized by dragging row or column heading borders.

Check the Fill Range box to fill a worksheet range by dragging a selection's copy handle.

Check the Move Range box to move ranges by dragging a cell.


The items that appear in the list box are displayed as a

The items that appear in the list box are displayed as a semicolon-delimited list in the Options dialog box.

In the Gallery Tab, select the type of chart you wish to design. Two radio buttons control whether 2D chart or 3D chart types are displayed.

In the Style Tab, select a style for the chart type you have selected. Each style is a predefined set of display options such as series labels, stacking, and bar gap.

In the Layout Tab, specify an optional chart title, footnote, chart legend position, and whether the series data in the charted range should be charted along rows or columns. The chart preview image on this tab shows you how the chart will look with these modifications.

In the Axes Tab, enter optional axis titles for any or all axes on your chart. The chart preview image on this tab shows you how the chart will look with the addition of the axis title.


The line tool draws lines.


The list box tool draws drop-down list box objects.


The oval tool draws ovals and circles.


The polygon tool draws polygons.


The rectangle tool draws rectangles and squares.


This control shows the current display scale for the workbook.

This control shows the current display scale for the workbook. Enter a number between 10 and 400 to change the display scale.

Enter the column number of the first column you want to fix in the active worksheet. Fixed columns do not scroll when the worksheet is scrolled horizontally. Data in fixed columns cannot be edited.

Enter the number of columns (from FixedCol) you want to fix. Fixed columns do not scroll when the worksheet is scrolled horizontally. Data in fixed columns cannot be edited.

Enter the row number of the first row you want to fix in the active worksheet. Fixed rows do not scroll when the worksheet is scrolled vertically. Data in fixed rows cannot be edited.

Enter the number of rows (from FixedRow) you want to fix. Fixed rows do not scroll when the worksheet is scrolled vertically. Data in fixed rows cannot be edited.


Toggles the display of the status bar.


When the pointer is placed on an edge of the top left corner,

When the pointer is placed on an edge of the top left corner, it appears as a double arrow.

A guide follows the pointer as you click and drag the header border. The guide indicates the placement of the header border when you release the mouse.

When you resize column headings, you also set the height of the top left corner. Likewise, when you resize row headings, you set the width of the top left corner.